diff -u -r -N squid-3.5.7/acinclude/os-deps.m4 squid-3.5.8/acinclude/os-deps.m4
--- squid-3.5.7/acinclude/os-deps.m4	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/acinclude/os-deps.m4	2015-09-01 12:52:00.000000000 -0700
@@ -888,6 +888,7 @@
   if test "x$squid_cv_broken_ipfilter_minor_t" = "x"; then
     AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[
 #     include <sys/types.h>
+#     include <sys/time.h>
 #     include <sys/ioccom.h>
 #     include <netinet/in.h>
 
@@ -902,6 +903,7 @@
       AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[
 #define minor_t fubaar
 #       include <sys/types.h>
+#       include <sys/time.h>
 #       include <sys/ioccom.h>
 #       include <netinet/in.h>
 #undef minor_t
@@ -912,7 +914,7 @@
         AC_MSG_RESULT(yes)
         squid_cv_broken_ipfilter_minor_t=1
       ],[
-        AC_MSG_RESULT(unable to make IPFilter work with netinet/ headers)
+        AC_MSG_ERROR(unable to make IPFilter work with netinet/ headers)
       ])
     ])
   fi
@@ -940,6 +942,9 @@
 #if HAVE_SYS_TYPES_H
 #include <sys/types.h>
 #endif
+#if HAVE_SYS_TIME_H
+#include <sys/time.h>
+#endif
 #if HAVE_NETINET_IN_H
 #include <netinet/in.h>
 #endif
diff -u -r -N squid-3.5.7/cfgaux/install-sh squid-3.5.8/cfgaux/install-sh
--- squid-3.5.7/cfgaux/install-sh	2015-07-31 23:09:32.000000000 -0700
+++ squid-3.5.8/cfgaux/install-sh	2015-09-01 12:53:02.000000000 -0700
@@ -1,7 +1,7 @@
 #!/bin/sh
 # install - install a program, script, or datafile
 
-scriptversion=2013-12-25.23; # UTC
+scriptversion=2014-09-12.12; # UTC
 
 # This originates from X11R5 (mit/util/scripts/install.sh), which was
 # later released in X11R6 (xc/config/util/install.sh) with the
@@ -324,34 +324,41 @@
             # is incompatible with FreeBSD 'install' when (umask & 300) != 0.
             ;;
           *)
+            # $RANDOM is not portable (e.g. dash);  use it when possible to
+            # lower collision chance
             tmpdir=${TMPDIR-/tmp}/ins$RANDOM-$$
-            trap 'ret=$?; rmdir "$tmpdir/d" "$tmpdir" 2>/dev/null; exit $ret' 0
+            trap 'ret=$?; rmdir "$tmpdir/a/b" "$tmpdir/a" "$tmpdir" 2>/dev/null; exit $ret' 0
 
+            # As "mkdir -p" follows symlinks and we work in /tmp possibly;  so
+            # create the $tmpdir first (and fail if unsuccessful) to make sure
+            # that nobody tries to guess the $tmpdir name.
             if (umask $mkdir_umask &&
-                exec $mkdirprog $mkdir_mode -p -- "$tmpdir/d") >/dev/null 2>&1
+                $mkdirprog $mkdir_mode "$tmpdir" &&
+                exec $mkdirprog $mkdir_mode -p -- "$tmpdir/a/b") >/dev/null 2>&1
             then
               if test -z "$dir_arg" || {
                    # Check for POSIX incompatibilities with -m.
                    # HP-UX 11.23 and IRIX 6.5 mkdir -m -p sets group- or
                    # other-writable bit of parent directory when it shouldn't.
                    # FreeBSD 6.1 mkdir -m -p sets mode of existing directory.
-                   ls_ld_tmpdir=`ls -ld "$tmpdir"`
+                   test_tmpdir="$tmpdir/a"
+                   ls_ld_tmpdir=`ls -ld "$test_tmpdir"`
                    case $ls_ld_tmpdir in
                      d????-?r-*) different_mode=700;;
                      d????-?--*) different_mode=755;;
                      *) false;;
                    esac &&
-                   $mkdirprog -m$different_mode -p -- "$tmpdir" && {
-                     ls_ld_tmpdir_1=`ls -ld "$tmpdir"`
+                   $mkdirprog -m$different_mode -p -- "$test_tmpdir" && {
+                     ls_ld_tmpdir_1=`ls -ld "$test_tmpdir"`
                      test "$ls_ld_tmpdir" = "$ls_ld_tmpdir_1"
                    }
                  }
               then posix_mkdir=:
               fi
-              rmdir "$tmpdir/d" "$tmpdir"
+              rmdir "$tmpdir/a/b" "$tmpdir/a" "$tmpdir"
             else
               # Remove any dirs left behind by ancient mkdir implementations.
-              rmdir ./$mkdir_mode ./-p ./-- 2>/dev/null
+              rmdir ./$mkdir_mode ./-p ./-- "$tmpdir" 2>/dev/null
             fi
             trap '' 0;;
         esac;;
diff -u -r -N squid-3.5.7/ChangeLog squid-3.5.8/ChangeLog
--- squid-3.5.7/ChangeLog	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/ChangeLog	2015-09-01 12:52:00.000000000 -0700
@@ -1,3 +1,22 @@
+Changes to squid-3.5.8 (02 Sep 2015):
+
+	- Regression Bug 4306: build portability fix in Kerberos helpers
+	- Bug 4302: IPFilter v5 transparent interception
+	- Bug 4301: compile errors with IPFilter interception
+	- Bug 4285 partial: %us is not supported in access.log
+	- Bug 4278: Docs: typo in the refresh_pattern freshness algorithm
+	- Bug 4242: compile errors with eCAP using clang-3.6
+	- Bug 3696: crash when client delay pools are activated
+	- Bug 3553: cache_swap_high ignored and maxCapacity used instead
+	- Regression Fix: FtpServer.cc:1024: "reply != NULL" assertion
+	- Fix ignore of impossible SSL bumping actions, as intended and documented
+	- Fix memory leak in Surrogate-Capability header detection
+	- Fix truncated body length when RESPMOD service aborts
+	- Reject non-chunked HTTP messages with conflicting Content-Length values
+	- Support splice for SSLv3 and TLSv1 sessions that start with an SSLv2 Hello
+	- ... and several portability and compile fixes
+	- ... and several documentation updates
+
 Changes to squid-3.5.7 (01 Aug 2015):
 
 	- Bug 4293: wrong SNI sent to server after URL-rewrite
diff -u -r -N squid-3.5.7/compat/Makefile.am squid-3.5.8/compat/Makefile.am
--- squid-3.5.7/compat/Makefile.am	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/compat/Makefile.am	2015-09-01 12:52:00.000000000 -0700
@@ -10,8 +10,6 @@
 
 include $(top_srcdir)/src/Common.am
 
-AUTOMAKE_OPTIONS = subdir-objects
-
 # Ideally this would be 100% inline functions and macro wrappers.
 
 # Port Specific Configurations
diff -u -r -N squid-3.5.7/compat/Makefile.in squid-3.5.8/compat/Makefile.in
--- squid-3.5.7/compat/Makefile.in	2015-07-31 23:09:33.000000000 -0700
+++ squid-3.5.8/compat/Makefile.in	2015-09-01 12:53:02.000000000 -0700
@@ -564,6 +564,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -686,6 +687,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -707,7 +709,6 @@
 @ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
 COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
 subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
-AUTOMAKE_OPTIONS = subdir-objects
 
 # Ideally this would be 100% inline functions and macro wrappers.
 
diff -u -r -N squid-3.5.7/configure squid-3.5.8/configure
--- squid-3.5.7/configure	2015-07-31 23:10:24.000000000 -0700
+++ squid-3.5.8/configure	2015-09-01 12:53:55.000000000 -0700
@@ -1,7 +1,7 @@
 #! /bin/sh
 # From configure.ac Revision.
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.69 for Squid Web Proxy 3.5.7.
+# Generated by GNU Autoconf 2.69 for Squid Web Proxy 3.5.8.
 #
 # Report bugs to <http://bugs.squid-cache.org/>.
 #
@@ -595,8 +595,8 @@
 # Identity of this package.
 PACKAGE_NAME='Squid Web Proxy'
 PACKAGE_TARNAME='squid'
-PACKAGE_VERSION='3.5.7'
-PACKAGE_STRING='Squid Web Proxy 3.5.7'
+PACKAGE_VERSION='3.5.8'
+PACKAGE_STRING='Squid Web Proxy 3.5.8'
 PACKAGE_BUGREPORT='http://bugs.squid-cache.org/'
 PACKAGE_URL=''
 
@@ -824,6 +824,9 @@
 LIBTOOL
 ENABLE_LOADABLE_MODULES_FALSE
 ENABLE_LOADABLE_MODULES_TRUE
+ENABLE_RELEASE_DOCS_FALSE
+ENABLE_RELEASE_DOCS_TRUE
+LINUXDOC
 AR_R
 AR
 ENABLE_POD2MAN_DOC_FALSE
@@ -928,6 +931,7 @@
 docdir
 oldincludedir
 includedir
+runstatedir
 localstatedir
 sharedstatedir
 sysconfdir
@@ -1117,6 +1121,7 @@
 sysconfdir='${prefix}/etc'
 sharedstatedir='${prefix}/com'
 localstatedir='${prefix}/var'
+runstatedir='${localstatedir}/run'
 includedir='${prefix}/include'
 oldincludedir='/usr/include'
 docdir='${datarootdir}/doc/${PACKAGE_TARNAME}'
@@ -1369,6 +1374,15 @@
   | -silent | --silent | --silen | --sile | --sil)
     silent=yes ;;
 
+  -runstatedir | --runstatedir | --runstatedi | --runstated \
+  | --runstate | --runstat | --runsta | --runst | --runs \
+  | --run | --ru | --r)
+    ac_prev=runstatedir ;;
+  -runstatedir=* | --runstatedir=* | --runstatedi=* | --runstated=* \
+  | --runstate=* | --runstat=* | --runsta=* | --runst=* | --runs=* \
+  | --run=* | --ru=* | --r=*)
+    runstatedir=$ac_optarg ;;
+
   -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
     ac_prev=sbindir ;;
   -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
@@ -1506,7 +1520,7 @@
 for ac_var in	exec_prefix prefix bindir sbindir libexecdir datarootdir \
 		datadir sysconfdir sharedstatedir localstatedir includedir \
 		oldincludedir docdir infodir htmldir dvidir pdfdir psdir \
-		libdir localedir mandir
+		libdir localedir mandir runstatedir
 do
   eval ac_val=\$$ac_var
   # Remove trailing slashes.
@@ -1619,7 +1633,7 @@
   # Omit some internal or obsolete options to make the list less imposing.
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures Squid Web Proxy 3.5.7 to adapt to many kinds of systems.
+\`configure' configures Squid Web Proxy 3.5.8 to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
 
@@ -1659,6 +1673,7 @@
   --sysconfdir=DIR        read-only single-machine data [PREFIX/etc]
   --sharedstatedir=DIR    modifiable architecture-independent data [PREFIX/com]
   --localstatedir=DIR     modifiable single-machine data [PREFIX/var]
+  --runstatedir=DIR       modifiable per-process data [LOCALSTATEDIR/run]
   --libdir=DIR            object code libraries [EPREFIX/lib]
   --includedir=DIR        C header files [PREFIX/include]
   --oldincludedir=DIR     C header files for non-gcc [/usr/include]
@@ -1689,7 +1704,7 @@
 
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of Squid Web Proxy 3.5.7:";;
+     short | recursive ) echo "Configuration of Squid Web Proxy 3.5.8:";;
    esac
   cat <<\_ACEOF
 
@@ -2096,7 +2111,7 @@
 test -n "$ac_init_help" && exit $ac_status
 if $ac_init_version; then
   cat <<\_ACEOF
-Squid Web Proxy configure 3.5.7
+Squid Web Proxy configure 3.5.8
 generated by GNU Autoconf 2.69
 
 Copyright (C) 2012 Free Software Foundation, Inc.
@@ -3200,7 +3215,7 @@
 This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by Squid Web Proxy $as_me 3.5.7, which was
+It was created by Squid Web Proxy $as_me 3.5.8, which was
 generated by GNU Autoconf 2.69.  Invocation command line was
 
   $ $0 $@
@@ -4067,7 +4082,7 @@
 
 # Define the identity of the package.
  PACKAGE='squid'
- VERSION='3.5.7'
+ VERSION='3.5.8'
 
 
 cat >>confdefs.h <<_ACEOF
@@ -7891,6 +7906,56 @@
 AR_R="$AR r"
 
 
+# Extract the first word of "linuxdoc", so it can be a program name with args.
+set dummy linuxdoc; ac_word=$2
+{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for $ac_word" >&5
+$as_echo_n "checking for $ac_word... " >&6; }
+if ${ac_cv_path_LINUXDOC+:} false; then :
+  $as_echo_n "(cached) " >&6
+else
+  case $LINUXDOC in
+  [\\/]* | ?:[\\/]*)
+  ac_cv_path_LINUXDOC="$LINUXDOC" # Let the user override the test with a path.
+  ;;
+  *)
+  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
+for as_dir in $PATH
+do
+  IFS=$as_save_IFS
+  test -z "$as_dir" && as_dir=.
+    for ac_exec_ext in '' $ac_executable_extensions; do
+  if as_fn_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
+    ac_cv_path_LINUXDOC="$as_dir/$ac_word$ac_exec_ext"
+    $as_echo "$as_me:${as_lineno-$LINENO}: found $as_dir/$ac_word$ac_exec_ext" >&5
+    break 2
+  fi
+done
+  done
+IFS=$as_save_IFS
+
+  test -z "$ac_cv_path_LINUXDOC" && ac_cv_path_LINUXDOC="$FALSE"
+  ;;
+esac
+fi
+LINUXDOC=$ac_cv_path_LINUXDOC
+if test -n "$LINUXDOC"; then
+  { $as_echo "$as_me:${as_lineno-$LINENO}: result: $LINUXDOC" >&5
+$as_echo "$LINUXDOC" >&6; }
+else
+  { $as_echo "$as_me:${as_lineno-$LINENO}: result: no" >&5
+$as_echo "no" >&6; }
+fi
+
+
+ if test "x${ac_cv_path_LINUXDOC}" != "x$FALSE"; then
+  ENABLE_RELEASE_DOCS_TRUE=
+  ENABLE_RELEASE_DOCS_FALSE='#'
+else
+  ENABLE_RELEASE_DOCS_TRUE='#'
+  ENABLE_RELEASE_DOCS_FALSE=
+fi
+
+
 # pre-define DEFAULT_PREFIX, some modules need it.
 if test "${prefix}" = "NONE" ; then
   squid_prefix=$ac_default_prefix
@@ -32753,7 +32818,7 @@
 ## Please see the COPYING and CONTRIBUTORS files for details.
 ##
 
-if test "x$with_krb5" == "xyes"; then
+if test "x$with_krb5" = "xyes"; then
   BUILD_HELPER="kerberos"
 fi
 
@@ -33327,7 +33392,7 @@
 ## Please see the COPYING and CONTRIBUTORS files for details.
 ##
 
-if test "x$with_krb5" == "xyes"; then
+if test "x$with_krb5" = "xyes"; then
   BUILD_HELPER="kerberos_ldap_group"
   if test "x$with_apple_krb5" = "xyes" ; then
     { $as_echo "$as_me:${as_lineno-$LINENO}: checking for main in -lresolv" >&5
@@ -38704,6 +38769,7 @@
 /* end confdefs.h.  */
 
 #     include <sys/types.h>
+#     include <sys/time.h>
 #     include <sys/ioccom.h>
 #     include <netinet/in.h>
 
@@ -38733,6 +38799,7 @@
 
 #define minor_t fubaar
 #       include <sys/types.h>
+#       include <sys/time.h>
 #       include <sys/ioccom.h>
 #       include <netinet/in.h>
 #undef minor_t
@@ -38756,8 +38823,7 @@
 
 else
 
-        { $as_echo "$as_me:${as_lineno-$LINENO}: result: unable to make IPFilter work with netinet/ headers" >&5
-$as_echo "unable to make IPFilter work with netinet/ headers" >&6; }
+        as_fn_error $? "unable to make IPFilter work with netinet/ headers" "$LINENO" 5
 
 fi
 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
@@ -38795,6 +38861,9 @@
 #if HAVE_SYS_TYPES_H
 #include <sys/types.h>
 #endif
+#if HAVE_SYS_TIME_H
+#include <sys/time.h>
+#endif
 #if HAVE_NETINET_IN_H
 #include <netinet/in.h>
 #endif
@@ -40242,7 +40311,7 @@
 
 rm -f core
 
-ac_config_files="$ac_config_files Makefile compat/Makefile lib/Makefile lib/ntlmauth/Makefile lib/libTrie/Makefile lib/libTrie/test/Makefile lib/profiler/Makefile lib/rfcnb/Makefile lib/smblib/Makefile lib/snmplib/Makefile scripts/Makefile src/Makefile src/anyp/Makefile src/ftp/Makefile src/base/Makefile src/acl/Makefile src/clients/Makefile src/servers/Makefile src/fs/Makefile src/repl/Makefile src/auth/Makefile src/auth/basic/Makefile src/auth/digest/Makefile src/auth/negotiate/Makefile src/auth/ntlm/Makefile src/adaptation/Makefile src/adaptation/icap/Makefile src/adaptation/ecap/Makefile src/comm/Makefile src/esi/Makefile src/eui/Makefile src/format/Makefile src/helper/Makefile src/http/Makefile src/icmp/Makefile src/ident/Makefile src/ip/Makefile src/log/Makefile src/ipc/Makefile src/ssl/Makefile src/mgr/Makefile src/parser/Makefile src/snmp/Makefile contrib/Makefile icons/Makefile errors/Makefile test-suite/Makefile doc/Makefile doc/manuals/Makefile helpers/Makefile helpers/basic_auth/Makefile helpers/basic_auth/DB/Makefile helpers/basic_auth/fake/Makefile helpers/basic_auth/getpwnam/Makefile helpers/basic_auth/LDAP/Makefile helpers/basic_auth/MSNT-multi-domain/Makefile helpers/basic_auth/NCSA/Makefile helpers/basic_auth/NIS/Makefile helpers/basic_auth/PAM/Makefile helpers/basic_auth/POP3/Makefile helpers/basic_auth/RADIUS/Makefile helpers/basic_auth/SASL/Makefile helpers/basic_auth/SMB/Makefile helpers/basic_auth/SMB_LM/Makefile helpers/basic_auth/SSPI/Makefile helpers/digest_auth/Makefile helpers/digest_auth/eDirectory/Makefile helpers/digest_auth/file/Makefile helpers/digest_auth/LDAP/Makefile helpers/ntlm_auth/Makefile helpers/ntlm_auth/fake/Makefile helpers/ntlm_auth/smb_lm/Makefile helpers/ntlm_auth/SSPI/Makefile helpers/negotiate_auth/Makefile helpers/negotiate_auth/kerberos/Makefile helpers/negotiate_auth/SSPI/Makefile helpers/negotiate_auth/wrapper/Makefile helpers/external_acl/Makefile helpers/external_acl/AD_group/Makefile helpers/external_acl/delayer/Makefile helpers/external_acl/eDirectory_userip/Makefile helpers/external_acl/file_userip/Makefile helpers/external_acl/kerberos_ldap_group/Makefile helpers/external_acl/LDAP_group/Makefile helpers/external_acl/LM_group/Makefile helpers/external_acl/session/Makefile helpers/external_acl/SQL_session/Makefile helpers/external_acl/unix_group/Makefile helpers/external_acl/wbinfo_group/Makefile helpers/external_acl/time_quota/Makefile helpers/log_daemon/Makefile helpers/log_daemon/DB/Makefile helpers/log_daemon/file/Makefile helpers/url_rewrite/Makefile helpers/url_rewrite/fake/Makefile helpers/ssl/Makefile helpers/storeid_rewrite/Makefile helpers/storeid_rewrite/file/Makefile tools/Makefile tools/purge/Makefile tools/squidclient/Makefile tools/systemd/Makefile tools/sysvinit/Makefile"
+ac_config_files="$ac_config_files Makefile compat/Makefile lib/Makefile lib/ntlmauth/Makefile lib/libTrie/Makefile lib/libTrie/test/Makefile lib/profiler/Makefile lib/rfcnb/Makefile lib/smblib/Makefile lib/snmplib/Makefile scripts/Makefile src/Makefile src/anyp/Makefile src/ftp/Makefile src/base/Makefile src/acl/Makefile src/clients/Makefile src/servers/Makefile src/fs/Makefile src/repl/Makefile src/auth/Makefile src/auth/basic/Makefile src/auth/digest/Makefile src/auth/negotiate/Makefile src/auth/ntlm/Makefile src/adaptation/Makefile src/adaptation/icap/Makefile src/adaptation/ecap/Makefile src/comm/Makefile src/esi/Makefile src/eui/Makefile src/format/Makefile src/helper/Makefile src/http/Makefile src/icmp/Makefile src/ident/Makefile src/ip/Makefile src/log/Makefile src/ipc/Makefile src/ssl/Makefile src/mgr/Makefile src/parser/Makefile src/snmp/Makefile contrib/Makefile icons/Makefile errors/Makefile test-suite/Makefile doc/Makefile doc/manuals/Makefile doc/release-notes/Makefile helpers/Makefile helpers/basic_auth/Makefile helpers/basic_auth/DB/Makefile helpers/basic_auth/fake/Makefile helpers/basic_auth/getpwnam/Makefile helpers/basic_auth/LDAP/Makefile helpers/basic_auth/MSNT-multi-domain/Makefile helpers/basic_auth/NCSA/Makefile helpers/basic_auth/NIS/Makefile helpers/basic_auth/PAM/Makefile helpers/basic_auth/POP3/Makefile helpers/basic_auth/RADIUS/Makefile helpers/basic_auth/SASL/Makefile helpers/basic_auth/SMB/Makefile helpers/basic_auth/SMB_LM/Makefile helpers/basic_auth/SSPI/Makefile helpers/digest_auth/Makefile helpers/digest_auth/eDirectory/Makefile helpers/digest_auth/file/Makefile helpers/digest_auth/LDAP/Makefile helpers/ntlm_auth/Makefile helpers/ntlm_auth/fake/Makefile helpers/ntlm_auth/smb_lm/Makefile helpers/ntlm_auth/SSPI/Makefile helpers/negotiate_auth/Makefile helpers/negotiate_auth/kerberos/Makefile helpers/negotiate_auth/SSPI/Makefile helpers/negotiate_auth/wrapper/Makefile helpers/external_acl/Makefile helpers/external_acl/AD_group/Makefile helpers/external_acl/delayer/Makefile helpers/external_acl/eDirectory_userip/Makefile helpers/external_acl/file_userip/Makefile helpers/external_acl/kerberos_ldap_group/Makefile helpers/external_acl/LDAP_group/Makefile helpers/external_acl/LM_group/Makefile helpers/external_acl/session/Makefile helpers/external_acl/SQL_session/Makefile helpers/external_acl/unix_group/Makefile helpers/external_acl/wbinfo_group/Makefile helpers/external_acl/time_quota/Makefile helpers/log_daemon/Makefile helpers/log_daemon/DB/Makefile helpers/log_daemon/file/Makefile helpers/url_rewrite/Makefile helpers/url_rewrite/fake/Makefile helpers/ssl/Makefile helpers/storeid_rewrite/Makefile helpers/storeid_rewrite/file/Makefile tools/Makefile tools/purge/Makefile tools/squidclient/Makefile tools/systemd/Makefile tools/sysvinit/Makefile"
 
 
 # must configure libltdl subdir unconditionally for "make distcheck" to work
@@ -40393,6 +40462,10 @@
   as_fn_error $? "conditional \"ENABLE_POD2MAN_DOC\" was never defined.
 Usually this means the macro was only invoked conditionally." "$LINENO" 5
 fi
+if test -z "${ENABLE_RELEASE_DOCS_TRUE}" && test -z "${ENABLE_RELEASE_DOCS_FALSE}"; then
+  as_fn_error $? "conditional \"ENABLE_RELEASE_DOCS\" was never defined.
+Usually this means the macro was only invoked conditionally." "$LINENO" 5
+fi
 if test -z "${ENABLE_LOADABLE_MODULES_TRUE}" && test -z "${ENABLE_LOADABLE_MODULES_FALSE}"; then
   as_fn_error $? "conditional \"ENABLE_LOADABLE_MODULES\" was never defined.
 Usually this means the macro was only invoked conditionally." "$LINENO" 5
@@ -40968,7 +41041,7 @@
 # report actual input values of CONFIG_FILES etc. instead of their
 # values after options handling.
 ac_log="
-This file was extended by Squid Web Proxy $as_me 3.5.7, which was
+This file was extended by Squid Web Proxy $as_me 3.5.8, which was
 generated by GNU Autoconf 2.69.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
@@ -41034,7 +41107,7 @@
 cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1
 ac_cs_config="`$as_echo "$ac_configure_args" | sed 's/^ //; s/[\\""\`\$]/\\\\&/g'`"
 ac_cs_version="\\
-Squid Web Proxy config.status 3.5.7
+Squid Web Proxy config.status 3.5.8
 configured by $0, generated by GNU Autoconf 2.69,
   with options \\"\$ac_cs_config\\"
 
@@ -41590,6 +41663,7 @@
     "test-suite/Makefile") CONFIG_FILES="$CONFIG_FILES test-suite/Makefile" ;;
     "doc/Makefile") CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;;
     "doc/manuals/Makefile") CONFIG_FILES="$CONFIG_FILES doc/manuals/Makefile" ;;
+    "doc/release-notes/Makefile") CONFIG_FILES="$CONFIG_FILES doc/release-notes/Makefile" ;;
     "helpers/Makefile") CONFIG_FILES="$CONFIG_FILES helpers/Makefile" ;;
     "helpers/basic_auth/Makefile") CONFIG_FILES="$CONFIG_FILES helpers/basic_auth/Makefile" ;;
     "helpers/basic_auth/DB/Makefile") CONFIG_FILES="$CONFIG_FILES helpers/basic_auth/DB/Makefile" ;;
diff -u -r -N squid-3.5.7/configure.ac squid-3.5.8/configure.ac
--- squid-3.5.7/configure.ac	2015-07-31 23:10:24.000000000 -0700
+++ squid-3.5.8/configure.ac	2015-09-01 12:53:54.000000000 -0700
@@ -5,12 +5,12 @@
 ## Please see the COPYING and CONTRIBUTORS files for details.
 ##
 
-AC_INIT([Squid Web Proxy],[3.5.7],[http://bugs.squid-cache.org/],[squid])
+AC_INIT([Squid Web Proxy],[3.5.8],[http://bugs.squid-cache.org/],[squid])
 AC_PREREQ(2.61)
 AC_CONFIG_HEADERS([include/autoconf.h])
 AC_CONFIG_AUX_DIR(cfgaux)
 AC_CONFIG_SRCDIR([src/main.cc])
-AM_INIT_AUTOMAKE([tar-ustar nostdinc])
+AM_INIT_AUTOMAKE([tar-ustar nostdinc subdir-objects])
 AC_REVISION($Revision$)dnl
 AC_PREFIX_DEFAULT(/usr/local/squid)
 AM_MAINTAINER_MODE
@@ -141,6 +141,9 @@
 AR_R="$AR r"
 AC_SUBST(AR_R)
 
+AC_PATH_PROG(LINUXDOC, linuxdoc, $FALSE)
+AM_CONDITIONAL(ENABLE_RELEASE_DOCS, test "x${ac_cv_path_LINUXDOC}" != "x$FALSE")
+
 # pre-define DEFAULT_PREFIX, some modules need it.
 if test "${prefix}" = "NONE" ; then
   squid_prefix=$ac_default_prefix
@@ -3835,6 +3838,7 @@
 	test-suite/Makefile
 	doc/Makefile
 	doc/manuals/Makefile
+	doc/release-notes/Makefile
 	helpers/Makefile
 	helpers/basic_auth/Makefile
 	helpers/basic_auth/DB/Makefile
diff -u -r -N squid-3.5.7/contrib/Makefile.in squid-3.5.8/contrib/Makefile.in
--- squid-3.5.7/contrib/Makefile.in	2015-07-31 23:09:33.000000000 -0700
+++ squid-3.5.8/contrib/Makefile.in	2015-09-01 12:53:03.000000000 -0700
@@ -274,6 +274,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -396,6 +397,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
diff -u -r -N squid-3.5.7/doc/Makefile.am squid-3.5.8/doc/Makefile.am
--- squid-3.5.7/doc/Makefile.am	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/doc/Makefile.am	2015-09-01 12:52:00.000000000 -0700
@@ -5,7 +5,7 @@
 ## Please see the COPYING and CONTRIBUTORS files for details.
 ##
 
-SUBDIRS = manuals
+SUBDIRS = manuals release-notes
 
 DEFAULT_CONFIG_FILE = $(sysconfdir)/squid.conf
 DEFAULT_MIME_TABLE      = $(sysconfdir)/mime.conf
diff -u -r -N squid-3.5.7/doc/Makefile.in squid-3.5.8/doc/Makefile.in
--- squid-3.5.7/doc/Makefile.in	2015-07-31 23:09:33.000000000 -0700
+++ squid-3.5.8/doc/Makefile.in	2015-09-01 12:53:03.000000000 -0700
@@ -329,6 +329,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -451,6 +452,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -461,7 +463,7 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-SUBDIRS = manuals
+SUBDIRS = manuals release-notes
 DEFAULT_CONFIG_FILE = $(sysconfdir)/squid.conf
 DEFAULT_MIME_TABLE = $(sysconfdir)/mime.conf
 DEFAULT_ERROR_DIR = $(datadir)/errors
diff -u -r -N squid-3.5.7/doc/manuals/Makefile.in squid-3.5.8/doc/manuals/Makefile.in
--- squid-3.5.7/doc/manuals/Makefile.in	2015-07-31 23:09:33.000000000 -0700
+++ squid-3.5.8/doc/manuals/Makefile.in	2015-09-01 12:53:03.000000000 -0700
@@ -269,6 +269,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -391,6 +392,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
diff -u -r -N squid-3.5.7/doc/release-notes/Makefile.am squid-3.5.8/doc/release-notes/Makefile.am
--- squid-3.5.7/doc/release-notes/Makefile.am	1969-12-31 16:00:00.000000000 -0800
+++ squid-3.5.8/doc/release-notes/Makefile.am	2015-09-01 12:52:00.000000000 -0700
@@ -0,0 +1,46 @@
+## Copyright (C) 1996-2015 The Squid Software Foundation and contributors
+##
+## Squid software is distributed under GPLv2+ license and includes
+## contributions from numerous individuals and organizations.
+## Please see the COPYING and CONTRIBUTORS files for details.
+##
+
+# requires the linuxdoc tools
+if ENABLE_RELEASE_DOCS
+
+DOC= release-3.5
+
+%.ps: %.sgml
+	linuxdoc -B latex -o ps $(DOC)
+
+#$(DOC).dvi: $(DOC).tex
+#	latex $(DOC).tex
+#	latex $(DOC).tex
+#	latex $(DOC).tex
+#
+
+%.txt: %.sgml
+	linuxdoc -B txt --filter $<
+
+%.html: %.sgml
+	linuxdoc -B html -T 2 --split=0 $<
+	perl -i -p -e "s%$@%%" $@
+	cp -p $@ $(top_builddir)/RELEASENOTES.html
+
+%.man: %.sgml
+	linuxdoc -B txt -T 2 -m $(DOC)
+
+dist-hook: $(DOC).html
+	@if test -f $(builddir)/$(DOC).html; then \
+	  cp -p $(builddir)/$(DOC).html $(top_distdir)/RELEASENOTES.html; \
+	fi
+
+EXTRA_DIST= $(DOC).html
+
+CLEANFILES= \
+	*.html \
+	*.tex *.ps *.dvi *.aux *.log *.toc \
+	*.txt *.man \
+	$(top_builddir)/RELEASENOTES.html
+
+endif
diff -u -r -N squid-3.5.7/doc/release-notes/Makefile.in squid-3.5.8/doc/release-notes/Makefile.in
--- squid-3.5.7/doc/release-notes/Makefile.in	1969-12-31 16:00:00.000000000 -0800
+++ squid-3.5.8/doc/release-notes/Makefile.in	2015-09-01 12:53:03.000000000 -0700
@@ -0,0 +1,640 @@
+# Makefile.in generated by automake 1.15 from Makefile.am.
+# @configure_input@
+
+# Copyright (C) 1994-2014 Free Software Foundation, Inc.
+
+# This Makefile.in is free software; the Free Software Foundation
+# gives unlimited permission to copy and/or distribute it,
+# with or without modifications, as long as this notice is preserved.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
+# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
+# PARTICULAR PURPOSE.
+
+@SET_MAKE@
+VPATH = @srcdir@
+am__is_gnu_make = { \
+  if test -z '$(MAKELEVEL)'; then \
+    false; \
+  elif test -n '$(MAKE_HOST)'; then \
+    true; \
+  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
+    true; \
+  else \
+    false; \
+  fi; \
+}
+am__make_running_with_option = \
+  case $${target_option-} in \
+      ?) ;; \
+      *) echo "am__make_running_with_option: internal error: invalid" \
+              "target option '$${target_option-}' specified" >&2; \
+         exit 1;; \
+  esac; \
+  has_opt=no; \
+  sane_makeflags=$$MAKEFLAGS; \
+  if $(am__is_gnu_make); then \
+    sane_makeflags=$$MFLAGS; \
+  else \
+    case $$MAKEFLAGS in \
+      *\\[\ \	]*) \
+        bs=\\; \
+        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
+          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
+    esac; \
+  fi; \
+  skip_next=no; \
+  strip_trailopt () \
+  { \
+    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
+  }; \
+  for flg in $$sane_makeflags; do \
+    test $$skip_next = yes && { skip_next=no; continue; }; \
+    case $$flg in \
+      *=*|--*) continue;; \
+        -*I) strip_trailopt 'I'; skip_next=yes;; \
+      -*I?*) strip_trailopt 'I';; \
+        -*O) strip_trailopt 'O'; skip_next=yes;; \
+      -*O?*) strip_trailopt 'O';; \
+        -*l) strip_trailopt 'l'; skip_next=yes;; \
+      -*l?*) strip_trailopt 'l';; \
+      -[dEDm]) skip_next=yes;; \
+      -[JT]) skip_next=yes;; \
+    esac; \
+    case $$flg in \
+      *$$target_option*) has_opt=yes; break;; \
+    esac; \
+  done; \
+  test $$has_opt = yes
+am__make_dryrun = (target_option=n; $(am__make_running_with_option))
+am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
+pkgdatadir = $(datadir)/@PACKAGE@
+pkgincludedir = $(includedir)/@PACKAGE@
+pkglibdir = $(libdir)/@PACKAGE@
+pkglibexecdir = $(libexecdir)/@PACKAGE@
+am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
+install_sh_DATA = $(install_sh) -c -m 644
+install_sh_PROGRAM = $(install_sh) -c
+install_sh_SCRIPT = $(install_sh) -c
+INSTALL_HEADER = $(INSTALL_DATA)
+transform = $(program_transform_name)
+NORMAL_INSTALL = :
+PRE_INSTALL = :
+POST_INSTALL = :
+NORMAL_UNINSTALL = :
+PRE_UNINSTALL = :
+POST_UNINSTALL = :
+build_triplet = @build@
+host_triplet = @host@
+subdir = doc/release-notes
+ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
+am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
+	$(top_srcdir)/acinclude/init.m4 \
+	$(top_srcdir)/acinclude/squid-util.m4 \
+	$(top_srcdir)/acinclude/compiler-flags.m4 \
+	$(top_srcdir)/acinclude/os-deps.m4 \
+	$(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
+	$(top_srcdir)/acinclude/pkg.m4 \
+	$(top_srcdir)/acinclude/lib-checks.m4 \
+	$(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
+	$(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
+	$(top_srcdir)/helpers/basic_auth/modules.m4 \
+	$(top_srcdir)/helpers/basic_auth/DB/required.m4 \
+	$(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
+	$(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
+	$(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
+	$(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
+	$(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
+	$(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
+	$(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
+	$(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
+	$(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
+	$(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
+	$(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
+	$(top_srcdir)/helpers/basic_auth/fake/required.m4 \
+	$(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
+	$(top_srcdir)/helpers/digest_auth/modules.m4 \
+	$(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
+	$(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
+	$(top_srcdir)/helpers/digest_auth/file/required.m4 \
+	$(top_srcdir)/helpers/negotiate_auth/modules.m4 \
+	$(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
+	$(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
+	$(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
+	$(top_srcdir)/helpers/ntlm_auth/modules.m4 \
+	$(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
+	$(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
+	$(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
+	$(top_srcdir)/helpers/log_daemon/modules.m4 \
+	$(top_srcdir)/helpers/log_daemon/DB/required.m4 \
+	$(top_srcdir)/helpers/log_daemon/file/required.m4 \
+	$(top_srcdir)/helpers/external_acl/modules.m4 \
+	$(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
+	$(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
+	$(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
+	$(top_srcdir)/helpers/external_acl/delayer/required.m4 \
+	$(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
+	$(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
+	$(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
+	$(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
+	$(top_srcdir)/helpers/external_acl/session/required.m4 \
+	$(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
+	$(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
+	$(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
+	$(top_srcdir)/helpers/url_rewrite/modules.m4 \
+	$(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
+	$(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
+	$(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
+	$(top_srcdir)/configure.ac
+am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
+	$(ACLOCAL_M4)
+DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
+mkinstalldirs = $(install_sh) -d
+CONFIG_HEADER = $(top_builddir)/include/autoconf.h
+CONFIG_CLEAN_FILES =
+CONFIG_CLEAN_VPATH_FILES =
+AM_V_P = $(am__v_P_@AM_V@)
+am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
+am__v_P_0 = false
+am__v_P_1 = :
+AM_V_GEN = $(am__v_GEN_@AM_V@)
+am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
+am__v_GEN_0 = @echo "  GEN     " $@;
+am__v_GEN_1 = 
+AM_V_at = $(am__v_at_@AM_V@)
+am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
+am__v_at_0 = @
+am__v_at_1 = 
+SOURCES =
+DIST_SOURCES =
+am__can_run_installinfo = \
+  case $$AM_UPDATE_INFO_DIR in \
+    n|no|NO) false;; \
+    *) (install-info --version) >/dev/null 2>&1;; \
+  esac
+am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
+am__DIST_COMMON = $(srcdir)/Makefile.in
+DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
+ACLOCAL = @ACLOCAL@
+ADAPTATION_LIBS = @ADAPTATION_LIBS@
+ALLOCA = @ALLOCA@
+AMTAR = @AMTAR@
+AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
+AR = @AR@
+ARGZ_H = @ARGZ_H@
+AR_R = @AR_R@
+AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
+AUTH_MODULES = @AUTH_MODULES@
+AUTOCONF = @AUTOCONF@
+AUTOHEADER = @AUTOHEADER@
+AUTOMAKE = @AUTOMAKE@
+AWK = @AWK@
+BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
+BUILDCXX = @BUILDCXX@
+BUILDCXXFLAGS = @BUILDCXXFLAGS@
+BZR = @BZR@
+CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
+CC = @CC@
+CCDEPMODE = @CCDEPMODE@
+CFLAGS = @CFLAGS@
+CGIEXT = @CGIEXT@
+CHMOD = @CHMOD@
+CPP = @CPP@
+CPPFLAGS = @CPPFLAGS@
+CPPUNITCONFIG = @CPPUNITCONFIG@
+CRYPTLIB = @CRYPTLIB@
+CXX = @CXX@
+CXXCPP = @CXXCPP@
+CXXDEPMODE = @CXXDEPMODE@
+CXXFLAGS = @CXXFLAGS@
+CYGPATH_W = @CYGPATH_W@
+DEFAULT_HOSTS = @DEFAULT_HOSTS@
+DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
+DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
+DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
+DEFS = @DEFS@
+DEPDIR = @DEPDIR@
+DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
+DISK_LIBS = @DISK_LIBS@
+DISK_LINKOBJS = @DISK_LINKOBJS@
+DISK_MODULES = @DISK_MODULES@
+DISK_OS_LIBS = @DISK_OS_LIBS@
+DISK_PROGRAMS = @DISK_PROGRAMS@
+DLLTOOL = @DLLTOOL@
+DSYMUTIL = @DSYMUTIL@
+DUMPBIN = @DUMPBIN@
+ECAP_LIBS = @ECAP_LIBS@
+ECHO_C = @ECHO_C@
+ECHO_N = @ECHO_N@
+ECHO_T = @ECHO_T@
+EGREP = @EGREP@
+EPOLL_LIBS = @EPOLL_LIBS@
+EUILIB = @EUILIB@
+EXEEXT = @EXEEXT@
+EXPATLIB = @EXPATLIB@
+EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
+EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
+EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
+FALSE = @FALSE@
+FGREP = @FGREP@
+GREP = @GREP@
+HAVE_CXX11 = @HAVE_CXX11@
+ICAP_LIBS = @ICAP_LIBS@
+INCLTDL = @INCLTDL@
+INSTALL = @INSTALL@
+INSTALL_DATA = @INSTALL_DATA@
+INSTALL_PROGRAM = @INSTALL_PROGRAM@
+INSTALL_SCRIPT = @INSTALL_SCRIPT@
+INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
+KRB5INCS = @KRB5INCS@
+KRB5LIBS = @KRB5LIBS@
+LBERLIB = @LBERLIB@
+LD = @LD@
+LDAPLIB = @LDAPLIB@
+LDFLAGS = @LDFLAGS@
+LIBADD_DL = @LIBADD_DL@
+LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
+LIBADD_DLOPEN = @LIBADD_DLOPEN@
+LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
+LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
+LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
+LIBLTDL = @LIBLTDL@
+LIBOBJS = @LIBOBJS@
+LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
+LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
+LIBS = @LIBS@
+LIBSASL = @LIBSASL@
+LIBTOOL = @LIBTOOL@
+LIB_DB = @LIB_DB@
+LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
+LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
+LIPO = @LIPO@
+LN = @LN@
+LN_S = @LN_S@
+LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
+LTDLDEPS = @LTDLDEPS@
+LTDLINCL = @LTDLINCL@
+LTDLOPEN = @LTDLOPEN@
+LTLIBOBJS = @LTLIBOBJS@
+LT_CONFIG_H = @LT_CONFIG_H@
+LT_DLLOADERS = @LT_DLLOADERS@
+LT_DLPREOPEN = @LT_DLPREOPEN@
+MAINT = @MAINT@
+MAKEINFO = @MAKEINFO@
+MANIFEST_TOOL = @MANIFEST_TOOL@
+MINGW_LIBS = @MINGW_LIBS@
+MKDIR = @MKDIR@
+MKDIR_P = @MKDIR_P@
+MV = @MV@
+NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
+NETTLELIB = @NETTLELIB@
+NM = @NM@
+NMEDIT = @NMEDIT@
+NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
+OBJDUMP = @OBJDUMP@
+OBJEXT = @OBJEXT@
+OTOOL = @OTOOL@
+OTOOL64 = @OTOOL64@
+PACKAGE = @PACKAGE@
+PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
+PACKAGE_NAME = @PACKAGE_NAME@
+PACKAGE_STRING = @PACKAGE_STRING@
+PACKAGE_TARNAME = @PACKAGE_TARNAME@
+PACKAGE_URL = @PACKAGE_URL@
+PACKAGE_VERSION = @PACKAGE_VERSION@
+PATH_SEPARATOR = @PATH_SEPARATOR@
+PERL = @PERL@
+PKG_CONFIG = @PKG_CONFIG@
+PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
+PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
+PO2HTML = @PO2HTML@
+PO2TEXT = @PO2TEXT@
+POD2MAN = @POD2MAN@
+RANLIB = @RANLIB@
+REGEXLIB = @REGEXLIB@
+REPL_LIBS = @REPL_LIBS@
+REPL_OBJS = @REPL_OBJS@
+REPL_POLICIES = @REPL_POLICIES@
+RM = @RM@
+SED = @SED@
+SET_MAKE = @SET_MAKE@
+SH = @SH@
+SHELL = @SHELL@
+SMBCLIENT = @SMBCLIENT@
+SNMPLIB = @SNMPLIB@
+SQUID_CFLAGS = @SQUID_CFLAGS@
+SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
+SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
+SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
+SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
+SSLLIB = @SSLLIB@
+STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
+STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
+STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
+STORE_TESTS = @STORE_TESTS@
+STRIP = @STRIP@
+TR = @TR@
+TRUE = @TRUE@
+URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
+VERSION = @VERSION@
+WBINFO = @WBINFO@
+WIN32_PSAPI = @WIN32_PSAPI@
+XMLLIB = @XMLLIB@
+XTRA_LIBS = @XTRA_LIBS@
+XTRA_OBJS = @XTRA_OBJS@
+abs_builddir = @abs_builddir@
+abs_srcdir = @abs_srcdir@
+abs_top_builddir = @abs_top_builddir@
+abs_top_srcdir = @abs_top_srcdir@
+ac_ct_AR = @ac_ct_AR@
+ac_ct_CC = @ac_ct_CC@
+ac_ct_CXX = @ac_ct_CXX@
+ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
+am__include = @am__include@
+am__leading_dot = @am__leading_dot@
+am__quote = @am__quote@
+am__tar = @am__tar@
+am__untar = @am__untar@
+bindir = @bindir@
+build = @build@
+build_alias = @build_alias@
+build_cpu = @build_cpu@
+build_os = @build_os@
+build_vendor = @build_vendor@
+builddir = @builddir@
+datadir = @datadir@
+datarootdir = @datarootdir@
+docdir = @docdir@
+dvidir = @dvidir@
+exec_prefix = @exec_prefix@
+host = @host@
+host_alias = @host_alias@
+host_cpu = @host_cpu@
+host_os = @host_os@
+host_vendor = @host_vendor@
+htmldir = @htmldir@
+includedir = @includedir@
+infodir = @infodir@
+install_sh = @install_sh@
+krb5_config = @krb5_config@
+libdir = @libdir@
+libexecdir = @libexecdir@
+localedir = @localedir@
+localstatedir = @localstatedir@
+ltdl_LIBOBJS = @ltdl_LIBOBJS@
+ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
+mandir = @mandir@
+mkdir_p = @mkdir_p@
+oldincludedir = @oldincludedir@
+pdfdir = @pdfdir@
+prefix = @prefix@
+program_transform_name = @program_transform_name@
+psdir = @psdir@
+runstatedir = @runstatedir@
+sbindir = @sbindir@
+sharedstatedir = @sharedstatedir@
+srcdir = @srcdir@
+subdirs = @subdirs@
+sys_symbol_underscore = @sys_symbol_underscore@
+sysconfdir = @sysconfdir@
+target_alias = @target_alias@
+top_build_prefix = @top_build_prefix@
+top_builddir = @top_builddir@
+top_srcdir = @top_srcdir@
+
+# requires the linuxdoc tools
+@ENABLE_RELEASE_DOCS_TRUE@DOC = release-3.5
+@ENABLE_RELEASE_DOCS_TRUE@EXTRA_DIST = $(DOC).html
+@ENABLE_RELEASE_DOCS_TRUE@CLEANFILES = \
+@ENABLE_RELEASE_DOCS_TRUE@	*.html \
+@ENABLE_RELEASE_DOCS_TRUE@	*.tex *.ps *.dvi *.aux *.log *.toc \
+@ENABLE_RELEASE_DOCS_TRUE@	*.txt *.man \
+@ENABLE_RELEASE_DOCS_TRUE@	$(top_builddir)/RELEASENOTES.html
+
+all: all-am
+
+.SUFFIXES:
+$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
+	@for dep in $?; do \
+	  case '$(am__configure_deps)' in \
+	    *$$dep*) \
+	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
+	        && { if test -f $@; then exit 0; else break; fi; }; \
+	      exit 1;; \
+	  esac; \
+	done; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign doc/release-notes/Makefile'; \
+	$(am__cd) $(top_srcdir) && \
+	  $(AUTOMAKE) --foreign doc/release-notes/Makefile
+Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+	@case '$?' in \
+	  *config.status*) \
+	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
+	  *) \
+	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
+	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
+	esac;
+
+$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
+	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+
+$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
+	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
+	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
+$(am__aclocal_m4_deps):
+
+mostlyclean-libtool:
+	-rm -f *.lo
+
+clean-libtool:
+	-rm -rf .libs _libs
+tags TAGS:
+
+ctags CTAGS:
+
+cscope cscopelist:
+
+@ENABLE_RELEASE_DOCS_FALSE@dist-hook:
+
+distdir: $(DISTFILES)
+	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
+	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
+	list='$(DISTFILES)'; \
+	  dist_files=`for file in $$list; do echo $$file; done | \
+	  sed -e "s|^$$srcdirstrip/||;t" \
+	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
+	case $$dist_files in \
+	  */*) $(MKDIR_P) `echo "$$dist_files" | \
+			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
+			   sort -u` ;; \
+	esac; \
+	for file in $$dist_files; do \
+	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
+	  if test -d $$d/$$file; then \
+	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
+	    if test -d "$(distdir)/$$file"; then \
+	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
+	    fi; \
+	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
+	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
+	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
+	    fi; \
+	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
+	  else \
+	    test -f "$(distdir)/$$file" \
+	    || cp -p $$d/$$file "$(distdir)/$$file" \
+	    || exit 1; \
+	  fi; \
+	done
+	$(MAKE) $(AM_MAKEFLAGS) \
+	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
+	  dist-hook
+check-am: all-am
+check: check-am
+all-am: Makefile
+installdirs:
+install: install-am
+install-exec: install-exec-am
+install-data: install-data-am
+uninstall: uninstall-am
+
+install-am: all-am
+	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
+
+installcheck: installcheck-am
+install-strip:
+	if test -z '$(STRIP)'; then \
+	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
+	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
+	      install; \
+	else \
+	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
+	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
+	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
+	fi
+mostlyclean-generic:
+
+clean-generic:
+	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
+
+distclean-generic:
+	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
+	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
+
+maintainer-clean-generic:
+	@echo "This command is intended for maintainers to use"
+	@echo "it deletes files that may require special tools to rebuild."
+clean: clean-am
+
+clean-am: clean-generic clean-libtool mostlyclean-am
+
+distclean: distclean-am
+	-rm -f Makefile
+distclean-am: clean-am distclean-generic
+
+dvi: dvi-am
+
+dvi-am:
+
+html: html-am
+
+html-am:
+
+info: info-am
+
+info-am:
+
+install-data-am:
+
+install-dvi: install-dvi-am
+
+install-dvi-am:
+
+install-exec-am:
+
+install-html: install-html-am
+
+install-html-am:
+
+install-info: install-info-am
+
+install-info-am:
+
+install-man:
+
+install-pdf: install-pdf-am
+
+install-pdf-am:
+
+install-ps: install-ps-am
+
+install-ps-am:
+
+installcheck-am:
+
+maintainer-clean: maintainer-clean-am
+	-rm -f Makefile
+maintainer-clean-am: distclean-am maintainer-clean-generic
+
+mostlyclean: mostlyclean-am
+
+mostlyclean-am: mostlyclean-generic mostlyclean-libtool
+
+pdf: pdf-am
+
+pdf-am:
+
+ps: ps-am
+
+ps-am:
+
+uninstall-am:
+
+.MAKE: install-am install-strip
+
+.PHONY: all all-am check check-am clean clean-generic clean-libtool \
+	cscopelist-am ctags-am dist-hook distclean distclean-generic \
+	distclean-libtool distdir dvi dvi-am html html-am info info-am \
+	install install-am install-data install-data-am install-dvi \
+	install-dvi-am install-exec install-exec-am install-html \
+	install-html-am install-info install-info-am install-man \
+	install-pdf install-pdf-am install-ps install-ps-am \
+	install-strip installcheck installcheck-am installdirs \
+	maintainer-clean maintainer-clean-generic mostlyclean \
+	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
+	tags-am uninstall uninstall-am
+
+.PRECIOUS: Makefile
+
+
+@ENABLE_RELEASE_DOCS_TRUE@%.ps: %.sgml
+@ENABLE_RELEASE_DOCS_TRUE@	linuxdoc -B latex -o ps $(DOC)
+
+#$(DOC).dvi: $(DOC).tex
+#	latex $(DOC).tex
+#	latex $(DOC).tex
+#	latex $(DOC).tex
+#
+
+@ENABLE_RELEASE_DOCS_TRUE@%.txt: %.sgml
+@ENABLE_RELEASE_DOCS_TRUE@	linuxdoc -B txt --filter $<
+
+@ENABLE_RELEASE_DOCS_TRUE@%.html: %.sgml
+@ENABLE_RELEASE_DOCS_TRUE@	linuxdoc -B html -T 2 --split=0 $<
+@ENABLE_RELEASE_DOCS_TRUE@	perl -i -p -e "s%$@%%" $@
+@ENABLE_RELEASE_DOCS_TRUE@	cp -p $@ $(top_builddir)/RELEASENOTES.html
+
+@ENABLE_RELEASE_DOCS_TRUE@%.man: %.sgml
+@ENABLE_RELEASE_DOCS_TRUE@	linuxdoc -B txt -T 2 -m $(DOC)
+
+@ENABLE_RELEASE_DOCS_TRUE@dist-hook: $(DOC).html
+@ENABLE_RELEASE_DOCS_TRUE@	@if test -f $(builddir)/$(DOC).html; then \
+@ENABLE_RELEASE_DOCS_TRUE@	  cp -p $(builddir)/$(DOC).html $(top_distdir)/RELEASENOTES.html; \
+@ENABLE_RELEASE_DOCS_TRUE@	fi
+
+# Tell versions [3.59,3.63) of GNU make to not export all variables.
+# Otherwise a system limit (for SysV at least) may be exceeded.
+.NOEXPORT:
diff -u -r -N squid-3.5.7/doc/release-notes/release-3.5.html squid-3.5.8/doc/release-notes/release-3.5.html
--- squid-3.5.7/doc/release-notes/release-3.5.html	1969-12-31 16:00:00.000000000 -0800
+++ squid-3.5.8/doc/release-notes/release-3.5.html	2015-09-01 13:44:01.000000000 -0700
@@ -0,0 +1,765 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">
+<HTML>
+<HEAD>
+ <META NAME="GENERATOR" CONTENT="LinuxDoc-Tools 0.9.69">
+ <TITLE>Squid 3.5.8 release notes</TITLE>
+</HEAD>
+<BODY>
+<H1>Squid 3.5.8 release notes</H1>
+
+<H2>Squid Developers</H2>
+<HR>
+<EM>This document contains the release notes for version 3.5 of Squid.
+Squid is a WWW Cache application developed by the National Laboratory
+for Applied Network Research and members of the Web Caching community.</EM>
+<HR>
+<P>
+<H2><A NAME="toc1">1.</A> <A HREF="#s1">Notice</A></H2>
+
+<UL>
+<LI><A NAME="toc1.1">1.1</A> <A HREF="#ss1.1">Known issues</A>
+<LI><A NAME="toc1.2">1.2</A> <A HREF="#ss1.2">Changes since earlier releases of Squid-3.5</A>
+<LI><A NAME="toc1.3">1.3</A> <A HREF="#ss1.3">Copyright disclaimer adjustments</A>
+</UL>
+<P>
+<H2><A NAME="toc2">2.</A> <A HREF="#s2">Major new features since Squid-3.4</A></H2>
+
+<UL>
+<LI><A NAME="toc2.1">2.1</A> <A HREF="#ss2.1">Support libecap v1.0</A>
+<LI><A NAME="toc2.2">2.2</A> <A HREF="#ss2.2">Authentication helper query extensions</A>
+<LI><A NAME="toc2.3">2.3</A> <A HREF="#ss2.3">Support named services</A>
+<LI><A NAME="toc2.4">2.4</A> <A HREF="#ss2.4">Upgraded squidclient tool</A>
+<LI><A NAME="toc2.5">2.5</A> <A HREF="#ss2.5">Helper support for concurrency channels</A>
+<LI><A NAME="toc2.6">2.6</A> <A HREF="#ss2.6">Native FTP Relay</A>
+<LI><A NAME="toc2.7">2.7</A> <A HREF="#ss2.7">Receive PROXY protocol, Versions 1 &amp; 2</A>
+<LI><A NAME="toc2.8">2.8</A> <A HREF="#ss2.8">Basic authentication MSNT helper changes</A>
+</UL>
+<P>
+<H2><A NAME="toc3">3.</A> <A HREF="#s3">Changes to squid.conf since Squid-3.4</A></H2>
+
+<UL>
+<LI><A NAME="toc3.1">3.1</A> <A HREF="#ss3.1">New tags</A>
+<LI><A NAME="toc3.2">3.2</A> <A HREF="#ss3.2">Changes to existing tags</A>
+<LI><A NAME="toc3.3">3.3</A> <A HREF="#ss3.3">Removed tags</A>
+</UL>
+<P>
+<H2><A NAME="toc4">4.</A> <A HREF="#s4">Changes to ./configure options since Squid-3.4</A></H2>
+
+<UL>
+<LI><A NAME="toc4.1">4.1</A> <A HREF="#ss4.1">New options</A>
+<LI><A NAME="toc4.2">4.2</A> <A HREF="#ss4.2">Changes to existing options</A>
+<LI><A NAME="toc4.3">4.3</A> <A HREF="#ss4.3">Removed options</A>
+</UL>
+<P>
+<H2><A NAME="toc5">5.</A> <A HREF="#s5">Regressions since Squid-2.7</A></H2>
+
+<UL>
+<LI><A NAME="toc5.1">5.1</A> <A HREF="#ss5.1">Missing squid.conf options available in Squid-2.7</A>
+</UL>
+<P>
+<H2><A NAME="toc6">6.</A> <A HREF="#s6">Copyright</A></H2>
+
+
+<HR>
+<H2><A NAME="s1">1.</A> <A HREF="#toc1">Notice</A></H2>
+
+<P>The Squid Team are pleased to announce the release of Squid-3.5.8.</P>
+<P>This new release is available for download from 
+<A HREF="http://www.squid-cache.org/Versions/v3/3.5/">http://www.squid-cache.org/Versions/v3/3.5/</A> or the
+<A HREF="http://www.squid-cache.org/Download/http-mirrors.html">mirrors</A>.</P>
+
+<P>Some interesting new features adding system flexibility have been added along with general improvements all around.
+While this release is not fully bug-free we believe it is ready for use in production on many systems.</P>
+
+<P>We welcome feedback and bug reports. If you find a bug, please see 
+<A HREF="http://wiki.squid-cache.org/SquidFaq/BugReporting">http://wiki.squid-cache.org/SquidFaq/BugReporting</A>
+for how to submit a report with a stack trace.</P>
+
+<H2><A NAME="ss1.1">1.1</A> <A HREF="#toc1.1">Known issues</A>
+</H2>
+
+<P>Although this release is deemed good enough for use in many setups, please note the existence of 
+<A HREF="http://bugs.squid-cache.org/buglist.cgi?query_format=advanced&amp;product=Squid&amp;bug_status=UNCONFIRMED&amp;bug_status=NEW&amp;bug_status=ASSIGNED&amp;bug_status=REOPENED&amp;version=3.5">open bugs against Squid-3.5</A>.</P>
+
+<H2><A NAME="ss1.2">1.2</A> <A HREF="#toc1.2">Changes since earlier releases of Squid-3.5</A>
+</H2>
+
+<P>The 3.5 change history can be 
+<A HREF="http://www.squid-cache.org/Versions/v3/3.5/changesets/">viewed here</A>.</P>
+
+<H2><A NAME="ss1.3">1.3</A> <A HREF="#toc1.3">Copyright disclaimer adjustments</A>
+</H2>
+
+<P>Squid sources are now administered by the Squid Software Foundation on
+behalf of the Squid Project and community.</P>
+
+<P>This version of Squid contains initial changes to streamline copyright
+declarations in Squid sources and related metafiles. No functionality
+or licensing changes are intended.</P>
+
+<P>Once completed, the changes will consistently declare Squid contributors
+(listed in CONTRIBUTORS and represented by the Squid Software Foundation) as
+Squid copyright owners while referring the reader to the COPYING file for GPL
+licensing details. The boilerplate with the above information is provided.</P>
+
+<P>These changes do not affect copyright rights of individuals or organizations.
+We are simply confirming the fact that there are many Squid copyright owners,
+just like there are many Linux kernel copyright owners. We are also providing
+a simple, consistent way to document that fact.</P>
+
+
+<H2><A NAME="s2">2.</A> <A HREF="#toc2">Major new features since Squid-3.4</A></H2>
+
+<P>Squid 3.5 represents a new feature release above 3.4.</P>
+
+<P>The most important of these new features are:
+<UL>
+<LI>Support libecap v1.0</LI>
+<LI>Authentication helper query extensions</LI>
+<LI>Support named services</LI>
+<LI>Upgraded squidclient tool</LI>
+<LI>Helper support for concurrency channels</LI>
+<LI>Native FTP Relay</LI>
+<LI>Receive PROXY protocol, Versions 1 &amp; 2</LI>
+<LI>Basic authentication MSNT helper changes</LI>
+</UL>
+</P>
+<P>Most user-facing changes are reflected in squid.conf (see below).</P>
+
+
+<H2><A NAME="ss2.1">2.1</A> <A HREF="#toc2.1">Support libecap v1.0</A>
+</H2>
+
+<P>Details at 
+<A HREF="http://wiki.squid-cache.org/Features/eCAP">http://wiki.squid-cache.org/Features/eCAP</A>.</P>
+
+<P>The new libecap version allows Squid to better check the version of
+the eCAP adapter being loaded as well as the version of the eCAP library
+being used.</P>
+
+<P>Squid-3.5 can support eCAP adapters built with libecap v1.0,
+but no longer supports adapters built with earlier libecap versions
+due to API changes.</P>
+
+
+<H2><A NAME="ss2.2">2.2</A> <A HREF="#toc2.2">Authentication helper query extensions</A>
+</H2>
+
+<P>Details at 
+<A HREF="http://www.squid-cache.org/Doc/config/auth_param/">http://www.squid-cache.org/Doc/config/auth_param/</A>.</P>
+
+<P>The new <EM>key_extras</EM> parameter allows sending of additional
+details to the authentication helper beyond the minimum required for
+the HTTP authentication. This is primarily intended to allow switching
+of authentication databases based on criteria such as client IP subnet,
+Squid receiving port, or in reverse-proxy the requested domain name.</P>
+
+<P>In theory any <EM>logformat</EM> code may be used, however only the
+codes which have available details at the time of authentication
+will send any meaningful detail.</P>
+
+
+<H2><A NAME="ss2.3">2.3</A> <A HREF="#toc2.3">Support named services</A>
+</H2>
+
+<P>Details at 
+<A HREF="http://wiki.squid-cache.org/MultipleInstances">http://wiki.squid-cache.org/MultipleInstances</A>.</P>
+<P>Terminology details at 
+<A HREF="http://wiki.squid-cache.org/Features/SmpScale#Terminology">http://wiki.squid-cache.org/Features/SmpScale#Terminology</A>.</P>
+
+<P>The command line option <EM>-n</EM> assigns a name to the Squid service
+instance to be used as a unique identifier for all SMP processes run as
+part of that instance. This allows multiple instances of Squid service to
+be run on a single machine without background SMP systems such as shared
+memory and inter-process communication becoming confused or requiring
+additional configuration.</P>
+
+<P>A service name is always used. When the <EM>-n</EM> option is missing
+from the command line the default service name is <EM>squid</EM>.</P>
+
+<P>When multiple instances are being run the <EM>-n</EM> service name is
+required to target all other options such as <EM>-z</EM> or <EM>-k</EM>
+commands at the correct service.</P>
+
+<P>The squid.conf macro ${service_name} is added to provide the service name
+of the process parsing the config.</P>
+
+
+<H2><A NAME="ss2.4">2.4</A> <A HREF="#toc2.4">Upgraded squidclient tool</A>
+</H2>
+
+<P>Details at 
+<A HREF="http://www.squid-cache.org/Versions/v3/3.5/manuals/squidclient.html">http://www.squid-cache.org/Versions/v3/3.5/manuals/squidclient.html</A>.</P>
+
+<P>The <EM>squidclient</EM> has begun the process of upgrading to support
+protocols other than HTTP.</P>
+
+<H3>Debug levels</H3>
+
+<P>The tool displays the server response message on STDOUT unless the <EM>-q</EM>
+command line option is used. Error messages will be output to STDERR.
+All other possible output is considered debug and output to STDERR using
+a range of debug verbosity levels (currently 1, 2 and 3).</P>
+
+<P>When the <EM>-v</EM> command line option is used debugging is enabled.
+The level of debug display is raised for each repetition of the option.</P>
+
+<H3>PING</H3>
+
+<P>When <EM>--ping</EM> is given the tool will send its message repeatedly
+using whichever protocol that message has been formatted for.
+Optional parameters to limit the number of pings and their frequency are
+available.</P>
+
+<P>Older tool versions also provide this feature but require the loop count
+parameter to be set to enable use of the feature.</P>
+
+<H3>HTTPS</H3>
+
+<P>When Squid is built with the GnuTLS encryption library the tool is able
+to open TLS (or SSL/3.0) connections to servers.</P>
+
+<P>The <EM>--https</EM> option enables TLS using default values.</P>
+
+<P>The <EM>--cert</EM> option specifies a file containing X.509 client
+certificate and private key in PEM format to be loaded for use. Multiple
+certificates are supported and the option may be used multiple times to
+load certificates.
+The default is not to use a client certificate.</P>
+
+<P>The <EM>--params</EM> option specifies a library specific set of parameters
+to be sent to the library for configuring the security context.
+See 
+<A HREF="http://gnutls.org/manual/html_node/Priority-Strings.html">http://gnutls.org/manual/html_node/Priority-Strings.html</A> for
+available GnuTLS parameters.</P>
+
+<P>The <EM>--trusted-ca</EM> option specifies a file in PEM format containing
+one or more Certificate Authority (CA) certificates used to verify the
+remote server. This option may be used multiple times to load additional
+CA certificate lists.
+The default is not to use any CA, nor trust any server.</P>
+
+<P>Anonymous TLS (using non-authenticated Diffi-Hellman or Elliptic Curve
+encryption) is available with the <EM>--anonymous-tls</EM> option.
+The default is to use X.509 certificate encryption instead.</P>
+
+<P>When performing TLS/SSL server certificates are always verified, the
+results shown at debug level 3. The encrypted type is displayed at debug
+level 2 and the connection is used to send and receive the messages
+regardless of verification results.</P>
+
+
+<H2><A NAME="ss2.5">2.5</A> <A HREF="#toc2.5">Helper support for concurrency channels</A>
+</H2>
+
+<P>Helper concurrency greatly reduces the communication lag between Squid
+and its helpers allowing faster transaction speeds even on sequential
+helpers.</P>
+
+<P>The Digest authentication, Store-ID, and URL-rewrite helpers packaged
+with Squid have been updated to support concurrency channels. They will
+auto-detect the <EM>channel-ID</EM> field and will produce the appropriate
+response format.
+With these helpers concurrency may now be set to 0 or any higher number as desired.</P>
+
+
+<H2><A NAME="ss2.6">2.6</A> <A HREF="#toc2.6">Native FTP Relay</A>
+</H2>
+
+<P>Details at 
+<A HREF="http://wiki.squid-cache.org/Features/FtpRelay">http://wiki.squid-cache.org/Features/FtpRelay</A>.</P>
+
+<P>Squid is now capable of accepting native FTP commands and relaying native
+FTP messages between FTP clients and FTP servers. Native FTP commands
+accepted at ftp_port are internally converted or wrapped into HTTP-like
+messages. The same happens to Native FTP responses received from FTP origin
+servers. Those HTTP-like messages are shoveled through regular access
+control and adaptation layers between the FTP client and the FTP origin
+server. This allows Squid to examine, adapt, block, and log FTP exchanges.
+Squid reuses most HTTP mechanisms when shoveling wrapped FTP messages. For
+example, http_access and adaptation_access directives are used.</P>
+
+<P>FTP Relay is a new, experimental, complex feature that has seen limited
+production exposure. Some Squid modules (e.g., caching) do not currently
+work with native FTP proxying, and many features have not even been tested
+for compatibility. Test well before deploying!</P>
+
+<P>Native FTP proxying differs substantially from proxying HTTP requests with
+<EM>ftp://</EM> URIs because Squid works as an FTP server and receives
+actual FTP commands (rather than HTTP requests with FTP URLs).</P>
+
+<P>FTP Relay highlights:
+<UL>
+<LI>Added ftp_port directive telling Squid to relay native FTP commands.</LI>
+<LI>Active and passive FTP support on the user-facing side; require
+passive connections to come from the control connection source IP
+address.</LI>
+<LI>IPv6 support (EPSV and, on the user-facing side, EPRT).</LI>
+<LI>Intelligent adaptation of relayed FTP FEAT responses.</LI>
+<LI>Relaying of multi-line FTP control responses using various formats.</LI>
+<LI>Support relaying of FTP MLSD and MLST commands (RFC 3659).</LI>
+<LI>Several Microsoft FTP server compatibility features.</LI>
+<LI>ICAP/eCAP support (at individual FTP command/response level).</LI>
+<LI>Optional "current FTP directory" tracking with the assistance of
+injected (by Squid) PWD commands (cannot be 100% reliable due to
+symbolic links and such, but is helpful in some common use cases).</LI>
+<LI>No caching support -- no reliable Request URIs for that (see above).</LI>
+</UL>
+</P>
+
+<H2><A NAME="ss2.7">2.7</A> <A HREF="#toc2.7">Receive PROXY protocol, Versions 1 &amp; 2</A>
+</H2>
+
+<P>More info at 
+<A HREF="http://www.haproxy.org/download/1.5/doc/proxy-protocol.txt">http://www.haproxy.org/download/1.5/doc/proxy-protocol.txt</A></P>
+
+<P>PROXY protocol provides a simple way for proxies and tunnels of any kind to
+relay the original client source details without having to alter or understand
+the protocol being relayed on the connection.</P>
+
+<P>Squid currently supports receiving HTTP traffic from a client proxy using this protocol.
+An http_port which has been configured to receive this protocol may only be used to
+receive traffic from client software sending in this protocol.
+HTTP traffic without the PROXY header is not accepted on such a port.</P>
+
+<P>The <EM>accel</EM> and <EM>intercept</EM> options are still used to identify the HTTP
+traffic syntax being delivered by the client proxy.</P>
+
+<P>Squid can be configured by adding an <EM>http_port</EM>
+with the <EM>require-proxy-header</EM> mode flag. The <EM>proxy_protocol_access</EM>
+must also be configured with <EM>src</EM> ACLs to whitelist proxies which are
+trusted to send correct client details.</P>
+
+<P>Forward-proxy traffic from a client proxy:
+<PRE>
+ acl frontend src 192.0.2.1
+ http_port 3128 require-proxy-header
+ proxy_protocol_access allow frontend
+</PRE>
+</P>
+
+<P>Intercepted traffic from a client proxy or tunnel:
+<PRE>
+ acl frontend src 192.0.2.2
+ http_port 3128 intercept require-proxy-header
+ proxy_protocol_access allow frontend
+</PRE>
+</P>
+
+<P>Reverse-proxy traffic from a frontend load balancer sending PROXY protocol:
+<PRE>
+ acl frontend src 192.0.2.3
+ http_port 3128 accel require-proxy-header
+ proxy_protocol_access allow frontend
+</PRE>
+</P>
+
+<P><EM>Known Issue:</EM>
+Use of <EM>require-proxy-header</EM> on <EM>https_port</EM> and <EM>ftp_port</EM> is not supported.</P>
+
+
+<H2><A NAME="ss2.8">2.8</A> <A HREF="#toc2.8">Basic authentication MSNT helper changes</A>
+</H2>
+
+<P>The authentication helper previously known as <EM>basic_msnt_auth</EM> has
+been deprecated and renamed to <EM>basic_smb_lm_auth</EM> to reflect that
+it only performs SMB LanMan protocol(s) instead of modern MS authentication
+protocols.</P>
+
+<P>The <EM>basic_smb_lm_auth</EM> helper has been remodelled and no longer uses
+configuration files. The Doman Controller servers are now configured via
+command line parameters and user credentials are looked up in each DC in the
+order configured until one matches or all have confirmed a non-match.</P>
+
+<P>The <EM>MSNT-multi-domain</EM> helper provides the same functionality and
+is also deprecated. It will be removed in the Squid-3.6 series.</P>
+
+
+
+<H2><A NAME="s3">3.</A> <A HREF="#toc3">Changes to squid.conf since Squid-3.4</A></H2>
+
+<P>There have been changes to Squid's configuration file since Squid-3.4.</P>
+
+<P>Squid supports reading configuration option parameters from external
+files using the syntax <EM>parameters("/path/filename")</EM>. For example:
+<PRE>
+    acl whitelist dstdomain parameters("/etc/squid/whitelist.txt")
+</PRE>
+</P>
+
+<P>The squid.conf macro <EM>${service_name}</EM> is added to provide the service name
+of the process parsing the config.</P>
+
+<P>There have also been changes to individual directives in the config file.</P>
+<P>This section gives a thorough account of those changes in three categories:</P>
+<P>
+<UL>
+<LI>
+<A HREF="#newtags">New tags</A></LI>
+<LI>
+<A HREF="#modifiedtags">Changes to existing tags</A></LI>
+<LI>
+<A HREF="#removedtags">Removed tags</A></LI>
+</UL>
+</P>
+
+
+<H2><A NAME="newtags"></A> <A NAME="ss3.1">3.1</A> <A HREF="#toc3.1">New tags</A>
+</H2>
+
+<P>
+<DL>
+<DT><B>collapsed_forwarding</B><DD>
+<P>Ported from Squid-2 with no configuration or visible behaviour changes.
+Collapsing of requests is performed across SMP workers.</P>
+
+<DT><B>ftp_client_idle_timeout</B><DD>
+<P>New directive controlling how long to wait for an FTP request on a
+client connection to Squid <EM>ftp_port</EM>.</P>
+<P>Many FTP clients do not deal with idle connection closures well,
+necessitating a longer default timeout (30 minutes) than
+<EM>client_idle_pconn_timeout</EM> used for incoming HTTP requests (2
+minutes).</P>
+<P>The current default may be changed as we get more experience with FTP relaying.</P>
+
+<DT><B>ftp_port</B><DD>
+<P>New configuration directive to accept and relay native FTP
+commands. Typically used for port 21 traffic.  By default, native
+FTP commands are not accepted.</P>
+
+<DT><B>proxy_protocol_access</B><DD>
+<P>New directive to control which clients are permitted to open PROXY
+protocol connections on a port flagged with <EM>require-proxy-header</EM>.</P>
+
+<DT><B>send_hit</B><DD>
+<P>New configuration directive to enable/disable sending cached content
+based on ACL selection. ACL can be based on client request or cached
+response details.</P>
+
+<DT><B>sslproxy_cert_sign_hash</B><DD>
+<P>New directive to set the hashing algorithm to use when signing generated certificates.</P>
+
+<DT><B>sslproxy_session_cache_size</B><DD>
+<P>New directive which sets the cache size to use for TLS/SSL sessions cache.</P>
+
+<DT><B>sslproxy_session_ttl</B><DD>
+<P>New directive to specify the time in seconds the TLS/SSL session is valid.</P>
+
+<DT><B>store_id_extras</B><DD>
+<P>New directive to send additional lookup parameters to the configured
+Store-ID helper program. It takes a string which may contain logformat %macros.</P>
+<P>The Store-ID helper input format is now:
+<PRE>
+         [channel-ID] url [extras]
+        
+</PRE>
+</P>
+<P>The default value for extras is: "%&gt;a/%&gt;A %un %&gt;rm myip=%la myport=%lp"</P>
+
+<DT><B>store_miss</B><DD>
+<P>New configuration directive to enable/disable caching of MISS responses.
+ACL can be based on any request or response details.</P>
+
+<DT><B>url_rewrite_extras</B><DD>
+<P>New directive to send additional lookup parameters to the configured
+URL-rewriter/redirector helper program. It takes a string which may
+contain logformat %macros.</P>
+<P>The url rewrite and redirector helper input format is now:
+<PRE>
+         [channel-ID] url [extras]
+        
+</PRE>
+</P>
+<P>The default value for extras is: "%&gt;a/%&gt;A %un %&gt;rm myip=%la myport=%lp"</P>
+
+</DL>
+</P>
+
+<H2><A NAME="modifiedtags"></A> <A NAME="ss3.2">3.2</A> <A HREF="#toc3.2">Changes to existing tags</A>
+</H2>
+
+<P>
+<DL>
+<DT><B>acl</B><DD>
+<P>Deprecated type <EM>tag</EM>. Use type <EM>note</EM> with 'tag' key
+name instead.</P>
+<P>New type <EM>adaptation_service</EM> to match the name of any
+icap_service, ecap_service, adaptation_service_set, or
+adaptation_service_chain that Squid has used (or attempted to use)
+for the HTTP transaction so far.</P>
+<P>New type <EM>at_step</EM> to match the current SSL-Bump processing step.
+Never matches and should not be used outside of <EM>ssl_bump</EM>.</P>
+<P>New types <EM>ssl::server_name</EM> and <EM>ssl::server_name_regex</EM>
+to match server name from various sources (CONNECT authority name,
+TLS SNI domain, or X.509 certificate Subject Name).</P>
+
+<DT><B>auth_param</B><DD>
+<P>New parameter <EM>key_extras</EM> to send additional parameters to
+the authentication helper.</P>
+
+<DT><B>cache_dir</B><DD>
+<P>New support for larger than 32KB objects in both <EM>rock</EM> type
+cache and shared memory cache.</P>
+<P>New <EM>slot-size=N</EM> option for rock cache to specify the database
+slot/page size when small slot sizes are desired. The default and
+maximum slot size is 32KB.</P>
+<P>Removal of old rock cache dir followed by <EM>squid -z</EM> is required
+when upgrading from earlier versions of Squid.</P>
+<P><EM>COSS</EM> storage type is formally replaced by Rock storage type.
+COSS storage type and all COSS specific options are removed.</P>
+
+<DT><B>cache_peer</B><DD>
+<P>New <EM>standby=N</EM> option to retain a set of N open and unused
+connections to the peer at virtually all times to reduce TCP handshake
+delays.</P>
+<P>These connections differ from HTTP persistent connections in that they
+have not been used for HTTP messaging (and may never be). They may be
+turned into persistent connections after their first use subject to the
+same keep-alive critera any HTTP connection is checked for.</P>
+<P>Squid-2 option <EM>idle=</EM> replaced by <EM>standby=</EM>.</P>
+<P>NOTE that standby connections are started earlier and available in
+more circumstances than squid-2 idle connections were. They are
+also spread over all IPs of the peer.</P>
+
+<DT><B>configuration_includes_quoted_values</B><DD>
+<P>Regex pattern values cannot be parsed in parts of squid.conf when this
+directive is configured to <EM>ON</EM>. Instead of quoted strings Squid
+now accepts regex \-escaped characters (including escaped spaces) in all
+regex patterns.</P>
+
+<DT><B>external_acl_type</B><DD>
+<P>New format code <EM>%ssl::&gt;sni</EM> to send SSL client SNI.</P>
+<P>New format code <EM>%ssl::&lt;cert_subject</EM> to send SSL server certificate DN.</P>
+<P>New format code <EM>%ssl::&lt;cert_issuer</EM> to send SSL server certificate issuer DN.</P>
+<P>New format code <EM>%un</EM> to send any available user name (requires 3.5.7 or later).</P>
+<P>New response kv-pair <EM>clt_conn_tag=</EM> to associates a given tag with the client TCP connection.</P>
+
+<DT><B>forward_max_tries</B><DD>
+<P>Default value increased to <EM>25 destinations</EM> to allow better
+contact and IPv4 failover with domains using long lists of IPv6
+addresses.</P>
+
+<DT><B>ftp_epsv</B><DD>
+<P>Converted into an Access List with allow/deny value driven by ACLs
+using Squid standard first line wins matching basis.</P>
+<P>The old values of <EM>on</EM> and <EM>off</EM> imply <EM>allow all</EM>
+and <EM>deny all</EM> respectively and are now deprecated.
+Do not combine use of on/off values with ACL configuration.</P>
+
+<DT><B>http_port</B><DD>
+<P><EM>protocol=</EM> option altered to accept protocol version details.
+Currently supported values are: HTTP, HTTP/1.1, HTTPS, HTTPS/1.1</P>
+<P>New option <EM>require-proxy-header</EM> to mark ports receiving PROXY
+protocol version 1 or 2 traffic.</P>
+
+<DT><B>https_port</B><DD>
+<P><EM>protocol=</EM> option altered to accept protocol version details.
+Currently supported values are: HTTP, HTTP/1.1, HTTPS, HTTPS/1.1</P>
+
+<DT><B>logformat</B><DD>
+<P>New format code <EM>%credentials</EM> to log the client credentials token.</P>
+<P>New format code <EM>%ssl::&gt;sni</EM> to TLS client SNI sent to Squid.</P>
+<P>New format code <EM>%tS</EM> to log transaction start time in
+"seconds.milliseconds" format, similar to the existing access.log
+"current time" field (%ts.%03tu) which logs the corresponding
+transaction finish time.</P>
+<P>New format codes <EM>%&lt;rs</EM> and <EM>%&gt;rs</EM> to log request URL
+scheme from client or sent to server/peer respectively.</P>
+<P>New format codes <EM>%&lt;rd</EM> and <EM>%&gt;rd</EM> to log request URL
+domain from client or sent to server/peer respectively.</P>
+<P>New format codes <EM>%&lt;rP</EM> and <EM>%&gt;rP</EM> to log request URL
+port from client or sent to server/peer respectively.</P>
+
+<DT><B>ssl_bump</B><DD>
+<P>Bumping 'modes' redesigned as 'actions' and ACLs evaluated repeatedly in a number of steps.</P>
+<P>Renamed <EM>server-first</EM> as <EM>bump</EM> action.</P>
+<P>Renamed <EM>none</EM> as <EM>splice</EM> action.</P>
+<P>New actions <EM>peek</EM> and <EM>stare</EM> to receive client or server
+certificate while preserving the ability to later decide between bumping
+or splicing the connections later.</P>
+<P>New action <EM>terminate</EM> to close the client and server connections.</P>
+
+<DT><B>url_rewrite_program</B><DD>
+<P>New response kv-pair <EM>clt_conn_tag=</EM> to associates a given tag with the client TCP connection.</P>
+
+</DL>
+</P>
+
+<H2><A NAME="removedtags"></A> <A NAME="ss3.3">3.3</A> <A HREF="#toc3.3">Removed tags</A>
+</H2>
+
+<P>
+<DL>
+<DT><B>cache_dns_program</B><DD>
+<P>DNS external helper interface has been removed. It was no longer
+able to provide high performance service and the internal DNS
+client library with multicast DNS cover all modern use-cases.</P>
+
+<DT><B>dns_children</B><DD>
+<P>DNS external helper interface has been removed.</P>
+
+<DT><B>hierarchy_stoplist</B><DD>
+<P>Removed. The old directive values prohibiting CGI and dynamic content
+going to cache_peer are no longer relevant.</P>
+<P>The functionality provided by this directive can be configured
+using <EM>always_direct allow</EM> if still needed.</P>
+
+</DL>
+</P>
+
+
+<H2><A NAME="s4">4.</A> <A HREF="#toc4">Changes to ./configure options since Squid-3.4</A></H2>
+
+<P>There have been some changes to Squid's build configuration since Squid-3.4.</P>
+<P>This section gives an account of those changes in three categories:</P>
+<P>
+<UL>
+<LI>
+<A HREF="#newoptions">New options</A></LI>
+<LI>
+<A HREF="#modifiedoptions">Changes to existing options</A></LI>
+<LI>
+<A HREF="#removedoptions">Removed options</A></LI>
+</UL>
+</P>
+
+
+<H2><A NAME="newoptions"></A> <A NAME="ss4.1">4.1</A> <A HREF="#toc4.1">New options</A>
+</H2>
+
+<P>
+<DL>
+<DT><B>BUILDCXX=</B><DD>
+<P>Used when cross-compiling Squid.</P>
+<P>The path and name of a compiler for building cf_gen and related
+tools used in the compile process.</P>
+
+<DT><B>BUILDCXXFLAGS=</B><DD>
+<P>Used when cross-compiling Squid.</P>
+<P>C++ compiler flags used for building cf_gen and related
+tools used in the compile process.</P>
+
+<DT><B>--without-gnutls</B><DD>
+<P>New option to explicitly disable use of GnuTLS encryption library.
+Use of this library is auto-enabled if v3.1.5 or later is available.</P>
+<P>It is currently only used by the squidclient tool.</P>
+
+<DT><B>--without-mit-krb5</B><DD>
+<P>New option to explicitly disable use of MIT Kerberos library.
+Default is to auto-detect and use if possible.</P>
+<P>Only one Kerberos library may be built against.</P>
+
+<DT><B>--without-heimdal-krb5</B><DD>
+<P>New option to explicitly disable use of Hiemdal Kerberos library.
+Default is to auto-detect and use if possible.</P>
+<P>Only one Kerberos library may be built against.</P>
+
+<DT><B>--without-gnugss</B><DD>
+<P>New option to explicitly disable use of GNU GSSAPI library for Kerberos.
+Default is to auto-detect and use if possible.</P>
+<P>Only one Kerberos library may be built against.</P>
+
+</DL>
+</P>
+
+<H2><A NAME="modifiedoptions"></A> <A NAME="ss4.2">4.2</A> <A HREF="#toc4.2">Changes to existing options</A>
+</H2>
+
+<P>
+<DL>
+<DT><B>--enable-icap-client</B><DD>
+<P>Deprecated. ICAP client is now auto-enabled.
+Use --disable-icap-client to disable if you need to.</P>
+
+</DL>
+</P>
+<H2><A NAME="removedoptions"></A> <A NAME="ss4.3">4.3</A> <A HREF="#toc4.3">Removed options</A>
+</H2>
+
+<P>
+<DL>
+<DT><B>--disable-internal-dns</B><DD>
+<P>DNS external helper interface has been removed. It was no longer
+able to provide high performance service and the internal DNS
+client library with multicast DNS cover all modern use-cases.</P>
+
+<DT><B>--enable-ssl</B><DD>
+<P>Removed. Use <EM>--with-openssl</EM> to enable OpenSSL library support.</P>
+
+<DT><B>--with-coss-membuf-size</B><DD>
+<P>The COSS cache type has been removed.
+It has been replaced by <EM>rock</EM> cache type.</P>
+
+<DT><B>--with-krb5-config</B><DD>
+<P>Removed. The Kerberos library is auto-detected now.</P>
+<P>Use <EM>--with/--without-mit-krb5</EM>, <EM>--with/--without-heimdal-krb5</EM>, or
+<EM>--with/--without-gnugss</EM> options for specific library selection if necesary.</P>
+
+</DL>
+</P>
+
+
+<H2><A NAME="s5">5.</A> <A HREF="#toc5">Regressions since Squid-2.7</A></H2>
+
+<P>Some squid.conf options which were available in Squid-2.7 are not yet available in Squid-3.5</P>
+
+<P>If you need something to do then porting one of these from Squid-2 to Squid-3 is most welcome.</P>
+
+<H2><A NAME="ss5.1">5.1</A> <A HREF="#toc5.1">Missing squid.conf options available in Squid-2.7</A>
+</H2>
+
+<P>
+<DL>
+<DT><B>broken_vary_encoding</B><DD>
+<P>Not yet ported from 2.6</P>
+
+<DT><B>cache_peer</B><DD>
+<P><EM>monitorinterval=</EM> not yet ported from 2.6</P>
+<P><EM>monitorsize=</EM> not yet ported from 2.6</P>
+<P><EM>monitortimeout=</EM> not yet ported from 2.6</P>
+<P><EM>monitorurl=</EM> not yet ported from 2.6</P>
+
+<DT><B>cache_vary</B><DD>
+<P>Not yet ported from 2.6</P>
+
+<DT><B>error_map</B><DD>
+<P>Not yet ported from 2.6</P>
+
+<DT><B>external_refresh_check</B><DD>
+<P>Not yet ported from 2.7</P>
+
+<DT><B>location_rewrite_access</B><DD>
+<P>Not yet ported from 2.6</P>
+
+<DT><B>location_rewrite_children</B><DD>
+<P>Not yet ported from 2.6</P>
+
+<DT><B>location_rewrite_concurrency</B><DD>
+<P>Not yet ported from 2.6</P>
+
+<DT><B>location_rewrite_program</B><DD>
+<P>Not yet ported from 2.6</P>
+
+<DT><B>refresh_pattern</B><DD>
+<P><EM>stale-while-revalidate=</EM> not yet ported from 2.7</P>
+<P><EM>ignore-stale-while-revalidate=</EM> not yet ported from 2.7</P>
+<P><EM>negative-ttl=</EM> not yet ported from 2.7</P>
+
+<DT><B>refresh_stale_hit</B><DD>
+<P>Not yet ported from 2.7</P>
+
+<DT><B>update_headers</B><DD>
+<P>Not yet ported from 2.7</P>
+
+</DL>
+</P>
+
+<H2><A NAME="s6">6.</A> <A HREF="#toc6">Copyright</A></H2>
+
+<P>Copyright (C) 1996-2015 The Squid Software Foundation and contributors</P>
+<P>Squid software is distributed under GPLv2+ license and includes
+contributions from numerous individuals and organizations.
+Please see the COPYING and CONTRIBUTORS files for details.</P>
+
+</BODY>
+</HTML>
diff -u -r -N squid-3.5.7/errors/Makefile.in squid-3.5.8/errors/Makefile.in
--- squid-3.5.7/errors/Makefile.in	2015-07-31 23:09:33.000000000 -0700
+++ squid-3.5.8/errors/Makefile.in	2015-09-01 12:53:03.000000000 -0700
@@ -270,6 +270,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -392,6 +393,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
diff -u -r -N squid-3.5.7/helpers/basic_auth/DB/basic_db_auth.8 squid-3.5.8/helpers/basic_auth/DB/basic_db_auth.8
--- squid-3.5.7/helpers/basic_auth/DB/basic_db_auth.8	2015-07-31 23:57:34.000000000 -0700
+++ squid-3.5.8/helpers/basic_auth/DB/basic_db_auth.8	2015-09-01 13:44:04.000000000 -0700
@@ -133,7 +133,7 @@
 .\" ========================================================================
 .\"
 .IX Title "BASIC_DB_AUTH 8"
-.TH BASIC_DB_AUTH 8 "2015-08-01" "perl v5.20.2" "User Contributed Perl Documentation"
+.TH BASIC_DB_AUTH 8 "2015-09-01" "perl v5.20.2" "User Contributed Perl Documentation"
 .\" For nroff, turn off justification.  Always turn off hyphenation; it makes
 .\" way too many mistakes in technical documents.
 .if n .ad l
diff -u -r -N squid-3.5.7/helpers/basic_auth/DB/Makefile.in squid-3.5.8/helpers/basic_auth/DB/Makefile.in
--- squid-3.5.7/helpers/basic_auth/DB/Makefile.in	2015-07-31 23:09:34.000000000 -0700
+++ squid-3.5.8/helpers/basic_auth/DB/Makefile.in	2015-09-01 12:53:04.000000000 -0700
@@ -483,6 +483,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -605,6 +606,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
diff -u -r -N squid-3.5.7/helpers/basic_auth/fake/Makefile.in squid-3.5.8/helpers/basic_auth/fake/Makefile.in
--- squid-3.5.7/helpers/basic_auth/fake/Makefile.in	2015-07-31 23:09:39.000000000 -0700
+++ squid-3.5.8/helpers/basic_auth/fake/Makefile.in	2015-09-01 12:53:09.000000000 -0700
@@ -530,6 +530,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -652,6 +653,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -782,22 +784,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fake.Po@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/helpers/basic_auth/getpwnam/Makefile.in squid-3.5.8/helpers/basic_auth/getpwnam/Makefile.in
--- squid-3.5.7/helpers/basic_auth/getpwnam/Makefile.in	2015-07-31 23:09:39.000000000 -0700
+++ squid-3.5.8/helpers/basic_auth/getpwnam/Makefile.in	2015-09-01 12:53:09.000000000 -0700
@@ -535,6 +535,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -657,6 +658,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -792,22 +794,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/basic_getpwnam_auth.Po@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/helpers/basic_auth/LDAP/Makefile.in squid-3.5.8/helpers/basic_auth/LDAP/Makefile.in
--- squid-3.5.7/helpers/basic_auth/LDAP/Makefile.in	2015-07-31 23:09:34.000000000 -0700
+++ squid-3.5.8/helpers/basic_auth/LDAP/Makefile.in	2015-09-01 12:53:04.000000000 -0700
@@ -536,6 +536,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -658,6 +659,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -794,22 +796,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/basic_ldap_auth.Po@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/helpers/basic_auth/Makefile.in squid-3.5.8/helpers/basic_auth/Makefile.in
--- squid-3.5.7/helpers/basic_auth/Makefile.in	2015-07-31 23:09:35.000000000 -0700
+++ squid-3.5.8/helpers/basic_auth/Makefile.in	2015-09-01 12:53:05.000000000 -0700
@@ -328,6 +328,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -450,6 +451,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
diff -u -r -N squid-3.5.7/helpers/basic_auth/MSNT-multi-domain/basic_msnt_multi_domain_auth.8 squid-3.5.8/helpers/basic_auth/MSNT-multi-domain/basic_msnt_multi_domain_auth.8
--- squid-3.5.7/helpers/basic_auth/MSNT-multi-domain/basic_msnt_multi_domain_auth.8	2015-07-31 23:57:39.000000000 -0700
+++ squid-3.5.8/helpers/basic_auth/MSNT-multi-domain/basic_msnt_multi_domain_auth.8	2015-09-01 13:44:08.000000000 -0700
@@ -133,7 +133,7 @@
 .\" ========================================================================
 .\"
 .IX Title "BASIC_MSNT_MULTI_DOMAIN_AUTH 1"
-.TH BASIC_MSNT_MULTI_DOMAIN_AUTH 1 "2015-08-01" "perl v5.20.2" "User Contributed Perl Documentation"
+.TH BASIC_MSNT_MULTI_DOMAIN_AUTH 1 "2015-09-01" "perl v5.20.2" "User Contributed Perl Documentation"
 .\" For nroff, turn off justification.  Always turn off hyphenation; it makes
 .\" way too many mistakes in technical documents.
 .if n .ad l
diff -u -r -N squid-3.5.7/helpers/basic_auth/MSNT-multi-domain/Makefile.in squid-3.5.8/helpers/basic_auth/MSNT-multi-domain/Makefile.in
--- squid-3.5.7/helpers/basic_auth/MSNT-multi-domain/Makefile.in	2015-07-31 23:09:35.000000000 -0700
+++ squid-3.5.8/helpers/basic_auth/MSNT-multi-domain/Makefile.in	2015-09-01 12:53:04.000000000 -0700
@@ -481,6 +481,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -603,6 +604,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
diff -u -r -N squid-3.5.7/helpers/basic_auth/NCSA/Makefile.in squid-3.5.8/helpers/basic_auth/NCSA/Makefile.in
--- squid-3.5.7/helpers/basic_auth/NCSA/Makefile.in	2015-07-31 23:09:35.000000000 -0700
+++ squid-3.5.8/helpers/basic_auth/NCSA/Makefile.in	2015-09-01 12:53:05.000000000 -0700
@@ -557,6 +557,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -679,6 +680,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -819,22 +821,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/crypt_md5.Po@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/helpers/basic_auth/NIS/Makefile.in squid-3.5.8/helpers/basic_auth/NIS/Makefile.in
--- squid-3.5.7/helpers/basic_auth/NIS/Makefile.in	2015-07-31 23:09:36.000000000 -0700
+++ squid-3.5.8/helpers/basic_auth/NIS/Makefile.in	2015-09-01 12:53:05.000000000 -0700
@@ -551,6 +551,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -673,6 +674,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -813,22 +815,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/nis_support.Po@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/helpers/basic_auth/PAM/Makefile.in squid-3.5.8/helpers/basic_auth/PAM/Makefile.in
--- squid-3.5.7/helpers/basic_auth/PAM/Makefile.in	2015-07-31 23:09:36.000000000 -0700
+++ squid-3.5.8/helpers/basic_auth/PAM/Makefile.in	2015-09-01 12:53:06.000000000 -0700
@@ -534,6 +534,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -656,6 +657,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -792,22 +794,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/basic_pam_auth.Po@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/helpers/basic_auth/POP3/basic_pop3_auth.8 squid-3.5.8/helpers/basic_auth/POP3/basic_pop3_auth.8
--- squid-3.5.7/helpers/basic_auth/POP3/basic_pop3_auth.8	2015-07-31 23:57:43.000000000 -0700
+++ squid-3.5.8/helpers/basic_auth/POP3/basic_pop3_auth.8	2015-09-01 13:44:12.000000000 -0700
@@ -133,7 +133,7 @@
 .\" ========================================================================
 .\"
 .IX Title "BASIC_POP3_AUTH 8"
-.TH BASIC_POP3_AUTH 8 "2015-08-01" "perl v5.20.2" "User Contributed Perl Documentation"
+.TH BASIC_POP3_AUTH 8 "2015-09-01" "perl v5.20.2" "User Contributed Perl Documentation"
 .\" For nroff, turn off justification.  Always turn off hyphenation; it makes
 .\" way too many mistakes in technical documents.
 .if n .ad l
diff -u -r -N squid-3.5.7/helpers/basic_auth/POP3/Makefile.in squid-3.5.8/helpers/basic_auth/POP3/Makefile.in
--- squid-3.5.7/helpers/basic_auth/POP3/Makefile.in	2015-07-31 23:09:36.000000000 -0700
+++ squid-3.5.8/helpers/basic_auth/POP3/Makefile.in	2015-09-01 12:53:06.000000000 -0700
@@ -483,6 +483,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -605,6 +606,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
diff -u -r -N squid-3.5.7/helpers/basic_auth/RADIUS/Makefile.in squid-3.5.8/helpers/basic_auth/RADIUS/Makefile.in
--- squid-3.5.7/helpers/basic_auth/RADIUS/Makefile.in	2015-07-31 23:09:37.000000000 -0700
+++ squid-3.5.8/helpers/basic_auth/RADIUS/Makefile.in	2015-09-01 12:53:07.000000000 -0700
@@ -556,6 +556,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -678,6 +679,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -821,22 +823,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/radius-util.Po@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/helpers/basic_auth/SASL/Makefile.in squid-3.5.8/helpers/basic_auth/SASL/Makefile.in
--- squid-3.5.7/helpers/basic_auth/SASL/Makefile.in	2015-07-31 23:09:37.000000000 -0700
+++ squid-3.5.8/helpers/basic_auth/SASL/Makefile.in	2015-09-01 12:53:07.000000000 -0700
@@ -535,6 +535,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -657,6 +658,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -798,22 +800,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/basic_sasl_auth.Po@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/helpers/basic_auth/SMB/Makefile.in squid-3.5.8/helpers/basic_auth/SMB/Makefile.in
--- squid-3.5.7/helpers/basic_auth/SMB/Makefile.in	2015-07-31 23:09:38.000000000 -0700
+++ squid-3.5.8/helpers/basic_auth/SMB/Makefile.in	2015-09-01 12:53:07.000000000 -0700
@@ -539,6 +539,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -661,6 +662,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -832,22 +834,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/basic_smb_auth-basic_smb_auth.Po@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/helpers/basic_auth/SMB_LM/Makefile.in squid-3.5.8/helpers/basic_auth/SMB_LM/Makefile.in
--- squid-3.5.7/helpers/basic_auth/SMB_LM/Makefile.in	2015-07-31 23:09:38.000000000 -0700
+++ squid-3.5.8/helpers/basic_auth/SMB_LM/Makefile.in	2015-09-01 12:53:08.000000000 -0700
@@ -553,6 +553,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -675,6 +676,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -821,22 +823,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/valid.Po@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/helpers/basic_auth/SSPI/Makefile.in squid-3.5.8/helpers/basic_auth/SSPI/Makefile.in
--- squid-3.5.7/helpers/basic_auth/SSPI/Makefile.in	2015-07-31 23:09:38.000000000 -0700
+++ squid-3.5.8/helpers/basic_auth/SSPI/Makefile.in	2015-09-01 12:53:08.000000000 -0700
@@ -559,6 +559,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -681,6 +682,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -824,22 +826,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/basic_sspi_auth-valid.Po@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/helpers/digest_auth/eDirectory/Makefile.in squid-3.5.8/helpers/digest_auth/eDirectory/Makefile.in
--- squid-3.5.7/helpers/digest_auth/eDirectory/Makefile.in	2015-07-31 23:09:40.000000000 -0700
+++ squid-3.5.8/helpers/digest_auth/eDirectory/Makefile.in	2015-09-01 12:53:10.000000000 -0700
@@ -553,6 +553,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -675,6 +676,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -822,22 +824,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ldap_backend.Po@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/helpers/digest_auth/file/Makefile.in squid-3.5.8/helpers/digest_auth/file/Makefile.in
--- squid-3.5.7/helpers/digest_auth/file/Makefile.in	2015-07-31 23:09:41.000000000 -0700
+++ squid-3.5.8/helpers/digest_auth/file/Makefile.in	2015-09-01 12:53:10.000000000 -0700
@@ -557,6 +557,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -679,6 +680,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -823,22 +825,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/text_backend.Po@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/helpers/digest_auth/LDAP/Makefile.in squid-3.5.8/helpers/digest_auth/LDAP/Makefile.in
--- squid-3.5.7/helpers/digest_auth/LDAP/Makefile.in	2015-07-31 23:09:40.000000000 -0700
+++ squid-3.5.8/helpers/digest_auth/LDAP/Makefile.in	2015-09-01 12:53:09.000000000 -0700
@@ -553,6 +553,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -675,6 +676,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -819,22 +821,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ldap_backend.Po@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/helpers/digest_auth/Makefile.in squid-3.5.8/helpers/digest_auth/Makefile.in
--- squid-3.5.7/helpers/digest_auth/Makefile.in	2015-07-31 23:09:40.000000000 -0700
+++ squid-3.5.8/helpers/digest_auth/Makefile.in	2015-09-01 12:53:10.000000000 -0700
@@ -328,6 +328,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -450,6 +451,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
diff -u -r -N squid-3.5.7/helpers/external_acl/AD_group/Makefile.in squid-3.5.8/helpers/external_acl/AD_group/Makefile.in
--- squid-3.5.7/helpers/external_acl/AD_group/Makefile.in	2015-07-31 23:09:41.000000000 -0700
+++ squid-3.5.8/helpers/external_acl/AD_group/Makefile.in	2015-09-01 12:53:11.000000000 -0700
@@ -535,6 +535,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -657,6 +658,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -805,22 +807,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ext_ad_group_acl.Po@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/helpers/external_acl/delayer/ext_delayer_acl.8 squid-3.5.8/helpers/external_acl/delayer/ext_delayer_acl.8
--- squid-3.5.7/helpers/external_acl/delayer/ext_delayer_acl.8	2015-07-31 23:57:58.000000000 -0700
+++ squid-3.5.8/helpers/external_acl/delayer/ext_delayer_acl.8	2015-09-01 13:44:24.000000000 -0700
@@ -133,7 +133,7 @@
 .\" ========================================================================
 .\"
 .IX Title "EXT_DELAYER_ACL 8"
-.TH EXT_DELAYER_ACL 8 "2015-08-01" "perl v5.20.2" "User Contributed Perl Documentation"
+.TH EXT_DELAYER_ACL 8 "2015-09-01" "perl v5.20.2" "User Contributed Perl Documentation"
 .\" For nroff, turn off justification.  Always turn off hyphenation; it makes
 .\" way too many mistakes in technical documents.
 .if n .ad l
diff -u -r -N squid-3.5.7/helpers/external_acl/delayer/Makefile.in squid-3.5.8/helpers/external_acl/delayer/Makefile.in
--- squid-3.5.7/helpers/external_acl/delayer/Makefile.in	2015-07-31 23:09:43.000000000 -0700
+++ squid-3.5.8/helpers/external_acl/delayer/Makefile.in	2015-09-01 12:53:12.000000000 -0700
@@ -483,6 +483,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -605,6 +606,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
diff -u -r -N squid-3.5.7/helpers/external_acl/eDirectory_userip/Makefile.in squid-3.5.8/helpers/external_acl/eDirectory_userip/Makefile.in
--- squid-3.5.7/helpers/external_acl/eDirectory_userip/Makefile.in	2015-07-31 23:09:43.000000000 -0700
+++ squid-3.5.8/helpers/external_acl/eDirectory_userip/Makefile.in	2015-09-01 12:53:13.000000000 -0700
@@ -537,6 +537,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -659,6 +660,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -797,22 +799,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ext_edirectory_userip_acl.Po@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/helpers/external_acl/file_userip/Makefile.in squid-3.5.8/helpers/external_acl/file_userip/Makefile.in
--- squid-3.5.7/helpers/external_acl/file_userip/Makefile.in	2015-07-31 23:09:43.000000000 -0700
+++ squid-3.5.8/helpers/external_acl/file_userip/Makefile.in	2015-09-01 12:53:13.000000000 -0700
@@ -536,6 +536,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -658,6 +659,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -798,22 +800,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ext_file_userip_acl.Po@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/helpers/external_acl/kerberos_ldap_group/Makefile.in squid-3.5.8/helpers/external_acl/kerberos_ldap_group/Makefile.in
--- squid-3.5.7/helpers/external_acl/kerberos_ldap_group/Makefile.in	2015-07-31 23:09:44.000000000 -0700
+++ squid-3.5.8/helpers/external_acl/kerberos_ldap_group/Makefile.in	2015-09-01 12:53:13.000000000 -0700
@@ -606,6 +606,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -728,6 +729,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -925,22 +927,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/support_sasl.Po@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/helpers/external_acl/kerberos_ldap_group/required.m4 squid-3.5.8/helpers/external_acl/kerberos_ldap_group/required.m4
--- squid-3.5.7/helpers/external_acl/kerberos_ldap_group/required.m4	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/helpers/external_acl/kerberos_ldap_group/required.m4	2015-09-01 12:52:00.000000000 -0700
@@ -5,7 +5,7 @@
 ## Please see the COPYING and CONTRIBUTORS files for details.
 ##
 
-if test "x$with_krb5" == "xyes"; then
+if test "x$with_krb5" = "xyes"; then
   BUILD_HELPER="kerberos_ldap_group"
   if test "x$with_apple_krb5" = "xyes" ; then
     AC_CHECK_LIB(resolv, [main], [XTRA_LIBS="$XTRA_LIBS -lresolv"],[
diff -u -r -N squid-3.5.7/helpers/external_acl/LDAP_group/Makefile.in squid-3.5.8/helpers/external_acl/LDAP_group/Makefile.in
--- squid-3.5.7/helpers/external_acl/LDAP_group/Makefile.in	2015-07-31 23:09:41.000000000 -0700
+++ squid-3.5.8/helpers/external_acl/LDAP_group/Makefile.in	2015-09-01 12:53:11.000000000 -0700
@@ -538,6 +538,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -660,6 +661,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -797,22 +799,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ext_ldap_group_acl.Po@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/helpers/external_acl/LM_group/Makefile.in squid-3.5.8/helpers/external_acl/LM_group/Makefile.in
--- squid-3.5.7/helpers/external_acl/LM_group/Makefile.in	2015-07-31 23:09:42.000000000 -0700
+++ squid-3.5.8/helpers/external_acl/LM_group/Makefile.in	2015-09-01 12:53:11.000000000 -0700
@@ -536,6 +536,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -658,6 +659,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -796,22 +798,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ext_lm_group_acl.Po@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/helpers/external_acl/Makefile.in squid-3.5.8/helpers/external_acl/Makefile.in
--- squid-3.5.7/helpers/external_acl/Makefile.in	2015-07-31 23:09:42.000000000 -0700
+++ squid-3.5.8/helpers/external_acl/Makefile.in	2015-09-01 12:53:12.000000000 -0700
@@ -328,6 +328,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -450,6 +451,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
diff -u -r -N squid-3.5.7/helpers/external_acl/session/Makefile.in squid-3.5.8/helpers/external_acl/session/Makefile.in
--- squid-3.5.7/helpers/external_acl/session/Makefile.in	2015-07-31 23:09:44.000000000 -0700
+++ squid-3.5.8/helpers/external_acl/session/Makefile.in	2015-09-01 12:53:14.000000000 -0700
@@ -535,6 +535,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -657,6 +658,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -791,22 +793,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ext_session_acl.Po@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/helpers/external_acl/SQL_session/ext_sql_session_acl.8 squid-3.5.8/helpers/external_acl/SQL_session/ext_sql_session_acl.8
--- squid-3.5.7/helpers/external_acl/SQL_session/ext_sql_session_acl.8	2015-07-31 23:58:05.000000000 -0700
+++ squid-3.5.8/helpers/external_acl/SQL_session/ext_sql_session_acl.8	2015-09-01 13:44:31.000000000 -0700
@@ -133,7 +133,7 @@
 .\" ========================================================================
 .\"
 .IX Title "EXT_SQL_SESSION_ACL 8"
-.TH EXT_SQL_SESSION_ACL 8 "2015-08-01" "perl v5.20.2" "User Contributed Perl Documentation"
+.TH EXT_SQL_SESSION_ACL 8 "2015-09-01" "perl v5.20.2" "User Contributed Perl Documentation"
 .\" For nroff, turn off justification.  Always turn off hyphenation; it makes
 .\" way too many mistakes in technical documents.
 .if n .ad l
diff -u -r -N squid-3.5.7/helpers/external_acl/SQL_session/Makefile.in squid-3.5.8/helpers/external_acl/SQL_session/Makefile.in
--- squid-3.5.7/helpers/external_acl/SQL_session/Makefile.in	2015-07-31 23:09:42.000000000 -0700
+++ squid-3.5.8/helpers/external_acl/SQL_session/Makefile.in	2015-09-01 12:53:12.000000000 -0700
@@ -483,6 +483,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -605,6 +606,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
diff -u -r -N squid-3.5.7/helpers/external_acl/time_quota/Makefile.in squid-3.5.8/helpers/external_acl/time_quota/Makefile.in
--- squid-3.5.7/helpers/external_acl/time_quota/Makefile.in	2015-07-31 23:09:45.000000000 -0700
+++ squid-3.5.8/helpers/external_acl/time_quota/Makefile.in	2015-09-01 12:53:14.000000000 -0700
@@ -536,6 +536,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -658,6 +659,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -792,22 +794,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ext_time_quota_acl.Po@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/helpers/external_acl/unix_group/Makefile.in squid-3.5.8/helpers/external_acl/unix_group/Makefile.in
--- squid-3.5.7/helpers/external_acl/unix_group/Makefile.in	2015-07-31 23:09:45.000000000 -0700
+++ squid-3.5.8/helpers/external_acl/unix_group/Makefile.in	2015-09-01 12:53:15.000000000 -0700
@@ -536,6 +536,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -658,6 +659,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -793,22 +795,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/check_group.Po@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/helpers/external_acl/wbinfo_group/ext_wbinfo_group_acl.8 squid-3.5.8/helpers/external_acl/wbinfo_group/ext_wbinfo_group_acl.8
--- squid-3.5.7/helpers/external_acl/wbinfo_group/ext_wbinfo_group_acl.8	2015-07-31 23:58:08.000000000 -0700
+++ squid-3.5.8/helpers/external_acl/wbinfo_group/ext_wbinfo_group_acl.8	2015-09-01 13:44:34.000000000 -0700
@@ -133,7 +133,7 @@
 .\" ========================================================================
 .\"
 .IX Title "EXT_WBINFO_GROUP_ACL 8"
-.TH EXT_WBINFO_GROUP_ACL 8 "2015-08-01" "perl v5.20.2" "User Contributed Perl Documentation"
+.TH EXT_WBINFO_GROUP_ACL 8 "2015-09-01" "perl v5.20.2" "User Contributed Perl Documentation"
 .\" For nroff, turn off justification.  Always turn off hyphenation; it makes
 .\" way too many mistakes in technical documents.
 .if n .ad l
diff -u -r -N squid-3.5.7/helpers/external_acl/wbinfo_group/Makefile.in squid-3.5.8/helpers/external_acl/wbinfo_group/Makefile.in
--- squid-3.5.7/helpers/external_acl/wbinfo_group/Makefile.in	2015-07-31 23:09:45.000000000 -0700
+++ squid-3.5.8/helpers/external_acl/wbinfo_group/Makefile.in	2015-09-01 12:53:15.000000000 -0700
@@ -483,6 +483,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -605,6 +606,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
diff -u -r -N squid-3.5.7/helpers/log_daemon/DB/log_db_daemon.8 squid-3.5.8/helpers/log_daemon/DB/log_db_daemon.8
--- squid-3.5.7/helpers/log_daemon/DB/log_db_daemon.8	2015-07-31 23:58:10.000000000 -0700
+++ squid-3.5.8/helpers/log_daemon/DB/log_db_daemon.8	2015-09-01 13:44:36.000000000 -0700
@@ -133,7 +133,7 @@
 .\" ========================================================================
 .\"
 .IX Title "LOG_DB_DAEMON 8"
-.TH LOG_DB_DAEMON 8 "2015-08-01" "perl v5.20.2" "User Contributed Perl Documentation"
+.TH LOG_DB_DAEMON 8 "2015-09-01" "perl v5.20.2" "User Contributed Perl Documentation"
 .\" For nroff, turn off justification.  Always turn off hyphenation; it makes
 .\" way too many mistakes in technical documents.
 .if n .ad l
diff -u -r -N squid-3.5.7/helpers/log_daemon/DB/Makefile.in squid-3.5.8/helpers/log_daemon/DB/Makefile.in
--- squid-3.5.7/helpers/log_daemon/DB/Makefile.in	2015-07-31 23:09:46.000000000 -0700
+++ squid-3.5.8/helpers/log_daemon/DB/Makefile.in	2015-09-01 12:53:15.000000000 -0700
@@ -483,6 +483,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -605,6 +606,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
diff -u -r -N squid-3.5.7/helpers/log_daemon/file/Makefile.in squid-3.5.8/helpers/log_daemon/file/Makefile.in
--- squid-3.5.7/helpers/log_daemon/file/Makefile.in	2015-07-31 23:09:46.000000000 -0700
+++ squid-3.5.8/helpers/log_daemon/file/Makefile.in	2015-09-01 12:53:16.000000000 -0700
@@ -531,6 +531,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -653,6 +654,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -786,22 +788,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/log_file_daemon.Po@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/helpers/log_daemon/Makefile.in squid-3.5.8/helpers/log_daemon/Makefile.in
--- squid-3.5.7/helpers/log_daemon/Makefile.in	2015-07-31 23:09:46.000000000 -0700
+++ squid-3.5.8/helpers/log_daemon/Makefile.in	2015-09-01 12:53:16.000000000 -0700
@@ -328,6 +328,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -450,6 +451,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
diff -u -r -N squid-3.5.7/helpers/Makefile.in squid-3.5.8/helpers/Makefile.in
--- squid-3.5.7/helpers/Makefile.in	2015-07-31 23:09:34.000000000 -0700
+++ squid-3.5.8/helpers/Makefile.in	2015-09-01 12:53:04.000000000 -0700
@@ -330,6 +330,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -452,6 +453,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
diff -u -r -N squid-3.5.7/helpers/negotiate_auth/kerberos/Makefile.in squid-3.5.8/helpers/negotiate_auth/kerberos/Makefile.in
--- squid-3.5.7/helpers/negotiate_auth/kerberos/Makefile.in	2015-07-31 23:09:47.000000000 -0700
+++ squid-3.5.8/helpers/negotiate_auth/kerberos/Makefile.in	2015-09-01 12:53:17.000000000 -0700
@@ -618,6 +618,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -740,6 +741,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -894,22 +896,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/negotiate_kerberos_pac.Po@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/helpers/negotiate_auth/kerberos/required.m4 squid-3.5.8/helpers/negotiate_auth/kerberos/required.m4
--- squid-3.5.7/helpers/negotiate_auth/kerberos/required.m4	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/helpers/negotiate_auth/kerberos/required.m4	2015-09-01 12:52:00.000000000 -0700
@@ -5,6 +5,6 @@
 ## Please see the COPYING and CONTRIBUTORS files for details.
 ##
 
-if test "x$with_krb5" == "xyes"; then
+if test "x$with_krb5" = "xyes"; then
   BUILD_HELPER="kerberos"
 fi
diff -u -r -N squid-3.5.7/helpers/negotiate_auth/Makefile.in squid-3.5.8/helpers/negotiate_auth/Makefile.in
--- squid-3.5.7/helpers/negotiate_auth/Makefile.in	2015-07-31 23:09:46.000000000 -0700
+++ squid-3.5.8/helpers/negotiate_auth/Makefile.in	2015-09-01 12:53:16.000000000 -0700
@@ -328,6 +328,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -450,6 +451,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
diff -u -r -N squid-3.5.7/helpers/negotiate_auth/SSPI/Makefile.in squid-3.5.8/helpers/negotiate_auth/SSPI/Makefile.in
--- squid-3.5.7/helpers/negotiate_auth/SSPI/Makefile.in	2015-07-31 23:09:47.000000000 -0700
+++ squid-3.5.8/helpers/negotiate_auth/SSPI/Makefile.in	2015-09-01 12:53:17.000000000 -0700
@@ -533,6 +533,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -655,6 +656,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -791,22 +793,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/negotiate_sspi_auth.Po@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/helpers/negotiate_auth/wrapper/Makefile.in squid-3.5.8/helpers/negotiate_auth/wrapper/Makefile.in
--- squid-3.5.7/helpers/negotiate_auth/wrapper/Makefile.in	2015-07-31 23:09:48.000000000 -0700
+++ squid-3.5.8/helpers/negotiate_auth/wrapper/Makefile.in	2015-09-01 12:53:17.000000000 -0700
@@ -532,6 +532,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -654,6 +655,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -789,22 +791,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/negotiate_wrapper.Po@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/helpers/ntlm_auth/fake/Makefile.in squid-3.5.8/helpers/ntlm_auth/fake/Makefile.in
--- squid-3.5.7/helpers/ntlm_auth/fake/Makefile.in	2015-07-31 23:09:49.000000000 -0700
+++ squid-3.5.8/helpers/ntlm_auth/fake/Makefile.in	2015-09-01 12:53:18.000000000 -0700
@@ -534,6 +534,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -656,6 +657,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -795,22 +797,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ntlm_fake_auth.Po@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/helpers/ntlm_auth/Makefile.in squid-3.5.8/helpers/ntlm_auth/Makefile.in
--- squid-3.5.7/helpers/ntlm_auth/Makefile.in	2015-07-31 23:09:48.000000000 -0700
+++ squid-3.5.8/helpers/ntlm_auth/Makefile.in	2015-09-01 12:53:18.000000000 -0700
@@ -328,6 +328,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -450,6 +451,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
diff -u -r -N squid-3.5.7/helpers/ntlm_auth/smb_lm/Makefile.in squid-3.5.8/helpers/ntlm_auth/smb_lm/Makefile.in
--- squid-3.5.7/helpers/ntlm_auth/smb_lm/Makefile.in	2015-07-31 23:09:49.000000000 -0700
+++ squid-3.5.8/helpers/ntlm_auth/smb_lm/Makefile.in	2015-09-01 12:53:19.000000000 -0700
@@ -536,6 +536,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -658,6 +659,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -797,22 +799,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ntlm_smb_lm_auth.Po@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/helpers/ntlm_auth/SSPI/Makefile.in squid-3.5.8/helpers/ntlm_auth/SSPI/Makefile.in
--- squid-3.5.7/helpers/ntlm_auth/SSPI/Makefile.in	2015-07-31 23:09:48.000000000 -0700
+++ squid-3.5.8/helpers/ntlm_auth/SSPI/Makefile.in	2015-09-01 12:53:18.000000000 -0700
@@ -537,6 +537,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -659,6 +660,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -798,22 +800,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ntlm_sspi_auth.Po@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/helpers/ssl/Makefile.in squid-3.5.8/helpers/ssl/Makefile.in
--- squid-3.5.7/helpers/ssl/Makefile.in	2015-07-31 23:09:49.000000000 -0700
+++ squid-3.5.8/helpers/ssl/Makefile.in	2015-09-01 12:53:19.000000000 -0700
@@ -478,6 +478,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -600,6 +601,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
diff -u -r -N squid-3.5.7/helpers/storeid_rewrite/file/Makefile.in squid-3.5.8/helpers/storeid_rewrite/file/Makefile.in
--- squid-3.5.7/helpers/storeid_rewrite/file/Makefile.in	2015-07-31 23:09:50.000000000 -0700
+++ squid-3.5.8/helpers/storeid_rewrite/file/Makefile.in	2015-09-01 12:53:20.000000000 -0700
@@ -483,6 +483,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -605,6 +606,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
diff -u -r -N squid-3.5.7/helpers/storeid_rewrite/file/storeid_file_rewrite.8 squid-3.5.8/helpers/storeid_rewrite/file/storeid_file_rewrite.8
--- squid-3.5.7/helpers/storeid_rewrite/file/storeid_file_rewrite.8	2015-07-31 23:58:23.000000000 -0700
+++ squid-3.5.8/helpers/storeid_rewrite/file/storeid_file_rewrite.8	2015-09-01 13:44:48.000000000 -0700
@@ -133,7 +133,7 @@
 .\" ========================================================================
 .\"
 .IX Title "STOREID_FILE_REWRITE 8"
-.TH STOREID_FILE_REWRITE 8 "2015-08-01" "perl v5.20.2" "User Contributed Perl Documentation"
+.TH STOREID_FILE_REWRITE 8 "2015-09-01" "perl v5.20.2" "User Contributed Perl Documentation"
 .\" For nroff, turn off justification.  Always turn off hyphenation; it makes
 .\" way too many mistakes in technical documents.
 .if n .ad l
diff -u -r -N squid-3.5.7/helpers/storeid_rewrite/Makefile.in squid-3.5.8/helpers/storeid_rewrite/Makefile.in
--- squid-3.5.7/helpers/storeid_rewrite/Makefile.in	2015-07-31 23:09:50.000000000 -0700
+++ squid-3.5.8/helpers/storeid_rewrite/Makefile.in	2015-09-01 12:53:19.000000000 -0700
@@ -328,6 +328,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -450,6 +451,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
diff -u -r -N squid-3.5.7/helpers/url_rewrite/fake/Makefile.in squid-3.5.8/helpers/url_rewrite/fake/Makefile.in
--- squid-3.5.7/helpers/url_rewrite/fake/Makefile.in	2015-07-31 23:09:50.000000000 -0700
+++ squid-3.5.8/helpers/url_rewrite/fake/Makefile.in	2015-09-01 12:53:20.000000000 -0700
@@ -531,6 +531,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -653,6 +654,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -819,22 +821,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fake.Po@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/helpers/url_rewrite/Makefile.in squid-3.5.8/helpers/url_rewrite/Makefile.in
--- squid-3.5.7/helpers/url_rewrite/Makefile.in	2015-07-31 23:09:50.000000000 -0700
+++ squid-3.5.8/helpers/url_rewrite/Makefile.in	2015-09-01 12:53:20.000000000 -0700
@@ -328,6 +328,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -450,6 +451,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
diff -u -r -N squid-3.5.7/icons/Makefile.in squid-3.5.8/icons/Makefile.in
--- squid-3.5.7/icons/Makefile.in	2015-07-31 23:09:51.000000000 -0700
+++ squid-3.5.8/icons/Makefile.in	2015-09-01 12:53:20.000000000 -0700
@@ -299,6 +299,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -421,6 +422,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
diff -u -r -N squid-3.5.7/include/version.h squid-3.5.8/include/version.h
--- squid-3.5.7/include/version.h	2015-07-31 23:10:24.000000000 -0700
+++ squid-3.5.8/include/version.h	2015-09-01 12:53:55.000000000 -0700
@@ -7,7 +7,7 @@
  */
 
 #ifndef SQUID_RELEASE_TIME
-#define SQUID_RELEASE_TIME 1438409280
+#define SQUID_RELEASE_TIME 1441137118
 #endif
 
 /*
diff -u -r -N squid-3.5.7/lib/libTrie/Makefile.in squid-3.5.8/lib/libTrie/Makefile.in
--- squid-3.5.7/lib/libTrie/Makefile.in	2015-07-31 23:09:52.000000000 -0700
+++ squid-3.5.8/lib/libTrie/Makefile.in	2015-09-01 12:53:21.000000000 -0700
@@ -593,6 +593,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -715,6 +716,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -809,22 +811,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/TrieNode.Po@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/lib/libTrie/test/Makefile.in squid-3.5.8/lib/libTrie/test/Makefile.in
--- squid-3.5.7/lib/libTrie/test/Makefile.in	2015-07-31 23:09:52.000000000 -0700
+++ squid-3.5.8/lib/libTrie/test/Makefile.in	2015-09-01 12:53:22.000000000 -0700
@@ -524,6 +524,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -646,6 +647,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -726,22 +728,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trie.Po@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/lib/Makefile.am squid-3.5.8/lib/Makefile.am
--- squid-3.5.7/lib/Makefile.am	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/lib/Makefile.am	2015-09-01 12:52:00.000000000 -0700
@@ -7,8 +7,6 @@
 
 include $(top_srcdir)/src/Common.am
 
-AUTOMAKE_OPTIONS = subdir-objects
-
 DIST_SUBDIRS = ntlmauth profiler rfcnb smblib libTrie snmplib
 SUBDIRS=
 EXTRA_DIST=
diff -u -r -N squid-3.5.7/lib/Makefile.in squid-3.5.8/lib/Makefile.in
--- squid-3.5.7/lib/Makefile.in	2015-07-31 23:09:51.000000000 -0700
+++ squid-3.5.8/lib/Makefile.in	2015-09-01 12:53:21.000000000 -0700
@@ -642,6 +642,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -764,6 +765,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -785,7 +787,6 @@
 @ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
 COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
 subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
-AUTOMAKE_OPTIONS = subdir-objects
 DIST_SUBDIRS = ntlmauth profiler rfcnb smblib libTrie snmplib
 SUBDIRS = $(am__append_2) $(am__append_3) $(am__append_4) \
 	$(am__append_6) $(am__append_8)
diff -u -r -N squid-3.5.7/lib/ntlmauth/Makefile.in squid-3.5.8/lib/ntlmauth/Makefile.in
--- squid-3.5.7/lib/ntlmauth/Makefile.in	2015-07-31 23:09:53.000000000 -0700
+++ squid-3.5.8/lib/ntlmauth/Makefile.in	2015-09-01 12:53:22.000000000 -0700
@@ -544,6 +544,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -666,6 +667,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -762,22 +764,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ntlmauth.Plo@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/lib/profiler/Makefile.in squid-3.5.8/lib/profiler/Makefile.in
--- squid-3.5.7/lib/profiler/Makefile.in	2015-07-31 23:09:53.000000000 -0700
+++ squid-3.5.8/lib/profiler/Makefile.in	2015-09-01 12:53:23.000000000 -0700
@@ -548,6 +548,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -670,6 +671,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -768,22 +770,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Profiler.Plo@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/lib/rfcnb/Makefile.in squid-3.5.8/lib/rfcnb/Makefile.in
--- squid-3.5.7/lib/rfcnb/Makefile.in	2015-07-31 23:09:53.000000000 -0700
+++ squid-3.5.8/lib/rfcnb/Makefile.in	2015-09-01 12:53:23.000000000 -0700
@@ -524,6 +524,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -646,6 +647,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -751,22 +753,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/session.Plo@am__quote@
 
 .c.o:
-@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
 
 .c.obj:
-@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .c.lo:
-@am__fastdepCC_TRUE@	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCC_TRUE@	$(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/lib/smblib/Makefile.in squid-3.5.8/lib/smblib/Makefile.in
--- squid-3.5.7/lib/smblib/Makefile.in	2015-07-31 23:09:54.000000000 -0700
+++ squid-3.5.8/lib/smblib/Makefile.in	2015-09-01 12:53:24.000000000 -0700
@@ -525,6 +525,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -647,6 +648,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -754,22 +756,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/smblib.Plo@am__quote@
 
 .c.o:
-@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
 
 .c.obj:
-@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .c.lo:
-@am__fastdepCC_TRUE@	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCC_TRUE@	$(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/lib/snmplib/Makefile.in squid-3.5.8/lib/snmplib/Makefile.in
--- squid-3.5.7/lib/snmplib/Makefile.in	2015-07-31 23:09:54.000000000 -0700
+++ squid-3.5.8/lib/snmplib/Makefile.in	2015-09-01 12:53:24.000000000 -0700
@@ -320,6 +320,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -442,6 +443,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -533,22 +535,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/snmplib_debug.Plo@am__quote@
 
 .c.o:
-@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
 
 .c.obj:
-@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .c.lo:
-@am__fastdepCC_TRUE@	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCC_TRUE@	$(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/Makefile.am squid-3.5.8/Makefile.am
--- squid-3.5.7/Makefile.am	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/Makefile.am	2015-09-01 12:52:00.000000000 -0700
@@ -5,7 +5,7 @@
 ## Please see the COPYING and CONTRIBUTORS files for details.
 ##
 
-AUTOMAKE_OPTIONS = dist-bzip2 subdir-objects 1.5 foreign
+AUTOMAKE_OPTIONS = dist-bzip2 1.5 foreign
 DIST_SUBDIRS	= compat lib libltdl scripts icons errors contrib doc helpers src test-suite tools
 SUBDIRS		= compat lib
 if ENABLE_LOADABLE_MODULES
@@ -27,16 +27,6 @@
 	    rm -f $(distdir)/$$subdir/autoconf.h; \
 	  fi; \
 	done
-	@if [ -f $(top_srcdir)/RELEASENOTES.html ]; then \
-	  cp -p $(top_srcdir)/RELEASENOTES.html $(distdir)/RELEASENOTES.html; \
-	else \
-	  notes=`ls -1rt $(top_srcdir)/doc/release-notes/*.html | head -1`; \
-	  if [ -f $$notes ]; then \
-	    cp $$notes $(distdir)/RELEASENOTES.html; \
-	  else \
-	    touch $(distdir)/RELEASENOTES.html; \
-	  fi; \
-	fi
 
 EXTRA_DIST = \
 	ChangeLog \
diff -u -r -N squid-3.5.7/Makefile.in squid-3.5.8/Makefile.in
--- squid-3.5.7/Makefile.in	2015-07-31 23:09:32.000000000 -0700
+++ squid-3.5.8/Makefile.in	2015-09-01 12:53:02.000000000 -0700
@@ -356,6 +356,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -478,6 +479,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -488,7 +490,7 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AUTOMAKE_OPTIONS = dist-bzip2 subdir-objects 1.5 foreign
+AUTOMAKE_OPTIONS = dist-bzip2 1.5 foreign
 DIST_SUBDIRS = compat lib libltdl scripts icons errors contrib doc helpers src test-suite tools
 SUBDIRS = compat lib $(am__append_1) scripts icons errors doc helpers \
 	src tools test-suite
@@ -1002,16 +1004,6 @@
 	    rm -f $(distdir)/$$subdir/autoconf.h; \
 	  fi; \
 	done
-	@if [ -f $(top_srcdir)/RELEASENOTES.html ]; then \
-	  cp -p $(top_srcdir)/RELEASENOTES.html $(distdir)/RELEASENOTES.html; \
-	else \
-	  notes=`ls -1rt $(top_srcdir)/doc/release-notes/*.html | head -1`; \
-	  if [ -f $$notes ]; then \
-	    cp $$notes $(distdir)/RELEASENOTES.html; \
-	  else \
-	    touch $(distdir)/RELEASENOTES.html; \
-	  fi; \
-	fi
 
 install-pinger:
 	chown root $(DESTDIR)$(DEFAULT_PINGER)
diff -u -r -N squid-3.5.7/RELEASENOTES.html squid-3.5.8/RELEASENOTES.html
--- squid-3.5.7/RELEASENOTES.html	2015-07-31 23:59:36.000000000 -0700
+++ squid-3.5.8/RELEASENOTES.html	2015-09-01 13:44:01.000000000 -0700
@@ -2,10 +2,10 @@
 <HTML>
 <HEAD>
  <META NAME="GENERATOR" CONTENT="LinuxDoc-Tools 0.9.69">
- <TITLE>Squid 3.5.7 release notes</TITLE>
+ <TITLE>Squid 3.5.8 release notes</TITLE>
 </HEAD>
 <BODY>
-<H1>Squid 3.5.7 release notes</H1>
+<H1>Squid 3.5.8 release notes</H1>
 
 <H2>Squid Developers</H2>
 <HR>
@@ -63,7 +63,7 @@
 <HR>
 <H2><A NAME="s1">1.</A> <A HREF="#toc1">Notice</A></H2>
 
-<P>The Squid Team are pleased to announce the release of Squid-3.5.7.</P>
+<P>The Squid Team are pleased to announce the release of Squid-3.5.8.</P>
 <P>This new release is available for download from 
 <A HREF="http://www.squid-cache.org/Versions/v3/3.5/">http://www.squid-cache.org/Versions/v3/3.5/</A> or the
 <A HREF="http://www.squid-cache.org/Download/http-mirrors.html">mirrors</A>.</P>
diff -u -r -N squid-3.5.7/scripts/Makefile.in squid-3.5.8/scripts/Makefile.in
--- squid-3.5.7/scripts/Makefile.in	2015-07-31 23:09:54.000000000 -0700
+++ squid-3.5.8/scripts/Makefile.in	2015-09-01 12:53:24.000000000 -0700
@@ -272,6 +272,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -394,6 +395,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
diff -u -r -N squid-3.5.7/src/acl/Acl.h squid-3.5.8/src/acl/Acl.h
--- squid-3.5.7/src/acl/Acl.h	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/acl/Acl.h	2015-09-01 12:52:00.000000000 -0700
@@ -167,7 +167,7 @@
 {
 public:
     // not explicit: allow "aclMatchCode to allow_t" conversions (for now)
-    allow_t(const aclMatchCode aCode): code(aCode), kind(0) {}
+    allow_t(const aclMatchCode aCode, int aKind = 0): code(aCode), kind(aKind) {}
 
     allow_t(): code(ACCESS_DUNNO), kind(0) {}
 
@@ -179,6 +179,10 @@
         return !(*this == aCode);
     }
 
+    bool operator ==(const allow_t allow) const {
+        return code == allow.code && kind == allow.kind;
+    }
+
     operator aclMatchCode() const {
         return code;
     }
diff -u -r -N squid-3.5.7/src/acl/BoolOps.cc squid-3.5.8/src/acl/BoolOps.cc
--- squid-3.5.7/src/acl/BoolOps.cc	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/acl/BoolOps.cc	2015-09-01 12:52:00.000000000 -0700
@@ -115,6 +115,12 @@
     return new OrNode;
 }
 
+bool
+Acl::OrNode::bannedAction(ACLChecklist *, Nodes::const_iterator) const
+{
+    return false;
+}
+
 int
 Acl::OrNode::doMatch(ACLChecklist *checklist, Nodes::const_iterator start) const
 {
@@ -122,6 +128,8 @@
 
     // find the first node that matches, but stop if things go wrong
     for (Nodes::const_iterator i = start; i != nodes.end(); ++i) {
+        if (bannedAction(checklist, i))
+            continue;
         if (checklist->matchChild(this, i, *i)) {
             lastMatch_ = i;
             return 1;
diff -u -r -N squid-3.5.7/src/acl/BoolOps.h squid-3.5.8/src/acl/BoolOps.h
--- squid-3.5.7/src/acl/BoolOps.h	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/acl/BoolOps.h	2015-09-01 12:52:00.000000000 -0700
@@ -64,6 +64,10 @@
 public:
     MEMPROXY_CLASS(OrNode);
 
+    /// whether the given rule should be excluded from matching tests based
+    /// on its action
+    virtual bool bannedAction(ACLChecklist *, Nodes::const_iterator) const;
+
     /* ACL API */
     virtual char const *typeString() const;
     virtual ACL *clone() const;
diff -u -r -N squid-3.5.7/src/acl/Checklist.cc squid-3.5.8/src/acl/Checklist.cc
--- squid-3.5.7/src/acl/Checklist.cc	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/acl/Checklist.cc	2015-09-01 12:52:00.000000000 -0700
@@ -14,6 +14,8 @@
 #include "Debug.h"
 #include "profiler/Profiler.h"
 
+#include <algorithm>
+
 /// common parts of nonBlockingCheck() and resumeNonBlockingCheck()
 bool
 ACLChecklist::prepNonBlocking()
@@ -391,3 +393,17 @@
     return !cbdataReferenceValid(callback_data);
 }
 
+bool
+ACLChecklist::bannedAction(const allow_t &action) const
+{
+    const bool found = std::find(bannedActions_.begin(), bannedActions_.end(), action) != bannedActions_.end();
+    debugs(28, 5, "Action '" << action << "/" << action.kind << (found ? " is " : "is not") << " banned");
+    return found;
+}
+
+void
+ACLChecklist::banAction(const allow_t &action)
+{
+    bannedActions_.push_back(action);
+}
+
diff -u -r -N squid-3.5.7/src/acl/Checklist.h squid-3.5.8/src/acl/Checklist.h
--- squid-3.5.7/src/acl/Checklist.h	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/acl/Checklist.h	2015-09-01 12:52:00.000000000 -0700
@@ -11,6 +11,7 @@
 
 #include "acl/InnerNode.h"
 #include <stack>
+#include <vector>
 
 /// ACL checklist callback
 typedef void ACLCB(allow_t, void *);
@@ -152,6 +153,11 @@
 
     const allow_t &currentAnswer() const { return allow_; }
 
+    /// whether the action is banned or not
+    bool bannedAction(const allow_t &action) const;
+    /// add action to the list of banned actions
+    void banAction(const allow_t &action);
+
     // XXX: ACLs that need request or reply have to use ACLFilledChecklist and
     // should do their own checks so that we do not have to povide these two
     // for ACL::checklistMatches to use
@@ -217,6 +223,8 @@
 
     /// suspended (due to an async lookup) matches() in the ACL tree
     std::stack<Breadcrumb> matchPath;
+    /// the list of actions which must ignored during acl checks
+    std::vector<allow_t> bannedActions_;
 };
 
 #endif /* SQUID_ACLCHECKLIST_H */
diff -u -r -N squid-3.5.7/src/acl/Makefile.in squid-3.5.8/src/acl/Makefile.in
--- squid-3.5.7/src/acl/Makefile.in	2015-07-31 23:09:57.000000000 -0700
+++ squid-3.5.8/src/acl/Makefile.in	2015-09-01 12:53:27.000000000 -0700
@@ -608,6 +608,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -730,6 +731,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -954,22 +956,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/UserData.Plo@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/src/acl/Tree.cc squid-3.5.8/src/acl/Tree.cc
--- squid-3.5.7/src/acl/Tree.cc	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/acl/Tree.cc	2015-09-01 12:52:00.000000000 -0700
@@ -7,6 +7,7 @@
  */
 
 #include "squid.h"
+#include "acl/Checklist.h"
 #include "acl/Tree.h"
 #include "wordlist.h"
 
@@ -81,3 +82,14 @@
     return text;
 }
 
+bool
+Acl::Tree::bannedAction(ACLChecklist *checklist, Nodes::const_iterator node) const
+{
+    if (actions.size()) {
+        assert(actions.size() == nodes.size());
+        const Nodes::size_type pos = node - nodes.begin();
+        return checklist->bannedAction(actions.at(pos));
+    }
+    return false;
+}
+
diff -u -r -N squid-3.5.7/src/acl/Tree.h squid-3.5.8/src/acl/Tree.h
--- squid-3.5.7/src/acl/Tree.h	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/acl/Tree.h	2015-09-01 12:52:00.000000000 -0700
@@ -36,6 +36,8 @@
     void add(ACL *rule); ///< same as InnerNode::add()
 
 protected:
+    /// Acl::OrNode API
+    virtual bool bannedAction(ACLChecklist *, Nodes::const_iterator) const;
     allow_t actionAt(const Nodes::size_type pos) const;
 
     /// if not empty, contains actions corresponding to InnerNode::nodes
diff -u -r -N squid-3.5.7/src/adaptation/ecap/Makefile.in squid-3.5.8/src/adaptation/ecap/Makefile.in
--- squid-3.5.7/src/adaptation/ecap/Makefile.in	2015-07-31 23:09:58.000000000 -0700
+++ squid-3.5.8/src/adaptation/ecap/Makefile.in	2015-09-01 12:53:28.000000000 -0700
@@ -551,6 +551,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -673,6 +674,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -785,22 +787,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsquid_ecap_la-XactionRep.Plo@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/src/adaptation/ecap/ServiceRep.cc squid-3.5.8/src/adaptation/ecap/ServiceRep.cc
--- squid-3.5.7/src/adaptation/ecap/ServiceRep.cc	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/adaptation/ecap/ServiceRep.cc	2015-09-01 12:52:00.000000000 -0700
@@ -234,7 +234,7 @@
 
 bool Adaptation::Ecap::ServiceRep::up() const
 {
-    return theService != NULL;
+    return theService;
 }
 
 bool Adaptation::Ecap::ServiceRep::wantsUrl(const String &urlPath) const
diff -u -r -N squid-3.5.7/src/adaptation/ecap/XactionRep.cc squid-3.5.8/src/adaptation/ecap/XactionRep.cc
--- squid-3.5.7/src/adaptation/ecap/XactionRep.cc	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/adaptation/ecap/XactionRep.cc	2015-09-01 12:52:00.000000000 -0700
@@ -72,7 +72,7 @@
 Adaptation::Ecap::XactionRep::master(const AdapterXaction &x)
 {
     Must(!theMaster);
-    Must(x != NULL);
+    Must(x);
     theMaster = x;
 }
 
@@ -259,7 +259,7 @@
     // clear body_pipes, if any
     // this code does not maintain proxying* and canAccessVb states; should it?
 
-    if (theAnswerRep != NULL) {
+    if (theAnswerRep) {
         BodyPipe::Pointer body_pipe = answer().body_pipe;
         if (body_pipe != NULL) {
             Must(body_pipe->stillProducing(this));
@@ -318,7 +318,7 @@
 libecap::Message &
 Adaptation::Ecap::XactionRep::adapted()
 {
-    Must(theAnswerRep != NULL);
+    Must(theAnswerRep);
     return *theAnswerRep;
 }
 
diff -u -r -N squid-3.5.7/src/adaptation/icap/Makefile.in squid-3.5.8/src/adaptation/icap/Makefile.in
--- squid-3.5.7/src/adaptation/icap/Makefile.in	2015-07-31 23:09:59.000000000 -0700
+++ squid-3.5.8/src/adaptation/icap/Makefile.in	2015-09-01 12:53:29.000000000 -0700
@@ -546,6 +546,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -668,6 +669,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -793,22 +795,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/icap_log.Plo@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/src/adaptation/Makefile.in squid-3.5.8/src/adaptation/Makefile.in
--- squid-3.5.7/src/adaptation/Makefile.in	2015-07-31 23:09:58.000000000 -0700
+++ squid-3.5.8/src/adaptation/Makefile.in	2015-09-01 12:53:28.000000000 -0700
@@ -590,6 +590,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -712,6 +713,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -854,22 +856,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ServiceGroups.Plo@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/src/anyp/Makefile.in squid-3.5.8/src/anyp/Makefile.in
--- squid-3.5.7/src/anyp/Makefile.in	2015-07-31 23:09:59.000000000 -0700
+++ squid-3.5.8/src/anyp/Makefile.in	2015-09-01 12:53:29.000000000 -0700
@@ -544,6 +544,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -666,6 +667,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -769,22 +771,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/UriScheme.Plo@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/src/auth/basic/Makefile.in squid-3.5.8/src/auth/basic/Makefile.in
--- squid-3.5.7/src/auth/basic/Makefile.in	2015-07-31 23:10:00.000000000 -0700
+++ squid-3.5.8/src/auth/basic/Makefile.in	2015-09-01 12:53:30.000000000 -0700
@@ -544,6 +544,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -666,6 +667,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -769,22 +771,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/UserRequest.Plo@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/src/auth/digest/Makefile.in squid-3.5.8/src/auth/digest/Makefile.in
--- squid-3.5.7/src/auth/digest/Makefile.in	2015-07-31 23:10:01.000000000 -0700
+++ squid-3.5.8/src/auth/digest/Makefile.in	2015-09-01 12:53:31.000000000 -0700
@@ -544,6 +544,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -666,6 +667,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -769,22 +771,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/UserRequest.Plo@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/src/auth/Makefile.in squid-3.5.8/src/auth/Makefile.in
--- squid-3.5.7/src/auth/Makefile.in	2015-07-31 23:10:00.000000000 -0700
+++ squid-3.5.8/src/auth/Makefile.in	2015-09-01 12:53:30.000000000 -0700
@@ -588,6 +588,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -710,6 +711,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -846,22 +848,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/UserRequest.Plo@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/src/auth/negotiate/Makefile.in squid-3.5.8/src/auth/negotiate/Makefile.in
--- squid-3.5.7/src/auth/negotiate/Makefile.in	2015-07-31 23:10:01.000000000 -0700
+++ squid-3.5.8/src/auth/negotiate/Makefile.in	2015-09-01 12:53:31.000000000 -0700
@@ -545,6 +545,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -667,6 +668,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -770,22 +772,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/UserRequest.Plo@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/src/auth/ntlm/Makefile.in squid-3.5.8/src/auth/ntlm/Makefile.in
--- squid-3.5.7/src/auth/ntlm/Makefile.in	2015-07-31 23:10:01.000000000 -0700
+++ squid-3.5.8/src/auth/ntlm/Makefile.in	2015-09-01 12:53:32.000000000 -0700
@@ -544,6 +544,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -666,6 +667,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -769,22 +771,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/UserRequest.Plo@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/src/base/Makefile.am squid-3.5.8/src/base/Makefile.am
--- squid-3.5.7/src/base/Makefile.am	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/base/Makefile.am	2015-09-01 12:52:00.000000000 -0700
@@ -21,7 +21,6 @@
 	AsyncCallQueue.h \
 	CharacterSet.h \
 	CharacterSet.cc \
-	TidyPointer.h \
 	CbcPointer.h \
 	InstanceId.h \
 	Lock.h \
@@ -30,27 +29,5 @@
 	RunnersRegistry.h \
 	Subscription.h \
 	TextException.cc \
-	TextException.h
-
-EXTRA_PROGRAMS = \
-	testCharacterSet
-
-check_PROGRAMS += testCharacterSet
-TESTS += testCharacterSet
-
-testCharacterSet_SOURCES = \
-	CharacterSet.h \
-	testCharacterSet.h \
-	testCharacterSet.cc
-nodist_testCharacterSet_SOURCES = \
-	$(top_srcdir)/src/tests/stub_debug.cc \
-	$(top_srcdir)/src/tests/stub_MemBuf.cc \
-	$(top_srcdir)/src/tests/stub_cbdata.cc
-testCharacterSet_LDFLAGS = $(LIBADD_DL)
-testCharacterSet_LDADD=\
-	$(SQUID_CPPUNIT_LIBS) \
-	$(SQUID_CPPUNIT_LA) \
-	libbase.la \
-	$(COMPAT_LIB) \
-	$(XTRA_LIBS)
-testCharacterSet_DEPENDENCIES= $(SQUID_CPPUNIT_LA)
+	TextException.h \
+	TidyPointer.h
diff -u -r -N squid-3.5.7/src/base/Makefile.in squid-3.5.8/src/base/Makefile.in
--- squid-3.5.7/src/base/Makefile.in	2015-07-31 23:10:02.000000000 -0700
+++ squid-3.5.8/src/base/Makefile.in	2015-09-01 12:53:32.000000000 -0700
@@ -88,10 +88,8 @@
 POST_UNINSTALL = :
 build_triplet = @build@
 host_triplet = @host@
-check_PROGRAMS = testCharacterSet$(EXEEXT)
-TESTS = testHeaders testCharacterSet$(EXEEXT)
+check_PROGRAMS =
 @ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
-EXTRA_PROGRAMS = testCharacterSet$(EXEEXT)
 subdir = src/base
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
@@ -168,19 +166,6 @@
 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
 am__v_lt_0 = --silent
 am__v_lt_1 = 
-am_testCharacterSet_OBJECTS = testCharacterSet.$(OBJEXT)
-nodist_testCharacterSet_OBJECTS = stub_debug.$(OBJEXT) \
-	stub_MemBuf.$(OBJEXT) stub_cbdata.$(OBJEXT)
-testCharacterSet_OBJECTS = $(am_testCharacterSet_OBJECTS) \
-	$(nodist_testCharacterSet_OBJECTS)
-am__DEPENDENCIES_1 =
-@ENABLE_XPROF_STATS_TRUE@am__DEPENDENCIES_2 = $(top_builddir)/lib/profiler/libprofiler.la
-am__DEPENDENCIES_3 = $(top_builddir)/compat/libcompat-squid.la \
-	$(am__DEPENDENCIES_2)
-testCharacterSet_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
-	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
-	$(AM_CXXFLAGS) $(CXXFLAGS) $(testCharacterSet_LDFLAGS) \
-	$(LDFLAGS) -o $@
 AM_V_P = $(am__v_P_@AM_V@)
 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
 am__v_P_0 = false
@@ -233,9 +218,8 @@
 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
 am__v_CCLD_0 = @echo "  CCLD    " $@;
 am__v_CCLD_1 = 
-SOURCES = $(libbase_la_SOURCES) $(testCharacterSet_SOURCES) \
-	$(nodist_testCharacterSet_SOURCES)
-DIST_SOURCES = $(libbase_la_SOURCES) $(testCharacterSet_SOURCES)
+SOURCES = $(libbase_la_SOURCES)
+DIST_SOURCES = $(libbase_la_SOURCES)
 am__can_run_installinfo = \
   case $$AM_UPDATE_INFO_DIR in \
     n|no|NO) false;; \
@@ -561,6 +545,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -683,6 +668,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -696,6 +682,7 @@
 AM_CFLAGS = $(SQUID_CFLAGS)
 AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 CLEANFILES = testHeaders
+TESTS = testHeaders
 AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
 	-I$(top_srcdir)/lib -I$(top_srcdir)/src \
 	-I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
@@ -716,7 +703,6 @@
 	AsyncCallQueue.h \
 	CharacterSet.h \
 	CharacterSet.cc \
-	TidyPointer.h \
 	CbcPointer.h \
 	InstanceId.h \
 	Lock.h \
@@ -725,27 +711,9 @@
 	RunnersRegistry.h \
 	Subscription.h \
 	TextException.cc \
-	TextException.h
+	TextException.h \
+	TidyPointer.h
 
-testCharacterSet_SOURCES = \
-	CharacterSet.h \
-	testCharacterSet.h \
-	testCharacterSet.cc
-
-nodist_testCharacterSet_SOURCES = \
-	$(top_srcdir)/src/tests/stub_debug.cc \
-	$(top_srcdir)/src/tests/stub_MemBuf.cc \
-	$(top_srcdir)/src/tests/stub_cbdata.cc
-
-testCharacterSet_LDFLAGS = $(LIBADD_DL)
-testCharacterSet_LDADD = \
-	$(SQUID_CPPUNIT_LIBS) \
-	$(SQUID_CPPUNIT_LA) \
-	libbase.la \
-	$(COMPAT_LIB) \
-	$(XTRA_LIBS)
-
-testCharacterSet_DEPENDENCIES = $(SQUID_CPPUNIT_LA)
 all: all-am
 
 .SUFFIXES:
@@ -804,10 +772,6 @@
 	echo " rm -f" $$list; \
 	rm -f $$list
 
-testCharacterSet$(EXEEXT): $(testCharacterSet_OBJECTS) $(testCharacterSet_DEPENDENCIES) $(EXTRA_testCharacterSet_DEPENDENCIES) 
-	@rm -f testCharacterSet$(EXEEXT)
-	$(AM_V_CXXLD)$(testCharacterSet_LINK) $(testCharacterSet_OBJECTS) $(testCharacterSet_LDADD) $(LIBS)
-
 mostlyclean-compile:
 	-rm -f *.$(OBJEXT)
 
@@ -820,74 +784,31 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/CharacterSet.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/RunnersRegistry.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/TextException.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stub_MemBuf.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stub_cbdata.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stub_debug.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testCharacterSet.Po@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
 
-stub_debug.o: $(top_srcdir)/src/tests/stub_debug.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT stub_debug.o -MD -MP -MF $(DEPDIR)/stub_debug.Tpo -c -o stub_debug.o `test -f '$(top_srcdir)/src/tests/stub_debug.cc' || echo '$(srcdir)/'`$(top_srcdir)/src/tests/stub_debug.cc
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/stub_debug.Tpo $(DEPDIR)/stub_debug.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_srcdir)/src/tests/stub_debug.cc' object='stub_debug.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o stub_debug.o `test -f '$(top_srcdir)/src/tests/stub_debug.cc' || echo '$(srcdir)/'`$(top_srcdir)/src/tests/stub_debug.cc
-
-stub_debug.obj: $(top_srcdir)/src/tests/stub_debug.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT stub_debug.obj -MD -MP -MF $(DEPDIR)/stub_debug.Tpo -c -o stub_debug.obj `if test -f '$(top_srcdir)/src/tests/stub_debug.cc'; then $(CYGPATH_W) '$(top_srcdir)/src/tests/stub_debug.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/src/tests/stub_debug.cc'; fi`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/stub_debug.Tpo $(DEPDIR)/stub_debug.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_srcdir)/src/tests/stub_debug.cc' object='stub_debug.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o stub_debug.obj `if test -f '$(top_srcdir)/src/tests/stub_debug.cc'; then $(CYGPATH_W) '$(top_srcdir)/src/tests/stub_debug.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/src/tests/stub_debug.cc'; fi`
-
-stub_MemBuf.o: $(top_srcdir)/src/tests/stub_MemBuf.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT stub_MemBuf.o -MD -MP -MF $(DEPDIR)/stub_MemBuf.Tpo -c -o stub_MemBuf.o `test -f '$(top_srcdir)/src/tests/stub_MemBuf.cc' || echo '$(srcdir)/'`$(top_srcdir)/src/tests/stub_MemBuf.cc
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/stub_MemBuf.Tpo $(DEPDIR)/stub_MemBuf.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_srcdir)/src/tests/stub_MemBuf.cc' object='stub_MemBuf.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o stub_MemBuf.o `test -f '$(top_srcdir)/src/tests/stub_MemBuf.cc' || echo '$(srcdir)/'`$(top_srcdir)/src/tests/stub_MemBuf.cc
-
-stub_MemBuf.obj: $(top_srcdir)/src/tests/stub_MemBuf.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT stub_MemBuf.obj -MD -MP -MF $(DEPDIR)/stub_MemBuf.Tpo -c -o stub_MemBuf.obj `if test -f '$(top_srcdir)/src/tests/stub_MemBuf.cc'; then $(CYGPATH_W) '$(top_srcdir)/src/tests/stub_MemBuf.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/src/tests/stub_MemBuf.cc'; fi`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/stub_MemBuf.Tpo $(DEPDIR)/stub_MemBuf.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_srcdir)/src/tests/stub_MemBuf.cc' object='stub_MemBuf.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o stub_MemBuf.obj `if test -f '$(top_srcdir)/src/tests/stub_MemBuf.cc'; then $(CYGPATH_W) '$(top_srcdir)/src/tests/stub_MemBuf.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/src/tests/stub_MemBuf.cc'; fi`
-
-stub_cbdata.o: $(top_srcdir)/src/tests/stub_cbdata.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT stub_cbdata.o -MD -MP -MF $(DEPDIR)/stub_cbdata.Tpo -c -o stub_cbdata.o `test -f '$(top_srcdir)/src/tests/stub_cbdata.cc' || echo '$(srcdir)/'`$(top_srcdir)/src/tests/stub_cbdata.cc
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/stub_cbdata.Tpo $(DEPDIR)/stub_cbdata.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_srcdir)/src/tests/stub_cbdata.cc' object='stub_cbdata.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o stub_cbdata.o `test -f '$(top_srcdir)/src/tests/stub_cbdata.cc' || echo '$(srcdir)/'`$(top_srcdir)/src/tests/stub_cbdata.cc
-
-stub_cbdata.obj: $(top_srcdir)/src/tests/stub_cbdata.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT stub_cbdata.obj -MD -MP -MF $(DEPDIR)/stub_cbdata.Tpo -c -o stub_cbdata.obj `if test -f '$(top_srcdir)/src/tests/stub_cbdata.cc'; then $(CYGPATH_W) '$(top_srcdir)/src/tests/stub_cbdata.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/src/tests/stub_cbdata.cc'; fi`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/stub_cbdata.Tpo $(DEPDIR)/stub_cbdata.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_srcdir)/src/tests/stub_cbdata.cc' object='stub_cbdata.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o stub_cbdata.obj `if test -f '$(top_srcdir)/src/tests/stub_cbdata.cc'; then $(CYGPATH_W) '$(top_srcdir)/src/tests/stub_cbdata.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/src/tests/stub_cbdata.cc'; fi`
-
 mostlyclean-libtool:
 	-rm -f *.lo
 
@@ -1093,13 +1014,6 @@
 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
 	--log-file $$b.log --trs-file $$b.trs \
 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
-	"$$tst" $(AM_TESTS_FD_REDIRECT)
-testCharacterSet.log: testCharacterSet$(EXEEXT)
-	@p='testCharacterSet$(EXEEXT)'; \
-	b='testCharacterSet'; \
-	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
-	--log-file $$b.log --trs-file $$b.trs \
-	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
 	"$$tst" $(AM_TESTS_FD_REDIRECT)
 .test.log:
 	@p='$<'; \
diff -u -r -N squid-3.5.7/src/base/testCharacterSet.cc squid-3.5.8/src/base/testCharacterSet.cc
--- squid-3.5.7/src/base/testCharacterSet.cc	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/base/testCharacterSet.cc	1969-12-31 16:00:00.000000000 -0800
@@ -1,90 +0,0 @@
-/*
- * Copyright (C) 1996-2015 The Squid Software Foundation and contributors
- *
- * Squid software is distributed under GPLv2+ license and includes
- * contributions from numerous individuals and organizations.
- * Please see the COPYING and CONTRIBUTORS files for details.
- */
-
-#include "squid.h"
-#include "base/CharacterSet.h"
-#include "testCharacterSet.h"
-#include "unitTestMain.h"
-
-#include <string>
-
-CPPUNIT_TEST_SUITE_REGISTRATION( testCharacterSet );
-
-void
-testCharacterSet::CharacterSetConstruction()
-{
-    {
-        CharacterSet t(NULL,"");
-        CPPUNIT_ASSERT_EQUAL(std::string("anonymous"),std::string(t.name));
-    }
-    {
-        CharacterSet t("test","");
-        CPPUNIT_ASSERT_EQUAL(std::string("test"),std::string(t.name));
-    }
-    {
-        CharacterSet t("test","");
-        for (int j = 0; j < 255; ++j)
-            CPPUNIT_ASSERT_EQUAL(false,t[j]);
-    }
-    {
-        CharacterSet t("test","0");
-        CPPUNIT_ASSERT_EQUAL(true,t['0']);
-        for (int j = 0; j < 255; ++j)
-            if (j != '0')
-                CPPUNIT_ASSERT_EQUAL(false,t[j]);
-    }
-}
-
-void
-testCharacterSet::CharacterSetAdd()
-{
-    CharacterSet t("test","0");
-    t.add(0);
-    CPPUNIT_ASSERT_EQUAL(true,t['\0']);
-    CPPUNIT_ASSERT_EQUAL(true,t['0']);
-}
-
-void
-testCharacterSet::CharacterSetAddRange()
-{
-    CharacterSet t("test","");
-    t.addRange('0','9');
-    CPPUNIT_ASSERT_EQUAL(true,t['0']);
-    CPPUNIT_ASSERT_EQUAL(true,t['5']);
-    CPPUNIT_ASSERT_EQUAL(true,t['9']);
-    CPPUNIT_ASSERT_EQUAL(false,t['a']);
-}
-
-void
-testCharacterSet::CharacterSetConstants()
-{
-    CPPUNIT_ASSERT_EQUAL(true,CharacterSet::ALPHA['a']);
-    CPPUNIT_ASSERT_EQUAL(true,CharacterSet::ALPHA['z']);
-    CPPUNIT_ASSERT_EQUAL(true,CharacterSet::ALPHA['A']);
-    CPPUNIT_ASSERT_EQUAL(true,CharacterSet::ALPHA['Z']);
-    CPPUNIT_ASSERT_EQUAL(false,CharacterSet::ALPHA['5']);
-}
-
-void
-testCharacterSet::CharacterSetUnion()
-{
-    {
-        CharacterSet hex("hex","");
-        hex += CharacterSet::DIGIT;
-        hex += CharacterSet(NULL,"aAbBcCdDeEfF");
-        for (int j = 0; j < 255; ++j)
-            CPPUNIT_ASSERT_EQUAL(CharacterSet::HEXDIG[j],hex[j]);
-    }
-    {
-        CharacterSet hex(NULL,"");
-        hex = CharacterSet::DIGIT + CharacterSet(NULL,"aAbBcCdDeEfF");
-        for (int j = 0; j < 255; ++j)
-            CPPUNIT_ASSERT_EQUAL(CharacterSet::HEXDIG[j],hex[j]);
-    }
-}
-
diff -u -r -N squid-3.5.7/src/base/testCharacterSet.h squid-3.5.8/src/base/testCharacterSet.h
--- squid-3.5.7/src/base/testCharacterSet.h	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/base/testCharacterSet.h	1969-12-31 16:00:00.000000000 -0800
@@ -1,33 +0,0 @@
-/*
- * Copyright (C) 1996-2015 The Squid Software Foundation and contributors
- *
- * Squid software is distributed under GPLv2+ license and includes
- * contributions from numerous individuals and organizations.
- * Please see the COPYING and CONTRIBUTORS files for details.
- */
-
-#ifndef SQUID_BASE_TESTCHARACTERSET_H
-#define SQUID_BASE_TESTCHARACTERSET_H
-
-#include <cppunit/extensions/HelperMacros.h>
-
-class testCharacterSet : public CPPUNIT_NS::TestFixture
-{
-    CPPUNIT_TEST_SUITE( testCharacterSet );
-    CPPUNIT_TEST( CharacterSetConstruction );
-    CPPUNIT_TEST( CharacterSetAdd );
-    CPPUNIT_TEST( CharacterSetAddRange );
-    CPPUNIT_TEST( CharacterSetConstants );
-    CPPUNIT_TEST( CharacterSetUnion );
-    CPPUNIT_TEST_SUITE_END();
-
-protected:
-    void CharacterSetConstruction();
-    void CharacterSetAdd();
-    void CharacterSetAddRange();
-    void CharacterSetConstants();
-    void CharacterSetUnion();
-};
-
-#endif /* SQUID_BASE_TESTCHARACTERSET_H */
-
diff -u -r -N squid-3.5.7/src/cf.data.pre squid-3.5.8/src/cf.data.pre
--- squid-3.5.7/src/cf.data.pre	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/cf.data.pre	2015-09-01 12:52:00.000000000 -0700
@@ -901,15 +901,17 @@
 	acl aclname localip ip-address/mask ... # IP address the client connected to [fast]
 
 	acl aclname arp      mac-address ... (xx:xx:xx:xx:xx:xx notation)
-	  # The arp ACL requires the special configure option --enable-arp-acl.
-	  # Furthermore, the ARP ACL code is not portable to all operating systems.
-	  # It works on Linux, Solaris, Windows, FreeBSD, and some
-	  # other *BSD variants.
 	  # [fast]
+	  # The 'arp' ACL code is not portable to all operating systems.
+	  # It works on Linux, Solaris, Windows, FreeBSD, and some other
+	  # BSD variants.
 	  #
-	  # NOTE: Squid can only determine the MAC address for clients that are on
-	  # the same subnet. If the client is on a different subnet,
-	  # then Squid cannot find out its MAC address.
+	  # NOTE: Squid can only determine the MAC/EUI address for IPv4
+	  # clients that are on the same subnet. If the client is on a
+	  # different subnet, then Squid cannot find out its address.
+	  #
+	  # NOTE 2: IPv6 protocol does not contain ARP. MAC/EUI is either
+	  # encoded directly in the IPv6 address or not available.
 
 	acl aclname srcdomain   .foo.com ...
 	  # reverse lookup, from client IP [slow]
@@ -1380,7 +1382,7 @@
 
 	SECURITY WARNING: Usage of this option is dangerous
 	and should not be used trivially. Correct configuration
-	of follow_x_forewarded_for with a limited set of trusted
+	of follow_x_forwarded_for with a limited set of trusted
 	sources is required to prevent abuse of your proxy.
 DOC_END
 
@@ -1579,7 +1581,7 @@
 DEFAULT: none
 DEFAULT_DOC: Allow, unless rules exist in squid.conf.
 DOC_START
-	Determins whether network access is permitted when satisfying a request.
+	Determines whether network access is permitted when satisfying a request.
 
 	For example;
 	    to force your neighbors to use you as a sibling instead of
@@ -1704,13 +1706,13 @@
 
 	Modes:
 
-	   intercept	Support for IP-Layer interception of
-			outgoing requests without browser settings.
-			NP: disables authentication and IPv6 on the port.
-
-	   tproxy	Support Linux TPROXY for spoofing outgoing
-			connections using the client IP address.
-			NP: disables authentication and maybe IPv6 on the port.
+	   intercept	Support for IP-Layer NAT interception delivering
+			traffic to this Squid port.
+			NP: disables authentication on the port.
+
+	   tproxy	Support Linux TPROXY (or BSD divert-to) with spoofing
+			of outgoing connections using the client IP address.
+			NP: disables authentication on the port.
 
 	   accel	Accelerator / reverse proxy mode
 
@@ -2502,7 +2504,8 @@
 LOC: Config.ssl_client.options
 TYPE: string
 DOC_START
-	SSL implementation options to use when proxying https:// URLs
+	Colon (:) or comma (,) separated list of SSL implementation options
+	to use when proxying https:// URLs
 	
 	The most important being:
 
@@ -2524,6 +2527,9 @@
 	
 	See the OpenSSL SSL_CTX_set_options documentation for a
 	complete list of possible options.
+	
+	WARNING: This directive takes a single token. If a space is used
+		 the value(s) after that space are SILENTLY IGNORED.
 DOC_END
 
 NAME: sslproxy_cipher
@@ -3888,18 +3894,26 @@
 DEFAULT: 90
 LOC: Config.Swap.lowWaterMark
 DOC_START
-	The low-water mark for cache object replacement.
-	Replacement begins when the swap (disk) usage is above the
-	low-water mark and attempts to maintain utilization near the
-	low-water mark.  As swap utilization gets close to high-water
-	mark object eviction becomes more aggressive.  If utilization is
-	close to the low-water mark less replacement is done each time.
+	The low-water mark for AUFS/UFS/diskd cache object eviction by
+	the cache_replacement_policy algorithm.
+
+	Removal begins when the swap (disk) usage of a cache_dir is
+	above this low-water mark and attempts to maintain utilization
+	near the low-water mark.
+
+	As swap utilization increases towards the high-water mark set
+	by cache_swap_high object eviction becomes more agressive.
+
+	The value difference in percentages between low- and high-water
+	marks represent an eviction rate of 300 objects per second and
+	the rate continues to scale in agressiveness by multiples of
+	this above the high-water mark.
 
 	Defaults are 90% and 95%. If you have a large cache, 5% could be
 	hundreds of MB. If this is the case you may wish to set these
 	numbers closer together.
 
-	See also cache_swap_high
+	See also cache_swap_high and cache_replacement_policy
 DOC_END
 
 NAME: cache_swap_high
@@ -3908,18 +3922,26 @@
 DEFAULT: 95
 LOC: Config.Swap.highWaterMark
 DOC_START
-	The high-water mark for cache object replacement.
-	Replacement begins when the swap (disk) usage is above the
-	low-water mark and attempts to maintain utilization near the
-	low-water mark.  As swap utilization gets close to high-water
-	mark object eviction becomes more aggressive.  If utilization is
-	close to the low-water mark less replacement is done each time.
+	The high-water mark for AUFS/UFS/diskd cache object eviction by
+	the cache_replacement_policy algorithm.
+
+	Removal begins when the swap (disk) usage of a cache_dir is
+	above the low-water mark set by cache_swap_low and attempts to
+	maintain utilization near the low-water mark.
+
+	As swap utilization increases towards this high-water mark object
+	eviction becomes more agressive.
+
+	The value difference in percentages between low- and high-water
+	marks represent an eviction rate of 300 objects per second and
+	the rate continues to scale in agressiveness by multiples of
+	this above the high-water mark.
 
 	Defaults are 90% and 95%. If you have a large cache, 5% could be
 	hundreds of MB. If this is the case you may wish to set these
 	numbers closer together.
 
-	See also cache_swap_low
+	See also cache_swap_low and cache_replacement_policy
 DOC_END
 
 COMMENT_START
@@ -4038,7 +4060,6 @@
 		ul	User name from authentication
 		ue	User name from external acl helper
 		ui	User name from ident
-		us	User name from SSL
 		un	A user name. Expands to the first available name
 			from the following list of information sources:
 			- authenticated user name, like %ul
@@ -5361,7 +5382,7 @@
 
 	Basically a cached object is:
 
-		FRESH if expires < now, else STALE
+		FRESH if expire > now, else STALE
 		STALE if age > max
 		FRESH if lm-factor < percent, else STALE
 		FRESH if age < min
diff -u -r -N squid-3.5.7/src/clients/Client.cc squid-3.5.8/src/clients/Client.cc
--- squid-3.5.7/src/clients/Client.cc	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/clients/Client.cc	2015-09-01 12:52:00.000000000 -0700
@@ -797,8 +797,22 @@
 // premature end of the adapted response body
 void Client::handleAdaptedBodyProducerAborted()
 {
+    if (abortOnBadEntry("entry went bad while waiting for the now-aborted adapted body"))
+        return;
+
+    Must(adaptedBodySource != NULL);
+    if (!adaptedBodySource->exhausted()) {
+        debugs(11,5, "waiting to consume the remainder of the aborted adapted body");
+        return; // resumeBodyStorage() should eventually consume the rest
+    }
+
     stopConsumingFrom(adaptedBodySource);
-    handleAdaptationAborted();
+
+    if (handledEarlyAdaptationAbort())
+        return;
+
+    entry->lengthWentBad("body adaptation aborted");
+    handleAdaptationCompleted(); // the user should get a truncated response
 }
 
 // common part of noteAdaptationAnswer and handleAdaptedBodyProductionEnded
@@ -831,18 +845,29 @@
         return;
 
     // TODO: bypass if possible
+    if (!handledEarlyAdaptationAbort())
+        abortTransaction("adaptation failure with a filled entry");
+}
 
+/// If the store entry is still empty, fully handles adaptation abort, returning
+/// true. Otherwise just updates the request error detail and returns false.
+bool
+Client::handledEarlyAdaptationAbort()
+{
     if (entry->isEmpty()) {
-        debugs(11,9, HERE << "creating ICAP error entry after ICAP failure");
+        debugs(11,8, "adaptation failure with an empty entry: " << *entry);
         ErrorState *err = new ErrorState(ERR_ICAP_FAILURE, Http::scInternalServerError, request);
         err->detailError(ERR_DETAIL_ICAP_RESPMOD_EARLY);
         fwd->fail(err);
         fwd->dontRetry(true);
-    } else if (request) { // update logged info directly
-        request->detailError(ERR_ICAP_FAILURE, ERR_DETAIL_ICAP_RESPMOD_LATE);
+        abortTransaction("adaptation failure with an empty entry");
+        return true; // handled
     }
 
-    abortTransaction("ICAP failure");
+    if (request) // update logged info directly
+        request->detailError(ERR_ICAP_FAILURE, ERR_DETAIL_ICAP_RESPMOD_LATE);
+
+    return false; // the caller must handle
 }
 
 // adaptation service wants us to deny HTTP client access to this response
diff -u -r -N squid-3.5.7/src/clients/Client.h squid-3.5.8/src/clients/Client.h
--- squid-3.5.7/src/clients/Client.h	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/clients/Client.h	2015-09-01 12:52:00.000000000 -0700
@@ -124,6 +124,7 @@
     void handleAdaptationCompleted();
     void handleAdaptationBlocked(const Adaptation::Answer &answer);
     void handleAdaptationAborted(bool bypassable = false);
+    bool handledEarlyAdaptationAbort();
 
     /// called by StoreEntry when it has more buffer space available
     void resumeBodyStorage();
diff -u -r -N squid-3.5.7/src/clients/Makefile.in squid-3.5.8/src/clients/Makefile.in
--- squid-3.5.7/src/clients/Makefile.in	2015-07-31 23:10:03.000000000 -0700
+++ squid-3.5.8/src/clients/Makefile.in	2015-09-01 12:53:33.000000000 -0700
@@ -545,6 +545,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -667,6 +668,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -769,22 +771,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/FtpRelay.Plo@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/src/client_side.cc squid-3.5.8/src/client_side.cc
--- squid-3.5.7/src/client_side.cc	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/client_side.cc	2015-09-01 12:52:00.000000000 -0700
@@ -877,9 +877,15 @@
     request->flags.proxyKeepalive = request->persistent();
 }
 
+/// checks body length of non-chunked requests
 static int
 clientIsContentLengthValid(HttpRequest * r)
 {
+    // No Content-Length means this request just has no body, but conflicting
+    // Content-Lengths mean a message framing error (RFC 7230 Section 3.3.3 #4).
+    if (r->header.conflictingContentLength())
+        return 0;
+
     switch (r->method.id()) {
 
     case Http::METHOD_GET:
@@ -957,6 +963,8 @@
 void
 ClientSocketContext::noteSentBodyBytes(size_t bytes)
 {
+    debugs(33, 7, bytes << " body bytes");
+
     http->out.offset += bytes;
 
     if (!http->request->range)
@@ -3618,7 +3626,8 @@
 
             /* pools require explicit 'allow' to assign a client into them */
             if (pools[pool].access) {
-                ch.accessList = pools[pool].access;
+                cbdataReferenceDone(ch.accessList);
+                ch.accessList = cbdataReference(pools[pool].access);
                 allow_t answer = ch.fastCheck();
                 if (answer == ACCESS_ALLOWED) {
 
@@ -3890,22 +3899,7 @@
         debugs(33, 2, HERE << "sslBump not needed for " << connState->clientConnection);
         connState->sslBumpMode = Ssl::bumpNone;
     }
-
-    // fake a CONNECT request to force connState to tunnel
-    static char ip[MAX_IPSTRLEN];
-    connState->clientConnection->local.toUrl(ip, sizeof(ip));
-    // Pre-pend this fake request to the TLS bits already in the buffer
-    SBuf retStr;
-    retStr.append("CONNECT ").append(ip).append(" HTTP/1.1\r\nHost: ").append(ip).append("\r\n\r\n");
-    connState->in.buf = retStr.append(connState->in.buf);
-    bool ret = connState->handleReadData();
-    if (ret)
-        ret = connState->clientParseRequests();
-
-    if (!ret) {
-        debugs(33, 2, "Failed to start fake CONNECT request for SSL bumped connection: " << connState->clientConnection);
-        connState->clientConnection->close();
-    }
+    connState->fakeAConnectRequest("ssl-bump", connState->in.buf);
 }
 
 /** handle a new HTTPS connection */
@@ -4329,12 +4323,7 @@
     assert(connState->serverBump());
     Ssl::BumpMode bumpAction;
     if (answer == ACCESS_ALLOWED) {
-        if (answer.kind == Ssl::bumpNone)
-            bumpAction = Ssl::bumpSplice;
-        else if (answer.kind == Ssl::bumpClientFirst || answer.kind == Ssl::bumpServerFirst)
-            bumpAction = Ssl::bumpBump;
-        else
-            bumpAction = (Ssl::BumpMode)answer.kind;
+        bumpAction = (Ssl::BumpMode)answer.kind;
     } else
         bumpAction = Ssl::bumpSplice;
 
@@ -4358,17 +4347,10 @@
 
         if (connState->transparent()) {
             // fake a CONNECT request to force connState to tunnel
-            static char ip[MAX_IPSTRLEN];
-            connState->clientConnection->local.toUrl(ip, sizeof(ip));
-            connState->in.buf.assign("CONNECT ").append(ip).append(" HTTP/1.1\r\nHost: ").append(ip).append("\r\n\r\n").append(rbuf.content(), rbuf.contentSize());
-            bool ret = connState->handleReadData();
-            if (ret)
-                ret = connState->clientParseRequests();
-
-            if (!ret) {
-                debugs(33, 2, "Failed to start fake CONNECT request for ssl spliced connection: " << connState->clientConnection);
-                connState->clientConnection->close();
-            }
+            // XXX: copy from MemBuf reallocates, not a regression since old code did too
+            SBuf temp;
+            temp.append(rbuf.content(), rbuf.contentSize());
+            connState->fakeAConnectRequest("intercepted TLS spliced", temp);
         } else {
             // in.buf still has the "CONNECT ..." request data, reset it to SSL hello message
             connState->in.buf.append(rbuf.content(), rbuf.contentSize());
@@ -4391,6 +4373,9 @@
         ACLFilledChecklist *acl_checklist = new ACLFilledChecklist(Config.accessList.ssl_bump, sslServerBump->request.getRaw(), NULL);
         //acl_checklist->src_addr = params.conn->remote;
         //acl_checklist->my_addr = s->s;
+        acl_checklist->banAction(allow_t(ACCESS_ALLOWED, Ssl::bumpNone));
+        acl_checklist->banAction(allow_t(ACCESS_ALLOWED, Ssl::bumpClientFirst));
+        acl_checklist->banAction(allow_t(ACCESS_ALLOWED, Ssl::bumpServerFirst));
         acl_checklist->nonBlockingCheck(httpsSslBumpStep2AccessCheckDone, this);
         return;
     }
@@ -4435,6 +4420,31 @@
 
 #endif /* USE_OPENSSL */
 
+void
+ConnStateData::fakeAConnectRequest(const char *reason, const SBuf &payload)
+{
+    // fake a CONNECT request to force connState to tunnel
+    static char ip[MAX_IPSTRLEN];
+    clientConnection->local.toUrl(ip, sizeof(ip));
+    // Pre-pend this fake request to the TLS bits already in the buffer
+    SBuf retStr;
+    retStr.append("CONNECT ");
+    retStr.append(ip);
+    retStr.append(" HTTP/1.1\r\nHost: ");
+    retStr.append(ip);
+    retStr.append("\r\n\r\n");
+    retStr.append(payload);
+    in.buf = retStr;
+    bool ret = handleReadData();
+    if (ret)
+        ret = clientParseRequests();
+
+    if (!ret) {
+        debugs(33, 2, "Failed to start fake CONNECT request for " << reason << " connection: " << clientConnection);
+        clientConnection->close();
+    }
+}
+
 /// check FD after clientHttp[s]ConnectionOpened, adjust HttpSockets as needed
 static bool
 OpenedHttpSocket(const Comm::ConnectionPointer &c, const Ipc::FdNoteId portType)
diff -u -r -N squid-3.5.7/src/client_side.h squid-3.5.8/src/client_side.h
--- squid-3.5.7/src/client_side.h	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/client_side.h	2015-09-01 12:52:00.000000000 -0700
@@ -400,6 +400,10 @@
     /// stop parsing the request and create context for relaying error info
     ClientSocketContext *abortRequestParsing(const char *const errUri);
 
+    /// generate a fake CONNECT request with the given payload
+    /// at the beginning of the client I/O buffer
+    void fakeAConnectRequest(const char *reason, const SBuf &payload);
+
     /* Registered Runner API */
     virtual void startShutdown();
     virtual void endingShutdown();
diff -u -r -N squid-3.5.7/src/client_side_reply.cc squid-3.5.8/src/client_side_reply.cc
--- squid-3.5.7/src/client_side_reply.cc	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/client_side_reply.cc	2015-09-01 12:52:00.000000000 -0700
@@ -1217,6 +1217,11 @@
             return STREAM_FAILED;
         }
 
+        if (EBIT_TEST(http->storeEntry()->flags, ENTRY_BAD_LENGTH)) {
+            debugs(88, 5, "clientReplyStatus: truncated response body");
+            return STREAM_UNPLANNED_COMPLETE;
+        }
+
         if (!done) {
             debugs(88, 5, "clientReplyStatus: closing, !done, but read 0 bytes");
             return STREAM_FAILED;
diff -u -r -N squid-3.5.7/src/comm/Makefile.in squid-3.5.8/src/comm/Makefile.in
--- squid-3.5.7/src/comm/Makefile.in	2015-07-31 23:10:03.000000000 -0700
+++ squid-3.5.8/src/comm/Makefile.in	2015-09-01 12:53:33.000000000 -0700
@@ -547,6 +547,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -669,6 +670,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -799,22 +801,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Write.Plo@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/src/Debug.h squid-3.5.8/src/Debug.h
--- squid-3.5.7/src/Debug.h	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/Debug.h	2015-09-01 12:52:00.000000000 -0700
@@ -94,8 +94,10 @@
         if ((Debug::level = (LEVEL)) <= Debug::Levels[SECTION]) { \
             Debug::sectionLevel = Debug::Levels[SECTION]; \
             std::ostream &_dbo=Debug::getDebugOut(); \
-            if (Debug::level > DBG_IMPORTANT) \
-                _dbo << SkipBuildPrefix(__FILE__)<<"("<<__LINE__<<") "<<__FUNCTION__<<": "; \
+            if (Debug::level > DBG_IMPORTANT) { \
+                _dbo << (SECTION) << ',' << (LEVEL) << "| " \
+                     << SkipBuildPrefix(__FILE__)<<"("<<__LINE__<<") "<<__FUNCTION__<<": "; \
+            } \
             _dbo << CONTENT; \
             Debug::finishDebug(); \
         } \
diff -u -r -N squid-3.5.7/src/esi/Esi.cc squid-3.5.8/src/esi/Esi.cc
--- squid-3.5.7/src/esi/Esi.cc	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/esi/Esi.cc	2015-09-01 12:52:00.000000000 -0700
@@ -2408,14 +2408,12 @@
         HttpHdrScTarget *sctusable =
             rep->surrogate_control->getMergedTarget(Config.Accel.surrogate_id);
 
-        if (!sctusable || !sctusable->hasContent())
-            /* Nothing generic or targeted at us, or no
-             * content processing requested
-             */
-            return 0;
-
-        if (sctusable->content().pos("ESI/1.0") != NULL)
+        // found something targeted at us
+        if (sctusable &&
+                sctusable->hasContent() &&
+                sctusable->content().pos("ESI/1.0")) {
             rv = 1;
+        }
 
         delete sctusable;
     }
diff -u -r -N squid-3.5.7/src/esi/Libxml2Parser.h squid-3.5.8/src/esi/Libxml2Parser.h
--- squid-3.5.7/src/esi/Libxml2Parser.h	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/esi/Libxml2Parser.h	2015-09-01 12:52:00.000000000 -0700
@@ -24,6 +24,15 @@
 #define OLD_FREE free
 #undef free
 #endif
+
+#if __clang__
+// workaround for clang complaining of unknown attributes in libxml2 on fedora22
+#ifdef LIBXML_ATTR_ALLOC_SIZE
+#undef LIBXML_ATTR_ALLOC_SIZE
+#endif
+#define LIBXML_ATTR_ALLOC_SIZE(x)
+#endif /* __clang__ */
+
 #if HAVE_LIBXML_PARSER_H
 #include <libxml/parser.h>
 #endif
diff -u -r -N squid-3.5.7/src/esi/Makefile.in squid-3.5.8/src/esi/Makefile.in
--- squid-3.5.7/src/esi/Makefile.in	2015-07-31 23:10:04.000000000 -0700
+++ squid-3.5.8/src/esi/Makefile.in	2015-09-01 12:53:34.000000000 -0700
@@ -564,6 +564,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -686,6 +687,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -819,22 +821,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/VarState.Plo@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/src/eui/Makefile.in squid-3.5.8/src/eui/Makefile.in
--- squid-3.5.7/src/eui/Makefile.in	2015-07-31 23:10:04.000000000 -0700
+++ squid-3.5.8/src/eui/Makefile.in	2015-09-01 12:53:34.000000000 -0700
@@ -545,6 +545,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -667,6 +668,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -768,22 +770,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Eui64.Plo@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/src/format/Makefile.in squid-3.5.8/src/format/Makefile.in
--- squid-3.5.7/src/format/Makefile.in	2015-07-31 23:10:05.000000000 -0700
+++ squid-3.5.8/src/format/Makefile.in	2015-09-01 12:53:35.000000000 -0700
@@ -544,6 +544,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -666,6 +667,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -771,22 +773,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Token.Plo@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/src/fs/Makefile.am squid-3.5.8/src/fs/Makefile.am
--- squid-3.5.7/src/fs/Makefile.am	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/fs/Makefile.am	2015-09-01 12:52:00.000000000 -0700
@@ -7,8 +7,6 @@
 
 include $(top_srcdir)/src/Common.am
 
-AUTOMAKE_OPTIONS = subdir-objects
-
 EXTRA_LTLIBRARIES = libaufs.la libdiskd.la libufs.la librock.la
 noinst_LTLIBRARIES =  $(STORE_LIBS_TO_BUILD) libfs.la
 
diff -u -r -N squid-3.5.7/src/fs/Makefile.in squid-3.5.8/src/fs/Makefile.in
--- squid-3.5.7/src/fs/Makefile.in	2015-07-31 23:10:05.000000000 -0700
+++ squid-3.5.8/src/fs/Makefile.in	2015-09-01 12:53:35.000000000 -0700
@@ -562,6 +562,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -684,6 +685,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -706,7 +708,6 @@
 @ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
 COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
 subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
-AUTOMAKE_OPTIONS = subdir-objects
 EXTRA_LTLIBRARIES = libaufs.la libdiskd.la libufs.la librock.la
 noinst_LTLIBRARIES = $(STORE_LIBS_TO_BUILD) libfs.la
 
diff -u -r -N squid-3.5.7/src/fs/ufs/UFSSwapDir.cc squid-3.5.8/src/fs/ufs/UFSSwapDir.cc
--- squid-3.5.7/src/fs/ufs/UFSSwapDir.cc	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/fs/ufs/UFSSwapDir.cc	2015-09-01 12:52:00.000000000 -0700
@@ -412,44 +412,89 @@
 void
 Fs::Ufs::UFSSwapDir::maintain()
 {
-    /* We can't delete objects while rebuilding swap */
+    /* TODO: possible options for improvement;
+     *
+     * Note that too much aggression here is not good. It means that disk
+     * controller is getting a long queue of removals to act on, along
+     * with its regular I/O queue, and that client traffic is 'paused'
+     * and growing the network I/O queue as well while the scan happens.
+     * Possibly bad knock-on effects as Squid catches up on all that.
+     *
+     * Bug 2448 may have been a sign of what can wrong. At the least it
+     * provides a test case for aggression effects in overflow conditions.
+     *
+     * - base removal limit on space saved, instead of count ?
+     *
+     * - base removal rate on a traffic speed counter ?
+     *   as the purge took up more time out of the second it would grow to
+     *   a graceful full pause
+     *
+     * - pass out a value to cause another event to be scheduled immediately
+     *   instead of waiting a whole second more ?
+     *   knock on; schedule less if all caches are under low-water
+     *
+     * - admin configurable removal rate or count ?
+     *   the current numbers are arbitrary, config helps with experimental
+     *   trials and future-proofing the install base.
+     *   we also have this indirectly by shifting the relative positions
+     *   of low-, high- water and the total capacity limit.
+     */
 
+    /* We can't delete objects while rebuilding swap */
     /* XXX FIXME each store should start maintaining as it comes online. */
-
-    if (StoreController::store_dirs_rebuilding)
+    if (StoreController::store_dirs_rebuilding) {
+        debugs(47, DBG_IMPORTANT, StoreController::store_dirs_rebuilding << " cache_dir still rebuilding. Skip GC for " << path);
         return;
+    }
 
-    StoreEntry *e = NULL;
-
-    int removed = 0;
+    // minSize() is swap_low_watermark in bytes
+    const uint64_t lowWaterSz = minSize();
 
-    RemovalPurgeWalker *walker;
+    if (currentSize() < lowWaterSz) {
+        debugs(47, 2, "space still available in " << path);
+        return;
+    }
 
-    double f = (double) (currentSize() - minSize()) / (maxSize() - minSize());
+    // maxSize() is cache_dir total size in bytes
+    const uint64_t highWaterSz = ((maxSize() * Config.Swap.highWaterMark) / 100);
 
-    f = f < 0.0 ? 0.0 : f > 1.0 ? 1.0 : f;
+    // f is percentage of 'gap' filled between low- and high-water.
+    // Used to reduced purge rate when between water markers, and
+    // to multiply it more agressively the further above high-water
+    // it reaches. But in a graceful linear growth curve.
+    double f = 1.0;
+    if (highWaterSz > lowWaterSz) {
+        // might be equal. n/0 is bad.
+        f = (double) (currentSize() - lowWaterSz) / (highWaterSz - lowWaterSz);
+    }
 
+    // how deep to look for a single object that can be removed
     int max_scan = (int) (f * 400.0 + 100.0);
 
-    int max_remove = (int) (f * 70.0 + 10.0);
+    // try to purge only this many objects this cycle.
+    int max_remove = (int) (f * 300.0 + 20.0);
 
     /*
      * This is kinda cheap, but so we need this priority hack?
      */
+    debugs(47, 3, "f=" << f << ", max_scan=" << max_scan << ", max_remove=" << max_remove);
 
-    debugs(47, 3, HERE << "f=" << f << ", max_scan=" << max_scan << ", max_remove=" << max_remove  );
-
-    walker = repl->PurgeInit(repl, max_scan);
+    RemovalPurgeWalker *walker = repl->PurgeInit(repl, max_scan);
 
-    while (1) {
-        if (currentSize() < minSize())
-            break;
+    int removed = 0;
+    // only purge while above low-water
+    while (currentSize() >= lowWaterSz) {
 
+        // stop if we reached max removals for this cycle,
+        // Bug 2448 may be from this not clearing enough,
+        // but it predates the current algorithm so not sure
         if (removed >= max_remove)
             break;
 
-        e = walker->Next(walker);
+        StoreEntry *e = walker->Next(walker);
 
+        // stop if all objects are locked / in-use,
+        // or the cache is empty
         if (!e)
             break;      /* no more objects */
 
@@ -459,9 +504,12 @@
     }
 
     walker->Done(walker);
-    debugs(47, (removed ? 2 : 3), HERE << path <<
+    debugs(47, (removed ? 2 : 3), path <<
            " removed " << removed << "/" << max_remove << " f=" <<
            std::setprecision(4) << f << " max_scan=" << max_scan);
+
+    // what if cache is still over the high watermark ?
+    // Store::Maintain() schedules another purge in 1 second.
 }
 
 void
diff -u -r -N squid-3.5.7/src/ftp/Makefile.in squid-3.5.8/src/ftp/Makefile.in
--- squid-3.5.7/src/ftp/Makefile.in	2015-07-31 23:10:06.000000000 -0700
+++ squid-3.5.8/src/ftp/Makefile.in	2015-09-01 12:53:36.000000000 -0700
@@ -544,6 +544,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -666,6 +667,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -763,22 +765,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Parsing.Plo@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/src/helper/Makefile.in squid-3.5.8/src/helper/Makefile.in
--- squid-3.5.7/src/helper/Makefile.in	2015-07-31 23:10:06.000000000 -0700
+++ squid-3.5.8/src/helper/Makefile.in	2015-09-01 12:53:36.000000000 -0700
@@ -544,6 +544,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -666,6 +667,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -766,22 +768,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Reply.Plo@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/src/http/Makefile.in squid-3.5.8/src/http/Makefile.in
--- squid-3.5.7/src/http/Makefile.in	2015-07-31 23:10:07.000000000 -0700
+++ squid-3.5.8/src/http/Makefile.in	2015-09-01 12:53:37.000000000 -0700
@@ -545,6 +545,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -667,6 +668,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -768,22 +770,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/StatusLine.Plo@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/src/http.cc squid-3.5.8/src/http.cc
--- squid-3.5.7/src/http.cc	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/http.cc	2015-09-01 12:52:00.000000000 -0700
@@ -1281,6 +1281,9 @@
             } else if (s == Http::scHeaderTooLarge) {
                 fwd->dontRetry(true);
                 error = ERR_TOO_BIG;
+            } else if (vrep->header.conflictingContentLength()) {
+                fwd->dontRetry(true);
+                error = ERR_INVALID_RESP;
             } else {
                 return true; // done parsing, got reply, and no error
             }
diff -u -r -N squid-3.5.7/src/HttpHeader.cc squid-3.5.8/src/HttpHeader.cc
--- squid-3.5.7/src/HttpHeader.cc	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/HttpHeader.cc	2015-09-01 12:52:00.000000000 -0700
@@ -435,19 +435,19 @@
  * HttpHeader Implementation
  */
 
-HttpHeader::HttpHeader() : owner (hoNone), len (0)
+HttpHeader::HttpHeader() : owner (hoNone), len (0), conflictingContentLength_(false)
 {
     httpHeaderMaskInit(&mask, 0);
 }
 
-HttpHeader::HttpHeader(const http_hdr_owner_type anOwner): owner(anOwner), len(0)
+HttpHeader::HttpHeader(const http_hdr_owner_type anOwner): owner(anOwner), len(0), conflictingContentLength_(false)
 {
     assert(anOwner > hoNone && anOwner < hoEnd);
     debugs(55, 7, "init-ing hdr: " << this << " owner: " << owner);
     httpHeaderMaskInit(&mask, 0);
 }
 
-HttpHeader::HttpHeader(const HttpHeader &other): owner(other.owner), len(other.len)
+HttpHeader::HttpHeader(const HttpHeader &other): owner(other.owner), len(other.len), conflictingContentLength_(false)
 {
     httpHeaderMaskInit(&mask, 0);
     update(&other, NULL); // will update the mask as well
@@ -467,6 +467,7 @@
         clean();
         update(&other, NULL); // will update the mask as well
         len = other.len;
+        conflictingContentLength_ = other.conflictingContentLength_;
     }
     return *this;
 }
@@ -515,6 +516,7 @@
     entries.clear();
     httpHeaderMaskInit(&mask, 0);
     len = 0;
+    conflictingContentLength_ = false;
     PROF_stop(HttpHeaderClean);
 }
 
@@ -691,6 +693,8 @@
             return reset();
         }
 
+        // XXX: RFC 7230 Section 3.3.3 item #4 requires sending a 502 error in
+        // several cases that we do not yet cover. TODO: Rewrite to cover more.
         if (e->id == HDR_CONTENT_LENGTH && (e2 = findEntry(e->id)) != NULL) {
             if (e->value != e2->value) {
                 int64_t l1, l2;
@@ -710,9 +714,9 @@
                 } else if (!httpHeaderParseOffset(e2->value.termedBuf(), &l2)) {
                     debugs(55, DBG_IMPORTANT, "WARNING: Unparseable content-length '" << e2->value << "'");
                     delById(e2->id);
-                } else if (l1 > l2) {
-                    delById(e2->id);
                 } else {
+                    if (l1 != l2)
+                        conflictingContentLength_ = true;
                     delete e;
                     continue;
                 }
@@ -745,6 +749,11 @@
     if (chunked()) {
         // RFC 2616 section 4.4: ignore Content-Length with Transfer-Encoding
         delById(HDR_CONTENT_LENGTH);
+        // RFC 7230 section 3.3.3 #4: ignore Content-Length conflicts with Transfer-Encoding
+        conflictingContentLength_ = false;
+    } else if (conflictingContentLength_) {
+        // ensure our callers do not see the conflicting Content-Length value
+        delById(HDR_CONTENT_LENGTH);
     }
 
     PROF_stop(HttpHeaderParse);
diff -u -r -N squid-3.5.7/src/HttpHeader.h squid-3.5.8/src/HttpHeader.h
--- squid-3.5.7/src/HttpHeader.h	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/HttpHeader.h	2015-09-01 12:52:00.000000000 -0700
@@ -233,6 +233,7 @@
     String getList(http_hdr_type id) const;
     bool getList(http_hdr_type id, String *s) const;
     String getStrOrList(http_hdr_type id) const;
+    bool conflictingContentLength() const { return conflictingContentLength_; }
     String getByName(const char *name) const;
     /// sets value and returns true iff a [possibly empty] named field is there
     bool getByNameIfPresent(const char *name, String &value) const;
@@ -280,6 +281,7 @@
 
 private:
     HttpHeaderEntry *findLastEntry(http_hdr_type id) const;
+    bool conflictingContentLength_; ///< found different Content-Length fields
 };
 
 int httpHeaderParseQuotedString(const char *start, const int len, String *val);
diff -u -r -N squid-3.5.7/src/icmp/Makefile.am squid-3.5.8/src/icmp/Makefile.am
--- squid-3.5.7/src/icmp/Makefile.am	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/icmp/Makefile.am	2015-09-01 12:52:00.000000000 -0700
@@ -9,40 +9,20 @@
 include $(top_srcdir)/src/TestHeaders.am
 
 # TODO: get rid of this when config filename is no longer a global constant.
-#	its only here so the testIcmp will link .
+#      its only here so the pinger globals.cc will link.
 DEFS += -DDEFAULT_CONFIG_FILE=NULL
 
 
 # ICMP Specific Configurations
 
 if ENABLE_PINGER
-PINGER = pinger
+libexec_PROGRAMS = pinger
 else
-PINGER =
+EXTRA_PROGRAMS = pinger
 endif
 
-EXTRA_PROGRAMS = \
-	pinger \
-	testIcmp
-
-libexec_PROGRAMS = $(PINGER)
-
 noinst_LTLIBRARIES = libicmp-core.la libicmp.la
 
-SBUF_SOURCE= \
-	$(top_srcdir)/src/base/CharacterSet.h \
-	$(top_srcdir)/src/SBuf.h \
-	$(top_srcdir)/src/SBuf.cc \
-	$(top_srcdir)/src/MemBlob.h \
-	$(top_srcdir)/src/MemBlob.cc \
-	$(top_srcdir)/src/OutOfBoundsException.h \
-	$(top_srcdir)/src/SBufExceptions.h \
-	$(top_srcdir)/src/SBufExceptions.cc \
-	$(top_srcdir)/src/String.cc \
-	$(top_srcdir)/src/SquidString.h \
-	$(top_srcdir)/src/base/TextException.h \
-	$(top_srcdir)/src/base/TextException.cc
-
 # ICMP API definition ...
 libicmp_core_la_SOURCES = \
 	Icmp.h \
@@ -56,6 +36,15 @@
 	net_db.h \
 	net_db.cc
 
+# pinger depends on these but install/dist is done elsewhere.
+COPIED_SOURCE= \
+	debug.cc \
+	globals.cc \
+	SquidConfig.cc \
+	SquidNew.cc \
+	stub_HelperChildConfig.cc \
+	time.cc
+
 # ICMP lookup helper
 pinger_SOURCES = \
 	Icmp.h \
@@ -66,17 +55,7 @@
 	Icmp6.h \
 	Icmp6.cc \
 	pinger.cc
-
-# depends on these but install/dist is done elsewhere.
-# TODO: remove when these are cleaned up in their own way.
-nodist_pinger_SOURCES = \
-	$(top_srcdir)/src/debug.cc \
-	$(top_builddir)/src/globals.cc \
-	$(top_srcdir)/src/time.cc \
-	$(top_srcdir)/src/SquidConfig.cc \
-	$(top_srcdir)/src/SquidNew.cc \
-	$(top_srcdir)/src/tests/stub_HelperChildConfig.cc
-
+nodist_pinger_SOURCES = $(COPIED_SOURCE)
 pinger_LDFLAGS = $(LIBADD_DL)
 pinger_LDADD=\
 	libicmp-core.la \
@@ -84,6 +63,7 @@
 	$(COMPAT_LIB) \
 	$(XTRA_LIBS)
 
+CLEANFILES += $(COPIED_SOURCE)
 
 ##install-pinger:
 ##	@f=$(PINGER_EXE); \
@@ -98,29 +78,22 @@
 ##		$(RM) -f $(libexecdir)/-$$f; \
 ##	fi
 
+## files we need to pull in from other locations
+## copied like this to avoid subdir-objects collisions on 'make clean'
+debug.cc: $(top_srcdir)/src/debug.cc
+	cp $(top_srcdir)/src/debug.cc .
 
-check_PROGRAMS += testIcmp
-TESTS += testIcmp
+globals.cc: $(top_srcdir)/src/globals.h
+	cp $(top_builddir)/src/globals.cc .
 
-## Tests of the ICMP base module.
-# Its used by pinger so SHOULD NOT require more dependancies! :-(
-testIcmp_SOURCES = \
-	Icmp.h \
-	testIcmp.h \
-	testIcmp.cc
-nodist_testIcmp_SOURCES = \
-	$(top_srcdir)/src/SquidTime.h \
-	$(top_srcdir)/src/tests/stub_debug.cc \
-	$(top_srcdir)/src/time.cc \
-	$(top_srcdir)/test-suite/test_tools.cc \
-	$(top_builddir)/src/globals.cc
-testIcmp_LDFLAGS = $(LIBADD_DL)
-testIcmp_LDADD=\
-	$(SQUID_CPPUNIT_LIBS) \
-	$(SQUID_CPPUNIT_LA) \
-	libicmp-core.la \
-	../ip/libip.la \
-	../base/libbase.la \
-	$(COMPAT_LIB) \
-	$(XTRA_LIBS)
-testIcmp_DEPENDENCIES= $(SQUID_CPPUNIT_LA)
+time.cc: $(top_srcdir)/src/time.cc
+	cp $(top_srcdir)/src/time.cc .
+
+SquidConfig.cc: $(top_srcdir)/src/SquidConfig.cc
+	cp $(top_srcdir)/src/SquidConfig.cc .
+
+SquidNew.cc: $(top_srcdir)/src/SquidNew.cc
+	cp $(top_srcdir)/src/SquidNew.cc .
+
+stub_HelperChildConfig.cc: $(top_srcdir)/src/tests/stub_HelperChildConfig.cc
+	cp $(top_srcdir)/src/tests/stub_HelperChildConfig.cc .
diff -u -r -N squid-3.5.7/src/icmp/Makefile.in squid-3.5.8/src/icmp/Makefile.in
--- squid-3.5.7/src/icmp/Makefile.in	2015-07-31 23:10:07.000000000 -0700
+++ squid-3.5.8/src/icmp/Makefile.in	2015-09-01 12:53:37.000000000 -0700
@@ -89,11 +89,10 @@
 POST_UNINSTALL = :
 build_triplet = @build@
 host_triplet = @host@
-check_PROGRAMS = testIcmp$(EXEEXT)
-TESTS = testHeaders testIcmp$(EXEEXT)
+check_PROGRAMS =
 @ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
-EXTRA_PROGRAMS = pinger$(EXEEXT) testIcmp$(EXEEXT)
-libexec_PROGRAMS = $(am__EXEEXT_1)
+@ENABLE_PINGER_TRUE@libexec_PROGRAMS = pinger$(EXEEXT)
+@ENABLE_PINGER_FALSE@EXTRA_PROGRAMS = pinger$(EXEEXT)
 subdir = src/icmp
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
@@ -172,14 +171,14 @@
 libicmp_la_LIBADD =
 am_libicmp_la_OBJECTS = IcmpSquid.lo net_db.lo
 libicmp_la_OBJECTS = $(am_libicmp_la_OBJECTS)
-@ENABLE_PINGER_TRUE@am__EXEEXT_1 = pinger$(EXEEXT)
 am__installdirs = "$(DESTDIR)$(libexecdir)"
 PROGRAMS = $(libexec_PROGRAMS)
 am_pinger_OBJECTS = IcmpPinger.$(OBJEXT) Icmp4.$(OBJEXT) \
 	Icmp6.$(OBJEXT) pinger.$(OBJEXT)
-nodist_pinger_OBJECTS = debug.$(OBJEXT) globals.$(OBJEXT) \
-	time.$(OBJEXT) SquidConfig.$(OBJEXT) SquidNew.$(OBJEXT) \
-	stub_HelperChildConfig.$(OBJEXT)
+am__objects_1 = debug.$(OBJEXT) globals.$(OBJEXT) \
+	SquidConfig.$(OBJEXT) SquidNew.$(OBJEXT) \
+	stub_HelperChildConfig.$(OBJEXT) time.$(OBJEXT)
+nodist_pinger_OBJECTS = $(am__objects_1)
 pinger_OBJECTS = $(am_pinger_OBJECTS) $(nodist_pinger_OBJECTS)
 @ENABLE_XPROF_STATS_TRUE@am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
 am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompat-squid.la \
@@ -190,13 +189,6 @@
 pinger_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
 	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
 	$(CXXFLAGS) $(pinger_LDFLAGS) $(LDFLAGS) -o $@
-am_testIcmp_OBJECTS = testIcmp.$(OBJEXT)
-nodist_testIcmp_OBJECTS = stub_debug.$(OBJEXT) time.$(OBJEXT) \
-	test_tools.$(OBJEXT) globals.$(OBJEXT)
-testIcmp_OBJECTS = $(am_testIcmp_OBJECTS) $(nodist_testIcmp_OBJECTS)
-testIcmp_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
-	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
-	$(CXXFLAGS) $(testIcmp_LDFLAGS) $(LDFLAGS) -o $@
 AM_V_P = $(am__v_P_@AM_V@)
 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
 am__v_P_0 = false
@@ -250,10 +242,9 @@
 am__v_CCLD_0 = @echo "  CCLD    " $@;
 am__v_CCLD_1 = 
 SOURCES = $(libicmp_core_la_SOURCES) $(libicmp_la_SOURCES) \
-	$(pinger_SOURCES) $(nodist_pinger_SOURCES) $(testIcmp_SOURCES) \
-	$(nodist_testIcmp_SOURCES)
+	$(pinger_SOURCES) $(nodist_pinger_SOURCES)
 DIST_SOURCES = $(libicmp_core_la_SOURCES) $(libicmp_la_SOURCES) \
-	$(pinger_SOURCES) $(testIcmp_SOURCES)
+	$(pinger_SOURCES)
 am__can_run_installinfo = \
   case $$AM_UPDATE_INFO_DIR in \
     n|no|NO) false;; \
@@ -525,7 +516,7 @@
 DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
 
 # TODO: get rid of this when config filename is no longer a global constant.
-#	its only here so the testIcmp will link .
+#      its only here so the pinger globals.cc will link.
 DEFS = @DEFS@ -DDEFAULT_CONFIG_FILE=NULL
 DEPDIR = @DEPDIR@
 DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
@@ -582,6 +573,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -704,6 +696,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -716,7 +709,8 @@
 top_srcdir = @top_srcdir@
 AM_CFLAGS = $(SQUID_CFLAGS)
 AM_CXXFLAGS = $(SQUID_CXXFLAGS)
-CLEANFILES = testHeaders
+CLEANFILES = testHeaders $(COPIED_SOURCE)
+TESTS = testHeaders
 AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
 	-I$(top_srcdir)/lib -I$(top_srcdir)/src \
 	-I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
@@ -725,25 +719,7 @@
 @ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
 COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
 subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
-@ENABLE_PINGER_FALSE@PINGER = 
-
-# ICMP Specific Configurations
-@ENABLE_PINGER_TRUE@PINGER = pinger
 noinst_LTLIBRARIES = libicmp-core.la libicmp.la
-SBUF_SOURCE = \
-	$(top_srcdir)/src/base/CharacterSet.h \
-	$(top_srcdir)/src/SBuf.h \
-	$(top_srcdir)/src/SBuf.cc \
-	$(top_srcdir)/src/MemBlob.h \
-	$(top_srcdir)/src/MemBlob.cc \
-	$(top_srcdir)/src/OutOfBoundsException.h \
-	$(top_srcdir)/src/SBufExceptions.h \
-	$(top_srcdir)/src/SBufExceptions.cc \
-	$(top_srcdir)/src/String.cc \
-	$(top_srcdir)/src/SquidString.h \
-	$(top_srcdir)/src/base/TextException.h \
-	$(top_srcdir)/src/base/TextException.cc
-
 
 # ICMP API definition ...
 libicmp_core_la_SOURCES = \
@@ -760,6 +736,16 @@
 	net_db.cc
 
 
+# pinger depends on these but install/dist is done elsewhere.
+COPIED_SOURCE = \
+	debug.cc \
+	globals.cc \
+	SquidConfig.cc \
+	SquidNew.cc \
+	stub_HelperChildConfig.cc \
+	time.cc
+
+
 # ICMP lookup helper
 pinger_SOURCES = \
 	Icmp.h \
@@ -771,17 +757,7 @@
 	Icmp6.cc \
 	pinger.cc
 
-
-# depends on these but install/dist is done elsewhere.
-# TODO: remove when these are cleaned up in their own way.
-nodist_pinger_SOURCES = \
-	$(top_srcdir)/src/debug.cc \
-	$(top_builddir)/src/globals.cc \
-	$(top_srcdir)/src/time.cc \
-	$(top_srcdir)/src/SquidConfig.cc \
-	$(top_srcdir)/src/SquidNew.cc \
-	$(top_srcdir)/src/tests/stub_HelperChildConfig.cc
-
+nodist_pinger_SOURCES = $(COPIED_SOURCE)
 pinger_LDFLAGS = $(LIBADD_DL)
 pinger_LDADD = \
 	libicmp-core.la \
@@ -789,31 +765,6 @@
 	$(COMPAT_LIB) \
 	$(XTRA_LIBS)
 
-
-# Its used by pinger so SHOULD NOT require more dependancies! :-(
-testIcmp_SOURCES = \
-	Icmp.h \
-	testIcmp.h \
-	testIcmp.cc
-
-nodist_testIcmp_SOURCES = \
-	$(top_srcdir)/src/SquidTime.h \
-	$(top_srcdir)/src/tests/stub_debug.cc \
-	$(top_srcdir)/src/time.cc \
-	$(top_srcdir)/test-suite/test_tools.cc \
-	$(top_builddir)/src/globals.cc
-
-testIcmp_LDFLAGS = $(LIBADD_DL)
-testIcmp_LDADD = \
-	$(SQUID_CPPUNIT_LIBS) \
-	$(SQUID_CPPUNIT_LA) \
-	libicmp-core.la \
-	../ip/libip.la \
-	../base/libbase.la \
-	$(COMPAT_LIB) \
-	$(XTRA_LIBS)
-
-testIcmp_DEPENDENCIES = $(SQUID_CPPUNIT_LA)
 all: all-am
 
 .SUFFIXES:
@@ -928,10 +879,6 @@
 	@rm -f pinger$(EXEEXT)
 	$(AM_V_CXXLD)$(pinger_LINK) $(pinger_OBJECTS) $(pinger_LDADD) $(LIBS)
 
-testIcmp$(EXEEXT): $(testIcmp_OBJECTS) $(testIcmp_DEPENDENCIES) $(EXTRA_testIcmp_DEPENDENCIES) 
-	@rm -f testIcmp$(EXEEXT)
-	$(AM_V_CXXLD)$(testIcmp_LINK) $(testIcmp_OBJECTS) $(testIcmp_LDADD) $(LIBS)
-
 mostlyclean-compile:
 	-rm -f *.$(OBJEXT)
 
@@ -950,144 +897,32 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/net_db.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pinger.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stub_HelperChildConfig.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stub_debug.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testIcmp.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_tools.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/time.Po@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
 
-debug.o: $(top_srcdir)/src/debug.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT debug.o -MD -MP -MF $(DEPDIR)/debug.Tpo -c -o debug.o `test -f '$(top_srcdir)/src/debug.cc' || echo '$(srcdir)/'`$(top_srcdir)/src/debug.cc
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/debug.Tpo $(DEPDIR)/debug.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_srcdir)/src/debug.cc' object='debug.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o debug.o `test -f '$(top_srcdir)/src/debug.cc' || echo '$(srcdir)/'`$(top_srcdir)/src/debug.cc
-
-debug.obj: $(top_srcdir)/src/debug.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT debug.obj -MD -MP -MF $(DEPDIR)/debug.Tpo -c -o debug.obj `if test -f '$(top_srcdir)/src/debug.cc'; then $(CYGPATH_W) '$(top_srcdir)/src/debug.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/src/debug.cc'; fi`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/debug.Tpo $(DEPDIR)/debug.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_srcdir)/src/debug.cc' object='debug.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o debug.obj `if test -f '$(top_srcdir)/src/debug.cc'; then $(CYGPATH_W) '$(top_srcdir)/src/debug.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/src/debug.cc'; fi`
-
-globals.o: $(top_builddir)/src/globals.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT globals.o -MD -MP -MF $(DEPDIR)/globals.Tpo -c -o globals.o `test -f '$(top_builddir)/src/globals.cc' || echo '$(srcdir)/'`$(top_builddir)/src/globals.cc
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/globals.Tpo $(DEPDIR)/globals.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_builddir)/src/globals.cc' object='globals.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o globals.o `test -f '$(top_builddir)/src/globals.cc' || echo '$(srcdir)/'`$(top_builddir)/src/globals.cc
-
-globals.obj: $(top_builddir)/src/globals.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT globals.obj -MD -MP -MF $(DEPDIR)/globals.Tpo -c -o globals.obj `if test -f '$(top_builddir)/src/globals.cc'; then $(CYGPATH_W) '$(top_builddir)/src/globals.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_builddir)/src/globals.cc'; fi`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/globals.Tpo $(DEPDIR)/globals.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_builddir)/src/globals.cc' object='globals.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o globals.obj `if test -f '$(top_builddir)/src/globals.cc'; then $(CYGPATH_W) '$(top_builddir)/src/globals.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_builddir)/src/globals.cc'; fi`
-
-time.o: $(top_srcdir)/src/time.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT time.o -MD -MP -MF $(DEPDIR)/time.Tpo -c -o time.o `test -f '$(top_srcdir)/src/time.cc' || echo '$(srcdir)/'`$(top_srcdir)/src/time.cc
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/time.Tpo $(DEPDIR)/time.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_srcdir)/src/time.cc' object='time.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o time.o `test -f '$(top_srcdir)/src/time.cc' || echo '$(srcdir)/'`$(top_srcdir)/src/time.cc
-
-time.obj: $(top_srcdir)/src/time.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT time.obj -MD -MP -MF $(DEPDIR)/time.Tpo -c -o time.obj `if test -f '$(top_srcdir)/src/time.cc'; then $(CYGPATH_W) '$(top_srcdir)/src/time.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/src/time.cc'; fi`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/time.Tpo $(DEPDIR)/time.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_srcdir)/src/time.cc' object='time.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o time.obj `if test -f '$(top_srcdir)/src/time.cc'; then $(CYGPATH_W) '$(top_srcdir)/src/time.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/src/time.cc'; fi`
-
-SquidConfig.o: $(top_srcdir)/src/SquidConfig.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT SquidConfig.o -MD -MP -MF $(DEPDIR)/SquidConfig.Tpo -c -o SquidConfig.o `test -f '$(top_srcdir)/src/SquidConfig.cc' || echo '$(srcdir)/'`$(top_srcdir)/src/SquidConfig.cc
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/SquidConfig.Tpo $(DEPDIR)/SquidConfig.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_srcdir)/src/SquidConfig.cc' object='SquidConfig.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o SquidConfig.o `test -f '$(top_srcdir)/src/SquidConfig.cc' || echo '$(srcdir)/'`$(top_srcdir)/src/SquidConfig.cc
-
-SquidConfig.obj: $(top_srcdir)/src/SquidConfig.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT SquidConfig.obj -MD -MP -MF $(DEPDIR)/SquidConfig.Tpo -c -o SquidConfig.obj `if test -f '$(top_srcdir)/src/SquidConfig.cc'; then $(CYGPATH_W) '$(top_srcdir)/src/SquidConfig.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/src/SquidConfig.cc'; fi`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/SquidConfig.Tpo $(DEPDIR)/SquidConfig.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_srcdir)/src/SquidConfig.cc' object='SquidConfig.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o SquidConfig.obj `if test -f '$(top_srcdir)/src/SquidConfig.cc'; then $(CYGPATH_W) '$(top_srcdir)/src/SquidConfig.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/src/SquidConfig.cc'; fi`
-
-SquidNew.o: $(top_srcdir)/src/SquidNew.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT SquidNew.o -MD -MP -MF $(DEPDIR)/SquidNew.Tpo -c -o SquidNew.o `test -f '$(top_srcdir)/src/SquidNew.cc' || echo '$(srcdir)/'`$(top_srcdir)/src/SquidNew.cc
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/SquidNew.Tpo $(DEPDIR)/SquidNew.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_srcdir)/src/SquidNew.cc' object='SquidNew.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o SquidNew.o `test -f '$(top_srcdir)/src/SquidNew.cc' || echo '$(srcdir)/'`$(top_srcdir)/src/SquidNew.cc
-
-SquidNew.obj: $(top_srcdir)/src/SquidNew.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT SquidNew.obj -MD -MP -MF $(DEPDIR)/SquidNew.Tpo -c -o SquidNew.obj `if test -f '$(top_srcdir)/src/SquidNew.cc'; then $(CYGPATH_W) '$(top_srcdir)/src/SquidNew.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/src/SquidNew.cc'; fi`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/SquidNew.Tpo $(DEPDIR)/SquidNew.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_srcdir)/src/SquidNew.cc' object='SquidNew.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o SquidNew.obj `if test -f '$(top_srcdir)/src/SquidNew.cc'; then $(CYGPATH_W) '$(top_srcdir)/src/SquidNew.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/src/SquidNew.cc'; fi`
-
-stub_HelperChildConfig.o: $(top_srcdir)/src/tests/stub_HelperChildConfig.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT stub_HelperChildConfig.o -MD -MP -MF $(DEPDIR)/stub_HelperChildConfig.Tpo -c -o stub_HelperChildConfig.o `test -f '$(top_srcdir)/src/tests/stub_HelperChildConfig.cc' || echo '$(srcdir)/'`$(top_srcdir)/src/tests/stub_HelperChildConfig.cc
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/stub_HelperChildConfig.Tpo $(DEPDIR)/stub_HelperChildConfig.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_srcdir)/src/tests/stub_HelperChildConfig.cc' object='stub_HelperChildConfig.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o stub_HelperChildConfig.o `test -f '$(top_srcdir)/src/tests/stub_HelperChildConfig.cc' || echo '$(srcdir)/'`$(top_srcdir)/src/tests/stub_HelperChildConfig.cc
-
-stub_HelperChildConfig.obj: $(top_srcdir)/src/tests/stub_HelperChildConfig.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT stub_HelperChildConfig.obj -MD -MP -MF $(DEPDIR)/stub_HelperChildConfig.Tpo -c -o stub_HelperChildConfig.obj `if test -f '$(top_srcdir)/src/tests/stub_HelperChildConfig.cc'; then $(CYGPATH_W) '$(top_srcdir)/src/tests/stub_HelperChildConfig.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/src/tests/stub_HelperChildConfig.cc'; fi`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/stub_HelperChildConfig.Tpo $(DEPDIR)/stub_HelperChildConfig.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_srcdir)/src/tests/stub_HelperChildConfig.cc' object='stub_HelperChildConfig.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o stub_HelperChildConfig.obj `if test -f '$(top_srcdir)/src/tests/stub_HelperChildConfig.cc'; then $(CYGPATH_W) '$(top_srcdir)/src/tests/stub_HelperChildConfig.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/src/tests/stub_HelperChildConfig.cc'; fi`
-
-stub_debug.o: $(top_srcdir)/src/tests/stub_debug.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT stub_debug.o -MD -MP -MF $(DEPDIR)/stub_debug.Tpo -c -o stub_debug.o `test -f '$(top_srcdir)/src/tests/stub_debug.cc' || echo '$(srcdir)/'`$(top_srcdir)/src/tests/stub_debug.cc
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/stub_debug.Tpo $(DEPDIR)/stub_debug.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_srcdir)/src/tests/stub_debug.cc' object='stub_debug.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o stub_debug.o `test -f '$(top_srcdir)/src/tests/stub_debug.cc' || echo '$(srcdir)/'`$(top_srcdir)/src/tests/stub_debug.cc
-
-stub_debug.obj: $(top_srcdir)/src/tests/stub_debug.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT stub_debug.obj -MD -MP -MF $(DEPDIR)/stub_debug.Tpo -c -o stub_debug.obj `if test -f '$(top_srcdir)/src/tests/stub_debug.cc'; then $(CYGPATH_W) '$(top_srcdir)/src/tests/stub_debug.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/src/tests/stub_debug.cc'; fi`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/stub_debug.Tpo $(DEPDIR)/stub_debug.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_srcdir)/src/tests/stub_debug.cc' object='stub_debug.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o stub_debug.obj `if test -f '$(top_srcdir)/src/tests/stub_debug.cc'; then $(CYGPATH_W) '$(top_srcdir)/src/tests/stub_debug.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/src/tests/stub_debug.cc'; fi`
-
-test_tools.o: $(top_srcdir)/test-suite/test_tools.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT test_tools.o -MD -MP -MF $(DEPDIR)/test_tools.Tpo -c -o test_tools.o `test -f '$(top_srcdir)/test-suite/test_tools.cc' || echo '$(srcdir)/'`$(top_srcdir)/test-suite/test_tools.cc
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_tools.Tpo $(DEPDIR)/test_tools.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_srcdir)/test-suite/test_tools.cc' object='test_tools.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o test_tools.o `test -f '$(top_srcdir)/test-suite/test_tools.cc' || echo '$(srcdir)/'`$(top_srcdir)/test-suite/test_tools.cc
-
-test_tools.obj: $(top_srcdir)/test-suite/test_tools.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT test_tools.obj -MD -MP -MF $(DEPDIR)/test_tools.Tpo -c -o test_tools.obj `if test -f '$(top_srcdir)/test-suite/test_tools.cc'; then $(CYGPATH_W) '$(top_srcdir)/test-suite/test_tools.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/test-suite/test_tools.cc'; fi`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/test_tools.Tpo $(DEPDIR)/test_tools.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_srcdir)/test-suite/test_tools.cc' object='test_tools.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o test_tools.obj `if test -f '$(top_srcdir)/test-suite/test_tools.cc'; then $(CYGPATH_W) '$(top_srcdir)/test-suite/test_tools.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/test-suite/test_tools.cc'; fi`
-
 mostlyclean-libtool:
 	-rm -f *.lo
 
@@ -1294,13 +1129,6 @@
 	--log-file $$b.log --trs-file $$b.trs \
 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
 	"$$tst" $(AM_TESTS_FD_REDIRECT)
-testIcmp.log: testIcmp$(EXEEXT)
-	@p='testIcmp$(EXEEXT)'; \
-	b='testIcmp'; \
-	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
-	--log-file $$b.log --trs-file $$b.trs \
-	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
-	"$$tst" $(AM_TESTS_FD_REDIRECT)
 .test.log:
 	@p='$<'; \
 	$(am__set_b); \
@@ -1488,6 +1316,24 @@
 
 .PHONY: testHeaders
 
+debug.cc: $(top_srcdir)/src/debug.cc
+	cp $(top_srcdir)/src/debug.cc .
+
+globals.cc: $(top_srcdir)/src/globals.h
+	cp $(top_builddir)/src/globals.cc .
+
+time.cc: $(top_srcdir)/src/time.cc
+	cp $(top_srcdir)/src/time.cc .
+
+SquidConfig.cc: $(top_srcdir)/src/SquidConfig.cc
+	cp $(top_srcdir)/src/SquidConfig.cc .
+
+SquidNew.cc: $(top_srcdir)/src/SquidNew.cc
+	cp $(top_srcdir)/src/SquidNew.cc .
+
+stub_HelperChildConfig.cc: $(top_srcdir)/src/tests/stub_HelperChildConfig.cc
+	cp $(top_srcdir)/src/tests/stub_HelperChildConfig.cc .
+
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
 # Otherwise a system limit (for SysV at least) may be exceeded.
 .NOEXPORT:
diff -u -r -N squid-3.5.7/src/icmp/testIcmp.cc squid-3.5.8/src/icmp/testIcmp.cc
--- squid-3.5.7/src/icmp/testIcmp.cc	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/icmp/testIcmp.cc	1969-12-31 16:00:00.000000000 -0800
@@ -1,119 +0,0 @@
-/*
- * Copyright (C) 1996-2015 The Squid Software Foundation and contributors
- *
- * Squid software is distributed under GPLv2+ license and includes
- * contributions from numerous individuals and organizations.
- * Please see the COPYING and CONTRIBUTORS files for details.
- */
-
-#define SQUID_HELPER 1
-
-#include "squid.h"
-
-#include <cppunit/TestAssert.h>
-
-#include "testIcmp.h"
-#include "unitTestMain.h"
-
-CPPUNIT_TEST_SUITE_REGISTRATION( testIcmp );
-
-#if USE_ICMP
-
-void
-testIcmp::testChecksum()
-{
-    stubIcmp icmp;
-    uint16_t buf[10], tmpval;
-    for (tmpval=0; tmpval < 10; ++tmpval)
-        buf[tmpval]=htons(1+tmpval);
-
-    // NULL data
-    CPPUNIT_ASSERT_EQUAL((int)htons(0xffff), icmp.testChecksum(NULL,0));
-
-    // NULL data with length!!
-    CPPUNIT_ASSERT_EQUAL((int)htons(0xffff), icmp.testChecksum(NULL,1));
-
-    // data with 0 length
-    CPPUNIT_ASSERT_EQUAL((int)htons(0xffff), icmp.testChecksum(buf,0));
-
-    // data with invalid length (low)
-    CPPUNIT_ASSERT_EQUAL((int)htons(0xffff), icmp.testChecksum(buf,1));
-
-    CPPUNIT_ASSERT_EQUAL((int)htons(0xfffe), icmp.testChecksum(buf,2)); // 1
-    CPPUNIT_ASSERT_EQUAL((int)htons(0xfffe), icmp.testChecksum(buf,3));
-
-    CPPUNIT_ASSERT_EQUAL((int)htons(0xfffc), icmp.testChecksum(buf,4)); // 1+2
-    CPPUNIT_ASSERT_EQUAL((int)htons(0xfffc), icmp.testChecksum(buf,5));
-
-    CPPUNIT_ASSERT_EQUAL((int)htons(0xfff9), icmp.testChecksum(buf,6)); // 1+2+3
-    CPPUNIT_ASSERT_EQUAL((int)htons(0xfff9), icmp.testChecksum(buf,7));
-
-    CPPUNIT_ASSERT_EQUAL((int)htons(0xfff5), icmp.testChecksum(buf,8)); // 1+2+3+4
-    CPPUNIT_ASSERT_EQUAL((int)htons(0xfff5), icmp.testChecksum(buf,9));
-
-    CPPUNIT_ASSERT_EQUAL((int)htons(0xfff0), icmp.testChecksum(buf,10)); // 1+2...+5
-    CPPUNIT_ASSERT_EQUAL((int)htons(0xfff0), icmp.testChecksum(buf,11));
-
-    CPPUNIT_ASSERT_EQUAL((int)htons(0xffea), icmp.testChecksum(buf,12)); // 1+2...+6
-    CPPUNIT_ASSERT_EQUAL((int)htons(0xffea), icmp.testChecksum(buf,13));
-
-    CPPUNIT_ASSERT_EQUAL((int)htons(0xffe3), icmp.testChecksum(buf,14)); // 1+2...+7
-    CPPUNIT_ASSERT_EQUAL((int)htons(0xffe3), icmp.testChecksum(buf,15));
-
-    CPPUNIT_ASSERT_EQUAL((int)htons(0xffdb), icmp.testChecksum(buf,16)); // 1+2...+8
-    CPPUNIT_ASSERT_EQUAL((int)htons(0xffdb), icmp.testChecksum(buf,17));
-
-    CPPUNIT_ASSERT_EQUAL((int)htons(0xffd2), icmp.testChecksum(buf,18)); // 1+2...+9
-    CPPUNIT_ASSERT_EQUAL((int)htons(0xffd2), icmp.testChecksum(buf,19));
-
-    // data with accurate length
-    CPPUNIT_ASSERT_EQUAL((int)htons(0xffc8), icmp.testChecksum(buf,20)); // 1+2...+10
-
-    // data with invalid length (overrun) ==> Garbage checksum...
-}
-
-void
-testIcmp::testHops()
-{
-    stubIcmp icmp;
-
-    /* test invalid -(under values) */
-    // negative     : n > 33
-    CPPUNIT_ASSERT_EQUAL(34, icmp.testHops(-1));
-    // zero
-    CPPUNIT_ASSERT_EQUAL(33, icmp.testHops(0));
-
-    /* test each valid case boundary */
-    // n(1...32)    : 32 >= n >= 1
-    CPPUNIT_ASSERT_EQUAL(32, icmp.testHops(1));
-    CPPUNIT_ASSERT_EQUAL(1, icmp.testHops(32));
-
-    // n(33...62)   : 30 >= n >= 1
-    CPPUNIT_ASSERT_EQUAL(30, icmp.testHops(33));
-    CPPUNIT_ASSERT_EQUAL(1, icmp.testHops(62));
-
-    // n(63...64)  : 2 >= n >= 1
-    CPPUNIT_ASSERT_EQUAL(2, icmp.testHops(63));
-    CPPUNIT_ASSERT_EQUAL(1, icmp.testHops(64));
-
-    // n(65...128)  : 64 >= n >= 1
-    CPPUNIT_ASSERT_EQUAL(64, icmp.testHops(65));
-    CPPUNIT_ASSERT_EQUAL(1, icmp.testHops(128));
-
-    // n(129...192) : 64 >= n >= 1
-    CPPUNIT_ASSERT_EQUAL(64, icmp.testHops(129));
-    CPPUNIT_ASSERT_EQUAL(1, icmp.testHops(192));
-
-    // n(193...)    : n < 63
-    CPPUNIT_ASSERT_EQUAL(63, icmp.testHops(193));
-    CPPUNIT_ASSERT_EQUAL(1, icmp.testHops(255));
-
-    /* test invalid (over values) */
-    // 256 - produces zero
-    CPPUNIT_ASSERT_EQUAL(0, icmp.testHops(256));
-    // 257 - produces negative hops
-    CPPUNIT_ASSERT_EQUAL(-1, icmp.testHops(257));
-}
-
-#endif /* USE_ICMP */
-
diff -u -r -N squid-3.5.7/src/icmp/testIcmp.h squid-3.5.8/src/icmp/testIcmp.h
--- squid-3.5.7/src/icmp/testIcmp.h	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/icmp/testIcmp.h	1969-12-31 16:00:00.000000000 -0800
@@ -1,58 +0,0 @@
-/*
- * Copyright (C) 1996-2015 The Squid Software Foundation and contributors
- *
- * Squid software is distributed under GPLv2+ license and includes
- * contributions from numerous individuals and organizations.
- * Please see the COPYING and CONTRIBUTORS files for details.
- */
-
-#ifndef SQUID_SRC_TEST_URL_H
-#define SQUID_SRC_TEST_URL_H
-
-#include "Icmp.h"
-#include <cppunit/extensions/HelperMacros.h>
-
-#if USE_ICMP
-
-class stubIcmp : public Icmp
-{
-public:
-    stubIcmp() {};
-    virtual ~stubIcmp() {};
-    virtual int Open() { return 0; };
-    virtual void Close() {};
-
-    /// Construct ECHO request
-    virtual void SendEcho(Ip::Address &to, int opcode, const char *payload, int len) {};
-
-    /// Handle ICMP responses.
-    virtual void Recv(void) {};
-
-    /* methods to relay test data from tester to private methods being tested */
-    int testChecksum(unsigned short *ptr, int size) { return CheckSum(ptr,size); };
-    int testHops(int ttl) { return ipHops(ttl); };
-};
-
-#endif /* USE_ICMP */
-
-/**
- * test the ICMP base class.
- */
-class testIcmp : public CPPUNIT_NS::TestFixture
-{
-    CPPUNIT_TEST_SUITE( testIcmp );
-#if USE_ICMP
-    CPPUNIT_TEST( testChecksum );
-    CPPUNIT_TEST( testHops );
-#endif /* USE_ICMP */
-    CPPUNIT_TEST_SUITE_END();
-
-protected:
-#if USE_ICMP
-    void testChecksum();
-    void testHops();
-#endif /* USE_ICMP */
-};
-
-#endif
-
diff -u -r -N squid-3.5.7/src/ident/Makefile.in squid-3.5.8/src/ident/Makefile.in
--- squid-3.5.7/src/ident/Makefile.in	2015-07-31 23:10:08.000000000 -0700
+++ squid-3.5.8/src/ident/Makefile.in	2015-09-01 12:53:38.000000000 -0700
@@ -544,6 +544,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -666,6 +667,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -764,22 +766,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Ident.Plo@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/src/ip/Intercept.cc squid-3.5.8/src/ip/Intercept.cc
--- squid-3.5.7/src/ip/Intercept.cc	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/ip/Intercept.cc	2015-09-01 12:52:00.000000000 -0700
@@ -200,6 +200,19 @@
     // all fields must be set to 0
     memset(&natLookup, 0, sizeof(natLookup));
     // for NAT lookup set local and remote IP:port's
+    if (newConn->remote.isIPv6()) {
+#if IPFILTER_VERSION < 5000003
+        // warn once every 10 at critical level, then push down a level each repeated event
+        static int warningLevel = DBG_CRITICAL;
+        debugs(89, warningLevel, "IPF (IPFilter v4) NAT does not support IPv6. Please upgrade to IPFilter v5.1");
+        warningLevel = ++warningLevel % 10;
+        return false;
+#else
+        natLookup.nl_v = 6;
+    } else {
+        natLookup.nl_v = 4;
+#endif
+    }
     natLookup.nl_inport = htons(newConn->local.port());
     newConn->local.getInAddr(natLookup.nl_inip);
     natLookup.nl_outport = htons(newConn->remote.port());
diff -u -r -N squid-3.5.7/src/ip/Makefile.am squid-3.5.8/src/ip/Makefile.am
--- squid-3.5.7/src/ip/Makefile.am	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/ip/Makefile.am	2015-09-01 12:52:00.000000000 -0700
@@ -21,22 +21,3 @@
 	Qos.cci \
 	tools.cc \
 	tools.h
-
-
-check_PROGRAMS += testIpAddress
-TESTS += testIpAddress
-
-testIpAddress_SOURCES= \
-	testAddress.cc \
-	testAddress.h
-nodist_testIpAddress_SOURCES= \
-	$(top_srcdir)/src/tests/stub_debug.cc \
-	$(top_srcdir)/src/tests/stub_tools.cc
-testIpAddress_LDADD= \
-	libip.la \
-	../base/libbase.la \
-	$(XTRA_LIBS) \
-	$(COMPAT_LIB) \
-	$(SQUID_CPPUNIT_LA) \
-	$(SQUID_CPPUNIT_LIBS)
-testIpAddress_LDFLAGS= $(LIBADD_DL)
diff -u -r -N squid-3.5.7/src/ip/Makefile.in squid-3.5.8/src/ip/Makefile.in
--- squid-3.5.7/src/ip/Makefile.in	2015-07-31 23:10:08.000000000 -0700
+++ squid-3.5.8/src/ip/Makefile.in	2015-09-01 12:53:38.000000000 -0700
@@ -88,8 +88,7 @@
 POST_UNINSTALL = :
 build_triplet = @build@
 host_triplet = @host@
-check_PROGRAMS = testIpAddress$(EXEEXT)
-TESTS = testHeaders testIpAddress$(EXEEXT)
+check_PROGRAMS =
 @ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
 subdir = src/ip
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
@@ -166,22 +165,6 @@
 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
 am__v_lt_0 = --silent
 am__v_lt_1 = 
-am_testIpAddress_OBJECTS = testAddress.$(OBJEXT)
-nodist_testIpAddress_OBJECTS = stub_debug.$(OBJEXT) \
-	stub_tools.$(OBJEXT)
-testIpAddress_OBJECTS = $(am_testIpAddress_OBJECTS) \
-	$(nodist_testIpAddress_OBJECTS)
-am__DEPENDENCIES_1 =
-@ENABLE_XPROF_STATS_TRUE@am__DEPENDENCIES_2 = $(top_builddir)/lib/profiler/libprofiler.la
-am__DEPENDENCIES_3 = $(top_builddir)/compat/libcompat-squid.la \
-	$(am__DEPENDENCIES_2)
-testIpAddress_DEPENDENCIES = libip.la ../base/libbase.la \
-	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_3) \
-	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
-testIpAddress_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
-	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
-	$(AM_CXXFLAGS) $(CXXFLAGS) $(testIpAddress_LDFLAGS) $(LDFLAGS) \
-	-o $@
 AM_V_P = $(am__v_P_@AM_V@)
 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
 am__v_P_0 = false
@@ -234,9 +217,8 @@
 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
 am__v_CCLD_0 = @echo "  CCLD    " $@;
 am__v_CCLD_1 = 
-SOURCES = $(libip_la_SOURCES) $(testIpAddress_SOURCES) \
-	$(nodist_testIpAddress_SOURCES)
-DIST_SOURCES = $(libip_la_SOURCES) $(testIpAddress_SOURCES)
+SOURCES = $(libip_la_SOURCES)
+DIST_SOURCES = $(libip_la_SOURCES)
 am__can_run_installinfo = \
   case $$AM_UPDATE_INFO_DIR in \
     n|no|NO) false;; \
@@ -562,6 +544,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -684,6 +667,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -697,6 +681,7 @@
 AM_CFLAGS = $(SQUID_CFLAGS)
 AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 CLEANFILES = testHeaders
+TESTS = testHeaders
 AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
 	-I$(top_srcdir)/lib -I$(top_srcdir)/src \
 	-I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
@@ -718,23 +703,6 @@
 	tools.cc \
 	tools.h
 
-testIpAddress_SOURCES = \
-	testAddress.cc \
-	testAddress.h
-
-nodist_testIpAddress_SOURCES = \
-	$(top_srcdir)/src/tests/stub_debug.cc \
-	$(top_srcdir)/src/tests/stub_tools.cc
-
-testIpAddress_LDADD = \
-	libip.la \
-	../base/libbase.la \
-	$(XTRA_LIBS) \
-	$(COMPAT_LIB) \
-	$(SQUID_CPPUNIT_LA) \
-	$(SQUID_CPPUNIT_LIBS)
-
-testIpAddress_LDFLAGS = $(LIBADD_DL)
 all: all-am
 
 .SUFFIXES:
@@ -793,10 +761,6 @@
 	echo " rm -f" $$list; \
 	rm -f $$list
 
-testIpAddress$(EXEEXT): $(testIpAddress_OBJECTS) $(testIpAddress_DEPENDENCIES) $(EXTRA_testIpAddress_DEPENDENCIES) 
-	@rm -f testIpAddress$(EXEEXT)
-	$(AM_V_CXXLD)$(testIpAddress_LINK) $(testIpAddress_OBJECTS) $(testIpAddress_LDADD) $(LIBS)
-
 mostlyclean-compile:
 	-rm -f *.$(OBJEXT)
 
@@ -806,60 +770,32 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Address.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Intercept.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/QosConfig.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stub_debug.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stub_tools.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testAddress.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tools.Plo@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
 
-stub_debug.o: $(top_srcdir)/src/tests/stub_debug.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT stub_debug.o -MD -MP -MF $(DEPDIR)/stub_debug.Tpo -c -o stub_debug.o `test -f '$(top_srcdir)/src/tests/stub_debug.cc' || echo '$(srcdir)/'`$(top_srcdir)/src/tests/stub_debug.cc
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/stub_debug.Tpo $(DEPDIR)/stub_debug.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_srcdir)/src/tests/stub_debug.cc' object='stub_debug.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o stub_debug.o `test -f '$(top_srcdir)/src/tests/stub_debug.cc' || echo '$(srcdir)/'`$(top_srcdir)/src/tests/stub_debug.cc
-
-stub_debug.obj: $(top_srcdir)/src/tests/stub_debug.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT stub_debug.obj -MD -MP -MF $(DEPDIR)/stub_debug.Tpo -c -o stub_debug.obj `if test -f '$(top_srcdir)/src/tests/stub_debug.cc'; then $(CYGPATH_W) '$(top_srcdir)/src/tests/stub_debug.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/src/tests/stub_debug.cc'; fi`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/stub_debug.Tpo $(DEPDIR)/stub_debug.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_srcdir)/src/tests/stub_debug.cc' object='stub_debug.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o stub_debug.obj `if test -f '$(top_srcdir)/src/tests/stub_debug.cc'; then $(CYGPATH_W) '$(top_srcdir)/src/tests/stub_debug.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/src/tests/stub_debug.cc'; fi`
-
-stub_tools.o: $(top_srcdir)/src/tests/stub_tools.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT stub_tools.o -MD -MP -MF $(DEPDIR)/stub_tools.Tpo -c -o stub_tools.o `test -f '$(top_srcdir)/src/tests/stub_tools.cc' || echo '$(srcdir)/'`$(top_srcdir)/src/tests/stub_tools.cc
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/stub_tools.Tpo $(DEPDIR)/stub_tools.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_srcdir)/src/tests/stub_tools.cc' object='stub_tools.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o stub_tools.o `test -f '$(top_srcdir)/src/tests/stub_tools.cc' || echo '$(srcdir)/'`$(top_srcdir)/src/tests/stub_tools.cc
-
-stub_tools.obj: $(top_srcdir)/src/tests/stub_tools.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT stub_tools.obj -MD -MP -MF $(DEPDIR)/stub_tools.Tpo -c -o stub_tools.obj `if test -f '$(top_srcdir)/src/tests/stub_tools.cc'; then $(CYGPATH_W) '$(top_srcdir)/src/tests/stub_tools.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/src/tests/stub_tools.cc'; fi`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/stub_tools.Tpo $(DEPDIR)/stub_tools.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_srcdir)/src/tests/stub_tools.cc' object='stub_tools.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o stub_tools.obj `if test -f '$(top_srcdir)/src/tests/stub_tools.cc'; then $(CYGPATH_W) '$(top_srcdir)/src/tests/stub_tools.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/src/tests/stub_tools.cc'; fi`
-
 mostlyclean-libtool:
 	-rm -f *.lo
 
@@ -1065,13 +1001,6 @@
 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
 	--log-file $$b.log --trs-file $$b.trs \
 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
-	"$$tst" $(AM_TESTS_FD_REDIRECT)
-testIpAddress.log: testIpAddress$(EXEEXT)
-	@p='testIpAddress$(EXEEXT)'; \
-	b='testIpAddress'; \
-	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
-	--log-file $$b.log --trs-file $$b.trs \
-	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
 	"$$tst" $(AM_TESTS_FD_REDIRECT)
 .test.log:
 	@p='$<'; \
diff -u -r -N squid-3.5.7/src/ip/testAddress.cc squid-3.5.8/src/ip/testAddress.cc
--- squid-3.5.7/src/ip/testAddress.cc	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/ip/testAddress.cc	1969-12-31 16:00:00.000000000 -0800
@@ -1,788 +0,0 @@
-/*
- * Copyright (C) 1996-2015 The Squid Software Foundation and contributors
- *
- * Squid software is distributed under GPLv2+ license and includes
- * contributions from numerous individuals and organizations.
- * Please see the COPYING and CONTRIBUTORS files for details.
- */
-
-#include "squid.h"
-#include "ip/Address.h"
-#include "ip/tools.h"
-#include "testAddress.h"
-#include "unitTestMain.h"
-
-#include <cstring>
-#include <stdexcept>
-#include <string>
-#if HAVE_NETINET_IN_H
-#include <netinet/in.h>
-#endif
-#if HAVE_ARPA_INET_H
-#include <arpa/inet.h>
-#endif
-#if HAVE_NETDB_H
-#include <netdb.h>
-#endif
-
-CPPUNIT_TEST_SUITE_REGISTRATION( testIpAddress );
-
-#include "tests/stub_SBuf.cc"
-
-/* so that we don't break POD dependency just for the test */
-struct timeval current_time;
-double current_dtime;
-time_t squid_curtime = 0;
-int shutting_down = 0;
-
-void
-testIpAddress::testDefaults()
-{
-    Ip::Address anIPA;
-
-    /* test stored values */
-    CPPUNIT_ASSERT( anIPA.isAnyAddr() );
-    CPPUNIT_ASSERT( !anIPA.isNoAddr() );
-    CPPUNIT_ASSERT( !anIPA.isIPv4() );
-    CPPUNIT_ASSERT( !anIPA.isSockAddr() );
-    CPPUNIT_ASSERT_EQUAL( (unsigned short) 0 , anIPA.port() );
-    CPPUNIT_ASSERT( anIPA.isIPv6() );
-}
-
-void
-testIpAddress::testInAddrConstructor()
-{
-    struct in_addr inval;
-    struct in_addr outval;
-
-    inval.s_addr = htonl(0xC0A8640C);
-    outval.s_addr = htonl(0x00000000);
-
-    Ip::Address anIPA(inval);
-
-    /* test stored values */
-    CPPUNIT_ASSERT( !anIPA.isAnyAddr() );
-    CPPUNIT_ASSERT( !anIPA.isNoAddr() );
-    CPPUNIT_ASSERT( anIPA.isIPv4() );
-    CPPUNIT_ASSERT( !anIPA.isIPv6() );
-    CPPUNIT_ASSERT( !anIPA.isSockAddr() );
-    CPPUNIT_ASSERT_EQUAL( (unsigned short) 0 , anIPA.port() );
-    anIPA.getInAddr(outval);
-    CPPUNIT_ASSERT( memcmp(&inval, &outval, sizeof(struct in_addr)) == 0 );
-}
-
-void
-testIpAddress::testInAddr6Constructor()
-{
-    struct in6_addr inval;
-    struct in6_addr outval = IN6ADDR_ANY_INIT;
-
-    inval.s6_addr32[0] = htonl(0xC0A8640C);
-    inval.s6_addr32[1] = htonl(0xFFFFFFFF);
-    inval.s6_addr32[2] = htonl(0xFFFFFFFF);
-    inval.s6_addr32[3] = htonl(0xFFFFFFFF);
-
-    Ip::Address anIPA(inval);
-
-    /* test stored values */
-    CPPUNIT_ASSERT( !anIPA.isAnyAddr() );
-    CPPUNIT_ASSERT( !anIPA.isNoAddr() );
-    CPPUNIT_ASSERT( !anIPA.isIPv4() );
-    CPPUNIT_ASSERT( anIPA.isIPv6() );
-    CPPUNIT_ASSERT( !anIPA.isSockAddr() );
-    CPPUNIT_ASSERT_EQUAL( (unsigned short) 0 , anIPA.port() );
-    anIPA.getInAddr(outval);
-    CPPUNIT_ASSERT( memcmp( &inval, &outval, sizeof(struct in6_addr)) == 0 );
-}
-
-void
-testIpAddress::testSockAddrConstructor()
-{
-    struct sockaddr_in insock;
-    struct sockaddr_in outsock;
-
-    memset(&insock,  0, sizeof(struct sockaddr_in));
-    memset(&outsock, 0, sizeof(struct sockaddr_in));
-
-    insock.sin_family = AF_INET;
-    insock.sin_port = htons(80);
-    insock.sin_addr.s_addr = htonl(0xC0A8640C);
-#if HAVE_SIN_LEN_IN_SAI
-    insock.sin_len = sizeof(struct sockaddr_in);
-#endif
-
-    Ip::Address anIPA(insock);
-
-    /* test stored values */
-    CPPUNIT_ASSERT( !anIPA.isAnyAddr() );
-    CPPUNIT_ASSERT( !anIPA.isNoAddr() );
-    CPPUNIT_ASSERT( anIPA.isIPv4() );
-    CPPUNIT_ASSERT( !anIPA.isIPv6() );
-    CPPUNIT_ASSERT( anIPA.isSockAddr() );
-    CPPUNIT_ASSERT_EQUAL( (unsigned short) 80 , anIPA.port() );
-    anIPA.getSockAddr(outsock);
-    CPPUNIT_ASSERT( memcmp( &insock, &outsock, sizeof(struct sockaddr_in)) == 0 );
-}
-
-void
-testIpAddress::testSockAddr6Constructor()
-{
-    struct sockaddr_in6 insock;
-    struct sockaddr_in6 outsock;
-
-    memset(&insock, 0, sizeof(struct sockaddr_in6));
-    memset(&outsock, 0, sizeof(struct sockaddr_in6));
-
-    insock.sin6_family = AF_INET6;
-    insock.sin6_port = htons(80);
-    insock.sin6_addr.s6_addr32[0] = htonl(0xFFFFFFFF);
-    insock.sin6_addr.s6_addr32[1] = htonl(0x00000000);
-    insock.sin6_addr.s6_addr32[2] = htonl(0x0000FFFF);
-    insock.sin6_addr.s6_addr32[3] = htonl(0xC0A8640C);
-#if HAVE_SIN6_LEN_IN_SAI
-    insock.sin6_len = sizeof(struct sockaddr_in6);
-#endif
-
-    Ip::Address anIPA((const struct sockaddr_in6)insock);
-
-    /* test stored values */
-    CPPUNIT_ASSERT( !anIPA.isAnyAddr() );
-    CPPUNIT_ASSERT( !anIPA.isNoAddr() );
-    CPPUNIT_ASSERT( !anIPA.isIPv4() );
-    CPPUNIT_ASSERT( anIPA.isIPv6() );
-    CPPUNIT_ASSERT( anIPA.isSockAddr() );
-    CPPUNIT_ASSERT_EQUAL( (unsigned short) 80 , anIPA.port() );
-    anIPA.getSockAddr(outsock);
-    CPPUNIT_ASSERT( memcmp( &insock, &outsock, sizeof(struct sockaddr_in6)) == 0 );
-}
-
-void
-testIpAddress::testCopyConstructor()
-{
-    struct sockaddr_in insock;
-    struct sockaddr_in outsock;
-
-    memset(&insock,  0, sizeof(struct sockaddr_in));
-    memset(&outsock, 0, sizeof(struct sockaddr_in));
-
-    insock.sin_family = AF_INET;
-    insock.sin_port = htons(80);
-    insock.sin_addr.s_addr = htonl(0xC0A8640C);
-#if HAVE_SIN_LEN_IN_SAI
-    insock.sin_len = sizeof(struct sockaddr_in);
-#endif
-
-    Ip::Address inIPA(insock);
-    Ip::Address outIPA(inIPA);
-
-    /* test stored values */
-    CPPUNIT_ASSERT( !outIPA.isAnyAddr() );
-    CPPUNIT_ASSERT( !outIPA.isNoAddr() );
-    CPPUNIT_ASSERT( outIPA.isIPv4() );
-    CPPUNIT_ASSERT( !outIPA.isIPv6() );
-    CPPUNIT_ASSERT( outIPA.isSockAddr() );
-    CPPUNIT_ASSERT_EQUAL( (unsigned short) 80 , outIPA.port() );
-    outIPA.getSockAddr(outsock);
-    CPPUNIT_ASSERT( memcmp( &insock, &outsock, sizeof(struct sockaddr_in)) == 0 );
-}
-
-void
-testIpAddress::testHostentConstructor()
-{
-    struct hostent *hp = NULL;
-    struct in_addr outval;
-    struct in_addr expectval;
-
-    expectval.s_addr = htonl(0xC0A8640C);
-
-    hp = gethostbyname("192.168.100.12");
-    CPPUNIT_ASSERT( hp != NULL /* gethostbyname failure.*/ );
-
-    Ip::Address anIPA(*hp);
-
-    /* test stored values */
-    CPPUNIT_ASSERT( !anIPA.isAnyAddr() );
-    CPPUNIT_ASSERT( !anIPA.isNoAddr() );
-    CPPUNIT_ASSERT( anIPA.isIPv4() );
-    CPPUNIT_ASSERT( !anIPA.isIPv6() );
-    CPPUNIT_ASSERT( !anIPA.isSockAddr() );
-    CPPUNIT_ASSERT_EQUAL( (unsigned short) 0 , anIPA.port() );
-    anIPA.getInAddr(outval);
-    CPPUNIT_ASSERT( memcmp( &expectval, &outval, sizeof(struct in_addr)) == 0 );
-}
-
-void
-testIpAddress::testStringConstructor()
-{
-    struct in_addr outval;
-    struct in_addr expectval;
-
-    expectval.s_addr = htonl(0xC0A8640C);
-
-    Ip::Address anIPA = "192.168.100.12";
-
-    /* test stored values */
-    CPPUNIT_ASSERT( !anIPA.isAnyAddr() );
-    CPPUNIT_ASSERT( !anIPA.isNoAddr() );
-    CPPUNIT_ASSERT( anIPA.isIPv4() );
-    CPPUNIT_ASSERT( !anIPA.isIPv6() );
-    CPPUNIT_ASSERT_EQUAL( (unsigned short) 0 , anIPA.port() );
-    CPPUNIT_ASSERT( !anIPA.isSockAddr() );
-    anIPA.getInAddr(outval);
-    CPPUNIT_ASSERT( memcmp( &expectval, &outval, sizeof(struct in_addr)) == 0 );
-
-    struct in6_addr expectv6;
-    struct in6_addr outval6;
-
-    expectv6.s6_addr32[0] = htonl(0x20000800);
-    expectv6.s6_addr32[1] = htonl(0x00000000);
-    expectv6.s6_addr32[2] = htonl(0x00000000);
-    expectv6.s6_addr32[3] = htonl(0x00000045);
-
-    Ip::Address bnIPA = "2000:800::45";
-
-//char test[256];
-//bnIPA.toStr(test, 256);
-//printf("bnIPA: %s\n", test);
-
-    /* test stored values */
-    CPPUNIT_ASSERT( !bnIPA.isAnyAddr() );
-    CPPUNIT_ASSERT( !bnIPA.isNoAddr() );
-    CPPUNIT_ASSERT( !bnIPA.isIPv4() );
-    CPPUNIT_ASSERT(  bnIPA.isIPv6() );
-    CPPUNIT_ASSERT( !bnIPA.isSockAddr() );
-    CPPUNIT_ASSERT_EQUAL( (unsigned short) 0 , bnIPA.port() );
-    bnIPA.getInAddr(outval6);
-    CPPUNIT_ASSERT( memcmp( &expectv6, &outval6, sizeof(struct in6_addr)) == 0 );
-
-    /* test IPv6 as an old netmask format. This is invalid but sometimes use. */
-    Ip::Address cnIPA = "ffff:ffff:fff0::";
-
-    expectv6.s6_addr32[0] = htonl(0xFFFFFFFF);
-    expectv6.s6_addr32[1] = htonl(0xFFF00000);
-    expectv6.s6_addr32[2] = htonl(0x00000000);
-    expectv6.s6_addr32[3] = htonl(0x00000000);
-
-    /* test stored values */
-    CPPUNIT_ASSERT( !cnIPA.isAnyAddr() );
-    CPPUNIT_ASSERT( !cnIPA.isNoAddr() );
-    CPPUNIT_ASSERT( !cnIPA.isIPv4() );
-    CPPUNIT_ASSERT( cnIPA.isIPv6() );
-    CPPUNIT_ASSERT( !cnIPA.isSockAddr() );
-    CPPUNIT_ASSERT_EQUAL( (unsigned short) 0 , cnIPA.port() );
-    cnIPA.getInAddr(outval6);
-    CPPUNIT_ASSERT( memcmp( &expectv6, &outval6, sizeof(struct in6_addr)) == 0 );
-}
-
-void
-testIpAddress::testsetEmpty()
-{
-    Ip::Address anIPA;
-    struct in_addr inval;
-
-    inval.s_addr = htonl(0xC0A8640C);
-
-    anIPA = inval;
-
-    /* test stored values before empty */
-    CPPUNIT_ASSERT( !anIPA.isAnyAddr() );
-    CPPUNIT_ASSERT( !anIPA.isNoAddr() );
-    CPPUNIT_ASSERT( anIPA.isIPv4() );
-    CPPUNIT_ASSERT( !anIPA.isIPv6() );
-    CPPUNIT_ASSERT( !anIPA.isSockAddr() );
-    CPPUNIT_ASSERT_EQUAL( (unsigned short) 0 , anIPA.port() );
-
-    anIPA.setEmpty();
-
-    /* test stored values after empty */
-    CPPUNIT_ASSERT( anIPA.isAnyAddr() );
-    CPPUNIT_ASSERT( !anIPA.isNoAddr() );
-    CPPUNIT_ASSERT( !anIPA.isIPv4() );
-    CPPUNIT_ASSERT( anIPA.isIPv6() );
-    CPPUNIT_ASSERT( !anIPA.isSockAddr() );
-    CPPUNIT_ASSERT_EQUAL( (unsigned short) 0 , anIPA.port() );
-}
-
-void
-testIpAddress::testBooleans()
-{
-    Ip::Address lhsIPA;
-    Ip::Address rhsIPA;
-    struct in_addr valLow;
-    struct in_addr valHigh;
-
-    valLow.s_addr  = htonl(0xC0A8640C);
-    valHigh.s_addr = htonl(0xC0A8640F);
-
-    /* test equality */
-    lhsIPA = valLow;
-    rhsIPA = valLow;
-    CPPUNIT_ASSERT( lhsIPA.matchIPAddr(rhsIPA) == 0 );
-    CPPUNIT_ASSERT(  ( lhsIPA == rhsIPA ) );
-    CPPUNIT_ASSERT( !( lhsIPA != rhsIPA ) );
-    CPPUNIT_ASSERT(  ( lhsIPA >= rhsIPA ) );
-    CPPUNIT_ASSERT( !( lhsIPA >  rhsIPA ) );
-    CPPUNIT_ASSERT(  ( lhsIPA <= rhsIPA ) );
-    CPPUNIT_ASSERT( !( lhsIPA <  rhsIPA ) );
-
-    /* test equality versus ANYADDR */
-    lhsIPA.setAnyAddr();
-    rhsIPA.setAnyAddr();
-    CPPUNIT_ASSERT( lhsIPA.matchIPAddr(rhsIPA) == 0 );
-    CPPUNIT_ASSERT(  ( lhsIPA == rhsIPA ) );
-    CPPUNIT_ASSERT( !( lhsIPA != rhsIPA ) );
-    CPPUNIT_ASSERT(  ( lhsIPA >= rhsIPA ) );
-    CPPUNIT_ASSERT( !( lhsIPA >  rhsIPA ) );
-    CPPUNIT_ASSERT(  ( lhsIPA <= rhsIPA ) );
-    CPPUNIT_ASSERT( !( lhsIPA <  rhsIPA ) );
-
-    /* test equality versus NOADDR */
-    lhsIPA.setNoAddr();
-    rhsIPA.setNoAddr();
-    CPPUNIT_ASSERT( lhsIPA.matchIPAddr(rhsIPA) == 0 );
-    CPPUNIT_ASSERT(  ( lhsIPA == rhsIPA ) );
-    CPPUNIT_ASSERT( !( lhsIPA != rhsIPA ) );
-    CPPUNIT_ASSERT(  ( lhsIPA >= rhsIPA ) );
-    CPPUNIT_ASSERT( !( lhsIPA >  rhsIPA ) );
-    CPPUNIT_ASSERT(  ( lhsIPA <= rhsIPA ) );
-    CPPUNIT_ASSERT( !( lhsIPA <  rhsIPA ) );
-
-    /* test inequality (less than) */
-    lhsIPA = valLow;
-    rhsIPA = valHigh;
-    CPPUNIT_ASSERT( lhsIPA.matchIPAddr(rhsIPA) < 0 );
-    CPPUNIT_ASSERT( !( lhsIPA == rhsIPA ) );
-    CPPUNIT_ASSERT(  ( lhsIPA != rhsIPA ) );
-    CPPUNIT_ASSERT( !( lhsIPA >= rhsIPA ) );
-    CPPUNIT_ASSERT( !( lhsIPA >  rhsIPA ) );
-    CPPUNIT_ASSERT(  ( lhsIPA <= rhsIPA ) );
-    CPPUNIT_ASSERT(  ( lhsIPA <  rhsIPA ) );
-
-    /* test inequality versus ANYADDR (less than) */
-    lhsIPA.setAnyAddr();
-    rhsIPA = valHigh;
-    CPPUNIT_ASSERT( lhsIPA.matchIPAddr(rhsIPA) < 0 );
-    CPPUNIT_ASSERT( !( lhsIPA == rhsIPA ) );
-    CPPUNIT_ASSERT(  ( lhsIPA != rhsIPA ) );
-    CPPUNIT_ASSERT( !( lhsIPA >= rhsIPA ) );
-    CPPUNIT_ASSERT( !( lhsIPA >  rhsIPA ) );
-    CPPUNIT_ASSERT(  ( lhsIPA <= rhsIPA ) );
-    CPPUNIT_ASSERT(  ( lhsIPA <  rhsIPA ) );
-
-    /* test inequality versus NOADDR (less than) */
-    lhsIPA = valLow;
-    rhsIPA.setNoAddr();
-    CPPUNIT_ASSERT( lhsIPA.matchIPAddr(rhsIPA) < 0 );
-    CPPUNIT_ASSERT( !( lhsIPA == rhsIPA ) );
-    CPPUNIT_ASSERT(  ( lhsIPA != rhsIPA ) );
-    CPPUNIT_ASSERT( !( lhsIPA >= rhsIPA ) );
-    CPPUNIT_ASSERT( !( lhsIPA >  rhsIPA ) );
-    CPPUNIT_ASSERT(  ( lhsIPA <= rhsIPA ) );
-    CPPUNIT_ASSERT(  ( lhsIPA <  rhsIPA ) );
-
-    /* test inequality (greater than) */
-    lhsIPA = valHigh;
-    rhsIPA = valLow;
-    CPPUNIT_ASSERT( lhsIPA.matchIPAddr(rhsIPA) > 0 );
-    CPPUNIT_ASSERT( !( lhsIPA == rhsIPA ) );
-    CPPUNIT_ASSERT(  ( lhsIPA != rhsIPA ) );
-    CPPUNIT_ASSERT(  ( lhsIPA >= rhsIPA ) );
-    CPPUNIT_ASSERT(  ( lhsIPA >  rhsIPA ) );
-    CPPUNIT_ASSERT( !( lhsIPA <= rhsIPA ) );
-    CPPUNIT_ASSERT( !( lhsIPA <  rhsIPA ) );
-
-    /* test inequality (greater than) */
-    lhsIPA = valHigh;
-    rhsIPA.setAnyAddr();
-    CPPUNIT_ASSERT( lhsIPA.matchIPAddr(rhsIPA) > 0 );
-    CPPUNIT_ASSERT( !( lhsIPA == rhsIPA ) );
-    CPPUNIT_ASSERT(  ( lhsIPA != rhsIPA ) );
-    CPPUNIT_ASSERT(  ( lhsIPA >= rhsIPA ) );
-    CPPUNIT_ASSERT(  ( lhsIPA >  rhsIPA ) );
-    CPPUNIT_ASSERT( !( lhsIPA <= rhsIPA ) );
-    CPPUNIT_ASSERT( !( lhsIPA <  rhsIPA ) );
-
-    /* test inequality versus NOADDR (greater than) */
-    lhsIPA.setNoAddr();
-    rhsIPA = valLow;
-    CPPUNIT_ASSERT( lhsIPA.matchIPAddr(rhsIPA) > 0 );
-    CPPUNIT_ASSERT( !( lhsIPA == rhsIPA ) );
-    CPPUNIT_ASSERT(  ( lhsIPA != rhsIPA ) );
-    CPPUNIT_ASSERT(  ( lhsIPA >= rhsIPA ) );
-    CPPUNIT_ASSERT(  ( lhsIPA >  rhsIPA ) );
-    CPPUNIT_ASSERT( !( lhsIPA <= rhsIPA ) );
-    CPPUNIT_ASSERT( !( lhsIPA <  rhsIPA ) );
-
-}
-
-void
-testIpAddress::testtoStr()
-{
-    struct in_addr inval;
-    char buf[MAX_IPSTRLEN];
-    Ip::Address anIPA;
-
-    anIPA.setAnyAddr();
-
-    /* test AnyAddr display values */
-    CPPUNIT_ASSERT( memcmp("::", anIPA.toStr(buf,MAX_IPSTRLEN), 2) == 0 );
-
-    inval.s_addr = htonl(0xC0A8640C);
-    anIPA = inval;
-
-    /* test IP display */
-    CPPUNIT_ASSERT( memcmp("192.168.100.12",anIPA.toStr(buf,MAX_IPSTRLEN), 14) == 0 );
-
-    anIPA.setNoAddr();
-
-    /* test NoAddr display values */
-    CPPUNIT_ASSERT( memcmp("ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff",anIPA.toStr(buf,MAX_IPSTRLEN), 39) == 0 );
-}
-
-void
-testIpAddress::testtoUrl_fromInAddr()
-{
-    char buf[MAX_IPSTRLEN];
-    buf[0] = '\0';
-    struct in_addr inval;
-
-    inval.s_addr = htonl(0xC0A8640C);
-
-    Ip::Address anIPA(inval);
-
-    /* test values */
-    anIPA.toUrl(buf,MAX_IPSTRLEN);
-    CPPUNIT_ASSERT( memcmp("192.168.100.12", buf, 14) == 0 );
-
-    /* test output when constructed from in6_addr with IPv6 */
-    struct in6_addr ip6val;
-
-    ip6val.s6_addr32[0] = htonl(0xC0A8640C);
-    ip6val.s6_addr32[1] = htonl(0xFFFFFFFF);
-    ip6val.s6_addr32[2] = htonl(0xFFFFFFFF);
-    ip6val.s6_addr32[3] = htonl(0xFFFFFFFF);
-
-    Ip::Address bnIPA(ip6val);
-
-    bnIPA.toUrl(buf,MAX_IPSTRLEN);
-    CPPUNIT_ASSERT( memcmp("[c0a8:640c:ffff:ffff:ffff:ffff:ffff:ffff]", buf, 41) == 0 );
-}
-
-void
-testIpAddress::testtoUrl_fromSockAddr()
-{
-    struct sockaddr_in sock;
-    sock.sin_addr.s_addr = htonl(0xC0A8640C);
-    sock.sin_port = htons(80);
-    sock.sin_family = AF_INET;
-#if HAVE_SIN_LEN_IN_SAI
-    sock.sin_len = sizeof(struct sockaddr_in);
-#endif
-
-    Ip::Address anIPA(sock);
-    char buf[MAX_IPSTRLEN];
-
-    /* test values */
-    anIPA.toUrl(buf,MAX_IPSTRLEN);
-    CPPUNIT_ASSERT( memcmp("192.168.100.12:80", buf, 17) == 0 );
-
-    /* test output when constructed from in6_addr with IPv6 */
-    struct sockaddr_in6 ip6val;
-
-    ip6val.sin6_addr.s6_addr32[0] = htonl(0xC0A8640C);
-    ip6val.sin6_addr.s6_addr32[1] = htonl(0xFFFFFFFF);
-    ip6val.sin6_addr.s6_addr32[2] = htonl(0xFFFFFFFF);
-    ip6val.sin6_addr.s6_addr32[3] = htonl(0xFFFFFFFF);
-    ip6val.sin6_port = htons(80);
-    ip6val.sin6_family = AF_INET6;
-#if HAVE_SIN6_LEN_IN_SAI
-    ip6val.sin6_len = sizeof(struct sockaddr_in6);
-#endif
-
-    Ip::Address bnIPA(ip6val);
-
-    bnIPA.toUrl(buf,MAX_IPSTRLEN);
-    CPPUNIT_ASSERT( memcmp("[c0a8:640c:ffff:ffff:ffff:ffff:ffff:ffff]:80", buf, 44) == 0 );
-}
-
-void
-testIpAddress::testgetReverseString()
-{
-    char buf[MAX_IPSTRLEN];
-
-    struct in_addr ipv4val;
-    ipv4val.s_addr = htonl(0xC0A8640C);
-
-    Ip::Address v4IPA(ipv4val);
-
-    /* test IPv4 output */
-    v4IPA.getReverseString(buf);
-    CPPUNIT_ASSERT( memcmp("12.100.168.192.in-addr.arpa.",buf, 28) == 0 );
-
-    v4IPA.getReverseString(buf,AF_INET);
-    CPPUNIT_ASSERT( memcmp("12.100.168.192.in-addr.arpa.",buf, 28) == 0 );
-
-    v4IPA.getReverseString(buf,AF_INET6);
-    CPPUNIT_ASSERT( memcmp("",buf, 1) == 0 );
-
-    struct in6_addr ip6val;
-
-    ip6val.s6_addr32[0] = htonl(0xC0A8640C);
-    ip6val.s6_addr32[1] = htonl(0xFFFFFFFF);
-    ip6val.s6_addr32[2] = htonl(0xFFFFFFFF);
-    ip6val.s6_addr32[3] = htonl(0xFFFFFFFF);
-
-    Ip::Address v6IPA(ip6val);
-
-    /* test IPv6 output */
-    v6IPA.getReverseString(buf);
-    CPPUNIT_ASSERT( memcmp("f.f.f.f.f.f.f.f.f.f.f.f.f.f.f.f.f.f.f.f.f.f.f.f.c.0.4.6.8.a.0.c.ip6.arpa.",buf,73) == 0 );
-}
-
-void
-testIpAddress::testMasking()
-{
-    char buf[MAX_IPSTRLEN];
-    Ip::Address anIPA;
-    Ip::Address maskIPA;
-
-    /* Test Basic CIDR Routine */
-    anIPA.setAnyAddr();
-    CPPUNIT_ASSERT_EQUAL( 0 ,anIPA.cidr() );
-
-    anIPA.setNoAddr();
-    CPPUNIT_ASSERT_EQUAL( 128 , anIPA.cidr() );
-
-    /* Test Numeric ApplyCIDR */
-    anIPA.setNoAddr();
-    CPPUNIT_ASSERT( !anIPA.applyMask(129,AF_INET6) );
-    CPPUNIT_ASSERT( !anIPA.applyMask(33,AF_INET) );
-
-    anIPA.setNoAddr();
-    CPPUNIT_ASSERT( anIPA.applyMask(31,AF_INET) );
-    CPPUNIT_ASSERT_EQUAL( 127 , anIPA.cidr() );
-
-    anIPA.setNoAddr();
-    CPPUNIT_ASSERT( anIPA.applyMask(127,AF_INET6) );
-    CPPUNIT_ASSERT_EQUAL( 127 , anIPA.cidr() );
-
-    anIPA.setNoAddr();
-    anIPA.applyMask(80,AF_INET6);
-    CPPUNIT_ASSERT_EQUAL( 80 , anIPA.cidr() );
-
-    /* BUG Check: test values by display. */
-    CPPUNIT_ASSERT( anIPA.toStr(buf,MAX_IPSTRLEN) != NULL );
-    CPPUNIT_ASSERT( memcmp("ffff:ffff:ffff:ffff:ffff::", buf, 26) == 0 );
-
-    /* Test Network Bitmask from Ip::Address */
-    anIPA.setNoAddr();
-    maskIPA = "255.255.240.0";
-    CPPUNIT_ASSERT_EQUAL( 20 , maskIPA.cidr() );
-    anIPA.applyMask(maskIPA);
-    CPPUNIT_ASSERT_EQUAL( 20 , anIPA.cidr() );
-
-    /* BUG Check: test values memory after masking. */
-    struct in_addr btest;
-    CPPUNIT_ASSERT( anIPA.isIPv4() );
-    CPPUNIT_ASSERT( !anIPA.isIPv6() );
-    anIPA.getInAddr(btest);
-    CPPUNIT_ASSERT_EQUAL( (uint32_t)htonl(0xFFFFF000) , btest.s_addr );
-
-    /* BUG Check failing test. Masked values for display. */
-    CPPUNIT_ASSERT( memcmp("255.255.240.0",anIPA.toStr(buf,MAX_IPSTRLEN), 13) == 0 );
-
-    anIPA.setNoAddr();
-    maskIPA.setNoAddr();
-
-    /* IPv6 masks MUST be CIDR representations. */
-    /* however as with IPv4 they can technically be represented as a bitmask */
-    maskIPA = "ffff:ffff:fff0::";
-    CPPUNIT_ASSERT( !maskIPA.isAnyAddr() );
-    CPPUNIT_ASSERT( !maskIPA.isNoAddr() );
-    anIPA.applyMask(maskIPA);
-    CPPUNIT_ASSERT( !anIPA.isNoAddr() );
-    CPPUNIT_ASSERT_EQUAL( 44 , anIPA.cidr() );
-
-    anIPA.setNoAddr();
-    maskIPA.setNoAddr();
-
-    /* IPv4 masks represented in IPv6 as IPv4 bitmasks. */
-    maskIPA = "::ffff:ffff:f000";
-    CPPUNIT_ASSERT( !maskIPA.isAnyAddr() );
-    CPPUNIT_ASSERT( !maskIPA.isNoAddr() );
-    CPPUNIT_ASSERT(  maskIPA.isIPv4() );
-    CPPUNIT_ASSERT( !maskIPA.isIPv6() );
-    anIPA.applyMask(maskIPA);
-    CPPUNIT_ASSERT( !maskIPA.isAnyAddr() );
-    CPPUNIT_ASSERT( !maskIPA.isNoAddr() );
-    CPPUNIT_ASSERT(  maskIPA.isIPv4() );
-    CPPUNIT_ASSERT( !maskIPA.isIPv6() );
-    CPPUNIT_ASSERT_EQUAL( 20 , anIPA.cidr() );
-}
-
-void
-testIpAddress::testAddrInfo()
-{
-    struct addrinfo *expect;
-    struct addrinfo *ipval = NULL;
-    struct addrinfo hints;
-
-    memset(&hints, 0, sizeof(struct addrinfo));
-
-    hints.ai_flags = AI_NUMERICHOST;
-
-    Ip::Address anIP = "127.0.0.1";
-
-    /* assert this just to check that getaddrinfo is working properly */
-    CPPUNIT_ASSERT( getaddrinfo("127.0.0.1", NULL, &hints, &expect ) == 0 );
-
-    anIP.getAddrInfo(ipval);
-
-#if 0
-    /* display a byte-by-byte hex comparison of the addr cores */
-    unsigned int *p;
-    p = (unsigned int*)expect;
-    printf("\nSYS-ADDRINFO: %2x %2x %2x %2x %2x %2x",
-           p[0],p[1],p[2],p[3],p[4],p[5]);
-
-    p = (unsigned int*)ipval;
-    printf("\nSQD-ADDRINFO: %2x %2x %2x %2x %2x %2x",
-           p[0],p[1],p[2],p[3],p[4],p[5] );
-    printf("\n");
-#endif /*0*/
-
-    // check the addrinfo object core. (BUT not the two ptrs at the tail)
-    // details
-    CPPUNIT_ASSERT_EQUAL( expect->ai_flags, ipval->ai_flags );
-    CPPUNIT_ASSERT_EQUAL( expect->ai_family, ipval->ai_family );
-    // check the sockaddr it points to.
-    CPPUNIT_ASSERT_EQUAL( expect->ai_addrlen, ipval->ai_addrlen );
-
-#if 0
-    printf("sizeof IN(%d), IN6(%d), STORAGE(%d), \n",
-           sizeof(struct sockaddr_in), sizeof(struct sockaddr_in6), sizeof(struct sockaddr_storage));
-
-    p = (unsigned int*)(expect->ai_addr);
-    printf("\nSYS-ADDR: (%d) {%d} %x %x %x %x %x %x %x %x ...",
-           expect->ai_addrlen, sizeof(*p),
-           p[0],p[1],p[2],p[3],p[4],p[5],p[6],p[7] );
-
-    p = (unsigned int*)(ipval->ai_addr);
-    printf("\nSQD-ADDR: (%d) {%d} %x %x %x %x %x %x %x %x ...",
-           ipval->ai_addrlen, sizeof(*p),
-           p[0],p[1],p[2],p[3],p[4],p[5],p[6],p[7] );
-    printf("\n");
-#if HAVE_SS_LEN_IN_SS
-    printf("\nSYS SS_LEN=%d\nSQD SS_LEN=%d\n",((struct sockaddr_storage*)expect->ai_addr)->ss_len,
-           ((struct sockaddr_storage*)ipval->ai_addr)->ss_len );
-#endif
-#endif /*0*/
-
-#if HAVE_SS_LEN_IN_SS
-    CPPUNIT_ASSERT_EQUAL( ((struct sockaddr_storage*)expect->ai_addr)->ss_len,
-                          ((struct sockaddr_storage*)ipval->ai_addr)->ss_len );
-    CPPUNIT_ASSERT_EQUAL( (socklen_t)((struct sockaddr_storage*)ipval->ai_addr)->ss_len, ipval->ai_addrlen );
-#endif
-#if HAVE_SIN6_LEN_IN_SAI
-    CPPUNIT_ASSERT_EQUAL( ((struct sockaddr_in6*)expect->ai_addr)->sin6_len,
-                          ((struct sockaddr_in6*)ipval->ai_addr)->sin6_len );
-    CPPUNIT_ASSERT_EQUAL( (socklen_t)((struct sockaddr_in6*)ipval->ai_addr)->sin6_len, ipval->ai_addrlen );
-#endif
-#if HAVE_SIN_LEN_IN_SAI
-    CPPUNIT_ASSERT_EQUAL( ((struct sockaddr_in*)expect->ai_addr)->sin_len,
-                          ((struct sockaddr_in*)ipval->ai_addr)->sin_len );
-    CPPUNIT_ASSERT_EQUAL( (socklen_t)((struct sockaddr_in*)ipval->ai_addr)->sin_len, ipval->ai_addrlen );
-#endif
-
-    if (expect->ai_addrlen == sizeof(struct sockaddr_in)) {
-//printf("FAMILY %d %d\n", ((struct sockaddr_in*)expect->ai_addr)->sin_family, ((struct sockaddr_in*)ipval->ai_addr)->sin_family);
-        CPPUNIT_ASSERT_EQUAL( ((struct sockaddr_in*)expect->ai_addr)->sin_family,
-                              ((struct sockaddr_in*)ipval->ai_addr)->sin_family );
-//printf("PORT %d %d\n", ((struct sockaddr_in*)expect->ai_addr)->sin_port, ((struct sockaddr_in*)ipval->ai_addr)->sin_port);
-        CPPUNIT_ASSERT_EQUAL( ((struct sockaddr_in*)expect->ai_addr)->sin_port,
-                              ((struct sockaddr_in*)ipval->ai_addr)->sin_port );
-    }
-    if (expect->ai_addrlen == sizeof(struct sockaddr_in6)) {
-//printf("FAMILY %d %d\n", ((struct sockaddr_in6*)expect->ai_addr)->sin6_family, ((struct sockaddr_in6*)ipval->ai_addr)->sin6_family);
-        CPPUNIT_ASSERT_EQUAL( ((struct sockaddr_in6*)expect->ai_addr)->sin6_family,
-                              ((struct sockaddr_in6*)ipval->ai_addr)->sin6_family );
-//printf("PORT %d %d\n", ((struct sockaddr_in6*)expect->ai_addr)->sin6_port, ((struct sockaddr_in6*)ipval->ai_addr)->sin6_port);
-        CPPUNIT_ASSERT_EQUAL( ((struct sockaddr_in6*)expect->ai_addr)->sin6_port,
-                              ((struct sockaddr_in6*)ipval->ai_addr)->sin6_port );
-    }
-
-    CPPUNIT_ASSERT( memcmp( expect->ai_addr, ipval->ai_addr, expect->ai_addrlen ) == 0 );
-
-    freeaddrinfo(expect);
-    Ip::Address::FreeAddr(ipval);
-}
-
-void
-testIpAddress::testBugNullingDisplay()
-{
-    // Weird Bug: address set to empty during string conversion somewhere.
-    // initial string gets created and returned OK.
-    // but at the end of the process m_SocketAddr is left NULL'ed
-
-    char ntoabuf[MAX_IPSTRLEN];
-    char hostbuf[MAX_IPSTRLEN];
-    char urlbuf[MAX_IPSTRLEN];
-
-    struct in_addr outval;
-    struct in_addr expectval;
-
-    expectval.s_addr = htonl(0xC0A8640C);
-
-    Ip::Address anIPA = "192.168.100.12";
-
-    /* test stored values */
-    CPPUNIT_ASSERT( !anIPA.isAnyAddr() );
-    CPPUNIT_ASSERT( !anIPA.isNoAddr() );
-    CPPUNIT_ASSERT( anIPA.isIPv4() );
-    CPPUNIT_ASSERT( !anIPA.isIPv6() );
-    CPPUNIT_ASSERT_EQUAL( (unsigned short) 0 , anIPA.port() );
-    CPPUNIT_ASSERT( !anIPA.isSockAddr() );
-    anIPA.getInAddr(outval);
-    CPPUNIT_ASSERT( memcmp( &expectval, &outval, sizeof(struct in_addr)) == 0 );
-
-    /* POKE toStr display function to see what it is doing */
-    anIPA.toStr(ntoabuf,MAX_IPSTRLEN);
-    CPPUNIT_ASSERT( !anIPA.isAnyAddr() );
-    /* test stored values */
-    CPPUNIT_ASSERT( !anIPA.isAnyAddr() );
-    CPPUNIT_ASSERT( !anIPA.isNoAddr() );
-    CPPUNIT_ASSERT( anIPA.isIPv4() );
-    CPPUNIT_ASSERT( !anIPA.isIPv6() );
-    CPPUNIT_ASSERT_EQUAL( (unsigned short) 0 , anIPA.port() );
-    CPPUNIT_ASSERT( !anIPA.isSockAddr() );
-    anIPA.getInAddr(outval);
-    CPPUNIT_ASSERT( memcmp( &expectval, &outval, sizeof(struct in_addr)) == 0 );
-
-    /* POKE toHostStr display function to see what it is doing */
-    anIPA.toHostStr(hostbuf,MAX_IPSTRLEN);
-    CPPUNIT_ASSERT( !anIPA.isAnyAddr() );
-    /* test stored values */
-    CPPUNIT_ASSERT( !anIPA.isAnyAddr() );
-    CPPUNIT_ASSERT( !anIPA.isNoAddr() );
-    CPPUNIT_ASSERT( anIPA.isIPv4() );
-    CPPUNIT_ASSERT( !anIPA.isIPv6() );
-    CPPUNIT_ASSERT_EQUAL( (unsigned short) 0 , anIPA.port() );
-    CPPUNIT_ASSERT( !anIPA.isSockAddr() );
-    anIPA.getInAddr(outval);
-    CPPUNIT_ASSERT( memcmp( &expectval, &outval, sizeof(struct in_addr)) == 0 );
-
-    /* POKE toUrl display function to see what it is doing */
-    anIPA.toUrl(urlbuf,MAX_IPSTRLEN);
-    CPPUNIT_ASSERT( !anIPA.isAnyAddr() );
-    /* test stored values */
-    CPPUNIT_ASSERT( !anIPA.isAnyAddr() );
-    CPPUNIT_ASSERT( !anIPA.isNoAddr() );
-    CPPUNIT_ASSERT( anIPA.isIPv4() );
-    CPPUNIT_ASSERT( !anIPA.isIPv6() );
-    CPPUNIT_ASSERT_EQUAL( (unsigned short) 0 , anIPA.port() );
-    CPPUNIT_ASSERT( !anIPA.isSockAddr() );
-    anIPA.getInAddr(outval);
-    CPPUNIT_ASSERT( memcmp( &expectval, &outval, sizeof(struct in_addr)) == 0 );
-
-}
-
diff -u -r -N squid-3.5.7/src/ip/testAddress.h squid-3.5.8/src/ip/testAddress.h
--- squid-3.5.7/src/ip/testAddress.h	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/ip/testAddress.h	1969-12-31 16:00:00.000000000 -0800
@@ -1,71 +0,0 @@
-/*
- * Copyright (C) 1996-2015 The Squid Software Foundation and contributors
- *
- * Squid software is distributed under GPLv2+ license and includes
- * contributions from numerous individuals and organizations.
- * Please see the COPYING and CONTRIBUTORS files for details.
- */
-
-#ifndef SQUID_SRC_TEST_IPADDRESS_H
-#define SQUID_SRC_TEST_IPADDRESS_H
-
-#include <cppunit/extensions/HelperMacros.h>
-
-/*
- * test the IP storage type
- */
-
-class testIpAddress : public CPPUNIT_NS::TestFixture
-{
-    CPPUNIT_TEST_SUITE( testIpAddress );
-    CPPUNIT_TEST( testDefaults );
-    CPPUNIT_TEST( testInAddrConstructor );
-    CPPUNIT_TEST( testInAddr6Constructor );
-    CPPUNIT_TEST( testSockAddrConstructor );
-    CPPUNIT_TEST( testSockAddr6Constructor );
-    CPPUNIT_TEST( testHostentConstructor );
-    CPPUNIT_TEST( testStringConstructor );
-    CPPUNIT_TEST( testCopyConstructor );
-    CPPUNIT_TEST( testsetEmpty );
-    CPPUNIT_TEST( testBooleans );
-    CPPUNIT_TEST( testAddrInfo );
-    CPPUNIT_TEST( testtoStr );
-    CPPUNIT_TEST( testtoUrl_fromInAddr );
-    CPPUNIT_TEST( testtoUrl_fromSockAddr );
-    CPPUNIT_TEST( testgetReverseString );
-    CPPUNIT_TEST( testMasking );
-
-    CPPUNIT_TEST( testBugNullingDisplay );
-    CPPUNIT_TEST_SUITE_END();
-
-public:
-
-protected:
-    void testDefaults();
-
-    void testInAddrConstructor();
-    void testInAddr6Constructor();
-    void testSockAddrConstructor();
-    void testSockAddr6Constructor();
-    void testHostentConstructor();
-    void testStringConstructor();
-    void testCopyConstructor();
-
-    void testsetEmpty();
-    void testBooleans();
-
-    void testAddrInfo();
-
-    void testtoStr();
-    void testtoUrl_fromInAddr();
-    void testtoUrl_fromSockAddr();
-    void testgetReverseString();
-    void testMasking();
-
-    // bugs.
-    void testBugNullingDisplay();
-
-};
-
-#endif /* SQUID_SRC_TEST_IPADDRESS_H */
-
diff -u -r -N squid-3.5.7/src/ipc/Makefile.am squid-3.5.8/src/ipc/Makefile.am
--- squid-3.5.7/src/ipc/Makefile.am	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/ipc/Makefile.am	2015-09-01 12:52:00.000000000 -0700
@@ -8,8 +8,6 @@
 include $(top_srcdir)/src/Common.am
 include $(top_srcdir)/src/TestHeaders.am
 
-AUTOMAKE_OPTIONS = subdir-objects
-
 noinst_LTLIBRARIES = libipc.la
 
 libipc_la_SOURCES = \
diff -u -r -N squid-3.5.7/src/ipc/Makefile.in squid-3.5.8/src/ipc/Makefile.in
--- squid-3.5.7/src/ipc/Makefile.in	2015-07-31 23:10:09.000000000 -0700
+++ squid-3.5.8/src/ipc/Makefile.in	2015-09-01 12:53:39.000000000 -0700
@@ -550,6 +550,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -672,6 +673,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -694,7 +696,6 @@
 @ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
 COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
 subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
-AUTOMAKE_OPTIONS = subdir-objects
 noinst_LTLIBRARIES = libipc.la
 libipc_la_SOURCES = \
 	AtomicWord.cc \
diff -u -r -N squid-3.5.7/src/log/Makefile.in squid-3.5.8/src/log/Makefile.in
--- squid-3.5.7/src/log/Makefile.in	2015-07-31 23:10:09.000000000 -0700
+++ squid-3.5.8/src/log/Makefile.in	2015-09-01 12:53:39.000000000 -0700
@@ -548,6 +548,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -670,6 +671,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -803,22 +805,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/access_log.Plo@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/src/Makefile.am squid-3.5.8/src/Makefile.am
--- squid-3.5.7/src/Makefile.am	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/Makefile.am	2015-09-01 12:52:00.000000000 -0700
@@ -7,8 +7,6 @@
 
 include $(top_srcdir)/src/Common.am
 
-AUTOMAKE_OPTIONS = subdir-objects
-
 DNSSOURCE = \
 	dns_internal.cc \
 	SquidDns.h \
@@ -1069,13 +1067,17 @@
 check_PROGRAMS+=\
 	tests/testBoilerplate \
 	tests/testCacheManager \
+	tests/testCharacterSet \
 	tests/testDiskIO \
 	tests/testEvent \
 	tests/testEventLoop \
 	tests/test_http_range \
 	tests/testHttpParser \
+	tests/testTokenizer \
 	tests/testHttpReply \
 	tests/testHttpRequest \
+	tests/testIcmp \
+	tests/testIpAddress \
 	tests/testStore \
 	tests/testString \
 	tests/testURL \
@@ -1390,6 +1392,24 @@
 tests_testBoilerplate_DEPENDENCIES = \
 	$(SQUID_CPPUNIT_LA)
 
+## Tests of base/libbase.la objects
+tests_testCharacterSet_SOURCES = \
+	tests/testCharacterSet.cc \
+	tests/testCharacterSet.h
+nodist_tests_testCharacterSet_SOURCES = \
+	base/CharacterSet.h \
+	$(TESTSOURCES) \
+	tests/stub_cbdata.cc \
+	tests/stub_debug.cc \
+	tests/stub_MemBuf.cc
+tests_testCharacterSet_LDFLAGS = $(LIBADD_DL)
+tests_testCharacterSet_LDADD= \
+	base/libbase.la \
+	$(COMPAT_LIB) \
+	$(SQUID_CPPUNIT_LA) \
+	$(SQUID_CPPUNIT_LIBS) \
+	$(XTRA_LIBS)
+
 ## Tests of the CacheManager module.
 tests_testCacheManager_SOURCES = \
 	AccessLogEntry.cc \
@@ -2599,6 +2619,30 @@
 tests_testHttpParser_DEPENDENCIES = \
 	$(SQUID_CPPUNIT_LA)
 
+## Tests of parser/* objects
+tests_testTokenizer_SOURCES = \
+	tests/testTokenizer.h \
+	tests/testTokenizer.cc
+nodist_tests_testTokenizer_SOURCES = \
+	parser/Tokenizer.h \
+	$(SBUF_SOURCE) \
+	SquidString.h \
+	String.cc \
+	$(TESTSOURCES) \
+	tests/stub_debug.cc \
+	tests/stub_mem.cc \
+	tests/stub_time.cc \
+	tests/stub_SBufDetailedStats.cc
+tests_testTokenizer_LDFLAGS = $(LIBADD_DL)
+tests_testTokenizer_LDADD = \
+	parser/libsquid-parser.la \
+	base/libbase.la \
+	$(top_builddir)/lib/libmiscutil.la \
+	$(COMPAT_LIB) \
+	$(SQUID_CPPUNIT_LA) \
+	$(SQUID_CPPUNIT_LIBS) \
+	$(XTRA_LIBS)
+
 ## Tests of the HttpRequest module.
 tests_testHttpRequest_SOURCES = \
 	AccessLogEntry.cc \
@@ -2841,6 +2885,44 @@
 	$(REPL_OBJS) \
 	$(SQUID_CPPUNIT_LA)
 
+## Tests for icmp/* objects
+# icmp/libicmp-core.la is used by pinger so SHOULD NOT require more dependancies! :-(
+tests_testIcmp_SOURCES = \
+	tests/testIcmp.h \
+	tests/testIcmp.cc
+nodist_tests_testIcmp_SOURCES = \
+	icmp/Icmp.h \
+	SquidTime.h \
+	tests/stub_debug.cc \
+	time.cc \
+	globals.cc
+tests_testIcmp_LDFLAGS = $(LIBADD_DL)
+tests_testIcmp_LDADD=\
+	icmp/libicmp-core.la \
+	ip/libip.la \
+	base/libbase.la \
+	$(COMPAT_LIB) \
+	$(SQUID_CPPUNIT_LA) \
+	$(SQUID_CPPUNIT_LIBS) \
+	$(XTRA_LIBS)
+
+## Tests for ip/* objects
+tests_testIpAddress_SOURCES= \
+	tests/testAddress.cc \
+	tests/testAddress.h
+nodist_tests_testIpAddress_SOURCES= \
+	ip/Address.h \
+	tests/stub_debug.cc \
+	tests/stub_tools.cc
+tests_testIpAddress_LDADD= \
+	ip/libip.la \
+	base/libbase.la \
+	$(COMPAT_LIB) \
+	$(SQUID_CPPUNIT_LA) \
+	$(SQUID_CPPUNIT_LIBS) \
+	$(XTRA_LIBS)
+tests_testIpAddress_LDFLAGS= $(LIBADD_DL)
+
 ## why so many sources? well httpHeaderTools requites ACLChecklist & friends.
 ## first line - what we are testing.
 tests_testStore_SOURCES= \
diff -u -r -N squid-3.5.7/src/Makefile.in squid-3.5.8/src/Makefile.in
--- squid-3.5.7/src/Makefile.in	2015-07-31 23:09:56.000000000 -0700
+++ squid-3.5.8/src/Makefile.in	2015-09-01 12:53:26.000000000 -0700
@@ -93,15 +93,17 @@
 build_triplet = @build@
 host_triplet = @host@
 check_PROGRAMS = $(am__EXEEXT_1) tests/testBoilerplate$(EXEEXT) \
-	tests/testCacheManager$(EXEEXT) tests/testDiskIO$(EXEEXT) \
+	tests/testCacheManager$(EXEEXT) \
+	tests/testCharacterSet$(EXEEXT) tests/testDiskIO$(EXEEXT) \
 	tests/testEvent$(EXEEXT) tests/testEventLoop$(EXEEXT) \
 	tests/test_http_range$(EXEEXT) tests/testHttpParser$(EXEEXT) \
-	tests/testHttpReply$(EXEEXT) tests/testHttpRequest$(EXEEXT) \
-	tests/testStore$(EXEEXT) tests/testString$(EXEEXT) \
-	tests/testURL$(EXEEXT) tests/testSBuf$(EXEEXT) \
-	tests/testSBufList$(EXEEXT) tests/testConfigParser$(EXEEXT) \
-	tests/testStatHist$(EXEEXT) $(am__EXEEXT_2) $(am__EXEEXT_3) \
-	testRefCount$(EXEEXT)
+	tests/testTokenizer$(EXEEXT) tests/testHttpReply$(EXEEXT) \
+	tests/testHttpRequest$(EXEEXT) tests/testIcmp$(EXEEXT) \
+	tests/testIpAddress$(EXEEXT) tests/testStore$(EXEEXT) \
+	tests/testString$(EXEEXT) tests/testURL$(EXEEXT) \
+	tests/testSBuf$(EXEEXT) tests/testSBufList$(EXEEXT) \
+	tests/testConfigParser$(EXEEXT) tests/testStatHist$(EXEEXT) \
+	$(am__EXEEXT_2) $(am__EXEEXT_3) testRefCount$(EXEEXT)
 @ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
 @ENABLE_AUTH_TRUE@am__append_2 = auth
 @ENABLE_AUTH_TRUE@am__append_3 = tests/testACLMaxUserIP
@@ -712,6 +714,19 @@
 	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
 	$(AM_CXXFLAGS) $(CXXFLAGS) $(tests_testCacheManager_LDFLAGS) \
 	$(LDFLAGS) -o $@
+am_tests_testCharacterSet_OBJECTS = tests/testCharacterSet.$(OBJEXT)
+nodist_tests_testCharacterSet_OBJECTS = $(am__objects_24) \
+	tests/stub_cbdata.$(OBJEXT) tests/stub_debug.$(OBJEXT) \
+	tests/stub_MemBuf.$(OBJEXT)
+tests_testCharacterSet_OBJECTS = $(am_tests_testCharacterSet_OBJECTS) \
+	$(nodist_tests_testCharacterSet_OBJECTS)
+tests_testCharacterSet_DEPENDENCIES = base/libbase.la \
+	$(am__DEPENDENCIES_2) $(am__DEPENDENCIES_3) \
+	$(am__DEPENDENCIES_3) $(am__DEPENDENCIES_3)
+tests_testCharacterSet_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
+	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
+	$(AM_CXXFLAGS) $(CXXFLAGS) $(tests_testCharacterSet_LDFLAGS) \
+	$(LDFLAGS) -o $@
 am_tests_testConfigParser_OBJECTS = tests/stub_mem.$(OBJEXT) \
 	tests/stub_MemBuf.$(OBJEXT) tests/stub_time.$(OBJEXT) \
 	$(am__objects_13) tests/stub_SBufDetailedStats.$(OBJEXT) \
@@ -1284,6 +1299,30 @@
 	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
 	$(AM_CXXFLAGS) $(CXXFLAGS) $(tests_testHttpRequest_LDFLAGS) \
 	$(LDFLAGS) -o $@
+am_tests_testIcmp_OBJECTS = tests/testIcmp.$(OBJEXT)
+nodist_tests_testIcmp_OBJECTS = tests/stub_debug.$(OBJEXT) \
+	time.$(OBJEXT) globals.$(OBJEXT)
+tests_testIcmp_OBJECTS = $(am_tests_testIcmp_OBJECTS) \
+	$(nodist_tests_testIcmp_OBJECTS)
+tests_testIcmp_DEPENDENCIES = icmp/libicmp-core.la ip/libip.la \
+	base/libbase.la $(am__DEPENDENCIES_2) $(am__DEPENDENCIES_3) \
+	$(am__DEPENDENCIES_3) $(am__DEPENDENCIES_3)
+tests_testIcmp_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
+	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
+	$(AM_CXXFLAGS) $(CXXFLAGS) $(tests_testIcmp_LDFLAGS) \
+	$(LDFLAGS) -o $@
+am_tests_testIpAddress_OBJECTS = tests/testAddress.$(OBJEXT)
+nodist_tests_testIpAddress_OBJECTS = tests/stub_debug.$(OBJEXT) \
+	tests/stub_tools.$(OBJEXT)
+tests_testIpAddress_OBJECTS = $(am_tests_testIpAddress_OBJECTS) \
+	$(nodist_tests_testIpAddress_OBJECTS)
+tests_testIpAddress_DEPENDENCIES = ip/libip.la base/libbase.la \
+	$(am__DEPENDENCIES_2) $(am__DEPENDENCIES_3) \
+	$(am__DEPENDENCIES_3) $(am__DEPENDENCIES_3)
+tests_testIpAddress_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
+	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
+	$(AM_CXXFLAGS) $(CXXFLAGS) $(tests_testIpAddress_LDFLAGS) \
+	$(LDFLAGS) -o $@
 am__tests_testRock_SOURCES_DIST = cbdata.cc CacheDigest.h \
 	CollapsedForwarding.h CollapsedForwarding.cc \
 	tests/stub_CacheDigest.cc ConfigOption.cc ConfigParser.cc \
@@ -1573,6 +1612,21 @@
 	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
 	$(AM_CXXFLAGS) $(CXXFLAGS) $(tests_testString_LDFLAGS) \
 	$(LDFLAGS) -o $@
+am_tests_testTokenizer_OBJECTS = tests/testTokenizer.$(OBJEXT)
+nodist_tests_testTokenizer_OBJECTS = $(am__objects_13) \
+	String.$(OBJEXT) $(am__objects_24) tests/stub_debug.$(OBJEXT) \
+	tests/stub_mem.$(OBJEXT) tests/stub_time.$(OBJEXT) \
+	tests/stub_SBufDetailedStats.$(OBJEXT)
+tests_testTokenizer_OBJECTS = $(am_tests_testTokenizer_OBJECTS) \
+	$(nodist_tests_testTokenizer_OBJECTS)
+tests_testTokenizer_DEPENDENCIES = parser/libsquid-parser.la \
+	base/libbase.la $(top_builddir)/lib/libmiscutil.la \
+	$(am__DEPENDENCIES_2) $(am__DEPENDENCIES_3) \
+	$(am__DEPENDENCIES_3) $(am__DEPENDENCIES_3)
+tests_testTokenizer_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
+	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
+	$(AM_CXXFLAGS) $(CXXFLAGS) $(tests_testTokenizer_LDFLAGS) \
+	$(LDFLAGS) -o $@
 am__tests_testURL_SOURCES_DIST = AccessLogEntry.cc BodyPipe.cc \
 	cache_cf.h AuthReg.h YesNoNone.h YesNoNone.cc RefreshPattern.h \
 	cache_cf.cc tests/stub_cache_manager.cc CacheDigest.h \
@@ -2030,6 +2084,8 @@
 	$(nodist_tests_testBoilerplate_SOURCES) \
 	$(tests_testCacheManager_SOURCES) \
 	$(nodist_tests_testCacheManager_SOURCES) \
+	$(tests_testCharacterSet_SOURCES) \
+	$(nodist_tests_testCharacterSet_SOURCES) \
 	$(tests_testConfigParser_SOURCES) \
 	$(nodist_tests_testConfigParser_SOURCES) \
 	$(tests_testDiskIO_SOURCES) $(nodist_tests_testDiskIO_SOURCES) \
@@ -2042,6 +2098,9 @@
 	$(nodist_tests_testHttpReply_SOURCES) \
 	$(tests_testHttpRequest_SOURCES) \
 	$(nodist_tests_testHttpRequest_SOURCES) \
+	$(tests_testIcmp_SOURCES) $(nodist_tests_testIcmp_SOURCES) \
+	$(tests_testIpAddress_SOURCES) \
+	$(nodist_tests_testIpAddress_SOURCES) \
 	$(tests_testRock_SOURCES) $(nodist_tests_testRock_SOURCES) \
 	$(tests_testSBuf_SOURCES) $(nodist_tests_testSBuf_SOURCES) \
 	$(tests_testSBufList_SOURCES) \
@@ -2050,8 +2109,10 @@
 	$(nodist_tests_testStatHist_SOURCES) \
 	$(tests_testStore_SOURCES) $(nodist_tests_testStore_SOURCES) \
 	$(tests_testString_SOURCES) $(nodist_tests_testString_SOURCES) \
-	$(tests_testURL_SOURCES) $(nodist_tests_testURL_SOURCES) \
-	$(tests_testUfs_SOURCES) $(nodist_tests_testUfs_SOURCES) \
+	$(tests_testTokenizer_SOURCES) \
+	$(nodist_tests_testTokenizer_SOURCES) $(tests_testURL_SOURCES) \
+	$(nodist_tests_testURL_SOURCES) $(tests_testUfs_SOURCES) \
+	$(nodist_tests_testUfs_SOURCES) \
 	$(tests_test_http_range_SOURCES) \
 	$(nodist_tests_test_http_range_SOURCES) $(ufsdump_SOURCES) \
 	$(nodist_ufsdump_SOURCES) $(unlinkd_SOURCES)
@@ -2066,16 +2127,19 @@
 	$(tests_testACLMaxUserIP_SOURCES) \
 	$(tests_testBoilerplate_SOURCES) \
 	$(am__tests_testCacheManager_SOURCES_DIST) \
+	$(tests_testCharacterSet_SOURCES) \
 	$(tests_testConfigParser_SOURCES) \
 	$(am__tests_testDiskIO_SOURCES_DIST) \
 	$(am__tests_testEvent_SOURCES_DIST) \
 	$(am__tests_testEventLoop_SOURCES_DIST) \
 	$(tests_testHttpParser_SOURCES) $(tests_testHttpReply_SOURCES) \
 	$(am__tests_testHttpRequest_SOURCES_DIST) \
+	$(tests_testIcmp_SOURCES) $(tests_testIpAddress_SOURCES) \
 	$(am__tests_testRock_SOURCES_DIST) $(tests_testSBuf_SOURCES) \
 	$(tests_testSBufList_SOURCES) $(tests_testStatHist_SOURCES) \
 	$(am__tests_testStore_SOURCES_DIST) \
-	$(tests_testString_SOURCES) $(am__tests_testURL_SOURCES_DIST) \
+	$(tests_testString_SOURCES) $(tests_testTokenizer_SOURCES) \
+	$(am__tests_testURL_SOURCES_DIST) \
 	$(am__tests_testUfs_SOURCES_DIST) \
 	$(am__tests_test_http_range_SOURCES_DIST) \
 	$(am__ufsdump_SOURCES_DIST) $(unlinkd_SOURCES)
@@ -2454,6 +2518,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -2576,6 +2641,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -2601,7 +2667,6 @@
 @ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
 COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
 subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
-AUTOMAKE_OPTIONS = subdir-objects
 DNSSOURCE = \
 	dns_internal.cc \
 	SquidDns.h \
@@ -3517,6 +3582,25 @@
 tests_testBoilerplate_DEPENDENCIES = \
 	$(SQUID_CPPUNIT_LA)
 
+tests_testCharacterSet_SOURCES = \
+	tests/testCharacterSet.cc \
+	tests/testCharacterSet.h
+
+nodist_tests_testCharacterSet_SOURCES = \
+	base/CharacterSet.h \
+	$(TESTSOURCES) \
+	tests/stub_cbdata.cc \
+	tests/stub_debug.cc \
+	tests/stub_MemBuf.cc
+
+tests_testCharacterSet_LDFLAGS = $(LIBADD_DL)
+tests_testCharacterSet_LDADD = \
+	base/libbase.la \
+	$(COMPAT_LIB) \
+	$(SQUID_CPPUNIT_LA) \
+	$(SQUID_CPPUNIT_LIBS) \
+	$(XTRA_LIBS)
+
 tests_testCacheManager_SOURCES = \
 	AccessLogEntry.cc \
 	debug.cc \
@@ -4740,6 +4824,31 @@
 tests_testHttpParser_DEPENDENCIES = \
 	$(SQUID_CPPUNIT_LA)
 
+tests_testTokenizer_SOURCES = \
+	tests/testTokenizer.h \
+	tests/testTokenizer.cc
+
+nodist_tests_testTokenizer_SOURCES = \
+	parser/Tokenizer.h \
+	$(SBUF_SOURCE) \
+	SquidString.h \
+	String.cc \
+	$(TESTSOURCES) \
+	tests/stub_debug.cc \
+	tests/stub_mem.cc \
+	tests/stub_time.cc \
+	tests/stub_SBufDetailedStats.cc
+
+tests_testTokenizer_LDFLAGS = $(LIBADD_DL)
+tests_testTokenizer_LDADD = \
+	parser/libsquid-parser.la \
+	base/libbase.la \
+	$(top_builddir)/lib/libmiscutil.la \
+	$(COMPAT_LIB) \
+	$(SQUID_CPPUNIT_LA) \
+	$(SQUID_CPPUNIT_LIBS) \
+	$(XTRA_LIBS)
+
 tests_testHttpRequest_SOURCES = \
 	AccessLogEntry.cc \
 	HttpParser.cc \
@@ -4984,6 +5093,47 @@
 	$(REPL_OBJS) \
 	$(SQUID_CPPUNIT_LA)
 
+
+# icmp/libicmp-core.la is used by pinger so SHOULD NOT require more dependancies! :-(
+tests_testIcmp_SOURCES = \
+	tests/testIcmp.h \
+	tests/testIcmp.cc
+
+nodist_tests_testIcmp_SOURCES = \
+	icmp/Icmp.h \
+	SquidTime.h \
+	tests/stub_debug.cc \
+	time.cc \
+	globals.cc
+
+tests_testIcmp_LDFLAGS = $(LIBADD_DL)
+tests_testIcmp_LDADD = \
+	icmp/libicmp-core.la \
+	ip/libip.la \
+	base/libbase.la \
+	$(COMPAT_LIB) \
+	$(SQUID_CPPUNIT_LA) \
+	$(SQUID_CPPUNIT_LIBS) \
+	$(XTRA_LIBS)
+
+tests_testIpAddress_SOURCES = \
+	tests/testAddress.cc \
+	tests/testAddress.h
+
+nodist_tests_testIpAddress_SOURCES = \
+	ip/Address.h \
+	tests/stub_debug.cc \
+	tests/stub_tools.cc
+
+tests_testIpAddress_LDADD = \
+	ip/libip.la \
+	base/libbase.la \
+	$(COMPAT_LIB) \
+	$(SQUID_CPPUNIT_LA) \
+	$(SQUID_CPPUNIT_LIBS) \
+	$(XTRA_LIBS)
+
+tests_testIpAddress_LDFLAGS = $(LIBADD_DL)
 tests_testStore_SOURCES = \
 	CacheDigest.h \
 	tests/stub_CacheDigest.cc \
@@ -6503,6 +6653,12 @@
 tests/testCacheManager$(EXEEXT): $(tests_testCacheManager_OBJECTS) $(tests_testCacheManager_DEPENDENCIES) $(EXTRA_tests_testCacheManager_DEPENDENCIES) tests/$(am__dirstamp)
 	@rm -f tests/testCacheManager$(EXEEXT)
 	$(AM_V_CXXLD)$(tests_testCacheManager_LINK) $(tests_testCacheManager_OBJECTS) $(tests_testCacheManager_LDADD) $(LIBS)
+tests/testCharacterSet.$(OBJEXT): tests/$(am__dirstamp) \
+	tests/$(DEPDIR)/$(am__dirstamp)
+
+tests/testCharacterSet$(EXEEXT): $(tests_testCharacterSet_OBJECTS) $(tests_testCharacterSet_DEPENDENCIES) $(EXTRA_tests_testCharacterSet_DEPENDENCIES) tests/$(am__dirstamp)
+	@rm -f tests/testCharacterSet$(EXEEXT)
+	$(AM_V_CXXLD)$(tests_testCharacterSet_LINK) $(tests_testCharacterSet_OBJECTS) $(tests_testCharacterSet_LDADD) $(LIBS)
 tests/testConfigParser.$(OBJEXT): tests/$(am__dirstamp) \
 	tests/$(DEPDIR)/$(am__dirstamp)
 tests/stub_HelperChildConfig.$(OBJEXT): tests/$(am__dirstamp) \
@@ -6585,6 +6741,18 @@
 tests/testHttpRequest$(EXEEXT): $(tests_testHttpRequest_OBJECTS) $(tests_testHttpRequest_DEPENDENCIES) $(EXTRA_tests_testHttpRequest_DEPENDENCIES) tests/$(am__dirstamp)
 	@rm -f tests/testHttpRequest$(EXEEXT)
 	$(AM_V_CXXLD)$(tests_testHttpRequest_LINK) $(tests_testHttpRequest_OBJECTS) $(tests_testHttpRequest_LDADD) $(LIBS)
+tests/testIcmp.$(OBJEXT): tests/$(am__dirstamp) \
+	tests/$(DEPDIR)/$(am__dirstamp)
+
+tests/testIcmp$(EXEEXT): $(tests_testIcmp_OBJECTS) $(tests_testIcmp_DEPENDENCIES) $(EXTRA_tests_testIcmp_DEPENDENCIES) tests/$(am__dirstamp)
+	@rm -f tests/testIcmp$(EXEEXT)
+	$(AM_V_CXXLD)$(tests_testIcmp_LINK) $(tests_testIcmp_OBJECTS) $(tests_testIcmp_LDADD) $(LIBS)
+tests/testAddress.$(OBJEXT): tests/$(am__dirstamp) \
+	tests/$(DEPDIR)/$(am__dirstamp)
+
+tests/testIpAddress$(EXEEXT): $(tests_testIpAddress_OBJECTS) $(tests_testIpAddress_DEPENDENCIES) $(EXTRA_tests_testIpAddress_DEPENDENCIES) tests/$(am__dirstamp)
+	@rm -f tests/testIpAddress$(EXEEXT)
+	$(AM_V_CXXLD)$(tests_testIpAddress_LINK) $(tests_testIpAddress_OBJECTS) $(tests_testIpAddress_LDADD) $(LIBS)
 tests/testRock.$(OBJEXT): tests/$(am__dirstamp) \
 	tests/$(DEPDIR)/$(am__dirstamp)
 
@@ -6633,6 +6801,12 @@
 tests/testString$(EXEEXT): $(tests_testString_OBJECTS) $(tests_testString_DEPENDENCIES) $(EXTRA_tests_testString_DEPENDENCIES) tests/$(am__dirstamp)
 	@rm -f tests/testString$(EXEEXT)
 	$(AM_V_CXXLD)$(tests_testString_LINK) $(tests_testString_OBJECTS) $(tests_testString_LDADD) $(LIBS)
+tests/testTokenizer.$(OBJEXT): tests/$(am__dirstamp) \
+	tests/$(DEPDIR)/$(am__dirstamp)
+
+tests/testTokenizer$(EXEEXT): $(tests_testTokenizer_OBJECTS) $(tests_testTokenizer_DEPENDENCIES) $(EXTRA_tests_testTokenizer_DEPENDENCIES) tests/$(am__dirstamp)
+	@rm -f tests/testTokenizer$(EXEEXT)
+	$(AM_V_CXXLD)$(tests_testTokenizer_LINK) $(tests_testTokenizer_OBJECTS) $(tests_testTokenizer_LDADD) $(LIBS)
 tests/testURL.$(OBJEXT): tests/$(am__dirstamp) \
 	tests/$(DEPDIR)/$(am__dirstamp)
 tests/testUriScheme.$(OBJEXT): tests/$(am__dirstamp) \
@@ -6959,8 +7133,10 @@
 @AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/stub_whois.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/stub_wordlist.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/testACLMaxUserIP.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/testAddress.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/testBoilerplate.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/testCacheManager.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/testCharacterSet.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/testConfigParser.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/testDiskIO.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/testEvent.Po@am__quote@
@@ -6969,6 +7145,7 @@
 @AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/testHttpReply.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/testHttpRequest.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/testHttpRequestMethod.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/testIcmp.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/testRefCount.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/testRock.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/testSBuf.Po@am__quote@
@@ -6980,6 +7157,7 @@
 @AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/testStoreHashIndex.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/testStoreSupport.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/testString.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/testTokenizer.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/testURL.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/testUfs.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@tests/$(DEPDIR)/testUriScheme.Po@am__quote@
@@ -7363,6 +7541,13 @@
 	--log-file $$b.log --trs-file $$b.trs \
 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
 	"$$tst" $(AM_TESTS_FD_REDIRECT)
+tests/testCharacterSet.log: tests/testCharacterSet$(EXEEXT)
+	@p='tests/testCharacterSet$(EXEEXT)'; \
+	b='tests/testCharacterSet'; \
+	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
+	--log-file $$b.log --trs-file $$b.trs \
+	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
+	"$$tst" $(AM_TESTS_FD_REDIRECT)
 tests/testDiskIO.log: tests/testDiskIO$(EXEEXT)
 	@p='tests/testDiskIO$(EXEEXT)'; \
 	b='tests/testDiskIO'; \
@@ -7398,6 +7583,13 @@
 	--log-file $$b.log --trs-file $$b.trs \
 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
 	"$$tst" $(AM_TESTS_FD_REDIRECT)
+tests/testTokenizer.log: tests/testTokenizer$(EXEEXT)
+	@p='tests/testTokenizer$(EXEEXT)'; \
+	b='tests/testTokenizer'; \
+	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
+	--log-file $$b.log --trs-file $$b.trs \
+	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
+	"$$tst" $(AM_TESTS_FD_REDIRECT)
 tests/testHttpReply.log: tests/testHttpReply$(EXEEXT)
 	@p='tests/testHttpReply$(EXEEXT)'; \
 	b='tests/testHttpReply'; \
@@ -7411,6 +7603,20 @@
 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
 	--log-file $$b.log --trs-file $$b.trs \
 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
+	"$$tst" $(AM_TESTS_FD_REDIRECT)
+tests/testIcmp.log: tests/testIcmp$(EXEEXT)
+	@p='tests/testIcmp$(EXEEXT)'; \
+	b='tests/testIcmp'; \
+	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
+	--log-file $$b.log --trs-file $$b.trs \
+	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
+	"$$tst" $(AM_TESTS_FD_REDIRECT)
+tests/testIpAddress.log: tests/testIpAddress$(EXEEXT)
+	@p='tests/testIpAddress$(EXEEXT)'; \
+	b='tests/testIpAddress'; \
+	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
+	--log-file $$b.log --trs-file $$b.trs \
+	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
 	"$$tst" $(AM_TESTS_FD_REDIRECT)
 tests/testStore.log: tests/testStore$(EXEEXT)
 	@p='tests/testStore$(EXEEXT)'; \
diff -u -r -N squid-3.5.7/src/mgr/Makefile.in squid-3.5.8/src/mgr/Makefile.in
--- squid-3.5.7/src/mgr/Makefile.in	2015-07-31 23:10:10.000000000 -0700
+++ squid-3.5.8/src/mgr/Makefile.in	2015-09-01 12:53:40.000000000 -0700
@@ -549,6 +549,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -671,6 +672,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -835,22 +837,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/StringParam.Plo@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/src/parser/Makefile.am squid-3.5.8/src/parser/Makefile.am
--- squid-3.5.7/src/parser/Makefile.am	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/parser/Makefile.am	2015-09-01 12:52:00.000000000 -0700
@@ -8,48 +8,9 @@
 include $(top_srcdir)/src/Common.am
 include $(top_srcdir)/src/TestHeaders.am
 
-EXTRA_PROGRAMS = \
-	testTokenizer
-	
-check_PROGRAMS += testTokenizer
-TESTS += testTokenizer
-
 noinst_LTLIBRARIES = libsquid-parser.la
 
 libsquid_parser_la_SOURCES = \
 	Tokenizer.h \
 	Tokenizer.cc
 
-SBUF_SOURCE= \
-	$(top_srcdir)/src/base/CharacterSet.h \
-	$(top_srcdir)/src/SBuf.h \
-	$(top_srcdir)/src/SBuf.cc \
-	$(top_srcdir)/src/MemBlob.h \
-	$(top_srcdir)/src/MemBlob.cc \
-	$(top_srcdir)/src/OutOfBoundsException.h \
-	$(top_srcdir)/src/SBufExceptions.h \
-	$(top_srcdir)/src/SBufExceptions.cc \
-	$(top_srcdir)/src/String.cc \
-	$(top_srcdir)/src/SquidString.h \
-	$(top_srcdir)/src/base/TextException.h \
-	$(top_srcdir)/src/base/TextException.cc
-
-testTokenizer_SOURCES = \
-	$(SBUF_SOURCE) \
-	testTokenizer.h \
-	testTokenizer.cc \
-	Tokenizer.h
-nodist_testTokenizer_SOURCES = \
-	$(top_srcdir)/src/tests/stub_mem.cc \
-	$(top_srcdir)/src/tests/stub_debug.cc \
-	$(top_srcdir)/src/tests/stub_time.cc \
-	$(top_srcdir)/src/tests/stub_SBufDetailedStats.cc
-testTokenizer_LDFLAGS = $(LIBADD_DL)
-testTokenizer_LDADD = \
-	libsquid-parser.la \
-	$(top_builddir)/lib/libmiscutil.la \
-	$(top_builddir)/src/base/libbase.la \
-	$(SQUID_CPPUNIT_LIBS) \
-	$(SQUID_CPPUNIT_LA) \
-	$(COMPAT_LIB)
-testTokenizer_DEPENDENCIES = $(SQUID_CPPUNIT_LA)
diff -u -r -N squid-3.5.7/src/parser/Makefile.in squid-3.5.8/src/parser/Makefile.in
--- squid-3.5.7/src/parser/Makefile.in	2015-07-31 23:10:11.000000000 -0700
+++ squid-3.5.8/src/parser/Makefile.in	2015-09-01 12:53:40.000000000 -0700
@@ -88,10 +88,8 @@
 POST_UNINSTALL = :
 build_triplet = @build@
 host_triplet = @host@
-check_PROGRAMS = testTokenizer$(EXEEXT)
-TESTS = testHeaders testTokenizer$(EXEEXT)
+check_PROGRAMS =
 @ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
-EXTRA_PROGRAMS = testTokenizer$(EXEEXT)
 subdir = src/parser
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
@@ -167,22 +165,6 @@
 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
 am__v_lt_0 = --silent
 am__v_lt_1 = 
-am__objects_1 = SBuf.$(OBJEXT) MemBlob.$(OBJEXT) \
-	SBufExceptions.$(OBJEXT) String.$(OBJEXT) \
-	TextException.$(OBJEXT)
-am_testTokenizer_OBJECTS = $(am__objects_1) testTokenizer.$(OBJEXT)
-nodist_testTokenizer_OBJECTS = stub_mem.$(OBJEXT) stub_debug.$(OBJEXT) \
-	stub_time.$(OBJEXT) stub_SBufDetailedStats.$(OBJEXT)
-testTokenizer_OBJECTS = $(am_testTokenizer_OBJECTS) \
-	$(nodist_testTokenizer_OBJECTS)
-am__DEPENDENCIES_1 =
-@ENABLE_XPROF_STATS_TRUE@am__DEPENDENCIES_2 = $(top_builddir)/lib/profiler/libprofiler.la
-am__DEPENDENCIES_3 = $(top_builddir)/compat/libcompat-squid.la \
-	$(am__DEPENDENCIES_2)
-testTokenizer_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
-	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
-	$(AM_CXXFLAGS) $(CXXFLAGS) $(testTokenizer_LDFLAGS) $(LDFLAGS) \
-	-o $@
 AM_V_P = $(am__v_P_@AM_V@)
 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
 am__v_P_0 = false
@@ -235,9 +217,8 @@
 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
 am__v_CCLD_0 = @echo "  CCLD    " $@;
 am__v_CCLD_1 = 
-SOURCES = $(libsquid_parser_la_SOURCES) $(testTokenizer_SOURCES) \
-	$(nodist_testTokenizer_SOURCES)
-DIST_SOURCES = $(libsquid_parser_la_SOURCES) $(testTokenizer_SOURCES)
+SOURCES = $(libsquid_parser_la_SOURCES)
+DIST_SOURCES = $(libsquid_parser_la_SOURCES)
 am__can_run_installinfo = \
   case $$AM_UPDATE_INFO_DIR in \
     n|no|NO) false;; \
@@ -563,6 +544,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -685,6 +667,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -698,6 +681,7 @@
 AM_CFLAGS = $(SQUID_CFLAGS)
 AM_CXXFLAGS = $(SQUID_CXXFLAGS)
 CLEANFILES = testHeaders
+TESTS = testHeaders
 AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
 	-I$(top_srcdir)/lib -I$(top_srcdir)/src \
 	-I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
@@ -711,42 +695,6 @@
 	Tokenizer.h \
 	Tokenizer.cc
 
-SBUF_SOURCE = \
-	$(top_srcdir)/src/base/CharacterSet.h \
-	$(top_srcdir)/src/SBuf.h \
-	$(top_srcdir)/src/SBuf.cc \
-	$(top_srcdir)/src/MemBlob.h \
-	$(top_srcdir)/src/MemBlob.cc \
-	$(top_srcdir)/src/OutOfBoundsException.h \
-	$(top_srcdir)/src/SBufExceptions.h \
-	$(top_srcdir)/src/SBufExceptions.cc \
-	$(top_srcdir)/src/String.cc \
-	$(top_srcdir)/src/SquidString.h \
-	$(top_srcdir)/src/base/TextException.h \
-	$(top_srcdir)/src/base/TextException.cc
-
-testTokenizer_SOURCES = \
-	$(SBUF_SOURCE) \
-	testTokenizer.h \
-	testTokenizer.cc \
-	Tokenizer.h
-
-nodist_testTokenizer_SOURCES = \
-	$(top_srcdir)/src/tests/stub_mem.cc \
-	$(top_srcdir)/src/tests/stub_debug.cc \
-	$(top_srcdir)/src/tests/stub_time.cc \
-	$(top_srcdir)/src/tests/stub_SBufDetailedStats.cc
-
-testTokenizer_LDFLAGS = $(LIBADD_DL)
-testTokenizer_LDADD = \
-	libsquid-parser.la \
-	$(top_builddir)/lib/libmiscutil.la \
-	$(top_builddir)/src/base/libbase.la \
-	$(SQUID_CPPUNIT_LIBS) \
-	$(SQUID_CPPUNIT_LA) \
-	$(COMPAT_LIB)
-
-testTokenizer_DEPENDENCIES = $(SQUID_CPPUNIT_LA)
 all: all-am
 
 .SUFFIXES:
@@ -805,175 +753,38 @@
 	echo " rm -f" $$list; \
 	rm -f $$list
 
-testTokenizer$(EXEEXT): $(testTokenizer_OBJECTS) $(testTokenizer_DEPENDENCIES) $(EXTRA_testTokenizer_DEPENDENCIES) 
-	@rm -f testTokenizer$(EXEEXT)
-	$(AM_V_CXXLD)$(testTokenizer_LINK) $(testTokenizer_OBJECTS) $(testTokenizer_LDADD) $(LIBS)
-
 mostlyclean-compile:
 	-rm -f *.$(OBJEXT)
 
 distclean-compile:
 	-rm -f *.tab.c
 
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/MemBlob.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/SBuf.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/SBufExceptions.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/String.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/TextException.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Tokenizer.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stub_SBufDetailedStats.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stub_debug.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stub_mem.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stub_time.Po@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testTokenizer.Po@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
 
-SBuf.o: $(top_srcdir)/src/SBuf.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT SBuf.o -MD -MP -MF $(DEPDIR)/SBuf.Tpo -c -o SBuf.o `test -f '$(top_srcdir)/src/SBuf.cc' || echo '$(srcdir)/'`$(top_srcdir)/src/SBuf.cc
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/SBuf.Tpo $(DEPDIR)/SBuf.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_srcdir)/src/SBuf.cc' object='SBuf.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o SBuf.o `test -f '$(top_srcdir)/src/SBuf.cc' || echo '$(srcdir)/'`$(top_srcdir)/src/SBuf.cc
-
-SBuf.obj: $(top_srcdir)/src/SBuf.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT SBuf.obj -MD -MP -MF $(DEPDIR)/SBuf.Tpo -c -o SBuf.obj `if test -f '$(top_srcdir)/src/SBuf.cc'; then $(CYGPATH_W) '$(top_srcdir)/src/SBuf.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/src/SBuf.cc'; fi`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/SBuf.Tpo $(DEPDIR)/SBuf.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_srcdir)/src/SBuf.cc' object='SBuf.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o SBuf.obj `if test -f '$(top_srcdir)/src/SBuf.cc'; then $(CYGPATH_W) '$(top_srcdir)/src/SBuf.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/src/SBuf.cc'; fi`
-
-MemBlob.o: $(top_srcdir)/src/MemBlob.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT MemBlob.o -MD -MP -MF $(DEPDIR)/MemBlob.Tpo -c -o MemBlob.o `test -f '$(top_srcdir)/src/MemBlob.cc' || echo '$(srcdir)/'`$(top_srcdir)/src/MemBlob.cc
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/MemBlob.Tpo $(DEPDIR)/MemBlob.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_srcdir)/src/MemBlob.cc' object='MemBlob.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o MemBlob.o `test -f '$(top_srcdir)/src/MemBlob.cc' || echo '$(srcdir)/'`$(top_srcdir)/src/MemBlob.cc
-
-MemBlob.obj: $(top_srcdir)/src/MemBlob.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT MemBlob.obj -MD -MP -MF $(DEPDIR)/MemBlob.Tpo -c -o MemBlob.obj `if test -f '$(top_srcdir)/src/MemBlob.cc'; then $(CYGPATH_W) '$(top_srcdir)/src/MemBlob.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/src/MemBlob.cc'; fi`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/MemBlob.Tpo $(DEPDIR)/MemBlob.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_srcdir)/src/MemBlob.cc' object='MemBlob.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o MemBlob.obj `if test -f '$(top_srcdir)/src/MemBlob.cc'; then $(CYGPATH_W) '$(top_srcdir)/src/MemBlob.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/src/MemBlob.cc'; fi`
-
-SBufExceptions.o: $(top_srcdir)/src/SBufExceptions.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT SBufExceptions.o -MD -MP -MF $(DEPDIR)/SBufExceptions.Tpo -c -o SBufExceptions.o `test -f '$(top_srcdir)/src/SBufExceptions.cc' || echo '$(srcdir)/'`$(top_srcdir)/src/SBufExceptions.cc
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/SBufExceptions.Tpo $(DEPDIR)/SBufExceptions.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_srcdir)/src/SBufExceptions.cc' object='SBufExceptions.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o SBufExceptions.o `test -f '$(top_srcdir)/src/SBufExceptions.cc' || echo '$(srcdir)/'`$(top_srcdir)/src/SBufExceptions.cc
-
-SBufExceptions.obj: $(top_srcdir)/src/SBufExceptions.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT SBufExceptions.obj -MD -MP -MF $(DEPDIR)/SBufExceptions.Tpo -c -o SBufExceptions.obj `if test -f '$(top_srcdir)/src/SBufExceptions.cc'; then $(CYGPATH_W) '$(top_srcdir)/src/SBufExceptions.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/src/SBufExceptions.cc'; fi`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/SBufExceptions.Tpo $(DEPDIR)/SBufExceptions.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_srcdir)/src/SBufExceptions.cc' object='SBufExceptions.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o SBufExceptions.obj `if test -f '$(top_srcdir)/src/SBufExceptions.cc'; then $(CYGPATH_W) '$(top_srcdir)/src/SBufExceptions.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/src/SBufExceptions.cc'; fi`
-
-String.o: $(top_srcdir)/src/String.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT String.o -MD -MP -MF $(DEPDIR)/String.Tpo -c -o String.o `test -f '$(top_srcdir)/src/String.cc' || echo '$(srcdir)/'`$(top_srcdir)/src/String.cc
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/String.Tpo $(DEPDIR)/String.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_srcdir)/src/String.cc' object='String.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o String.o `test -f '$(top_srcdir)/src/String.cc' || echo '$(srcdir)/'`$(top_srcdir)/src/String.cc
-
-String.obj: $(top_srcdir)/src/String.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT String.obj -MD -MP -MF $(DEPDIR)/String.Tpo -c -o String.obj `if test -f '$(top_srcdir)/src/String.cc'; then $(CYGPATH_W) '$(top_srcdir)/src/String.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/src/String.cc'; fi`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/String.Tpo $(DEPDIR)/String.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_srcdir)/src/String.cc' object='String.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o String.obj `if test -f '$(top_srcdir)/src/String.cc'; then $(CYGPATH_W) '$(top_srcdir)/src/String.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/src/String.cc'; fi`
-
-TextException.o: $(top_srcdir)/src/base/TextException.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT TextException.o -MD -MP -MF $(DEPDIR)/TextException.Tpo -c -o TextException.o `test -f '$(top_srcdir)/src/base/TextException.cc' || echo '$(srcdir)/'`$(top_srcdir)/src/base/TextException.cc
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/TextException.Tpo $(DEPDIR)/TextException.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_srcdir)/src/base/TextException.cc' object='TextException.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o TextException.o `test -f '$(top_srcdir)/src/base/TextException.cc' || echo '$(srcdir)/'`$(top_srcdir)/src/base/TextException.cc
-
-TextException.obj: $(top_srcdir)/src/base/TextException.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT TextException.obj -MD -MP -MF $(DEPDIR)/TextException.Tpo -c -o TextException.obj `if test -f '$(top_srcdir)/src/base/TextException.cc'; then $(CYGPATH_W) '$(top_srcdir)/src/base/TextException.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/src/base/TextException.cc'; fi`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/TextException.Tpo $(DEPDIR)/TextException.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_srcdir)/src/base/TextException.cc' object='TextException.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o TextException.obj `if test -f '$(top_srcdir)/src/base/TextException.cc'; then $(CYGPATH_W) '$(top_srcdir)/src/base/TextException.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/src/base/TextException.cc'; fi`
-
-stub_mem.o: $(top_srcdir)/src/tests/stub_mem.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT stub_mem.o -MD -MP -MF $(DEPDIR)/stub_mem.Tpo -c -o stub_mem.o `test -f '$(top_srcdir)/src/tests/stub_mem.cc' || echo '$(srcdir)/'`$(top_srcdir)/src/tests/stub_mem.cc
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/stub_mem.Tpo $(DEPDIR)/stub_mem.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_srcdir)/src/tests/stub_mem.cc' object='stub_mem.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o stub_mem.o `test -f '$(top_srcdir)/src/tests/stub_mem.cc' || echo '$(srcdir)/'`$(top_srcdir)/src/tests/stub_mem.cc
-
-stub_mem.obj: $(top_srcdir)/src/tests/stub_mem.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT stub_mem.obj -MD -MP -MF $(DEPDIR)/stub_mem.Tpo -c -o stub_mem.obj `if test -f '$(top_srcdir)/src/tests/stub_mem.cc'; then $(CYGPATH_W) '$(top_srcdir)/src/tests/stub_mem.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/src/tests/stub_mem.cc'; fi`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/stub_mem.Tpo $(DEPDIR)/stub_mem.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_srcdir)/src/tests/stub_mem.cc' object='stub_mem.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o stub_mem.obj `if test -f '$(top_srcdir)/src/tests/stub_mem.cc'; then $(CYGPATH_W) '$(top_srcdir)/src/tests/stub_mem.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/src/tests/stub_mem.cc'; fi`
-
-stub_debug.o: $(top_srcdir)/src/tests/stub_debug.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT stub_debug.o -MD -MP -MF $(DEPDIR)/stub_debug.Tpo -c -o stub_debug.o `test -f '$(top_srcdir)/src/tests/stub_debug.cc' || echo '$(srcdir)/'`$(top_srcdir)/src/tests/stub_debug.cc
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/stub_debug.Tpo $(DEPDIR)/stub_debug.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_srcdir)/src/tests/stub_debug.cc' object='stub_debug.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o stub_debug.o `test -f '$(top_srcdir)/src/tests/stub_debug.cc' || echo '$(srcdir)/'`$(top_srcdir)/src/tests/stub_debug.cc
-
-stub_debug.obj: $(top_srcdir)/src/tests/stub_debug.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT stub_debug.obj -MD -MP -MF $(DEPDIR)/stub_debug.Tpo -c -o stub_debug.obj `if test -f '$(top_srcdir)/src/tests/stub_debug.cc'; then $(CYGPATH_W) '$(top_srcdir)/src/tests/stub_debug.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/src/tests/stub_debug.cc'; fi`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/stub_debug.Tpo $(DEPDIR)/stub_debug.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_srcdir)/src/tests/stub_debug.cc' object='stub_debug.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o stub_debug.obj `if test -f '$(top_srcdir)/src/tests/stub_debug.cc'; then $(CYGPATH_W) '$(top_srcdir)/src/tests/stub_debug.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/src/tests/stub_debug.cc'; fi`
-
-stub_time.o: $(top_srcdir)/src/tests/stub_time.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT stub_time.o -MD -MP -MF $(DEPDIR)/stub_time.Tpo -c -o stub_time.o `test -f '$(top_srcdir)/src/tests/stub_time.cc' || echo '$(srcdir)/'`$(top_srcdir)/src/tests/stub_time.cc
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/stub_time.Tpo $(DEPDIR)/stub_time.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_srcdir)/src/tests/stub_time.cc' object='stub_time.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o stub_time.o `test -f '$(top_srcdir)/src/tests/stub_time.cc' || echo '$(srcdir)/'`$(top_srcdir)/src/tests/stub_time.cc
-
-stub_time.obj: $(top_srcdir)/src/tests/stub_time.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT stub_time.obj -MD -MP -MF $(DEPDIR)/stub_time.Tpo -c -o stub_time.obj `if test -f '$(top_srcdir)/src/tests/stub_time.cc'; then $(CYGPATH_W) '$(top_srcdir)/src/tests/stub_time.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/src/tests/stub_time.cc'; fi`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/stub_time.Tpo $(DEPDIR)/stub_time.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_srcdir)/src/tests/stub_time.cc' object='stub_time.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o stub_time.obj `if test -f '$(top_srcdir)/src/tests/stub_time.cc'; then $(CYGPATH_W) '$(top_srcdir)/src/tests/stub_time.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/src/tests/stub_time.cc'; fi`
-
-stub_SBufDetailedStats.o: $(top_srcdir)/src/tests/stub_SBufDetailedStats.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT stub_SBufDetailedStats.o -MD -MP -MF $(DEPDIR)/stub_SBufDetailedStats.Tpo -c -o stub_SBufDetailedStats.o `test -f '$(top_srcdir)/src/tests/stub_SBufDetailedStats.cc' || echo '$(srcdir)/'`$(top_srcdir)/src/tests/stub_SBufDetailedStats.cc
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/stub_SBufDetailedStats.Tpo $(DEPDIR)/stub_SBufDetailedStats.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_srcdir)/src/tests/stub_SBufDetailedStats.cc' object='stub_SBufDetailedStats.o' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o stub_SBufDetailedStats.o `test -f '$(top_srcdir)/src/tests/stub_SBufDetailedStats.cc' || echo '$(srcdir)/'`$(top_srcdir)/src/tests/stub_SBufDetailedStats.cc
-
-stub_SBufDetailedStats.obj: $(top_srcdir)/src/tests/stub_SBufDetailedStats.cc
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT stub_SBufDetailedStats.obj -MD -MP -MF $(DEPDIR)/stub_SBufDetailedStats.Tpo -c -o stub_SBufDetailedStats.obj `if test -f '$(top_srcdir)/src/tests/stub_SBufDetailedStats.cc'; then $(CYGPATH_W) '$(top_srcdir)/src/tests/stub_SBufDetailedStats.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/src/tests/stub_SBufDetailedStats.cc'; fi`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/stub_SBufDetailedStats.Tpo $(DEPDIR)/stub_SBufDetailedStats.Po
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$(top_srcdir)/src/tests/stub_SBufDetailedStats.cc' object='stub_SBufDetailedStats.obj' libtool=no @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o stub_SBufDetailedStats.obj `if test -f '$(top_srcdir)/src/tests/stub_SBufDetailedStats.cc'; then $(CYGPATH_W) '$(top_srcdir)/src/tests/stub_SBufDetailedStats.cc'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/src/tests/stub_SBufDetailedStats.cc'; fi`
-
 mostlyclean-libtool:
 	-rm -f *.lo
 
@@ -1179,13 +990,6 @@
 	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
 	--log-file $$b.log --trs-file $$b.trs \
 	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
-	"$$tst" $(AM_TESTS_FD_REDIRECT)
-testTokenizer.log: testTokenizer$(EXEEXT)
-	@p='testTokenizer$(EXEEXT)'; \
-	b='testTokenizer'; \
-	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
-	--log-file $$b.log --trs-file $$b.trs \
-	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
 	"$$tst" $(AM_TESTS_FD_REDIRECT)
 .test.log:
 	@p='$<'; \
diff -u -r -N squid-3.5.7/src/parser/testTokenizer.cc squid-3.5.8/src/parser/testTokenizer.cc
--- squid-3.5.7/src/parser/testTokenizer.cc	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/parser/testTokenizer.cc	1969-12-31 16:00:00.000000000 -0800
@@ -1,250 +0,0 @@
-/*
- * Copyright (C) 1996-2015 The Squid Software Foundation and contributors
- *
- * Squid software is distributed under GPLv2+ license and includes
- * contributions from numerous individuals and organizations.
- * Please see the COPYING and CONTRIBUTORS files for details.
- */
-
-#include "squid.h"
-#include "base/CharacterSet.h"
-#include "parser/Tokenizer.h"
-#include "testTokenizer.h"
-#include "unitTestMain.h"
-
-CPPUNIT_TEST_SUITE_REGISTRATION( testTokenizer );
-
-SBuf text("GET http://resource.com/path HTTP/1.1\r\n"
-          "Host: resource.com\r\n"
-          "Cookie: laijkpk3422r j1noin \r\n"
-          "\r\n");
-const CharacterSet alpha("alpha","abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ");
-const CharacterSet whitespace("whitespace"," \r\n");
-const CharacterSet crlf("crlf","\r\n");
-const CharacterSet tab("tab","\t");
-const CharacterSet numbers("numbers","0123456789");
-
-void
-testTokenizer::testTokenizerPrefix()
-{
-    const SBuf canary("This text should not be changed.");
-
-    Parser::Tokenizer t(text);
-    SBuf s;
-
-    CharacterSet all(whitespace);
-    all += alpha;
-    all += crlf;
-    all += numbers;
-    all.add(':').add('.').add('/');
-
-    // an empty prefix should return false (the full output buffer case)
-    s = canary;
-    const SBuf before = t.remaining();
-    CPPUNIT_ASSERT(!t.prefix(s, all, 0));
-    // ... and a false return value means no parameter changes
-    CPPUNIT_ASSERT_EQUAL(canary, s);
-    // ... and a false return value means no input buffer changes
-    CPPUNIT_ASSERT_EQUAL(before, t.remaining());
-
-    // successful prefix tokenization
-    CPPUNIT_ASSERT(t.prefix(s,alpha));
-    CPPUNIT_ASSERT_EQUAL(SBuf("GET"),s);
-    CPPUNIT_ASSERT(t.prefix(s,whitespace));
-    CPPUNIT_ASSERT_EQUAL(SBuf(" "),s);
-
-    //no match (first char is not in the prefix set)
-    CPPUNIT_ASSERT(!t.prefix(s,whitespace));
-    CPPUNIT_ASSERT_EQUAL(SBuf(" "),s);
-
-    // one more match to set S to something meaningful
-    CPPUNIT_ASSERT(t.prefix(s,alpha));
-    CPPUNIT_ASSERT_EQUAL(SBuf("http"),s);
-
-    //no match (no characters from the character set in the prefix)
-    CPPUNIT_ASSERT(!t.prefix(s,tab));
-    CPPUNIT_ASSERT_EQUAL(SBuf("http"),s); //output SBuf left untouched
-
-    // match until the end of the sample
-    CPPUNIT_ASSERT(t.prefix(s,all));
-    CPPUNIT_ASSERT_EQUAL(SBuf(),t.remaining());
-
-    // empty prefix should return false (the empty input buffer case)
-    s = canary;
-    CPPUNIT_ASSERT(!t.prefix(s, all));
-    // ... and a false return value means no parameter changes
-    CPPUNIT_ASSERT_EQUAL(canary, s);
-}
-
-void
-testTokenizer::testTokenizerSkip()
-{
-    Parser::Tokenizer t(text);
-    SBuf s;
-
-    // first scenario: patterns match
-    // prep for test
-    CPPUNIT_ASSERT(t.prefix(s,alpha));
-    CPPUNIT_ASSERT_EQUAL(SBuf("GET"),s);
-
-    // test skipping one character from a character set
-    CPPUNIT_ASSERT(t.skipOne(whitespace));
-    // check that skip was right
-    CPPUNIT_ASSERT(t.prefix(s,alpha));
-    CPPUNIT_ASSERT_EQUAL(SBuf("http"),s);
-
-    //check skip prefix
-    CPPUNIT_ASSERT(t.skip(SBuf("://")));
-    // verify
-    CPPUNIT_ASSERT(t.prefix(s,alpha));
-    CPPUNIT_ASSERT_EQUAL(SBuf("resource"),s);
-
-    // no skip
-    CPPUNIT_ASSERT(!t.skipOne(alpha));
-    CPPUNIT_ASSERT(!t.skip(SBuf("://")));
-    CPPUNIT_ASSERT(!t.skip('a'));
-
-    // test skipping all characters from a character set while looking at .com
-    CPPUNIT_ASSERT(t.skip('.'));
-    CPPUNIT_ASSERT_EQUAL(static_cast<SBuf::size_type>(3), t.skipAll(alpha));
-    CPPUNIT_ASSERT(t.remaining().startsWith(SBuf("/path")));
-}
-
-void
-testTokenizer::testTokenizerToken()
-{
-    Parser::Tokenizer t(text);
-    SBuf s;
-
-    // first scenario: patterns match
-    CPPUNIT_ASSERT(t.token(s,whitespace));
-    CPPUNIT_ASSERT_EQUAL(SBuf("GET"),s);
-    CPPUNIT_ASSERT(t.token(s,whitespace));
-    CPPUNIT_ASSERT_EQUAL(SBuf("http://resource.com/path"),s);
-    CPPUNIT_ASSERT(t.token(s,whitespace));
-    CPPUNIT_ASSERT_EQUAL(SBuf("HTTP/1.1"),s);
-    CPPUNIT_ASSERT(t.token(s,whitespace));
-    CPPUNIT_ASSERT_EQUAL(SBuf("Host:"),s);
-
-}
-
-void
-testTokenizer::testCharacterSet()
-{
-
-}
-
-void
-testTokenizer::testTokenizerInt64()
-{
-    // successful parse in base 10
-    {
-        int64_t rv;
-        Parser::Tokenizer t(SBuf("1234"));
-        const int64_t benchmark = 1234;
-        CPPUNIT_ASSERT(t.int64(rv, 10));
-        CPPUNIT_ASSERT_EQUAL(benchmark,rv);
-    }
-
-    // successful parse, autodetect base
-    {
-        int64_t rv;
-        Parser::Tokenizer t(SBuf("1234"));
-        const int64_t benchmark = 1234;
-        CPPUNIT_ASSERT(t.int64(rv));
-        CPPUNIT_ASSERT_EQUAL(benchmark,rv);
-    }
-
-    // successful parse, autodetect base
-    {
-        int64_t rv;
-        Parser::Tokenizer t(SBuf("01234"));
-        const int64_t benchmark = 01234;
-        CPPUNIT_ASSERT(t.int64(rv));
-        CPPUNIT_ASSERT_EQUAL(benchmark,rv);
-    }
-
-    // successful parse, autodetect base
-    {
-        int64_t rv;
-        Parser::Tokenizer t(SBuf("0x12f4"));
-        const int64_t benchmark = 0x12f4;
-        CPPUNIT_ASSERT(t.int64(rv));
-        CPPUNIT_ASSERT_EQUAL(benchmark,rv);
-    }
-
-    // API mismatch: don't eat leading space
-    {
-        int64_t rv;
-        Parser::Tokenizer t(SBuf(" 1234"));
-        CPPUNIT_ASSERT(!t.int64(rv));
-    }
-
-    // API mismatch: don't eat multiple leading spaces
-    {
-        int64_t rv;
-        Parser::Tokenizer t(SBuf("  1234"));
-        CPPUNIT_ASSERT(!t.int64(rv));
-    }
-
-    // trailing spaces
-    {
-        int64_t rv;
-        Parser::Tokenizer t(SBuf("1234  foo"));
-        const int64_t benchmark = 1234;
-        CPPUNIT_ASSERT(t.int64(rv));
-        CPPUNIT_ASSERT_EQUAL(benchmark,rv);
-        CPPUNIT_ASSERT_EQUAL(SBuf("  foo"), t.buf());
-    }
-
-    // trailing nonspaces
-    {
-        int64_t rv;
-        Parser::Tokenizer t(SBuf("1234foo"));
-        const int64_t benchmark = 1234;
-        CPPUNIT_ASSERT(t.int64(rv));
-        CPPUNIT_ASSERT_EQUAL(benchmark,rv);
-        CPPUNIT_ASSERT_EQUAL(SBuf("foo"), t.buf());
-    }
-
-    // trailing nonspaces
-    {
-        int64_t rv;
-        Parser::Tokenizer t(SBuf("0x1234foo"));
-        const int64_t benchmark = 0x1234f;
-        CPPUNIT_ASSERT(t.int64(rv));
-        CPPUNIT_ASSERT_EQUAL(benchmark,rv);
-        CPPUNIT_ASSERT_EQUAL(SBuf("oo"), t.buf());
-    }
-
-    // overflow
-    {
-        int64_t rv;
-        Parser::Tokenizer t(SBuf("1029397752385698678762234"));
-        CPPUNIT_ASSERT(!t.int64(rv));
-    }
-
-    // buffered sub-string parsing
-    {
-        int64_t rv;
-        SBuf base("1029397752385698678762234");
-        const int64_t benchmark = 22;
-        Parser::Tokenizer t(base.substr(base.length()-4,2));
-        CPPUNIT_ASSERT_EQUAL(SBuf("22"),t.buf());
-        CPPUNIT_ASSERT(t.int64(rv));
-        CPPUNIT_ASSERT_EQUAL(benchmark,rv);
-    }
-
-    // base-16, prefix
-    {
-        int64_t rv;
-        SBuf base("deadbeefrow");
-        const int64_t benchmark=0xdeadbeef;
-        Parser::Tokenizer t(base);
-        CPPUNIT_ASSERT(t.int64(rv,16));
-        CPPUNIT_ASSERT_EQUAL(benchmark,rv);
-        CPPUNIT_ASSERT_EQUAL(SBuf("row"),t.buf());
-
-    }
-}
-
diff -u -r -N squid-3.5.7/src/parser/testTokenizer.h squid-3.5.8/src/parser/testTokenizer.h
--- squid-3.5.7/src/parser/testTokenizer.h	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/parser/testTokenizer.h	1969-12-31 16:00:00.000000000 -0800
@@ -1,33 +0,0 @@
-/*
- * Copyright (C) 1996-2015 The Squid Software Foundation and contributors
- *
- * Squid software is distributed under GPLv2+ license and includes
- * contributions from numerous individuals and organizations.
- * Please see the COPYING and CONTRIBUTORS files for details.
- */
-
-#ifndef SQUID_TESTTOKENIZER_H_
-#define SQUID_TESTTOKENIZER_H_
-
-#include <cppunit/extensions/HelperMacros.h>
-
-class testTokenizer : public CPPUNIT_NS::TestFixture
-{
-    CPPUNIT_TEST_SUITE( testTokenizer );
-    CPPUNIT_TEST ( testCharacterSet );
-    CPPUNIT_TEST ( testTokenizerPrefix );
-    CPPUNIT_TEST ( testTokenizerSkip );
-    CPPUNIT_TEST ( testTokenizerToken );
-    CPPUNIT_TEST ( testTokenizerInt64 );
-    CPPUNIT_TEST_SUITE_END();
-
-protected:
-    void testTokenizerPrefix();
-    void testTokenizerSkip();
-    void testTokenizerToken();
-    void testCharacterSet();
-    void testTokenizerInt64();
-};
-
-#endif /* SQUID_TESTTOKENIZER_H_ */
-
diff -u -r -N squid-3.5.7/src/repl/Makefile.am squid-3.5.8/src/repl/Makefile.am
--- squid-3.5.7/src/repl/Makefile.am	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/repl/Makefile.am	2015-09-01 12:52:00.000000000 -0700
@@ -10,8 +10,6 @@
 ## we need our local files too (but avoid -I. at all costs)
 AM_CPPFLAGS += -I$(srcdir)
 
-AUTOMAKE_OPTIONS = subdir-objects
-
 # No recursion is needed for the subdirs, we build from here.
 
 EXTRA_LIBRARIES = liblru.a libheap.a
diff -u -r -N squid-3.5.7/src/repl/Makefile.in squid-3.5.8/src/repl/Makefile.in
--- squid-3.5.7/src/repl/Makefile.in	2015-07-31 23:10:11.000000000 -0700
+++ squid-3.5.8/src/repl/Makefile.in	2015-09-01 12:53:41.000000000 -0700
@@ -555,6 +555,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -677,6 +678,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -699,7 +701,6 @@
 @ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
 COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
 subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
-AUTOMAKE_OPTIONS = subdir-objects
 
 # No recursion is needed for the subdirs, we build from here.
 EXTRA_LIBRARIES = liblru.a libheap.a
diff -u -r -N squid-3.5.7/src/servers/FtpServer.cc squid-3.5.8/src/servers/FtpServer.cc
--- squid-3.5.7/src/servers/FtpServer.cc	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/servers/FtpServer.cc	2015-09-01 12:52:00.000000000 -0700
@@ -785,11 +785,16 @@
         NULL, // fssHandleCdup
         &Ftp::Server::handleErrorReply // fssError
     };
-    const Server &server = dynamic_cast<const Ftp::Server&>(*context->getConn());
-    if (const ReplyHandler handler = handlers[server.master->serverState])
-        (this->*handler)(reply, data);
-    else
-        writeForwardedReply(reply);
+    try {
+        const Server &server = dynamic_cast<const Ftp::Server&>(*context->getConn());
+        if (const ReplyHandler handler = handlers[server.master->serverState])
+            (this->*handler)(reply, data);
+        else
+            writeForwardedReply(reply);
+    } catch (const std::exception &e) {
+        callException(e);
+        throw TexcHere(e.what());
+    }
 }
 
 void
@@ -800,6 +805,7 @@
         return;
     }
 
+    Must(reply);
     HttpReply::Pointer featReply = Ftp::HttpReplyWrapper(211, "End", Http::scNoContent, 0);
     HttpHeader const &serverReplyHeader = reply->header;
 
@@ -1021,7 +1027,8 @@
 void
 Ftp::Server::writeForwardedReply(const HttpReply *reply)
 {
-    assert(reply != NULL);
+    Must(reply);
+
     const HttpHeader &header = reply->header;
     // adaptation and forwarding errors lack HDR_FTP_STATUS
     if (!header.has(HDR_FTP_STATUS)) {
@@ -1102,7 +1109,7 @@
     }
 #endif
 
-    assert(reply != NULL);
+    Must(reply);
     const char *reason = reply->header.has(HDR_FTP_REASON) ?
                          reply->header.getStr(HDR_FTP_REASON):
                          reply->sline.reason();
@@ -1676,6 +1683,17 @@
     http->storeEntry()->replaceHttpReply(reply);
 }
 
+void
+Ftp::Server::callException(const std::exception &e)
+{
+    debugs(33, 2, "FTP::Server job caught: " << e.what());
+    closeDataConnection();
+    unpinConnection(true);
+    if (Comm::IsConnOpen(clientConnection))
+        clientConnection->close();
+    AsyncJob::callException(e);
+}
+
 /// Whether Squid FTP Relay supports a named feature (e.g., a command).
 static bool
 Ftp::SupportedCommand(const SBuf &name)
diff -u -r -N squid-3.5.7/src/servers/FtpServer.h squid-3.5.8/src/servers/FtpServer.h
--- squid-3.5.7/src/servers/FtpServer.h	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/servers/FtpServer.h	2015-09-01 12:52:00.000000000 -0700
@@ -55,6 +55,8 @@
 public:
     explicit Server(const MasterXaction::Pointer &xact);
     virtual ~Server();
+    /* AsyncJob API */
+    virtual void callException(const std::exception &e);
 
     // This is a pointer in hope to minimize future changes when MasterState
     // becomes a part of MasterXaction. Guaranteed not to be nil.
diff -u -r -N squid-3.5.7/src/servers/HttpServer.cc squid-3.5.8/src/servers/HttpServer.cc
--- squid-3.5.7/src/servers/HttpServer.cc	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/servers/HttpServer.cc	2015-09-01 12:52:00.000000000 -0700
@@ -16,6 +16,7 @@
 #include "profiler/Profiler.h"
 #include "servers/forward.h"
 #include "SquidConfig.h"
+#include "Store.h"
 
 namespace Http
 {
@@ -145,6 +146,7 @@
     // the last-chunk if there was no error, ignoring responseFinishedOrFailed.
     const bool mustSendLastChunk = http->request->flags.chunkedReply &&
                                    !http->request->flags.streamError &&
+                                   !EBIT_TEST(http->storeEntry()->flags, ENTRY_BAD_LENGTH) &&
                                    !context->startOfOutput();
     const bool responseFinishedOrFailed = !rep &&
                                           !receivedData.data &&
diff -u -r -N squid-3.5.7/src/servers/Makefile.in squid-3.5.8/src/servers/Makefile.in
--- squid-3.5.7/src/servers/Makefile.in	2015-07-31 23:10:12.000000000 -0700
+++ squid-3.5.8/src/servers/Makefile.in	2015-09-01 12:53:41.000000000 -0700
@@ -544,6 +544,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -666,6 +667,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -763,22 +765,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/HttpServer.Plo@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/src/snmp/Makefile.am squid-3.5.8/src/snmp/Makefile.am
--- squid-3.5.7/src/snmp/Makefile.am	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/snmp/Makefile.am	2015-09-01 12:52:00.000000000 -0700
@@ -8,7 +8,6 @@
 include $(top_srcdir)/src/Common.am
 include $(top_srcdir)/src/TestHeaders.am
 
-
 noinst_LTLIBRARIES = libsnmp.la
 
 libsnmp_la_SOURCES = \
diff -u -r -N squid-3.5.7/src/snmp/Makefile.in squid-3.5.8/src/snmp/Makefile.in
--- squid-3.5.7/src/snmp/Makefile.in	2015-07-31 23:10:12.000000000 -0700
+++ squid-3.5.8/src/snmp/Makefile.in	2015-09-01 12:53:42.000000000 -0700
@@ -545,6 +545,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -667,6 +668,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -780,22 +782,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Var.Plo@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/src/ssl/bio.cc squid-3.5.8/src/ssl/bio.cc
--- squid-3.5.7/src/ssl/bio.cc	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/ssl/bio.cc	2015-09-01 12:52:00.000000000 -0700
@@ -25,8 +25,6 @@
 #include <openssl/ssl.h>
 #endif
 
-#undef DO_SSLV23
-
 #if _SQUID_WINDOWS_
 extern int socket_read_method(int, char *, int);
 extern int socket_write_method(int, const char *, int);
@@ -781,15 +779,13 @@
         helloMsgSize = (head[3] << 8) + head[4];
         debugs(83, 7, "SSL Header Size: " << helloMsgSize);
         helloMsgSize +=5;
-#if defined(DO_SSLV23)
     } else if ((head[0] & 0x80) && head[2] == 0x01 && head[3] == 0x03) {
         debugs(83, 7, "SSL version 2 handshake message with v3 support");
-        sslVersion = (hello[3] << 8) | hello[4];
+        sslVersion = (head[3] << 8) | head[4];
         debugs(83, 7, "SSL Version :" << std::hex << std::setw(8) << std::setfill('0') << sslVersion);
         // The hello message size exist in 2nd byte
         helloMsgSize = head[1];
         helloMsgSize +=2;
-#endif
     } else {
         debugs(83, 7, "Not an SSL acceptable handshake message (SSLv2 message?)");
         return (helloMsgSize = -1);
@@ -854,12 +850,9 @@
     }
 
     const unsigned char *msg = (const unsigned char *)buf.content();
-#if defined(DO_SSLV23)
     if (msg[0] & 0x80)
         return parseV23Hello(msg, (size_t)msgSize);
-    else
-#endif
-    {
+    else {
         // Hello messages require 5 bytes header + 1 byte Msg type + 3 bytes for Msg size
         if (buf.contentSize() < 9)
             return false;
@@ -1094,22 +1087,21 @@
 bool
 Ssl::Bio::sslFeatures::parseV23Hello(const unsigned char *hello, size_t size)
 {
-#if defined(DO_SSLV23)
     debugs(83, 7, "Get fake features from v23 ClientHello message.");
     if (size < 7)
         return false;
     //Ciphers list. It is stored after the Session ID.
-    const int ciphersLen = (hello[5] << 8) | hello[6];
+    const unsigned int ciphersLen = (hello[5] << 8) | hello[6];
     const unsigned char *ciphers = hello + 11;
 
-    if (size < ciphersLen + 11 + SSL3_RANDOM_SIZE)
+    if (size < ciphersLen + 11)
         return false;
 
     if (ciphersLen) {
         const SSL_METHOD *method = SSLv23_method();
         int cs = method->put_cipher_by_char(NULL, NULL);
         assert(cs > 0);
-        for (int i = 0; i < ciphersLen; i += cs) {
+        for (unsigned int i = 0; i < ciphersLen; i += cs) {
             // The v2 hello messages cipher has 3 bytes.
             // The v2 cipher has the first byte not null
             // Because we are going to sent only v3 message we
@@ -1126,15 +1118,18 @@
     }
     debugs(83, 7, "Ciphers requested by client: " << clientRequestedCiphers);
 
-    //Get Client Random number. It starts on the position 11 of hello message
-    memcpy(client_random, ciphers + ciphersLen, SSL3_RANDOM_SIZE);
-    debugs(83, 7, "Client random: " <<  objToString(client_random, SSL3_RANDOM_SIZE));
+    const unsigned int sessionIdLength = (hello[7] << 8) | hello[8];
+    debugs(83, 7, "SessionID length: " << sessionIdLength);
+    // SessionID starts at: hello+11+ciphersLen
+    if (sessionIdLength)
+        sessionId.assign((const char *)(hello + 11 + ciphersLen), sessionIdLength);
+
+    const unsigned int challengeLength = (hello[5] << 9) | hello[10];
+    debugs(83, 7, "Challenge Length: " << challengeLength);
+    //challenge starts at: hello+11+ciphersLen+sessionIdLength
 
     compressMethod = 0;
     return true;
-#else
-    return false;
-#endif
 }
 
 void
diff -u -r -N squid-3.5.7/src/ssl/Makefile.in squid-3.5.8/src/ssl/Makefile.in
--- squid-3.5.7/src/ssl/Makefile.in	2015-07-31 23:10:13.000000000 -0700
+++ squid-3.5.8/src/ssl/Makefile.in	2015-09-01 12:53:42.000000000 -0700
@@ -572,6 +572,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -694,6 +695,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -890,22 +892,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/support.Plo@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/src/ssl/PeerConnector.cc squid-3.5.8/src/ssl/PeerConnector.cc
--- squid-3.5.7/src/ssl/PeerConnector.cc	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/ssl/PeerConnector.cc	2015-09-01 12:52:00.000000000 -0700
@@ -388,6 +388,18 @@
     ACLFilledChecklist *acl_checklist = new ACLFilledChecklist(
         ::Config.accessList.ssl_bump,
         request.getRaw(), NULL);
+    acl_checklist->banAction(allow_t(ACCESS_ALLOWED, Ssl::bumpNone));
+    acl_checklist->banAction(allow_t(ACCESS_ALLOWED, Ssl::bumpPeek));
+    acl_checklist->banAction(allow_t(ACCESS_ALLOWED, Ssl::bumpStare));
+    acl_checklist->banAction(allow_t(ACCESS_ALLOWED, Ssl::bumpClientFirst));
+    acl_checklist->banAction(allow_t(ACCESS_ALLOWED, Ssl::bumpServerFirst));
+    SSL *ssl = fd_table[serverConn->fd].ssl;
+    BIO *b = SSL_get_rbio(ssl);
+    Ssl::ServerBio *srvBio = static_cast<Ssl::ServerBio *>(b->ptr);
+    if (!srvBio->canSplice())
+        acl_checklist->banAction(allow_t(ACCESS_ALLOWED, Ssl::bumpSplice));
+    if (!srvBio->canBump())
+        acl_checklist->banAction(allow_t(ACCESS_ALLOWED, Ssl::bumpBump));
     acl_checklist->nonBlockingCheck(Ssl::PeerConnector::cbCheckForPeekAndSpliceDone, this);
 }
 
@@ -400,15 +412,7 @@
     debugs(83,5, "Will check for peek and splice on FD " << serverConn->fd);
 
     Ssl::BumpMode finalAction = action;
-    // adjust the final bumping mode if needed
-    if (finalAction < Ssl::bumpSplice)
-        finalAction = Ssl::bumpBump;
-
-    if (finalAction == Ssl::bumpSplice && !srvBio->canSplice())
-        finalAction = Ssl::bumpBump;
-    else if (finalAction == Ssl::bumpBump && !srvBio->canBump())
-        finalAction = Ssl::bumpSplice;
-
+    Must(finalAction == Ssl::bumpSplice || finalAction == Ssl::bumpBump || finalAction == Ssl::bumpTerminate);
     // Record final decision
     if (request->clientConnectionManager.valid()) {
         request->clientConnectionManager->sslBumpMode = finalAction;
diff -u -r -N squid-3.5.7/src/store.cc squid-3.5.8/src/store.cc
--- squid-3.5.7/src/store.cc	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/store.cc	2015-09-01 12:52:00.000000000 -0700
@@ -1041,6 +1041,14 @@
 }
 
 void
+StoreEntry::lengthWentBad(const char *reason)
+{
+    debugs(20, 3, "because " << reason << ": " << *this);
+    EBIT_SET(flags, ENTRY_BAD_LENGTH);
+    releaseRequest();
+}
+
+void
 StoreEntry::complete()
 {
     debugs(20, 3, "storeComplete: '" << getMD5Text() << "'");
@@ -1064,10 +1072,8 @@
 
     assert(mem_status == NOT_IN_MEMORY);
 
-    if (!validLength()) {
-        EBIT_SET(flags, ENTRY_BAD_LENGTH);
-        releaseRequest();
-    }
+    if (!EBIT_TEST(flags, ENTRY_BAD_LENGTH) && !validLength())
+        lengthWentBad("!validLength() in complete()");
 
 #if USE_CACHE_DIGESTS
     if (mem_obj->request)
diff -u -r -N squid-3.5.7/src/Store.h squid-3.5.8/src/Store.h
--- squid-3.5.7/src/Store.h	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/Store.h	2015-09-01 12:52:00.000000000 -0700
@@ -73,6 +73,8 @@
     }
     virtual bool isAccepting() const;
     virtual size_t bytesWanted(Range<size_t> const aRange, bool ignoreDelayPool = false) const;
+    /// flags [truncated or too big] entry with ENTRY_BAD_LENGTH and releases it
+    void lengthWentBad(const char *reason);
     virtual void complete();
     virtual store_client_t storeClientType() const;
     virtual char const *getSerialisedMetaData();
diff -u -r -N squid-3.5.7/src/tests/CapturingStoreEntry.h squid-3.5.8/src/tests/CapturingStoreEntry.h
--- squid-3.5.7/src/tests/CapturingStoreEntry.h	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/src/tests/CapturingStoreEntry.h	2015-09-01 12:52:00.000000000 -0700
@@ -35,6 +35,8 @@
     }
 
     virtual void append(char const * buf, int len) {
+        if (!buf || len < 0) // old 'String' can't handle these cases
+            return;
         _appended_text.append(buf, len);
     }
 };
diff -u -r -N squid-3.5.7/src/tests/testAddress.cc squid-3.5.8/src/tests/testAddress.cc
--- squid-3.5.7/src/tests/testAddress.cc	1969-12-31 16:00:00.000000000 -0800
+++ squid-3.5.8/src/tests/testAddress.cc	2015-09-01 12:52:00.000000000 -0700
@@ -0,0 +1,788 @@
+/*
+ * Copyright (C) 1996-2015 The Squid Software Foundation and contributors
+ *
+ * Squid software is distributed under GPLv2+ license and includes
+ * contributions from numerous individuals and organizations.
+ * Please see the COPYING and CONTRIBUTORS files for details.
+ */
+
+#include "squid.h"
+#include "ip/Address.h"
+#include "ip/tools.h"
+#include "testAddress.h"
+#include "unitTestMain.h"
+
+#include <cstring>
+#include <stdexcept>
+#include <string>
+#if HAVE_NETINET_IN_H
+#include <netinet/in.h>
+#endif
+#if HAVE_ARPA_INET_H
+#include <arpa/inet.h>
+#endif
+#if HAVE_NETDB_H
+#include <netdb.h>
+#endif
+
+CPPUNIT_TEST_SUITE_REGISTRATION( testIpAddress );
+
+#include "tests/stub_SBuf.cc"
+
+/* so that we don't break POD dependency just for the test */
+struct timeval current_time;
+double current_dtime;
+time_t squid_curtime = 0;
+int shutting_down = 0;
+
+void
+testIpAddress::testDefaults()
+{
+    Ip::Address anIPA;
+
+    /* test stored values */
+    CPPUNIT_ASSERT( anIPA.isAnyAddr() );
+    CPPUNIT_ASSERT( !anIPA.isNoAddr() );
+    CPPUNIT_ASSERT( !anIPA.isIPv4() );
+    CPPUNIT_ASSERT( !anIPA.isSockAddr() );
+    CPPUNIT_ASSERT_EQUAL( (unsigned short) 0 , anIPA.port() );
+    CPPUNIT_ASSERT( anIPA.isIPv6() );
+}
+
+void
+testIpAddress::testInAddrConstructor()
+{
+    struct in_addr inval;
+    struct in_addr outval;
+
+    inval.s_addr = htonl(0xC0A8640C);
+    outval.s_addr = htonl(0x00000000);
+
+    Ip::Address anIPA(inval);
+
+    /* test stored values */
+    CPPUNIT_ASSERT( !anIPA.isAnyAddr() );
+    CPPUNIT_ASSERT( !anIPA.isNoAddr() );
+    CPPUNIT_ASSERT( anIPA.isIPv4() );
+    CPPUNIT_ASSERT( !anIPA.isIPv6() );
+    CPPUNIT_ASSERT( !anIPA.isSockAddr() );
+    CPPUNIT_ASSERT_EQUAL( (unsigned short) 0 , anIPA.port() );
+    anIPA.getInAddr(outval);
+    CPPUNIT_ASSERT( memcmp(&inval, &outval, sizeof(struct in_addr)) == 0 );
+}
+
+void
+testIpAddress::testInAddr6Constructor()
+{
+    struct in6_addr inval;
+    struct in6_addr outval = IN6ADDR_ANY_INIT;
+
+    inval.s6_addr32[0] = htonl(0xC0A8640C);
+    inval.s6_addr32[1] = htonl(0xFFFFFFFF);
+    inval.s6_addr32[2] = htonl(0xFFFFFFFF);
+    inval.s6_addr32[3] = htonl(0xFFFFFFFF);
+
+    Ip::Address anIPA(inval);
+
+    /* test stored values */
+    CPPUNIT_ASSERT( !anIPA.isAnyAddr() );
+    CPPUNIT_ASSERT( !anIPA.isNoAddr() );
+    CPPUNIT_ASSERT( !anIPA.isIPv4() );
+    CPPUNIT_ASSERT( anIPA.isIPv6() );
+    CPPUNIT_ASSERT( !anIPA.isSockAddr() );
+    CPPUNIT_ASSERT_EQUAL( (unsigned short) 0 , anIPA.port() );
+    anIPA.getInAddr(outval);
+    CPPUNIT_ASSERT( memcmp( &inval, &outval, sizeof(struct in6_addr)) == 0 );
+}
+
+void
+testIpAddress::testSockAddrConstructor()
+{
+    struct sockaddr_in insock;
+    struct sockaddr_in outsock;
+
+    memset(&insock,  0, sizeof(struct sockaddr_in));
+    memset(&outsock, 0, sizeof(struct sockaddr_in));
+
+    insock.sin_family = AF_INET;
+    insock.sin_port = htons(80);
+    insock.sin_addr.s_addr = htonl(0xC0A8640C);
+#if HAVE_SIN_LEN_IN_SAI
+    insock.sin_len = sizeof(struct sockaddr_in);
+#endif
+
+    Ip::Address anIPA(insock);
+
+    /* test stored values */
+    CPPUNIT_ASSERT( !anIPA.isAnyAddr() );
+    CPPUNIT_ASSERT( !anIPA.isNoAddr() );
+    CPPUNIT_ASSERT( anIPA.isIPv4() );
+    CPPUNIT_ASSERT( !anIPA.isIPv6() );
+    CPPUNIT_ASSERT( anIPA.isSockAddr() );
+    CPPUNIT_ASSERT_EQUAL( (unsigned short) 80 , anIPA.port() );
+    anIPA.getSockAddr(outsock);
+    CPPUNIT_ASSERT( memcmp( &insock, &outsock, sizeof(struct sockaddr_in)) == 0 );
+}
+
+void
+testIpAddress::testSockAddr6Constructor()
+{
+    struct sockaddr_in6 insock;
+    struct sockaddr_in6 outsock;
+
+    memset(&insock, 0, sizeof(struct sockaddr_in6));
+    memset(&outsock, 0, sizeof(struct sockaddr_in6));
+
+    insock.sin6_family = AF_INET6;
+    insock.sin6_port = htons(80);
+    insock.sin6_addr.s6_addr32[0] = htonl(0xFFFFFFFF);
+    insock.sin6_addr.s6_addr32[1] = htonl(0x00000000);
+    insock.sin6_addr.s6_addr32[2] = htonl(0x0000FFFF);
+    insock.sin6_addr.s6_addr32[3] = htonl(0xC0A8640C);
+#if HAVE_SIN6_LEN_IN_SAI
+    insock.sin6_len = sizeof(struct sockaddr_in6);
+#endif
+
+    Ip::Address anIPA((const struct sockaddr_in6)insock);
+
+    /* test stored values */
+    CPPUNIT_ASSERT( !anIPA.isAnyAddr() );
+    CPPUNIT_ASSERT( !anIPA.isNoAddr() );
+    CPPUNIT_ASSERT( !anIPA.isIPv4() );
+    CPPUNIT_ASSERT( anIPA.isIPv6() );
+    CPPUNIT_ASSERT( anIPA.isSockAddr() );
+    CPPUNIT_ASSERT_EQUAL( (unsigned short) 80 , anIPA.port() );
+    anIPA.getSockAddr(outsock);
+    CPPUNIT_ASSERT( memcmp( &insock, &outsock, sizeof(struct sockaddr_in6)) == 0 );
+}
+
+void
+testIpAddress::testCopyConstructor()
+{
+    struct sockaddr_in insock;
+    struct sockaddr_in outsock;
+
+    memset(&insock,  0, sizeof(struct sockaddr_in));
+    memset(&outsock, 0, sizeof(struct sockaddr_in));
+
+    insock.sin_family = AF_INET;
+    insock.sin_port = htons(80);
+    insock.sin_addr.s_addr = htonl(0xC0A8640C);
+#if HAVE_SIN_LEN_IN_SAI
+    insock.sin_len = sizeof(struct sockaddr_in);
+#endif
+
+    Ip::Address inIPA(insock);
+    Ip::Address outIPA(inIPA);
+
+    /* test stored values */
+    CPPUNIT_ASSERT( !outIPA.isAnyAddr() );
+    CPPUNIT_ASSERT( !outIPA.isNoAddr() );
+    CPPUNIT_ASSERT( outIPA.isIPv4() );
+    CPPUNIT_ASSERT( !outIPA.isIPv6() );
+    CPPUNIT_ASSERT( outIPA.isSockAddr() );
+    CPPUNIT_ASSERT_EQUAL( (unsigned short) 80 , outIPA.port() );
+    outIPA.getSockAddr(outsock);
+    CPPUNIT_ASSERT( memcmp( &insock, &outsock, sizeof(struct sockaddr_in)) == 0 );
+}
+
+void
+testIpAddress::testHostentConstructor()
+{
+    struct hostent *hp = NULL;
+    struct in_addr outval;
+    struct in_addr expectval;
+
+    expectval.s_addr = htonl(0xC0A8640C);
+
+    hp = gethostbyname("192.168.100.12");
+    CPPUNIT_ASSERT( hp != NULL /* gethostbyname failure.*/ );
+
+    Ip::Address anIPA(*hp);
+
+    /* test stored values */
+    CPPUNIT_ASSERT( !anIPA.isAnyAddr() );
+    CPPUNIT_ASSERT( !anIPA.isNoAddr() );
+    CPPUNIT_ASSERT( anIPA.isIPv4() );
+    CPPUNIT_ASSERT( !anIPA.isIPv6() );
+    CPPUNIT_ASSERT( !anIPA.isSockAddr() );
+    CPPUNIT_ASSERT_EQUAL( (unsigned short) 0 , anIPA.port() );
+    anIPA.getInAddr(outval);
+    CPPUNIT_ASSERT( memcmp( &expectval, &outval, sizeof(struct in_addr)) == 0 );
+}
+
+void
+testIpAddress::testStringConstructor()
+{
+    struct in_addr outval;
+    struct in_addr expectval;
+
+    expectval.s_addr = htonl(0xC0A8640C);
+
+    Ip::Address anIPA = "192.168.100.12";
+
+    /* test stored values */
+    CPPUNIT_ASSERT( !anIPA.isAnyAddr() );
+    CPPUNIT_ASSERT( !anIPA.isNoAddr() );
+    CPPUNIT_ASSERT( anIPA.isIPv4() );
+    CPPUNIT_ASSERT( !anIPA.isIPv6() );
+    CPPUNIT_ASSERT_EQUAL( (unsigned short) 0 , anIPA.port() );
+    CPPUNIT_ASSERT( !anIPA.isSockAddr() );
+    anIPA.getInAddr(outval);
+    CPPUNIT_ASSERT( memcmp( &expectval, &outval, sizeof(struct in_addr)) == 0 );
+
+    struct in6_addr expectv6;
+    struct in6_addr outval6;
+
+    expectv6.s6_addr32[0] = htonl(0x20000800);
+    expectv6.s6_addr32[1] = htonl(0x00000000);
+    expectv6.s6_addr32[2] = htonl(0x00000000);
+    expectv6.s6_addr32[3] = htonl(0x00000045);
+
+    Ip::Address bnIPA = "2000:800::45";
+
+//char test[256];
+//bnIPA.toStr(test, 256);
+//printf("bnIPA: %s\n", test);
+
+    /* test stored values */
+    CPPUNIT_ASSERT( !bnIPA.isAnyAddr() );
+    CPPUNIT_ASSERT( !bnIPA.isNoAddr() );
+    CPPUNIT_ASSERT( !bnIPA.isIPv4() );
+    CPPUNIT_ASSERT(  bnIPA.isIPv6() );
+    CPPUNIT_ASSERT( !bnIPA.isSockAddr() );
+    CPPUNIT_ASSERT_EQUAL( (unsigned short) 0 , bnIPA.port() );
+    bnIPA.getInAddr(outval6);
+    CPPUNIT_ASSERT( memcmp( &expectv6, &outval6, sizeof(struct in6_addr)) == 0 );
+
+    /* test IPv6 as an old netmask format. This is invalid but sometimes use. */
+    Ip::Address cnIPA = "ffff:ffff:fff0::";
+
+    expectv6.s6_addr32[0] = htonl(0xFFFFFFFF);
+    expectv6.s6_addr32[1] = htonl(0xFFF00000);
+    expectv6.s6_addr32[2] = htonl(0x00000000);
+    expectv6.s6_addr32[3] = htonl(0x00000000);
+
+    /* test stored values */
+    CPPUNIT_ASSERT( !cnIPA.isAnyAddr() );
+    CPPUNIT_ASSERT( !cnIPA.isNoAddr() );
+    CPPUNIT_ASSERT( !cnIPA.isIPv4() );
+    CPPUNIT_ASSERT( cnIPA.isIPv6() );
+    CPPUNIT_ASSERT( !cnIPA.isSockAddr() );
+    CPPUNIT_ASSERT_EQUAL( (unsigned short) 0 , cnIPA.port() );
+    cnIPA.getInAddr(outval6);
+    CPPUNIT_ASSERT( memcmp( &expectv6, &outval6, sizeof(struct in6_addr)) == 0 );
+}
+
+void
+testIpAddress::testsetEmpty()
+{
+    Ip::Address anIPA;
+    struct in_addr inval;
+
+    inval.s_addr = htonl(0xC0A8640C);
+
+    anIPA = inval;
+
+    /* test stored values before empty */
+    CPPUNIT_ASSERT( !anIPA.isAnyAddr() );
+    CPPUNIT_ASSERT( !anIPA.isNoAddr() );
+    CPPUNIT_ASSERT( anIPA.isIPv4() );
+    CPPUNIT_ASSERT( !anIPA.isIPv6() );
+    CPPUNIT_ASSERT( !anIPA.isSockAddr() );
+    CPPUNIT_ASSERT_EQUAL( (unsigned short) 0 , anIPA.port() );
+
+    anIPA.setEmpty();
+
+    /* test stored values after empty */
+    CPPUNIT_ASSERT( anIPA.isAnyAddr() );
+    CPPUNIT_ASSERT( !anIPA.isNoAddr() );
+    CPPUNIT_ASSERT( !anIPA.isIPv4() );
+    CPPUNIT_ASSERT( anIPA.isIPv6() );
+    CPPUNIT_ASSERT( !anIPA.isSockAddr() );
+    CPPUNIT_ASSERT_EQUAL( (unsigned short) 0 , anIPA.port() );
+}
+
+void
+testIpAddress::testBooleans()
+{
+    Ip::Address lhsIPA;
+    Ip::Address rhsIPA;
+    struct in_addr valLow;
+    struct in_addr valHigh;
+
+    valLow.s_addr  = htonl(0xC0A8640C);
+    valHigh.s_addr = htonl(0xC0A8640F);
+
+    /* test equality */
+    lhsIPA = valLow;
+    rhsIPA = valLow;
+    CPPUNIT_ASSERT( lhsIPA.matchIPAddr(rhsIPA) == 0 );
+    CPPUNIT_ASSERT(  ( lhsIPA == rhsIPA ) );
+    CPPUNIT_ASSERT( !( lhsIPA != rhsIPA ) );
+    CPPUNIT_ASSERT(  ( lhsIPA >= rhsIPA ) );
+    CPPUNIT_ASSERT( !( lhsIPA >  rhsIPA ) );
+    CPPUNIT_ASSERT(  ( lhsIPA <= rhsIPA ) );
+    CPPUNIT_ASSERT( !( lhsIPA <  rhsIPA ) );
+
+    /* test equality versus ANYADDR */
+    lhsIPA.setAnyAddr();
+    rhsIPA.setAnyAddr();
+    CPPUNIT_ASSERT( lhsIPA.matchIPAddr(rhsIPA) == 0 );
+    CPPUNIT_ASSERT(  ( lhsIPA == rhsIPA ) );
+    CPPUNIT_ASSERT( !( lhsIPA != rhsIPA ) );
+    CPPUNIT_ASSERT(  ( lhsIPA >= rhsIPA ) );
+    CPPUNIT_ASSERT( !( lhsIPA >  rhsIPA ) );
+    CPPUNIT_ASSERT(  ( lhsIPA <= rhsIPA ) );
+    CPPUNIT_ASSERT( !( lhsIPA <  rhsIPA ) );
+
+    /* test equality versus NOADDR */
+    lhsIPA.setNoAddr();
+    rhsIPA.setNoAddr();
+    CPPUNIT_ASSERT( lhsIPA.matchIPAddr(rhsIPA) == 0 );
+    CPPUNIT_ASSERT(  ( lhsIPA == rhsIPA ) );
+    CPPUNIT_ASSERT( !( lhsIPA != rhsIPA ) );
+    CPPUNIT_ASSERT(  ( lhsIPA >= rhsIPA ) );
+    CPPUNIT_ASSERT( !( lhsIPA >  rhsIPA ) );
+    CPPUNIT_ASSERT(  ( lhsIPA <= rhsIPA ) );
+    CPPUNIT_ASSERT( !( lhsIPA <  rhsIPA ) );
+
+    /* test inequality (less than) */
+    lhsIPA = valLow;
+    rhsIPA = valHigh;
+    CPPUNIT_ASSERT( lhsIPA.matchIPAddr(rhsIPA) < 0 );
+    CPPUNIT_ASSERT( !( lhsIPA == rhsIPA ) );
+    CPPUNIT_ASSERT(  ( lhsIPA != rhsIPA ) );
+    CPPUNIT_ASSERT( !( lhsIPA >= rhsIPA ) );
+    CPPUNIT_ASSERT( !( lhsIPA >  rhsIPA ) );
+    CPPUNIT_ASSERT(  ( lhsIPA <= rhsIPA ) );
+    CPPUNIT_ASSERT(  ( lhsIPA <  rhsIPA ) );
+
+    /* test inequality versus ANYADDR (less than) */
+    lhsIPA.setAnyAddr();
+    rhsIPA = valHigh;
+    CPPUNIT_ASSERT( lhsIPA.matchIPAddr(rhsIPA) < 0 );
+    CPPUNIT_ASSERT( !( lhsIPA == rhsIPA ) );
+    CPPUNIT_ASSERT(  ( lhsIPA != rhsIPA ) );
+    CPPUNIT_ASSERT( !( lhsIPA >= rhsIPA ) );
+    CPPUNIT_ASSERT( !( lhsIPA >  rhsIPA ) );
+    CPPUNIT_ASSERT(  ( lhsIPA <= rhsIPA ) );
+    CPPUNIT_ASSERT(  ( lhsIPA <  rhsIPA ) );
+
+    /* test inequality versus NOADDR (less than) */
+    lhsIPA = valLow;
+    rhsIPA.setNoAddr();
+    CPPUNIT_ASSERT( lhsIPA.matchIPAddr(rhsIPA) < 0 );
+    CPPUNIT_ASSERT( !( lhsIPA == rhsIPA ) );
+    CPPUNIT_ASSERT(  ( lhsIPA != rhsIPA ) );
+    CPPUNIT_ASSERT( !( lhsIPA >= rhsIPA ) );
+    CPPUNIT_ASSERT( !( lhsIPA >  rhsIPA ) );
+    CPPUNIT_ASSERT(  ( lhsIPA <= rhsIPA ) );
+    CPPUNIT_ASSERT(  ( lhsIPA <  rhsIPA ) );
+
+    /* test inequality (greater than) */
+    lhsIPA = valHigh;
+    rhsIPA = valLow;
+    CPPUNIT_ASSERT( lhsIPA.matchIPAddr(rhsIPA) > 0 );
+    CPPUNIT_ASSERT( !( lhsIPA == rhsIPA ) );
+    CPPUNIT_ASSERT(  ( lhsIPA != rhsIPA ) );
+    CPPUNIT_ASSERT(  ( lhsIPA >= rhsIPA ) );
+    CPPUNIT_ASSERT(  ( lhsIPA >  rhsIPA ) );
+    CPPUNIT_ASSERT( !( lhsIPA <= rhsIPA ) );
+    CPPUNIT_ASSERT( !( lhsIPA <  rhsIPA ) );
+
+    /* test inequality (greater than) */
+    lhsIPA = valHigh;
+    rhsIPA.setAnyAddr();
+    CPPUNIT_ASSERT( lhsIPA.matchIPAddr(rhsIPA) > 0 );
+    CPPUNIT_ASSERT( !( lhsIPA == rhsIPA ) );
+    CPPUNIT_ASSERT(  ( lhsIPA != rhsIPA ) );
+    CPPUNIT_ASSERT(  ( lhsIPA >= rhsIPA ) );
+    CPPUNIT_ASSERT(  ( lhsIPA >  rhsIPA ) );
+    CPPUNIT_ASSERT( !( lhsIPA <= rhsIPA ) );
+    CPPUNIT_ASSERT( !( lhsIPA <  rhsIPA ) );
+
+    /* test inequality versus NOADDR (greater than) */
+    lhsIPA.setNoAddr();
+    rhsIPA = valLow;
+    CPPUNIT_ASSERT( lhsIPA.matchIPAddr(rhsIPA) > 0 );
+    CPPUNIT_ASSERT( !( lhsIPA == rhsIPA ) );
+    CPPUNIT_ASSERT(  ( lhsIPA != rhsIPA ) );
+    CPPUNIT_ASSERT(  ( lhsIPA >= rhsIPA ) );
+    CPPUNIT_ASSERT(  ( lhsIPA >  rhsIPA ) );
+    CPPUNIT_ASSERT( !( lhsIPA <= rhsIPA ) );
+    CPPUNIT_ASSERT( !( lhsIPA <  rhsIPA ) );
+
+}
+
+void
+testIpAddress::testtoStr()
+{
+    struct in_addr inval;
+    char buf[MAX_IPSTRLEN];
+    Ip::Address anIPA;
+
+    anIPA.setAnyAddr();
+
+    /* test AnyAddr display values */
+    CPPUNIT_ASSERT( memcmp("::", anIPA.toStr(buf,MAX_IPSTRLEN), 2) == 0 );
+
+    inval.s_addr = htonl(0xC0A8640C);
+    anIPA = inval;
+
+    /* test IP display */
+    CPPUNIT_ASSERT( memcmp("192.168.100.12",anIPA.toStr(buf,MAX_IPSTRLEN), 14) == 0 );
+
+    anIPA.setNoAddr();
+
+    /* test NoAddr display values */
+    CPPUNIT_ASSERT( memcmp("ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff",anIPA.toStr(buf,MAX_IPSTRLEN), 39) == 0 );
+}
+
+void
+testIpAddress::testtoUrl_fromInAddr()
+{
+    char buf[MAX_IPSTRLEN];
+    buf[0] = '\0';
+    struct in_addr inval;
+
+    inval.s_addr = htonl(0xC0A8640C);
+
+    Ip::Address anIPA(inval);
+
+    /* test values */
+    anIPA.toUrl(buf,MAX_IPSTRLEN);
+    CPPUNIT_ASSERT( memcmp("192.168.100.12", buf, 14) == 0 );
+
+    /* test output when constructed from in6_addr with IPv6 */
+    struct in6_addr ip6val;
+
+    ip6val.s6_addr32[0] = htonl(0xC0A8640C);
+    ip6val.s6_addr32[1] = htonl(0xFFFFFFFF);
+    ip6val.s6_addr32[2] = htonl(0xFFFFFFFF);
+    ip6val.s6_addr32[3] = htonl(0xFFFFFFFF);
+
+    Ip::Address bnIPA(ip6val);
+
+    bnIPA.toUrl(buf,MAX_IPSTRLEN);
+    CPPUNIT_ASSERT( memcmp("[c0a8:640c:ffff:ffff:ffff:ffff:ffff:ffff]", buf, 41) == 0 );
+}
+
+void
+testIpAddress::testtoUrl_fromSockAddr()
+{
+    struct sockaddr_in sock;
+    sock.sin_addr.s_addr = htonl(0xC0A8640C);
+    sock.sin_port = htons(80);
+    sock.sin_family = AF_INET;
+#if HAVE_SIN_LEN_IN_SAI
+    sock.sin_len = sizeof(struct sockaddr_in);
+#endif
+
+    Ip::Address anIPA(sock);
+    char buf[MAX_IPSTRLEN];
+
+    /* test values */
+    anIPA.toUrl(buf,MAX_IPSTRLEN);
+    CPPUNIT_ASSERT( memcmp("192.168.100.12:80", buf, 17) == 0 );
+
+    /* test output when constructed from in6_addr with IPv6 */
+    struct sockaddr_in6 ip6val;
+
+    ip6val.sin6_addr.s6_addr32[0] = htonl(0xC0A8640C);
+    ip6val.sin6_addr.s6_addr32[1] = htonl(0xFFFFFFFF);
+    ip6val.sin6_addr.s6_addr32[2] = htonl(0xFFFFFFFF);
+    ip6val.sin6_addr.s6_addr32[3] = htonl(0xFFFFFFFF);
+    ip6val.sin6_port = htons(80);
+    ip6val.sin6_family = AF_INET6;
+#if HAVE_SIN6_LEN_IN_SAI
+    ip6val.sin6_len = sizeof(struct sockaddr_in6);
+#endif
+
+    Ip::Address bnIPA(ip6val);
+
+    bnIPA.toUrl(buf,MAX_IPSTRLEN);
+    CPPUNIT_ASSERT( memcmp("[c0a8:640c:ffff:ffff:ffff:ffff:ffff:ffff]:80", buf, 44) == 0 );
+}
+
+void
+testIpAddress::testgetReverseString()
+{
+    char buf[MAX_IPSTRLEN];
+
+    struct in_addr ipv4val;
+    ipv4val.s_addr = htonl(0xC0A8640C);
+
+    Ip::Address v4IPA(ipv4val);
+
+    /* test IPv4 output */
+    v4IPA.getReverseString(buf);
+    CPPUNIT_ASSERT( memcmp("12.100.168.192.in-addr.arpa.",buf, 28) == 0 );
+
+    v4IPA.getReverseString(buf,AF_INET);
+    CPPUNIT_ASSERT( memcmp("12.100.168.192.in-addr.arpa.",buf, 28) == 0 );
+
+    v4IPA.getReverseString(buf,AF_INET6);
+    CPPUNIT_ASSERT( memcmp("",buf, 1) == 0 );
+
+    struct in6_addr ip6val;
+
+    ip6val.s6_addr32[0] = htonl(0xC0A8640C);
+    ip6val.s6_addr32[1] = htonl(0xFFFFFFFF);
+    ip6val.s6_addr32[2] = htonl(0xFFFFFFFF);
+    ip6val.s6_addr32[3] = htonl(0xFFFFFFFF);
+
+    Ip::Address v6IPA(ip6val);
+
+    /* test IPv6 output */
+    v6IPA.getReverseString(buf);
+    CPPUNIT_ASSERT( memcmp("f.f.f.f.f.f.f.f.f.f.f.f.f.f.f.f.f.f.f.f.f.f.f.f.c.0.4.6.8.a.0.c.ip6.arpa.",buf,73) == 0 );
+}
+
+void
+testIpAddress::testMasking()
+{
+    char buf[MAX_IPSTRLEN];
+    Ip::Address anIPA;
+    Ip::Address maskIPA;
+
+    /* Test Basic CIDR Routine */
+    anIPA.setAnyAddr();
+    CPPUNIT_ASSERT_EQUAL( 0 ,anIPA.cidr() );
+
+    anIPA.setNoAddr();
+    CPPUNIT_ASSERT_EQUAL( 128 , anIPA.cidr() );
+
+    /* Test Numeric ApplyCIDR */
+    anIPA.setNoAddr();
+    CPPUNIT_ASSERT( !anIPA.applyMask(129,AF_INET6) );
+    CPPUNIT_ASSERT( !anIPA.applyMask(33,AF_INET) );
+
+    anIPA.setNoAddr();
+    CPPUNIT_ASSERT( anIPA.applyMask(31,AF_INET) );
+    CPPUNIT_ASSERT_EQUAL( 127 , anIPA.cidr() );
+
+    anIPA.setNoAddr();
+    CPPUNIT_ASSERT( anIPA.applyMask(127,AF_INET6) );
+    CPPUNIT_ASSERT_EQUAL( 127 , anIPA.cidr() );
+
+    anIPA.setNoAddr();
+    anIPA.applyMask(80,AF_INET6);
+    CPPUNIT_ASSERT_EQUAL( 80 , anIPA.cidr() );
+
+    /* BUG Check: test values by display. */
+    CPPUNIT_ASSERT( anIPA.toStr(buf,MAX_IPSTRLEN) != NULL );
+    CPPUNIT_ASSERT( memcmp("ffff:ffff:ffff:ffff:ffff::", buf, 26) == 0 );
+
+    /* Test Network Bitmask from Ip::Address */
+    anIPA.setNoAddr();
+    maskIPA = "255.255.240.0";
+    CPPUNIT_ASSERT_EQUAL( 20 , maskIPA.cidr() );
+    anIPA.applyMask(maskIPA);
+    CPPUNIT_ASSERT_EQUAL( 20 , anIPA.cidr() );
+
+    /* BUG Check: test values memory after masking. */
+    struct in_addr btest;
+    CPPUNIT_ASSERT( anIPA.isIPv4() );
+    CPPUNIT_ASSERT( !anIPA.isIPv6() );
+    anIPA.getInAddr(btest);
+    CPPUNIT_ASSERT_EQUAL( (uint32_t)htonl(0xFFFFF000) , btest.s_addr );
+
+    /* BUG Check failing test. Masked values for display. */
+    CPPUNIT_ASSERT( memcmp("255.255.240.0",anIPA.toStr(buf,MAX_IPSTRLEN), 13) == 0 );
+
+    anIPA.setNoAddr();
+    maskIPA.setNoAddr();
+
+    /* IPv6 masks MUST be CIDR representations. */
+    /* however as with IPv4 they can technically be represented as a bitmask */
+    maskIPA = "ffff:ffff:fff0::";
+    CPPUNIT_ASSERT( !maskIPA.isAnyAddr() );
+    CPPUNIT_ASSERT( !maskIPA.isNoAddr() );
+    anIPA.applyMask(maskIPA);
+    CPPUNIT_ASSERT( !anIPA.isNoAddr() );
+    CPPUNIT_ASSERT_EQUAL( 44 , anIPA.cidr() );
+
+    anIPA.setNoAddr();
+    maskIPA.setNoAddr();
+
+    /* IPv4 masks represented in IPv6 as IPv4 bitmasks. */
+    maskIPA = "::ffff:ffff:f000";
+    CPPUNIT_ASSERT( !maskIPA.isAnyAddr() );
+    CPPUNIT_ASSERT( !maskIPA.isNoAddr() );
+    CPPUNIT_ASSERT(  maskIPA.isIPv4() );
+    CPPUNIT_ASSERT( !maskIPA.isIPv6() );
+    anIPA.applyMask(maskIPA);
+    CPPUNIT_ASSERT( !maskIPA.isAnyAddr() );
+    CPPUNIT_ASSERT( !maskIPA.isNoAddr() );
+    CPPUNIT_ASSERT(  maskIPA.isIPv4() );
+    CPPUNIT_ASSERT( !maskIPA.isIPv6() );
+    CPPUNIT_ASSERT_EQUAL( 20 , anIPA.cidr() );
+}
+
+void
+testIpAddress::testAddrInfo()
+{
+    struct addrinfo *expect;
+    struct addrinfo *ipval = NULL;
+    struct addrinfo hints;
+
+    memset(&hints, 0, sizeof(struct addrinfo));
+
+    hints.ai_flags = AI_NUMERICHOST;
+
+    Ip::Address anIP = "127.0.0.1";
+
+    /* assert this just to check that getaddrinfo is working properly */
+    CPPUNIT_ASSERT( getaddrinfo("127.0.0.1", NULL, &hints, &expect ) == 0 );
+
+    anIP.getAddrInfo(ipval);
+
+#if 0
+    /* display a byte-by-byte hex comparison of the addr cores */
+    unsigned int *p;
+    p = (unsigned int*)expect;
+    printf("\nSYS-ADDRINFO: %2x %2x %2x %2x %2x %2x",
+           p[0],p[1],p[2],p[3],p[4],p[5]);
+
+    p = (unsigned int*)ipval;
+    printf("\nSQD-ADDRINFO: %2x %2x %2x %2x %2x %2x",
+           p[0],p[1],p[2],p[3],p[4],p[5] );
+    printf("\n");
+#endif /*0*/
+
+    // check the addrinfo object core. (BUT not the two ptrs at the tail)
+    // details
+    CPPUNIT_ASSERT_EQUAL( expect->ai_flags, ipval->ai_flags );
+    CPPUNIT_ASSERT_EQUAL( expect->ai_family, ipval->ai_family );
+    // check the sockaddr it points to.
+    CPPUNIT_ASSERT_EQUAL( expect->ai_addrlen, ipval->ai_addrlen );
+
+#if 0
+    printf("sizeof IN(%d), IN6(%d), STORAGE(%d), \n",
+           sizeof(struct sockaddr_in), sizeof(struct sockaddr_in6), sizeof(struct sockaddr_storage));
+
+    p = (unsigned int*)(expect->ai_addr);
+    printf("\nSYS-ADDR: (%d) {%d} %x %x %x %x %x %x %x %x ...",
+           expect->ai_addrlen, sizeof(*p),
+           p[0],p[1],p[2],p[3],p[4],p[5],p[6],p[7] );
+
+    p = (unsigned int*)(ipval->ai_addr);
+    printf("\nSQD-ADDR: (%d) {%d} %x %x %x %x %x %x %x %x ...",
+           ipval->ai_addrlen, sizeof(*p),
+           p[0],p[1],p[2],p[3],p[4],p[5],p[6],p[7] );
+    printf("\n");
+#if HAVE_SS_LEN_IN_SS
+    printf("\nSYS SS_LEN=%d\nSQD SS_LEN=%d\n",((struct sockaddr_storage*)expect->ai_addr)->ss_len,
+           ((struct sockaddr_storage*)ipval->ai_addr)->ss_len );
+#endif
+#endif /*0*/
+
+#if HAVE_SS_LEN_IN_SS
+    CPPUNIT_ASSERT_EQUAL( ((struct sockaddr_storage*)expect->ai_addr)->ss_len,
+                          ((struct sockaddr_storage*)ipval->ai_addr)->ss_len );
+    CPPUNIT_ASSERT_EQUAL( (socklen_t)((struct sockaddr_storage*)ipval->ai_addr)->ss_len, ipval->ai_addrlen );
+#endif
+#if HAVE_SIN6_LEN_IN_SAI
+    CPPUNIT_ASSERT_EQUAL( ((struct sockaddr_in6*)expect->ai_addr)->sin6_len,
+                          ((struct sockaddr_in6*)ipval->ai_addr)->sin6_len );
+    CPPUNIT_ASSERT_EQUAL( (socklen_t)((struct sockaddr_in6*)ipval->ai_addr)->sin6_len, ipval->ai_addrlen );
+#endif
+#if HAVE_SIN_LEN_IN_SAI
+    CPPUNIT_ASSERT_EQUAL( ((struct sockaddr_in*)expect->ai_addr)->sin_len,
+                          ((struct sockaddr_in*)ipval->ai_addr)->sin_len );
+    CPPUNIT_ASSERT_EQUAL( (socklen_t)((struct sockaddr_in*)ipval->ai_addr)->sin_len, ipval->ai_addrlen );
+#endif
+
+    if (expect->ai_addrlen == sizeof(struct sockaddr_in)) {
+//printf("FAMILY %d %d\n", ((struct sockaddr_in*)expect->ai_addr)->sin_family, ((struct sockaddr_in*)ipval->ai_addr)->sin_family);
+        CPPUNIT_ASSERT_EQUAL( ((struct sockaddr_in*)expect->ai_addr)->sin_family,
+                              ((struct sockaddr_in*)ipval->ai_addr)->sin_family );
+//printf("PORT %d %d\n", ((struct sockaddr_in*)expect->ai_addr)->sin_port, ((struct sockaddr_in*)ipval->ai_addr)->sin_port);
+        CPPUNIT_ASSERT_EQUAL( ((struct sockaddr_in*)expect->ai_addr)->sin_port,
+                              ((struct sockaddr_in*)ipval->ai_addr)->sin_port );
+    }
+    if (expect->ai_addrlen == sizeof(struct sockaddr_in6)) {
+//printf("FAMILY %d %d\n", ((struct sockaddr_in6*)expect->ai_addr)->sin6_family, ((struct sockaddr_in6*)ipval->ai_addr)->sin6_family);
+        CPPUNIT_ASSERT_EQUAL( ((struct sockaddr_in6*)expect->ai_addr)->sin6_family,
+                              ((struct sockaddr_in6*)ipval->ai_addr)->sin6_family );
+//printf("PORT %d %d\n", ((struct sockaddr_in6*)expect->ai_addr)->sin6_port, ((struct sockaddr_in6*)ipval->ai_addr)->sin6_port);
+        CPPUNIT_ASSERT_EQUAL( ((struct sockaddr_in6*)expect->ai_addr)->sin6_port,
+                              ((struct sockaddr_in6*)ipval->ai_addr)->sin6_port );
+    }
+
+    CPPUNIT_ASSERT( memcmp( expect->ai_addr, ipval->ai_addr, expect->ai_addrlen ) == 0 );
+
+    freeaddrinfo(expect);
+    Ip::Address::FreeAddr(ipval);
+}
+
+void
+testIpAddress::testBugNullingDisplay()
+{
+    // Weird Bug: address set to empty during string conversion somewhere.
+    // initial string gets created and returned OK.
+    // but at the end of the process m_SocketAddr is left NULL'ed
+
+    char ntoabuf[MAX_IPSTRLEN];
+    char hostbuf[MAX_IPSTRLEN];
+    char urlbuf[MAX_IPSTRLEN];
+
+    struct in_addr outval;
+    struct in_addr expectval;
+
+    expectval.s_addr = htonl(0xC0A8640C);
+
+    Ip::Address anIPA = "192.168.100.12";
+
+    /* test stored values */
+    CPPUNIT_ASSERT( !anIPA.isAnyAddr() );
+    CPPUNIT_ASSERT( !anIPA.isNoAddr() );
+    CPPUNIT_ASSERT( anIPA.isIPv4() );
+    CPPUNIT_ASSERT( !anIPA.isIPv6() );
+    CPPUNIT_ASSERT_EQUAL( (unsigned short) 0 , anIPA.port() );
+    CPPUNIT_ASSERT( !anIPA.isSockAddr() );
+    anIPA.getInAddr(outval);
+    CPPUNIT_ASSERT( memcmp( &expectval, &outval, sizeof(struct in_addr)) == 0 );
+
+    /* POKE toStr display function to see what it is doing */
+    anIPA.toStr(ntoabuf,MAX_IPSTRLEN);
+    CPPUNIT_ASSERT( !anIPA.isAnyAddr() );
+    /* test stored values */
+    CPPUNIT_ASSERT( !anIPA.isAnyAddr() );
+    CPPUNIT_ASSERT( !anIPA.isNoAddr() );
+    CPPUNIT_ASSERT( anIPA.isIPv4() );
+    CPPUNIT_ASSERT( !anIPA.isIPv6() );
+    CPPUNIT_ASSERT_EQUAL( (unsigned short) 0 , anIPA.port() );
+    CPPUNIT_ASSERT( !anIPA.isSockAddr() );
+    anIPA.getInAddr(outval);
+    CPPUNIT_ASSERT( memcmp( &expectval, &outval, sizeof(struct in_addr)) == 0 );
+
+    /* POKE toHostStr display function to see what it is doing */
+    anIPA.toHostStr(hostbuf,MAX_IPSTRLEN);
+    CPPUNIT_ASSERT( !anIPA.isAnyAddr() );
+    /* test stored values */
+    CPPUNIT_ASSERT( !anIPA.isAnyAddr() );
+    CPPUNIT_ASSERT( !anIPA.isNoAddr() );
+    CPPUNIT_ASSERT( anIPA.isIPv4() );
+    CPPUNIT_ASSERT( !anIPA.isIPv6() );
+    CPPUNIT_ASSERT_EQUAL( (unsigned short) 0 , anIPA.port() );
+    CPPUNIT_ASSERT( !anIPA.isSockAddr() );
+    anIPA.getInAddr(outval);
+    CPPUNIT_ASSERT( memcmp( &expectval, &outval, sizeof(struct in_addr)) == 0 );
+
+    /* POKE toUrl display function to see what it is doing */
+    anIPA.toUrl(urlbuf,MAX_IPSTRLEN);
+    CPPUNIT_ASSERT( !anIPA.isAnyAddr() );
+    /* test stored values */
+    CPPUNIT_ASSERT( !anIPA.isAnyAddr() );
+    CPPUNIT_ASSERT( !anIPA.isNoAddr() );
+    CPPUNIT_ASSERT( anIPA.isIPv4() );
+    CPPUNIT_ASSERT( !anIPA.isIPv6() );
+    CPPUNIT_ASSERT_EQUAL( (unsigned short) 0 , anIPA.port() );
+    CPPUNIT_ASSERT( !anIPA.isSockAddr() );
+    anIPA.getInAddr(outval);
+    CPPUNIT_ASSERT( memcmp( &expectval, &outval, sizeof(struct in_addr)) == 0 );
+
+}
+
diff -u -r -N squid-3.5.7/src/tests/testAddress.h squid-3.5.8/src/tests/testAddress.h
--- squid-3.5.7/src/tests/testAddress.h	1969-12-31 16:00:00.000000000 -0800
+++ squid-3.5.8/src/tests/testAddress.h	2015-09-01 12:52:00.000000000 -0700
@@ -0,0 +1,71 @@
+/*
+ * Copyright (C) 1996-2015 The Squid Software Foundation and contributors
+ *
+ * Squid software is distributed under GPLv2+ license and includes
+ * contributions from numerous individuals and organizations.
+ * Please see the COPYING and CONTRIBUTORS files for details.
+ */
+
+#ifndef SQUID_SRC_TEST_IPADDRESS_H
+#define SQUID_SRC_TEST_IPADDRESS_H
+
+#include <cppunit/extensions/HelperMacros.h>
+
+/*
+ * test the IP storage type
+ */
+
+class testIpAddress : public CPPUNIT_NS::TestFixture
+{
+    CPPUNIT_TEST_SUITE( testIpAddress );
+    CPPUNIT_TEST( testDefaults );
+    CPPUNIT_TEST( testInAddrConstructor );
+    CPPUNIT_TEST( testInAddr6Constructor );
+    CPPUNIT_TEST( testSockAddrConstructor );
+    CPPUNIT_TEST( testSockAddr6Constructor );
+    CPPUNIT_TEST( testHostentConstructor );
+    CPPUNIT_TEST( testStringConstructor );
+    CPPUNIT_TEST( testCopyConstructor );
+    CPPUNIT_TEST( testsetEmpty );
+    CPPUNIT_TEST( testBooleans );
+    CPPUNIT_TEST( testAddrInfo );
+    CPPUNIT_TEST( testtoStr );
+    CPPUNIT_TEST( testtoUrl_fromInAddr );
+    CPPUNIT_TEST( testtoUrl_fromSockAddr );
+    CPPUNIT_TEST( testgetReverseString );
+    CPPUNIT_TEST( testMasking );
+
+    CPPUNIT_TEST( testBugNullingDisplay );
+    CPPUNIT_TEST_SUITE_END();
+
+public:
+
+protected:
+    void testDefaults();
+
+    void testInAddrConstructor();
+    void testInAddr6Constructor();
+    void testSockAddrConstructor();
+    void testSockAddr6Constructor();
+    void testHostentConstructor();
+    void testStringConstructor();
+    void testCopyConstructor();
+
+    void testsetEmpty();
+    void testBooleans();
+
+    void testAddrInfo();
+
+    void testtoStr();
+    void testtoUrl_fromInAddr();
+    void testtoUrl_fromSockAddr();
+    void testgetReverseString();
+    void testMasking();
+
+    // bugs.
+    void testBugNullingDisplay();
+
+};
+
+#endif /* SQUID_SRC_TEST_IPADDRESS_H */
+
diff -u -r -N squid-3.5.7/src/tests/testCharacterSet.cc squid-3.5.8/src/tests/testCharacterSet.cc
--- squid-3.5.7/src/tests/testCharacterSet.cc	1969-12-31 16:00:00.000000000 -0800
+++ squid-3.5.8/src/tests/testCharacterSet.cc	2015-09-01 12:52:00.000000000 -0700
@@ -0,0 +1,90 @@
+/*
+ * Copyright (C) 1996-2015 The Squid Software Foundation and contributors
+ *
+ * Squid software is distributed under GPLv2+ license and includes
+ * contributions from numerous individuals and organizations.
+ * Please see the COPYING and CONTRIBUTORS files for details.
+ */
+
+#include "squid.h"
+#include "base/CharacterSet.h"
+#include "testCharacterSet.h"
+#include "unitTestMain.h"
+
+#include <string>
+
+CPPUNIT_TEST_SUITE_REGISTRATION( testCharacterSet );
+
+void
+testCharacterSet::CharacterSetConstruction()
+{
+    {
+        CharacterSet t(NULL,"");
+        CPPUNIT_ASSERT_EQUAL(std::string("anonymous"),std::string(t.name));
+    }
+    {
+        CharacterSet t("test","");
+        CPPUNIT_ASSERT_EQUAL(std::string("test"),std::string(t.name));
+    }
+    {
+        CharacterSet t("test","");
+        for (int j = 0; j < 255; ++j)
+            CPPUNIT_ASSERT_EQUAL(false,t[j]);
+    }
+    {
+        CharacterSet t("test","0");
+        CPPUNIT_ASSERT_EQUAL(true,t['0']);
+        for (int j = 0; j < 255; ++j)
+            if (j != '0')
+                CPPUNIT_ASSERT_EQUAL(false,t[j]);
+    }
+}
+
+void
+testCharacterSet::CharacterSetAdd()
+{
+    CharacterSet t("test","0");
+    t.add(0);
+    CPPUNIT_ASSERT_EQUAL(true,t['\0']);
+    CPPUNIT_ASSERT_EQUAL(true,t['0']);
+}
+
+void
+testCharacterSet::CharacterSetAddRange()
+{
+    CharacterSet t("test","");
+    t.addRange('0','9');
+    CPPUNIT_ASSERT_EQUAL(true,t['0']);
+    CPPUNIT_ASSERT_EQUAL(true,t['5']);
+    CPPUNIT_ASSERT_EQUAL(true,t['9']);
+    CPPUNIT_ASSERT_EQUAL(false,t['a']);
+}
+
+void
+testCharacterSet::CharacterSetConstants()
+{
+    CPPUNIT_ASSERT_EQUAL(true,CharacterSet::ALPHA['a']);
+    CPPUNIT_ASSERT_EQUAL(true,CharacterSet::ALPHA['z']);
+    CPPUNIT_ASSERT_EQUAL(true,CharacterSet::ALPHA['A']);
+    CPPUNIT_ASSERT_EQUAL(true,CharacterSet::ALPHA['Z']);
+    CPPUNIT_ASSERT_EQUAL(false,CharacterSet::ALPHA['5']);
+}
+
+void
+testCharacterSet::CharacterSetUnion()
+{
+    {
+        CharacterSet hex("hex","");
+        hex += CharacterSet::DIGIT;
+        hex += CharacterSet(NULL,"aAbBcCdDeEfF");
+        for (int j = 0; j < 255; ++j)
+            CPPUNIT_ASSERT_EQUAL(CharacterSet::HEXDIG[j],hex[j]);
+    }
+    {
+        CharacterSet hex(NULL,"");
+        hex = CharacterSet::DIGIT + CharacterSet(NULL,"aAbBcCdDeEfF");
+        for (int j = 0; j < 255; ++j)
+            CPPUNIT_ASSERT_EQUAL(CharacterSet::HEXDIG[j],hex[j]);
+    }
+}
+
diff -u -r -N squid-3.5.7/src/tests/testCharacterSet.h squid-3.5.8/src/tests/testCharacterSet.h
--- squid-3.5.7/src/tests/testCharacterSet.h	1969-12-31 16:00:00.000000000 -0800
+++ squid-3.5.8/src/tests/testCharacterSet.h	2015-09-01 12:52:00.000000000 -0700
@@ -0,0 +1,33 @@
+/*
+ * Copyright (C) 1996-2015 The Squid Software Foundation and contributors
+ *
+ * Squid software is distributed under GPLv2+ license and includes
+ * contributions from numerous individuals and organizations.
+ * Please see the COPYING and CONTRIBUTORS files for details.
+ */
+
+#ifndef SQUID_BASE_TESTCHARACTERSET_H
+#define SQUID_BASE_TESTCHARACTERSET_H
+
+#include <cppunit/extensions/HelperMacros.h>
+
+class testCharacterSet : public CPPUNIT_NS::TestFixture
+{
+    CPPUNIT_TEST_SUITE( testCharacterSet );
+    CPPUNIT_TEST( CharacterSetConstruction );
+    CPPUNIT_TEST( CharacterSetAdd );
+    CPPUNIT_TEST( CharacterSetAddRange );
+    CPPUNIT_TEST( CharacterSetConstants );
+    CPPUNIT_TEST( CharacterSetUnion );
+    CPPUNIT_TEST_SUITE_END();
+
+protected:
+    void CharacterSetConstruction();
+    void CharacterSetAdd();
+    void CharacterSetAddRange();
+    void CharacterSetConstants();
+    void CharacterSetUnion();
+};
+
+#endif /* SQUID_BASE_TESTCHARACTERSET_H */
+
diff -u -r -N squid-3.5.7/src/tests/testIcmp.cc squid-3.5.8/src/tests/testIcmp.cc
--- squid-3.5.7/src/tests/testIcmp.cc	1969-12-31 16:00:00.000000000 -0800
+++ squid-3.5.8/src/tests/testIcmp.cc	2015-09-01 12:52:00.000000000 -0700
@@ -0,0 +1,118 @@
+/*
+ * Copyright (C) 1996-2015 The Squid Software Foundation and contributors
+ *
+ * Squid software is distributed under GPLv2+ license and includes
+ * contributions from numerous individuals and organizations.
+ * Please see the COPYING and CONTRIBUTORS files for details.
+ */
+
+#define SQUID_HELPER 1
+
+#include "squid.h"
+#include "tests/testIcmp.h"
+#include "unitTestMain.h"
+
+#include <cppunit/TestAssert.h>
+
+CPPUNIT_TEST_SUITE_REGISTRATION( testIcmp );
+
+void
+testIcmp::testChecksum()
+{
+#if USE_ICMP
+    stubIcmp icmp;
+    uint16_t buf[10], tmpval;
+    for (tmpval=0; tmpval < 10; ++tmpval)
+        buf[tmpval]=htons(1+tmpval);
+
+    // NULL data
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xffff), icmp.testChecksum(NULL,0));
+
+    // NULL data with length!!
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xffff), icmp.testChecksum(NULL,1));
+
+    // data with 0 length
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xffff), icmp.testChecksum(buf,0));
+
+    // data with invalid length (low)
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xffff), icmp.testChecksum(buf,1));
+
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xfffe), icmp.testChecksum(buf,2)); // 1
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xfffe), icmp.testChecksum(buf,3));
+
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xfffc), icmp.testChecksum(buf,4)); // 1+2
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xfffc), icmp.testChecksum(buf,5));
+
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xfff9), icmp.testChecksum(buf,6)); // 1+2+3
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xfff9), icmp.testChecksum(buf,7));
+
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xfff5), icmp.testChecksum(buf,8)); // 1+2+3+4
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xfff5), icmp.testChecksum(buf,9));
+
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xfff0), icmp.testChecksum(buf,10)); // 1+2...+5
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xfff0), icmp.testChecksum(buf,11));
+
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xffea), icmp.testChecksum(buf,12)); // 1+2...+6
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xffea), icmp.testChecksum(buf,13));
+
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xffe3), icmp.testChecksum(buf,14)); // 1+2...+7
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xffe3), icmp.testChecksum(buf,15));
+
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xffdb), icmp.testChecksum(buf,16)); // 1+2...+8
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xffdb), icmp.testChecksum(buf,17));
+
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xffd2), icmp.testChecksum(buf,18)); // 1+2...+9
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xffd2), icmp.testChecksum(buf,19));
+
+    // data with accurate length
+    CPPUNIT_ASSERT_EQUAL((int)htons(0xffc8), icmp.testChecksum(buf,20)); // 1+2...+10
+
+    // data with invalid length (overrun) ==> Garbage checksum...
+#endif
+}
+
+void
+testIcmp::testHops()
+{
+#if USE_ICMP
+    stubIcmp icmp;
+
+    /* test invalid -(under values) */
+    // negative     : n > 33
+    CPPUNIT_ASSERT_EQUAL(34, icmp.testHops(-1));
+    // zero
+    CPPUNIT_ASSERT_EQUAL(33, icmp.testHops(0));
+
+    /* test each valid case boundary */
+    // n(1...32)    : 32 >= n >= 1
+    CPPUNIT_ASSERT_EQUAL(32, icmp.testHops(1));
+    CPPUNIT_ASSERT_EQUAL(1, icmp.testHops(32));
+
+    // n(33...62)   : 30 >= n >= 1
+    CPPUNIT_ASSERT_EQUAL(30, icmp.testHops(33));
+    CPPUNIT_ASSERT_EQUAL(1, icmp.testHops(62));
+
+    // n(63...64)  : 2 >= n >= 1
+    CPPUNIT_ASSERT_EQUAL(2, icmp.testHops(63));
+    CPPUNIT_ASSERT_EQUAL(1, icmp.testHops(64));
+
+    // n(65...128)  : 64 >= n >= 1
+    CPPUNIT_ASSERT_EQUAL(64, icmp.testHops(65));
+    CPPUNIT_ASSERT_EQUAL(1, icmp.testHops(128));
+
+    // n(129...192) : 64 >= n >= 1
+    CPPUNIT_ASSERT_EQUAL(64, icmp.testHops(129));
+    CPPUNIT_ASSERT_EQUAL(1, icmp.testHops(192));
+
+    // n(193...)    : n < 63
+    CPPUNIT_ASSERT_EQUAL(63, icmp.testHops(193));
+    CPPUNIT_ASSERT_EQUAL(1, icmp.testHops(255));
+
+    /* test invalid (over values) */
+    // 256 - produces zero
+    CPPUNIT_ASSERT_EQUAL(0, icmp.testHops(256));
+    // 257 - produces negative hops
+    CPPUNIT_ASSERT_EQUAL(-1, icmp.testHops(257));
+#endif
+}
+
diff -u -r -N squid-3.5.7/src/tests/testIcmp.h squid-3.5.8/src/tests/testIcmp.h
--- squid-3.5.7/src/tests/testIcmp.h	1969-12-31 16:00:00.000000000 -0800
+++ squid-3.5.8/src/tests/testIcmp.h	2015-09-01 12:52:00.000000000 -0700
@@ -0,0 +1,54 @@
+/*
+ * Copyright (C) 1996-2015 The Squid Software Foundation and contributors
+ *
+ * Squid software is distributed under GPLv2+ license and includes
+ * contributions from numerous individuals and organizations.
+ * Please see the COPYING and CONTRIBUTORS files for details.
+ */
+
+#ifndef SQUID_SRC_TESTS_TESTICMP_H
+#define SQUID_SRC_TESTS_TESTICMP_H
+
+#include <cppunit/extensions/HelperMacros.h>
+
+#if USE_ICMP
+
+#include "icmp/Icmp.h"
+
+class stubIcmp : public Icmp
+{
+public:
+    stubIcmp() {};
+    virtual ~stubIcmp() {};
+    virtual int Open() { return 0; };
+    virtual void Close() {};
+
+    /// Construct ECHO request
+    virtual void SendEcho(Ip::Address &to, int opcode, const char *payload, int len) {};
+
+    /// Handle ICMP responses.
+    virtual void Recv(void) {};
+
+    /* methods to relay test data from tester to private methods being tested */
+    int testChecksum(unsigned short *ptr, int size) { return CheckSum(ptr,size); };
+    int testHops(int ttl) { return ipHops(ttl); };
+};
+#endif
+
+/**
+ * test the ICMP base class.
+ */
+class testIcmp : public CPPUNIT_NS::TestFixture
+{
+    CPPUNIT_TEST_SUITE( testIcmp );
+    CPPUNIT_TEST( testChecksum );
+    CPPUNIT_TEST( testHops );
+    CPPUNIT_TEST_SUITE_END();
+
+protected:
+    void testChecksum();
+    void testHops();
+};
+
+#endif /* SQUID_SRC_TESTS_TESTICMP_H */
+
diff -u -r -N squid-3.5.7/src/tests/testTokenizer.cc squid-3.5.8/src/tests/testTokenizer.cc
--- squid-3.5.7/src/tests/testTokenizer.cc	1969-12-31 16:00:00.000000000 -0800
+++ squid-3.5.8/src/tests/testTokenizer.cc	2015-09-01 12:52:00.000000000 -0700
@@ -0,0 +1,250 @@
+/*
+ * Copyright (C) 1996-2015 The Squid Software Foundation and contributors
+ *
+ * Squid software is distributed under GPLv2+ license and includes
+ * contributions from numerous individuals and organizations.
+ * Please see the COPYING and CONTRIBUTORS files for details.
+ */
+
+#include "squid.h"
+#include "base/CharacterSet.h"
+#include "parser/Tokenizer.h"
+#include "tests/testTokenizer.h"
+#include "unitTestMain.h"
+
+CPPUNIT_TEST_SUITE_REGISTRATION( testTokenizer );
+
+SBuf text("GET http://resource.com/path HTTP/1.1\r\n"
+          "Host: resource.com\r\n"
+          "Cookie: laijkpk3422r j1noin \r\n"
+          "\r\n");
+const CharacterSet alpha("alpha","abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ");
+const CharacterSet whitespace("whitespace"," \r\n");
+const CharacterSet crlf("crlf","\r\n");
+const CharacterSet tab("tab","\t");
+const CharacterSet numbers("numbers","0123456789");
+
+void
+testTokenizer::testTokenizerPrefix()
+{
+    const SBuf canary("This text should not be changed.");
+
+    Parser::Tokenizer t(text);
+    SBuf s;
+
+    CharacterSet all(whitespace);
+    all += alpha;
+    all += crlf;
+    all += numbers;
+    all.add(':').add('.').add('/');
+
+    // an empty prefix should return false (the full output buffer case)
+    s = canary;
+    const SBuf before = t.remaining();
+    CPPUNIT_ASSERT(!t.prefix(s, all, 0));
+    // ... and a false return value means no parameter changes
+    CPPUNIT_ASSERT_EQUAL(canary, s);
+    // ... and a false return value means no input buffer changes
+    CPPUNIT_ASSERT_EQUAL(before, t.remaining());
+
+    // successful prefix tokenization
+    CPPUNIT_ASSERT(t.prefix(s,alpha));
+    CPPUNIT_ASSERT_EQUAL(SBuf("GET"),s);
+    CPPUNIT_ASSERT(t.prefix(s,whitespace));
+    CPPUNIT_ASSERT_EQUAL(SBuf(" "),s);
+
+    //no match (first char is not in the prefix set)
+    CPPUNIT_ASSERT(!t.prefix(s,whitespace));
+    CPPUNIT_ASSERT_EQUAL(SBuf(" "),s);
+
+    // one more match to set S to something meaningful
+    CPPUNIT_ASSERT(t.prefix(s,alpha));
+    CPPUNIT_ASSERT_EQUAL(SBuf("http"),s);
+
+    //no match (no characters from the character set in the prefix)
+    CPPUNIT_ASSERT(!t.prefix(s,tab));
+    CPPUNIT_ASSERT_EQUAL(SBuf("http"),s); //output SBuf left untouched
+
+    // match until the end of the sample
+    CPPUNIT_ASSERT(t.prefix(s,all));
+    CPPUNIT_ASSERT_EQUAL(SBuf(),t.remaining());
+
+    // empty prefix should return false (the empty input buffer case)
+    s = canary;
+    CPPUNIT_ASSERT(!t.prefix(s, all));
+    // ... and a false return value means no parameter changes
+    CPPUNIT_ASSERT_EQUAL(canary, s);
+}
+
+void
+testTokenizer::testTokenizerSkip()
+{
+    Parser::Tokenizer t(text);
+    SBuf s;
+
+    // first scenario: patterns match
+    // prep for test
+    CPPUNIT_ASSERT(t.prefix(s,alpha));
+    CPPUNIT_ASSERT_EQUAL(SBuf("GET"),s);
+
+    // test skipping one character from a character set
+    CPPUNIT_ASSERT(t.skipOne(whitespace));
+    // check that skip was right
+    CPPUNIT_ASSERT(t.prefix(s,alpha));
+    CPPUNIT_ASSERT_EQUAL(SBuf("http"),s);
+
+    //check skip prefix
+    CPPUNIT_ASSERT(t.skip(SBuf("://")));
+    // verify
+    CPPUNIT_ASSERT(t.prefix(s,alpha));
+    CPPUNIT_ASSERT_EQUAL(SBuf("resource"),s);
+
+    // no skip
+    CPPUNIT_ASSERT(!t.skipOne(alpha));
+    CPPUNIT_ASSERT(!t.skip(SBuf("://")));
+    CPPUNIT_ASSERT(!t.skip('a'));
+
+    // test skipping all characters from a character set while looking at .com
+    CPPUNIT_ASSERT(t.skip('.'));
+    CPPUNIT_ASSERT_EQUAL(static_cast<SBuf::size_type>(3), t.skipAll(alpha));
+    CPPUNIT_ASSERT(t.remaining().startsWith(SBuf("/path")));
+}
+
+void
+testTokenizer::testTokenizerToken()
+{
+    Parser::Tokenizer t(text);
+    SBuf s;
+
+    // first scenario: patterns match
+    CPPUNIT_ASSERT(t.token(s,whitespace));
+    CPPUNIT_ASSERT_EQUAL(SBuf("GET"),s);
+    CPPUNIT_ASSERT(t.token(s,whitespace));
+    CPPUNIT_ASSERT_EQUAL(SBuf("http://resource.com/path"),s);
+    CPPUNIT_ASSERT(t.token(s,whitespace));
+    CPPUNIT_ASSERT_EQUAL(SBuf("HTTP/1.1"),s);
+    CPPUNIT_ASSERT(t.token(s,whitespace));
+    CPPUNIT_ASSERT_EQUAL(SBuf("Host:"),s);
+
+}
+
+void
+testTokenizer::testCharacterSet()
+{
+
+}
+
+void
+testTokenizer::testTokenizerInt64()
+{
+    // successful parse in base 10
+    {
+        int64_t rv;
+        Parser::Tokenizer t(SBuf("1234"));
+        const int64_t benchmark = 1234;
+        CPPUNIT_ASSERT(t.int64(rv, 10));
+        CPPUNIT_ASSERT_EQUAL(benchmark,rv);
+    }
+
+    // successful parse, autodetect base
+    {
+        int64_t rv;
+        Parser::Tokenizer t(SBuf("1234"));
+        const int64_t benchmark = 1234;
+        CPPUNIT_ASSERT(t.int64(rv));
+        CPPUNIT_ASSERT_EQUAL(benchmark,rv);
+    }
+
+    // successful parse, autodetect base
+    {
+        int64_t rv;
+        Parser::Tokenizer t(SBuf("01234"));
+        const int64_t benchmark = 01234;
+        CPPUNIT_ASSERT(t.int64(rv));
+        CPPUNIT_ASSERT_EQUAL(benchmark,rv);
+    }
+
+    // successful parse, autodetect base
+    {
+        int64_t rv;
+        Parser::Tokenizer t(SBuf("0x12f4"));
+        const int64_t benchmark = 0x12f4;
+        CPPUNIT_ASSERT(t.int64(rv));
+        CPPUNIT_ASSERT_EQUAL(benchmark,rv);
+    }
+
+    // API mismatch: don't eat leading space
+    {
+        int64_t rv;
+        Parser::Tokenizer t(SBuf(" 1234"));
+        CPPUNIT_ASSERT(!t.int64(rv));
+    }
+
+    // API mismatch: don't eat multiple leading spaces
+    {
+        int64_t rv;
+        Parser::Tokenizer t(SBuf("  1234"));
+        CPPUNIT_ASSERT(!t.int64(rv));
+    }
+
+    // trailing spaces
+    {
+        int64_t rv;
+        Parser::Tokenizer t(SBuf("1234  foo"));
+        const int64_t benchmark = 1234;
+        CPPUNIT_ASSERT(t.int64(rv));
+        CPPUNIT_ASSERT_EQUAL(benchmark,rv);
+        CPPUNIT_ASSERT_EQUAL(SBuf("  foo"), t.buf());
+    }
+
+    // trailing nonspaces
+    {
+        int64_t rv;
+        Parser::Tokenizer t(SBuf("1234foo"));
+        const int64_t benchmark = 1234;
+        CPPUNIT_ASSERT(t.int64(rv));
+        CPPUNIT_ASSERT_EQUAL(benchmark,rv);
+        CPPUNIT_ASSERT_EQUAL(SBuf("foo"), t.buf());
+    }
+
+    // trailing nonspaces
+    {
+        int64_t rv;
+        Parser::Tokenizer t(SBuf("0x1234foo"));
+        const int64_t benchmark = 0x1234f;
+        CPPUNIT_ASSERT(t.int64(rv));
+        CPPUNIT_ASSERT_EQUAL(benchmark,rv);
+        CPPUNIT_ASSERT_EQUAL(SBuf("oo"), t.buf());
+    }
+
+    // overflow
+    {
+        int64_t rv;
+        Parser::Tokenizer t(SBuf("1029397752385698678762234"));
+        CPPUNIT_ASSERT(!t.int64(rv));
+    }
+
+    // buffered sub-string parsing
+    {
+        int64_t rv;
+        SBuf base("1029397752385698678762234");
+        const int64_t benchmark = 22;
+        Parser::Tokenizer t(base.substr(base.length()-4,2));
+        CPPUNIT_ASSERT_EQUAL(SBuf("22"),t.buf());
+        CPPUNIT_ASSERT(t.int64(rv));
+        CPPUNIT_ASSERT_EQUAL(benchmark,rv);
+    }
+
+    // base-16, prefix
+    {
+        int64_t rv;
+        SBuf base("deadbeefrow");
+        const int64_t benchmark=0xdeadbeef;
+        Parser::Tokenizer t(base);
+        CPPUNIT_ASSERT(t.int64(rv,16));
+        CPPUNIT_ASSERT_EQUAL(benchmark,rv);
+        CPPUNIT_ASSERT_EQUAL(SBuf("row"),t.buf());
+
+    }
+}
+
diff -u -r -N squid-3.5.7/src/tests/testTokenizer.h squid-3.5.8/src/tests/testTokenizer.h
--- squid-3.5.7/src/tests/testTokenizer.h	1969-12-31 16:00:00.000000000 -0800
+++ squid-3.5.8/src/tests/testTokenizer.h	2015-09-01 12:52:00.000000000 -0700
@@ -0,0 +1,33 @@
+/*
+ * Copyright (C) 1996-2015 The Squid Software Foundation and contributors
+ *
+ * Squid software is distributed under GPLv2+ license and includes
+ * contributions from numerous individuals and organizations.
+ * Please see the COPYING and CONTRIBUTORS files for details.
+ */
+
+#ifndef SQUID_TESTTOKENIZER_H_
+#define SQUID_TESTTOKENIZER_H_
+
+#include <cppunit/extensions/HelperMacros.h>
+
+class testTokenizer : public CPPUNIT_NS::TestFixture
+{
+    CPPUNIT_TEST_SUITE( testTokenizer );
+    CPPUNIT_TEST ( testCharacterSet );
+    CPPUNIT_TEST ( testTokenizerPrefix );
+    CPPUNIT_TEST ( testTokenizerSkip );
+    CPPUNIT_TEST ( testTokenizerToken );
+    CPPUNIT_TEST ( testTokenizerInt64 );
+    CPPUNIT_TEST_SUITE_END();
+
+protected:
+    void testTokenizerPrefix();
+    void testTokenizerSkip();
+    void testTokenizerToken();
+    void testCharacterSet();
+    void testTokenizerInt64();
+};
+
+#endif /* SQUID_TESTTOKENIZER_H_ */
+
diff -u -r -N squid-3.5.7/test-suite/Makefile.am squid-3.5.8/test-suite/Makefile.am
--- squid-3.5.7/test-suite/Makefile.am	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/test-suite/Makefile.am	2015-09-01 12:52:00.000000000 -0700
@@ -7,8 +7,6 @@
 
 include $(top_srcdir)/src/Common.am
 
-AUTOMAKE_OPTIONS = subdir-objects
-
 ## we need our local files too (but avoid -I. at all costs)
 AM_CPPFLAGS += -I$(srcdir)
 
diff -u -r -N squid-3.5.7/test-suite/Makefile.in squid-3.5.8/test-suite/Makefile.in
--- squid-3.5.7/test-suite/Makefile.in	2015-07-31 23:10:13.000000000 -0700
+++ squid-3.5.8/test-suite/Makefile.in	2015-09-01 12:53:43.000000000 -0700
@@ -626,6 +626,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -748,6 +749,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -769,7 +771,6 @@
 @ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
 COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
 subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
-AUTOMAKE_OPTIONS = subdir-objects
 LDADD = \
 	$(top_builddir)/src/base/libbase.la \
 	$(top_builddir)/src/globals.o \
diff -u -r -N squid-3.5.7/tools/Makefile.am squid-3.5.8/tools/Makefile.am
--- squid-3.5.7/tools/Makefile.am	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/tools/Makefile.am	2015-09-01 12:52:00.000000000 -0700
@@ -7,17 +7,15 @@
 
 include $(top_srcdir)/src/Common.am
 
-AUTOMAKE_OPTIONS = subdir-objects
-
 ## we need our local files too (but avoid -I. at all costs)
 AM_CPPFLAGS += -I$(srcdir)
 
 SUBDIRS = purge squidclient systemd sysvinit
-EXTRA_DIST = 
-man_MANS = 
-DISTCLEANFILES = 
+EXTRA_DIST =
+man_MANS =
+DISTCLEANFILES =
 
-LDADD = \
+LDADD= \
 	$(top_builddir)/src/ip/libip.la \
 	$(top_builddir)/lib/libmiscencoding.la \
 	$(top_builddir)/lib/libmiscutil.la \
diff -u -r -N squid-3.5.7/tools/Makefile.in squid-3.5.8/tools/Makefile.in
--- squid-3.5.7/tools/Makefile.in	2015-07-31 23:10:14.000000000 -0700
+++ squid-3.5.8/tools/Makefile.in	2015-09-01 12:53:44.000000000 -0700
@@ -591,6 +591,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -713,6 +714,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -734,7 +736,6 @@
 @ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
 COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
 subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
-AUTOMAKE_OPTIONS = subdir-objects
 SUBDIRS = purge squidclient systemd sysvinit
 EXTRA_DIST = helper-mux.pl helper-mux.README helper-ok-dying.pl \
 	helper-ok.pl cachemgr.conf cachemgr.cgi.8 cachemgr.cgi.8.in
diff -u -r -N squid-3.5.7/tools/purge/Makefile.in squid-3.5.8/tools/purge/Makefile.in
--- squid-3.5.7/tools/purge/Makefile.in	2015-07-31 23:10:14.000000000 -0700
+++ squid-3.5.8/tools/purge/Makefile.in	2015-09-01 12:53:45.000000000 -0700
@@ -551,6 +551,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -673,6 +674,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -826,22 +828,25 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/squid-tlv.Po@am__quote@
 
 .cc.o:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
 
 .cc.obj:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
+@am__fastdepCXX_TRUE@	$(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
 
 .cc.lo:
-@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
-@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
+@am__fastdepCXX_TRUE@	$(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
+@am__fastdepCXX_TRUE@	$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
+@am__fastdepCXX_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
diff -u -r -N squid-3.5.7/tools/squidclient/Makefile.am squid-3.5.8/tools/squidclient/Makefile.am
--- squid-3.5.7/tools/squidclient/Makefile.am	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/tools/squidclient/Makefile.am	2015-09-01 12:52:00.000000000 -0700
@@ -7,12 +7,10 @@
 
 include $(top_srcdir)/src/Common.am
 
-AUTOMAKE_OPTIONS = subdir-objects
-
-SUBDIRS = 
+SUBDIRS =
 EXTRA_DIST = squidclient.1
 man_MANS = squidclient.1
-DISTCLEANFILES = 
+DISTCLEANFILES =
 
 LDADD = \
 	$(top_builddir)/src/ip/libip.la \
diff -u -r -N squid-3.5.7/tools/squidclient/Makefile.in squid-3.5.8/tools/squidclient/Makefile.in
--- squid-3.5.7/tools/squidclient/Makefile.in	2015-07-31 23:10:15.000000000 -0700
+++ squid-3.5.8/tools/squidclient/Makefile.in	2015-09-01 12:53:46.000000000 -0700
@@ -601,6 +601,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -723,6 +724,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -744,7 +746,6 @@
 @ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
 COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
 subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
-AUTOMAKE_OPTIONS = subdir-objects
 SUBDIRS = 
 EXTRA_DIST = squidclient.1
 man_MANS = squidclient.1
diff -u -r -N squid-3.5.7/tools/systemd/Makefile.am squid-3.5.8/tools/systemd/Makefile.am
--- squid-3.5.7/tools/systemd/Makefile.am	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/tools/systemd/Makefile.am	2015-09-01 12:52:00.000000000 -0700
@@ -5,6 +5,4 @@
 ## Please see the COPYING and CONTRIBUTORS files for details.
 ##
 
-AUTOMAKE_OPTIONS = subdir-objects
-
 EXTRA_DIST = squid.service
diff -u -r -N squid-3.5.7/tools/systemd/Makefile.in squid-3.5.8/tools/systemd/Makefile.in
--- squid-3.5.7/tools/systemd/Makefile.in	2015-07-31 23:10:15.000000000 -0700
+++ squid-3.5.8/tools/systemd/Makefile.in	2015-09-01 12:53:46.000000000 -0700
@@ -269,6 +269,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -391,6 +392,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -401,7 +403,6 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AUTOMAKE_OPTIONS = subdir-objects
 EXTRA_DIST = squid.service
 all: all-am
 
diff -u -r -N squid-3.5.7/tools/sysvinit/Makefile.am squid-3.5.8/tools/sysvinit/Makefile.am
--- squid-3.5.7/tools/sysvinit/Makefile.am	2015-07-31 23:08:17.000000000 -0700
+++ squid-3.5.8/tools/sysvinit/Makefile.am	2015-09-01 12:52:00.000000000 -0700
@@ -5,6 +5,4 @@
 ## Please see the COPYING and CONTRIBUTORS files for details.
 ##
 
-AUTOMAKE_OPTIONS = subdir-objects
-
 EXTRA_DIST = squid.rc
diff -u -r -N squid-3.5.7/tools/sysvinit/Makefile.in squid-3.5.8/tools/sysvinit/Makefile.in
--- squid-3.5.7/tools/sysvinit/Makefile.in	2015-07-31 23:10:15.000000000 -0700
+++ squid-3.5.8/tools/sysvinit/Makefile.in	2015-09-01 12:53:46.000000000 -0700
@@ -269,6 +269,7 @@
 LIB_DB = @LIB_DB@
 LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
 LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
+LINUXDOC = @LINUXDOC@
 LIPO = @LIPO@
 LN = @LN@
 LN_S = @LN_S@
@@ -391,6 +392,7 @@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
 psdir = @psdir@
+runstatedir = @runstatedir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
 srcdir = @srcdir@
@@ -401,7 +403,6 @@
 top_build_prefix = @top_build_prefix@
 top_builddir = @top_builddir@
 top_srcdir = @top_srcdir@
-AUTOMAKE_OPTIONS = subdir-objects
 EXTRA_DIST = squid.rc
 all: all-am
 
